#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0xc405d0d9, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xb135d749, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0x856ac990, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x9a903246, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc83edfe6, "crypto_aead_setauthsize" },
	{ 0x91211f97, "crypto_aead_decrypt" },
	{ 0xb967504f, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf76d14ce, "crypto_unregister_aeads" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x2c8549c1, "cryptd_skcipher_child" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9283cb45, "crypto_skcipher_decrypt" },
	{ 0xd0fcfc36, "cryptd_alloc_skcipher" },
	{ 0x4ad42a08, "crypto_aead_setkey" },
	{ 0x1241d8fb, "crypto_register_skcipher" },
	{ 0x98dbdea, "crypto_aead_encrypt" },
	{ 0xfbb27741, "cryptd_aead_queued" },
	{ 0xcb9ad13f, "crypto_unregister_skcipher" },
	{ 0x80dfbc25, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61e1a0f1, "cryptd_skcipher_queued" },
	{ 0xaa57b93c, "cryptd_free_aead" },
	{ 0x3afbee2e, "crypto_unregister_skciphers" },
	{ 0xf2f8784a, "cryptd_free_skcipher" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xca3f18cf, "crypto_alloc_skcipher" },
	{ 0x77afe76, "crypto_skcipher_encrypt" },
	{ 0x46492590, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4680b41e, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x40aa51dd, "crypto_register_aead" },
	{ 0xd8002b81, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbc2f7d6, "crypto_register_aeads" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xbbf11f6d, "crypto_alloc_aead" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "AA924B3ED56BBDE545A3CD0");

MODULE_INFO(suserelease, "SLFO-1.0");
