#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26638db4, "ata_pci_remove_one" },
	{ 0x14182c43, "ata_bmdma_port_start" },
	{ 0x670323eb, "sata_link_scr_lpm" },
	{ 0x6707dfd0, "ata_bmdma_status" },
	{ 0xc85aef3b, "ata_pio_need_iordy" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x51ab38ac, "pci_write_config_word" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x1fafc1a3, "pci_write_config_byte" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa8fb1b7c, "pci_test_config_bits" },
	{ 0xfc2f731, "ata_sff_prereset" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3389af02, "__tracepoint_ata_bmdma_status" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc3e1021c, "__SCT__tp_func_ata_bmdma_status" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x89729788, "ata_pci_bmdma_prepare_host" },
	{ 0xc8680b41, "ata_print_version" },
	{ 0xa7f3743f, "pci_get_device" },
	{ 0x29e978d7, "pci_intx" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xe818b32b, "ata_bmdma_interrupt" },
	{ 0x8e28d6ba, "ata_pci_sff_activate_host" },
	{ 0x96848186, "scnprintf" },
	{ 0x521b6557, "pci_iomap" },
	{ 0x302bed4d, "pci_iounmap" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x60c0e2fe, "pcim_iomap_regions" },
	{ 0x910576aa, "pcim_iomap_table" },
	{ 0x1219eec8, "ata_slave_link_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xa8ef140e, "sata_std_hardreset" },
	{ 0xd9f307f2, "ata_scsi_queuecmd" },
	{ 0xb1c56a00, "ata_scsi_ioctl" },
	{ 0x448fd056, "ata_scsi_slave_alloc" },
	{ 0xf8ee732, "ata_scsi_slave_config" },
	{ 0x9b41437e, "ata_scsi_slave_destroy" },
	{ 0xdce1f1b6, "ata_scsi_dma_need_drain" },
	{ 0xddafa8f8, "ata_std_bios_param" },
	{ 0x62f8f04a, "ata_scsi_unlock_native_capacity" },
	{ 0xdafb574b, "ata_common_sdev_groups" },
	{ 0x1c982dce, "dev_attr_link_power_management_policy" },
	{ 0xa1e74aa, "ata_cable_40wire" },
	{ 0x6ceb9d46, "ata_bmdma32_port_ops" },
	{ 0x364aac7e, "__SCK__tp_func_ata_bmdma_status" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x695f199f, "pci_set_power_state" },
	{ 0x43af56b1, "pci_restore_state" },
	{ 0xf6516712, "pci_reenable_device" },
	{ 0xa71b588, "ata_host_resume" },
	{ 0x1d84fb97, "ata_pci_device_do_resume" },
	{ 0x6684685b, "_dev_err" },
	{ 0x51c6c076, "ata_host_suspend" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xf8472e82, "ata_pci_device_do_suspend" },
	{ 0x13a84908, "pci_save_state" },
	{ 0x78ddb76b, "dmi_match" },
	{ 0xcf465811, "pci_write_config_dword" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v00008086d00007010sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007111sv000015ADsd00001976bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007199sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000084CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002411sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002421sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000244Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000244Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000248Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000248Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000245Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000025A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000266Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000027DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000269Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002850sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000025A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000025B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002651sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002652sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002653sv*sd*bc01sc01i*");
MODULE_ALIAS("pci:v00008086d000027C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000027C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002680sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002820sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002825sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002828sv0000106Bsd000000A0bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002828sv0000106Bsd000000A1bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002828sv0000106Bsd000000A3bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002828sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002920sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002921sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002926sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002928sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000292Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000292Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005028sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003A00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003A06sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003A20sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003A26sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B20sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B26sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B2Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B2Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001C00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001C01sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001C08sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001C09sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001D00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001D08sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001E00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001E01sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001E08sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001E09sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C01sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C08sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C09sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C01sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C08sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C09sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002326sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001F20sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001F21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001F30sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001F31sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008D00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008D08sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008D60sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008D68sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F20sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000023A6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C88sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C89sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C80sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C81sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9830ECC1BCADCBD4B5BEED2");

MODULE_INFO(suserelease, "SLFO-1.0");
