#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x0ced0711, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xaf42cc63, "_gpl");
SYMBOL_CRC(ahci_ops, 0x221bdb72, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xbb45990b, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xdf950cf2, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x529788fc, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x6b11f016, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x3917db51, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xc1232c09, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x17a69aad, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x633b617d, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x6a966f5d, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x2228da4a, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x80cdfb80, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x68c9f535, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xb23ec623, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x65a02149, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x1b0c59bc, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xd636f11c, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x251f7cff, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xa359a44a, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x91ba6f49, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x14849124, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xcdb64a79, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28ee38fe, "ata_std_postreset" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x1f1e3dc8, "ata_std_qc_defer" },
	{ 0x83073f23, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x792554f4, "ata_port_classify" },
	{ 0x19b1b85a, "ata_qc_complete_multiple" },
	{ 0x29125955, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5660be86, "sata_pmp_error_handler" },
	{ 0xef0bca10, "ata_host_start" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x6b10d243, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x42682a31, "ata_host_register" },
	{ 0xb51a1aa3, "ata_host_activate" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf6828561, "ata_dummy_port_ops" },
	{ 0x9f40c79a, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xc30da2ed, "dmam_alloc_attrs" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x4fdc945d, "sata_deb_timing_normal" },
	{ 0xcccfb2fa, "sata_deb_timing_hotplug" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xd421a47c, "sata_link_hardreset" },
	{ 0x5cc6ed9b, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xde746498, "sata_lpm_ignore_phy_events" },
	{ 0xa0459d80, "ata_ehi_clear_desc" },
	{ 0xe89baedf, "ata_ehi_push_desc" },
	{ 0x25c9f894, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf212e0a, "sata_async_notification" },
	{ 0x21cab521, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xc5d9b68e, "sata_pmp_port_ops" },
	{ 0xe2a5ce09, "dev_attr_sw_activity" },
	{ 0x6c73962, "dev_attr_unload_heads" },
	{ 0xf3c3b84a, "dev_attr_ncq_prio_supported" },
	{ 0x190797d1, "dev_attr_ncq_prio_enable" },
	{ 0x1c982dce, "dev_attr_link_power_management_policy" },
	{ 0xc1245002, "dev_attr_em_message_type" },
	{ 0xe10565e4, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x61114c65, "ata_link_next" },
	{ 0xe4f2a739, "ata_wait_register" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xdb8e0a08, "ata_dev_set_feature" },
	{ 0xeae8621e, "ata_msleep" },
	{ 0x670323eb, "sata_link_scr_lpm" },
	{ 0x6684685b, "_dev_err" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "E4696F00767B0CE1D8A98D6");

MODULE_INFO(suserelease, "SLFO-1.0");
