#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1f1e3dc8, "ata_std_qc_defer" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0x60c0e2fe, "pcim_iomap_regions" },
	{ 0x910576aa, "pcim_iomap_table" },
	{ 0xd0e2093b, "ata_host_alloc_pinfo" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x2fe0cef7, "pcie_set_readrq" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xb51a1aa3, "ata_host_activate" },
	{ 0xc8680b41, "ata_print_version" },
	{ 0x43210fca, "pci_enable_msi" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x29e978d7, "pci_intx" },
	{ 0xd8509b49, "ata_eh_freeze_port" },
	{ 0x5660be86, "sata_pmp_error_handler" },
	{ 0xa8ef140e, "sata_std_hardreset" },
	{ 0x83fa47b4, "sata_set_spd" },
	{ 0xcec76c82, "ata_link_online" },
	{ 0xc428068d, "sata_deb_timing_long" },
	{ 0xda050de0, "sata_link_debounce" },
	{ 0x745e9d46, "ata_link_offline" },
	{ 0xeae8621e, "ata_msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x792554f4, "ata_port_classify" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xc5d9b68e, "sata_pmp_port_ops" },
	{ 0xd9f307f2, "ata_scsi_queuecmd" },
	{ 0xb1c56a00, "ata_scsi_ioctl" },
	{ 0x448fd056, "ata_scsi_slave_alloc" },
	{ 0xf8ee732, "ata_scsi_slave_config" },
	{ 0x9b41437e, "ata_scsi_slave_destroy" },
	{ 0x41e818ac, "ata_scsi_change_queue_depth" },
	{ 0xdce1f1b6, "ata_scsi_dma_need_drain" },
	{ 0xddafa8f8, "ata_std_bios_param" },
	{ 0x62f8f04a, "ata_scsi_unlock_native_capacity" },
	{ 0xb70449e7, "ata_ncq_sdev_groups" },
	{ 0x26638db4, "ata_pci_remove_one" },
	{ 0x27b5653e, "ata_pci_device_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xe4f2a739, "ata_wait_register" },
	{ 0x6684685b, "_dev_err" },
	{ 0x1d84fb97, "ata_pci_device_do_resume" },
	{ 0xa71b588, "ata_host_resume" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x19b1b85a, "ata_qc_complete_multiple" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x29125955, "ata_port_freeze" },
	{ 0xa0459d80, "ata_ehi_clear_desc" },
	{ 0xe89baedf, "ata_ehi_push_desc" },
	{ 0x25c9f894, "ata_link_abort" },
	{ 0xf212e0a, "sata_async_notification" },
	{ 0x21cab521, "ata_port_abort" },
	{ 0x92997ed8, "_printk" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xc30da2ed, "dmam_alloc_attrs" },
	{ 0x960419be, "ata_port_pbar_desc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v00001095d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003132sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000242sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000244sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003131sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003531sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2F8731E583929D31DA3D93D");

MODULE_INFO(suserelease, "SLFO-1.0");
