#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ccp_present, 0x04773b60, "_gpl");
SYMBOL_CRC(ccp_version, 0x3a1a3979, "_gpl");
SYMBOL_CRC(ccp_enqueue_cmd, 0x8784f0d3, "_gpl");
SYMBOL_CRC(snp_alloc_firmware_page, 0x832640c7, "_gpl");
SYMBOL_CRC(snp_free_firmware_page, 0x6da19b50, "_gpl");
SYMBOL_CRC(sev_do_cmd, 0x3e3b5766, "_gpl");
SYMBOL_CRC(sev_platform_init, 0x72f6bfcf, "_gpl");
SYMBOL_CRC(psp_copy_user_blob, 0x2e6a6147, "_gpl");
SYMBOL_CRC(sev_platform_status, 0x91722dce, "_gpl");
SYMBOL_CRC(sev_guest_deactivate, 0x4073e924, "_gpl");
SYMBOL_CRC(sev_guest_activate, 0x3e059f28, "_gpl");
SYMBOL_CRC(sev_guest_decommission, 0x843d6541, "_gpl");
SYMBOL_CRC(sev_guest_df_flush, 0x8fac14a2, "_gpl");
SYMBOL_CRC(sev_issue_cmd_external_user, 0xc1443fd1, "_gpl");
SYMBOL_CRC(psp_tee_process_cmd, 0xaa04056c, "");
SYMBOL_CRC(psp_check_tee_status, 0x47d3c97f, "");
SYMBOL_CRC(psp_check_platform_access_status, 0x4a937398, "");
SYMBOL_CRC(psp_send_platform_access_msg, 0x98a356de, "_gpl");
SYMBOL_CRC(psp_ring_platform_doorbell, 0x6ea40704, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60c0e2fe, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x8e12b680, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x43210fca, "pci_enable_msi" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x6684685b, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xea6c3047, "rmp_make_shared" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0xed3a6a36, "devm_get_free_pages" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xb08ebea9, "misc_register" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xf9560e45, "param_ops_charp" },
	{ 0xae9a023d, "kernel_read" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5fd1f7d5, "dmaengine_unmap_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64aae3e9, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd8f32eb6, "dma_async_device_register" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xea98a5dd, "__platform_driver_register" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0x86f30e07, "pv_ops" },
	{ 0x6c4a7bae, "override_creds" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe52237ed, "_dev_notice" },
	{ 0xe12870fa, "path_get" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xff4755a, "atomic_notifier_chain_unregister" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0xa32cf33a, "vfs_fsync" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x816e846, "rmp_make_private" },
	{ 0x7bf97731, "dma_async_tx_descriptor_init" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4c48cda2, "filp_close" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xec8c50bb, "pci_disable_msix" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x910576aa, "pcim_iomap_table" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0x2158c3cc, "amd_iommu_snp_disable" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x30a4e74c, "kernel_write" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xff2910e9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4af4d38e, "devm_platform_ioremap_resource" },
	{ 0x4b555973, "revert_creds" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0xc1782e9e, "dma_pool_create" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa31af4b6, "hwrng_unregister" },
	{ 0xa53ac4ef, "firmware_request_nowarn" },
	{ 0x52cbef6c, "platform_driver_unregister" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x4c89928f, "dma_async_device_unregister" },
	{ 0x3d054e93, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc30da2ed, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xb0455e84, "snp_leak_pages" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xbb6af752, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x8b5a664e, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xddb8b95d, "path_put" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xafc73513, "hwrng_register" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x66b57df1, "devm_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xdf952f1a, "panic_notifier_list" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0x21ea73ec, "platform_irq_count" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6b1a794c, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x2c25957a, "pci_enable_msix_range" },
	{ 0x366b65eb, "file_open_root" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49420857, "__free_pages" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x555e0927, "init_task" },
	{ 0x31f6a904, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d353fd, "dma_run_dependencies" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc528ebb3, "device_get_dma_attr" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1a");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1aC*");
MODULE_ALIAS("acpi*:AMDI0C00:*");
MODULE_ALIAS("pci:v00001022d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000014CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000017E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000156Esv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "127A5E092D56EF070754950");

MODULE_INFO(suserelease, "SLFO-1.0");
