#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xa53ac4ef, "firmware_request_nowarn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc30da2ed, "dmam_alloc_attrs" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x9a71be90, "crypto_ahash_setkey" },
	{ 0x69acdf38, "memcpy" },
	{ 0x40aa51dd, "crypto_register_aead" },
	{ 0xd8002b81, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbbf11f6d, "crypto_alloc_aead" },
	{ 0xc83edfe6, "crypto_aead_setauthsize" },
	{ 0x91211f97, "crypto_aead_decrypt" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xc6034508, "crypto_unregister_ahash" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xb55d36b8, "crypto_enqueue_request" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x60c0e2fe, "pcim_iomap_regions" },
	{ 0x4ad42a08, "crypto_aead_setkey" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x1241d8fb, "crypto_register_skcipher" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x6684685b, "_dev_err" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x98dbdea, "crypto_aead_encrypt" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8f6f2978, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0xb05c77fc, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcb9ad13f, "crypto_unregister_skcipher" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd5e0ecc7, "crypto_ahash_finup" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc66a95e4, "crypto_ahash_digest" },
	{ 0x3eab0886, "crypto_ahash_final" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x76eeeb0f, "sha384_zero_message_hash" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67da9f7c, "sha512_zero_message_hash" },
	{ 0xe2cd872e, "crypto_dequeue_request" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0x910576aa, "pcim_iomap_table" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0xf749debc, "md5_zero_message_hash" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xff2910e9, "dma_map_sg_attrs" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x9fae76b5, "crypto_alloc_ahash" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x128c01ae, "dmam_pool_create" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "authenc,libdes");

MODULE_ALIAS("pci:v000010EEd00009038sv000016AEsd0000C522bc*sc*i*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97ies");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97iesC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197b");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197bC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197d");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197dC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197c-mxl");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197c-mxlC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97C*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197C*");

MODULE_INFO(srcversion, "8F0E130C3DD52460C291488");

MODULE_INFO(suserelease, "SLFO-1.0");
