#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5445a26f, "adf_err_handler" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x89ec7d8a, "adf_gen4_enable_error_correction" },
	{ 0x7562c022, "adf_gen4_init_device" },
	{ 0xfbab78c, "adf_sysfs_init" },
	{ 0xe327f1f1, "adf_gen4_init_dc_ops" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0x8537e93c, "adf_gen4_get_ring_to_svc_map" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa14cb70, "adf_gen4_get_misc_bar_id" },
	{ 0x8d5d79d9, "adf_gen4_get_sram_bar_id" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbe05a022, "adf_init_admin_comms" },
	{ 0x64b47505, "adf_dev_down" },
	{ 0x92997ed8, "_printk" },
	{ 0x11e60466, "adf_dbgfs_init" },
	{ 0x58e71949, "adf_send_admin_init" },
	{ 0x498dae11, "adf_sriov_configure" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xdc166005, "adf_gen4_get_etr_bar_id" },
	{ 0x31f6a904, "pci_select_bars" },
	{ 0x1181170f, "adf_gen4_init_pf_pfvf_ops" },
	{ 0x7d97483a, "adf_devmgr_add_dev" },
	{ 0xcb85aaa4, "adf_isr_resource_free" },
	{ 0xbea6d060, "adf_reset_flr" },
	{ 0x4278be1c, "adf_gen4_get_num_accels" },
	{ 0x5dc89acc, "adf_gen4_timer_start" },
	{ 0x6684685b, "_dev_err" },
	{ 0x3ebbe8fc, "adf_gen4_timer_stop" },
	{ 0x30a621e7, "pcim_iomap_regions_request_all" },
	{ 0xb9989e5f, "adf_disable_sriov" },
	{ 0xe8b0a0f2, "adf_cfg_dev_remove" },
	{ 0x25507e04, "adf_gen4_handle_pm_interrupt" },
	{ 0xfed524d9, "adf_gen4_get_heartbeat_clock" },
	{ 0x3032bb7c, "adf_gen4_get_sku" },
	{ 0x10a02cb9, "adf_gen4_set_ssm_wdtimer" },
	{ 0x1f3cba2, "adf_gen4_dev_config" },
	{ 0xdd08fc7, "adf_dev_up" },
	{ 0xb45488cd, "adf_isr_resource_alloc" },
	{ 0x57a6513b, "adf_cfg_dev_add" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb3a8ec70, "adf_gen4_set_msix_default_rttable" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x5ac9538c, "adf_gen4_ring_pair_reset" },
	{ 0x7267897f, "adf_init_arb" },
	{ 0x17e386ba, "adf_devmgr_rm_dev" },
	{ 0x2c0f84ec, "adf_gen4_init_hw_csr_ops" },
	{ 0x861833d3, "adf_gen4_cfg_dev_init" },
	{ 0x2230d349, "adf_gen4_get_admin_info" },
	{ 0xc2e55a49, "adf_gen4_get_accel_mask" },
	{ 0xfa6ffd23, "adf_gen4_init_vf_mig_ops" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x910576aa, "pcim_iomap_table" },
	{ 0x2306bb82, "adf_gen4_enable_pm" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x4c051dc4, "adf_gen4_get_arb_info" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0x2ad920cb, "adf_get_service_enabled" },
	{ 0x9e770f07, "adf_dbgfs_exit" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xa61c70a1, "adf_gen4_init_ras_ops" },
	{ 0xef78ccc7, "adf_gen4_init_thd2arb_map" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x964e710, "adf_exit_arb" },
	{ 0xe2c32138, "adf_gen4_init_tl_data" },
	{ 0x81561118, "adf_exit_admin_comms" },
	{ 0x173a5b32, "adf_gen4_get_num_aes" },
	{ 0x605fd3cd, "adf_devmgr_pci_to_accel_dev" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x12c3e2d9, "adf_gen4_enable_ints" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "intel_qat");

MODULE_ALIAS("pci:v00008086d00004946sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "19A468913C22B8DF0CAD31A");

MODULE_INFO(suserelease, "SLFO-1.0");
