#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(to_cxl_root_decoder, 0xda7fea5f, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x99f4bc79, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x1783d78c, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xce153134, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x1abba117, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x70f89a3e, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x1a027ad9, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x2b6d21bb, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x90e6c1ee, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x0b3f9d19, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xc4361b38, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xe94d5e8a, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xa959af0c, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xbd57d010, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xc0da021b, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x6e3fa588, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x3eacc869, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x863e2683, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xb8178619, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xcba1dafe, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x58a349c1, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x4c2881ab, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x7114cd78, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x3fac5cf5, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x11f844b7, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0xfaf22fd8, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xd3a7dcfb, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xe86fc188, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x6f435eae, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x99f68831, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xa311251f, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xe76ec903, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x1a28aac6, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x120a43f9, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x44ae7e8a, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xb316d943, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xee2b3478, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x3dfd37ac, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xdb14562b, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x3ef4ed1a, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x79512fc9, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xa70080b9, "_gpl");
SYMBOL_CRC(cxl_rcrb_to_component, 0x763cf776, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xd7f0da25, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x8b259ce0, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x117e2479, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x57d2c734, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x90f820b9, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x8a522458, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x5d67fbe2, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x89c5b2a7, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xb3a9369c, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x54371ff4, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x81b6c407, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x7af54f46, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x444ba270, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xf2189c00, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x6d14c261, "_gpl");
SYMBOL_CRC(cxl_dev_state_create, 0x8f0d2ad9, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xea8acfdd, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x5cb8fd78, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xae68d226, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x9e564e85, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x087ff876, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x1305ce4f, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0xbbae06d2, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x2db0317d, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xe33a409a, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x23e20da7, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xc223afe7, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xc565b5bf, "_gpl");
SYMBOL_CRC(is_cxl_region, 0xf6065b1c, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0xf6c5f067, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x76d7b282, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x8ecc9843, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xad2549b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x708d46a5, "__xa_insert" },
	{ 0x28c310f1, "xa_erase" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd4429192, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xf7cbaf00, "down_write_killable" },
	{ 0xd4e8167f, "xa_destroy" },
	{ 0x27e72633, "xa_find" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xbb56210, "device_match_name" },
	{ 0xffbb6e5f, "pci_walk_bus" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x58c250b9, "xa_find_after" },
	{ 0xd5827161, "__devm_add_action" },
	{ 0x6a1e9094, "pci_find_dvsec_capability" },
	{ 0x7a591b21, "device_find_child_by_name" },
	{ 0x537e2a81, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x51ab38ac, "pci_write_config_word" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbf320c7e, "up_read" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x61fab3ff, "pci_bus_type" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x65c98671, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xf00cd6f5, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x4d01e2ac, "cdev_device_del" },
	{ 0xf555f7d2, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x34d1a400, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x71a9259d, "device_initialize" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa0b6d0ae, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0x30713572, "devm_remove_action" },
	{ 0x81142b3e, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5f3446a3, "__devm_request_region" },
	{ 0x8799d18a, "cdev_device_add" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x827c6e0a, "bus_for_each_dev" },
	{ 0xef2cf1bd, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x246d36f7, "sysfs_update_group" },
	{ 0x63527824, "bus_unregister" },
	{ 0x191e6698, "down_write" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f607373, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x1abe0dbb, "debugfs_create_bool" },
	{ 0xf47cf17c, "bus_find_device" },
	{ 0xb3f0248b, "device_add" },
	{ 0x3fa93767, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x14b432d3, "xa_load" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0x8604ab53, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x948adaee, "device_find_child" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0xbd62ef78, "devm_release_action" },
	{ 0xc6465c4c, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x684b0744, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x82c16772, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DB53E38CD2F6432D98DAEF7");

MODULE_INFO(suserelease, "SLFO-1.0");
