#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(idxd_wq_alloc_resources, 0x8e6e34e8, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0x3b8bb088, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0xcc2eb507, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0xa41a2d4c, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0xcf0c0b47, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0x1f53b0e0, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0x27c51d06, "_gpl");
SYMBOL_CRC(idxd_drv, 0xb8e7a94f, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0x0cbdcd22, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0xcf627c88, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x1e3f7e19, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0xb21a5fc5, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0xeb2b267d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb16aedb8, "sbitmap_queue_clear" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x9652514b, "iommu_alloc_global_pasid" },
	{ 0x3ca1f524, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x302bed4d, "pci_iounmap" },
	{ 0xc6465c4c, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x20ade36e, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5fd1f7d5, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd8f32eb6, "dma_async_device_register" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x335faeaa, "iommu_attach_device_pasid" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xf2d1ec63, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x708d46a5, "__xa_insert" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xad2dcb57, "sbitmap_finish_wait" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xa837036d, "dma_async_device_channel_register" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd4e8167f, "xa_destroy" },
	{ 0x7bf97731, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x3e4c05f4, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x537e2a81, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x35c14bf, "single_open" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0xbffa99fb, "__sbitmap_queue_get" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0x8e78024f, "idxd_driver_unregister" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbf048203, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf930f4fc, "pci_msix_vec_count" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x521b6557, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4c89928f, "dma_async_device_unregister" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x4a006f3d, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4d01e2ac, "cdev_device_del" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x34d1a400, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x71a9259d, "device_initialize" },
	{ 0xa426825c, "dsa_bus_type" },
	{ 0xd9484a36, "iommu_dev_disable_feature" },
	{ 0xa007eb27, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xe87df384, "iommu_sva_bind_device" },
	{ 0x1b6dd528, "iommu_detach_device_pasid" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0x81142b3e, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe2e0297d, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6639f4d, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x800fbf8a, "sbitmap_prepare_to_wait" },
	{ 0x8799d18a, "cdev_device_add" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x8a7242a5, "kmalloc_node_trace" },
	{ 0xf867a4cf, "iommu_dev_enable_feature" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x718ab4bf, "__idxd_driver_register" },
	{ 0xcd26a121, "iommu_get_domain_for_dev" },
	{ 0x7c8c5191, "perf_pmu_migrate_context" },
	{ 0x2afbeecb, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x63527824, "bus_unregister" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f607373, "up_write" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0xb3f0248b, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9150c80c, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x14b432d3, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x23e06661, "dma_async_device_channel_unregister" },
	{ 0xc5f7d976, "iommu_sva_unbind_device" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "33634D5EA85667C21491E21");

MODULE_INFO(suserelease, "SLFO-1.0");
