#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x16932b71, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xc19936bb, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xae4744da, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x069a4f03, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x17789a63, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x04cfc421, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x0c554626, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xb77e4e95, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x0e065ff7, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x9669d1ac, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0xb775b20d, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xa8965984, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xace7d3b6, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xbacd4c0b, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xd190139f, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0xa03b5d6b, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x56844191, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x67fc69d8, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x597b2bb7, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x05bf0626, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x583cfafb, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x41c0839f, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x5bc0d255, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0xcc38ab16, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaffd5f28, "regmap_raw_write" },
	{ 0xc0f9f6b, "regmap_raw_read" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x22bdda39, "regmap_read" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd3b617c5, "regmap_update_bits_base" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0x3894e662, "regmap_multi_reg_write" },
	{ 0xe3596071, "regmap_bulk_read" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x7a8975a1, "single_release" },
	{ 0xc71d6128, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x1abe0dbb, "debugfs_create_bool" },
	{ 0xb1a56746, "debugfs_create_x32" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x35c14bf, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6684685b, "_dev_err" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1FD71DDB8161089E484176F");

MODULE_INFO(suserelease, "SLFO-1.0");
