#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dfl_fpga_port_ops_get, 0xc9c8c00b, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x85b1a908, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0xcb88b5cb, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xbdeb6bd1, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x88af12c3, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x641596e8, "");
SYMBOL_CRC(dfl_driver_unregister, 0x6c8e2c51, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0x7558c7fe, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x507fec22, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x50da2270, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0xc8d9f065, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x2d6dbe5c, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0xf7b4a289, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x505c6b72, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x207d3fe0, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x1c207f71, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x052a16f8, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x05ba9bdb, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x5f272625, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x35a52454, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x49f4c1af, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x78d085b0, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xf6ae0580, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x389b1d10, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x2f9c5acd, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0xeee2e09e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x948f2719, "module_put" },
	{ 0x2f14a420, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0x6f7c400c, "cdev_add" },
	{ 0xf8acf863, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x81142b3e, "get_device" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x63562880, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5f3446a3, "__devm_request_region" },
	{ 0x34d1a400, "devm_ioremap" },
	{ 0x6684685b, "_dev_err" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x65c98671, "bus_register" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0x63527824, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x4af4d38e, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb3f0248b, "device_add" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbfe7ed3, "platform_device_add" },
	{ 0xeabfb5f3, "platform_device_del" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x99e4772b, "platform_device_put" },
	{ 0xa0b6d0ae, "device_for_each_child" },
	{ 0x70672f37, "fpga_region_unregister" },
	{ 0x3f74f6e8, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x95aa1732, "devm_ioremap_resource" },
	{ 0x835f5290, "__fpga_region_register" },
	{ 0x4a006f3d, "devm_iounmap" },
	{ 0xfcc26f4, "__devm_release_region" },
	{ 0xab939770, "platform_device_alloc" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "0B43E7A1474D7B7525842F8");

MODULE_INFO(suserelease, "SLFO-1.0");
