#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssd130x_variants, 0x423ba637, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x9ed1c167, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x018ff360, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x50c028e3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe64ee37, "drm_dev_register" },
	{ 0x45700fb8, "drm_fbdev_generic_setup" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x6684685b, "_dev_err" },
	{ 0x6646a616, "drm_mode_duplicate" },
	{ 0x603f7b8e, "drm_mode_probed_add" },
	{ 0x396ac355, "drm_set_preferred_mode" },
	{ 0x802f66a7, "pwm_put" },
	{ 0x3be311cd, "regulator_disable" },
	{ 0x6938f51, "pwm_apply_state" },
	{ 0x3fbb5fd2, "drm_crtc_helper_atomic_check" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x21bb9443, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc8f4d678, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x7f6d3c9, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0xb1d85c61, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x55ec8b4d, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x5ef4ccfb, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x10ddad2, "drm_dev_unplug" },
	{ 0x9a50c5ec, "drm_atomic_helper_shutdown" },
	{ 0x42e58242, "drm_atomic_helper_check_plane_state" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x6b08697b, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x278fd143, "drm_gem_fb_begin_cpu_access" },
	{ 0x6d3d83bd, "drm_fb_xrgb8888_to_gray8" },
	{ 0xe81759d9, "drm_gem_fb_end_cpu_access" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc297514f, "drm_fb_xrgb8888_to_mono" },
	{ 0x3308551e, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7233ada2, "regulator_enable" },
	{ 0x6f67429a, "pwm_get" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x36affa5e, "__drm_atomic_helper_crtc_reset" },
	{ 0xc2c87229, "__drm_gem_reset_shadow_plane" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x20a7e836, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x58ed2215, "drm_gem_shmem_dumb_create" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0x597bab4a, "drm_read" },
	{ 0x862f695a, "drm_poll" },
	{ 0x76c814fc, "drm_ioctl" },
	{ 0x1c6df83a, "drm_compat_ioctl" },
	{ 0x9dbe474d, "drm_gem_mmap" },
	{ 0xd75d613b, "drm_open" },
	{ 0x5a08321c, "drm_release" },
	{ 0x3b33ff59, "drm_gem_fb_create_with_dirty" },
	{ 0x195c40c4, "drm_atomic_helper_check" },
	{ 0x471df31d, "drm_atomic_helper_commit" },
	{ 0xdee2ed63, "drm_atomic_helper_connector_reset" },
	{ 0xe890dfb4, "drm_helper_probe_single_connector_modes" },
	{ 0x6d4ea381, "drm_connector_cleanup" },
	{ 0x21d4dbd, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xe9cde28f, "drm_atomic_helper_connector_destroy_state" },
	{ 0x862757a9, "drm_encoder_cleanup" },
	{ 0xfd764236, "drm_crtc_cleanup" },
	{ 0x3e1b8faf, "drm_atomic_helper_set_config" },
	{ 0x2d2457c0, "drm_atomic_helper_page_flip" },
	{ 0x457f159d, "drm_atomic_helper_update_plane" },
	{ 0x6be594e6, "drm_atomic_helper_disable_plane" },
	{ 0xe1b840db, "drm_plane_cleanup" },
	{ 0x52350dff, "drm_gem_begin_shadow_fb_access" },
	{ 0x8754b37, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5b457b34, "__devm_drm_dev_alloc" },
	{ 0x36128fd2, "device_get_match_data" },
	{ 0xdc3d4367, "device_property_read_u32_array" },
	{ 0xf1fe8de0, "device_property_read_u8_array" },
	{ 0xa92f1b3e, "device_property_present" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0x59999dd3, "devm_regulator_get" },
	{ 0xe8811fe4, "devm_backlight_device_register" },
	{ 0x5945fc01, "drmm_mode_config_init" },
	{ 0x6a0d9960, "drm_universal_plane_init" },
	{ 0x136de6a, "drm_plane_enable_fb_damage_clips" },
	{ 0x90657eb5, "drm_crtc_init_with_planes" },
	{ 0xeaae221b, "drm_encoder_init" },
	{ 0xedb3efbf, "drm_connector_init" },
	{ 0x33379c96, "drm_connector_attach_encoder" },
	{ 0x6f183967, "drm_mode_config_reset" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1FB5FAE68D61CA9068AE4F5");

MODULE_INFO(suserelease, "SLFO-1.0");
