#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ishtp_device_init, 0xe38de684, "");
SYMBOL_CRC(ishtp_start, 0x71079a7b, "");
SYMBOL_CRC(ishtp_send_suspend, 0xac429006, "");
SYMBOL_CRC(ishtp_send_resume, 0x5ca38ba6, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x897259d5, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x705268a6, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x358673cb, "");
SYMBOL_CRC(ishtp_cl_allocate, 0xcc274f5f, "");
SYMBOL_CRC(ishtp_cl_free, 0xce5108bf, "");
SYMBOL_CRC(ishtp_cl_link, 0x9a943afc, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x439f647f, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0xa7a3ce12, "");
SYMBOL_CRC(ishtp_cl_connect, 0xc169b8a7, "");
SYMBOL_CRC(ishtp_cl_send, 0xf8b641dd, "");
SYMBOL_CRC(ishtp_get_client_data, 0x9f52154e, "");
SYMBOL_CRC(ishtp_set_client_data, 0x9d0379f9, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x7622311d, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x40e887dd, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x117ff0aa, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x60c33510, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x271850a4, "");
SYMBOL_CRC(ishtp_recv, 0x15fcf769, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0xaf982408, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0xadb10541, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x7b86979f, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x92bcf2a3, "");
SYMBOL_CRC(ishtp_register_event_cb, 0xc419f804, "");
SYMBOL_CRC(ishtp_get_device, 0x38834497, "");
SYMBOL_CRC(ishtp_put_device, 0x439064a4, "");
SYMBOL_CRC(ishtp_set_drvdata, 0xc9b8d468, "");
SYMBOL_CRC(ishtp_get_drvdata, 0x78fbaf9b, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x782b8fcb, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x1314bdf4, "");
SYMBOL_CRC(ishtp_reset_handler, 0xcdf3a5a7, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xa46c6c86, "");
SYMBOL_CRC(ishtp_device, 0xf0e9b6dc, "");
SYMBOL_CRC(ishtp_wait_resume, 0xa9d3606a, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x6d336a4d, "");
SYMBOL_CRC(ishtp_trace_callback, 0x45a48d36, "");
SYMBOL_CRC(ish_hw_reset, 0xb4040b9a, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0xbc068955, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x08d904e2, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0xade48678, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x63527824, "bus_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x121eca77, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6ea15b35, "device_register" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x2f14a420, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A8A484047E007EB5458566");

MODULE_INFO(suserelease, "SLFO-1.0");
