#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pmbus_clear_cache, 0x0a62d714, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x4346f356, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x67172c97, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x9668d400, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x72e24f7d, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x4bfad724, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xd8aeb0b8, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x91e01b13, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x434efea3, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x738497c9, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xc1297d6c, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xe8a224eb, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x7649db43, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xfb9fcf29, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x237d05b4, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x6edce4c1, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xcd4c0ef0, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x223c8f56, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xfcbfff8b, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x73ead180, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x2f5fd59f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac8bd94a, "rdev_get_id" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x282be500, "sysfs_notify" },
	{ 0x33e5087e, "kobject_uevent" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xedbe67a0, "regulator_notifier_call_chain" },
	{ 0x9166fada, "strncpy" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x6684685b, "_dev_err" },
	{ 0xbcb2aa48, "i2c_smbus_xfer" },
	{ 0xc5f20298, "device_create_file" },
	{ 0xd5827161, "__devm_add_action" },
	{ 0xcb98459b, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1775dc5e, "devm_hwmon_device_register_with_groups" },
	{ 0x3f7748c7, "devm_regulator_register" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0xc71d6128, "simple_open" },
	{ 0xb06e4a08, "debugfs_attr_read" },
	{ 0xea289ac2, "debugfs_attr_write" },
	{ 0xa7607adf, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x67918475, "i2c_smbus_write_byte_data" },
	{ 0x1f69327f, "i2c_smbus_read_byte_data" },
	{ 0xd92b4e74, "i2c_smbus_write_byte" },
	{ 0x544335a4, "i2c_smbus_write_word_data" },
	{ 0x8ee5bcd3, "i2c_smbus_read_word_data" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x7df92cd7, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb8fc0cca, "devm_krealloc" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xa2842bcc, "simple_attr_open" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3588828e, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaf7e6fc0, "rdev_get_dev" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9E29371C4049A49D09728B9");

MODULE_INFO(suserelease, "SLFO-1.0");
