#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x1fece605, "i2c_del_adapter" },
	{ 0x6684685b, "_dev_err" },
	{ 0xc2339d5d, "i2c_dw_acpi_configure" },
	{ 0x5a2f540c, "i2c_dw_prepare_clk" },
	{ 0xcc2e0385, "rt_mutex_unlock" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xcadf06bb, "rt_mutex_trylock" },
	{ 0x93e1970b, "pci_get_domain_bus_and_slot" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc36e9569, "i2c_parse_fw_timings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x36128fd2, "device_get_match_data" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea98a5dd, "__platform_driver_register" },
	{ 0xd5fe50e4, "__devm_reset_control_get" },
	{ 0x5932fdc6, "devm_clk_get_optional" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x41ac3dd9, "i2c_dw_validate_speed" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x28e09af1, "iosf_mbi_available" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa533b137, "i2c_dw_configure_master" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x6dfb2b19, "set_primary_fwnode" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0xcb0e14ea, "rt_mutex_lock" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0x6ea40704, "psp_ring_platform_doorbell" },
	{ 0xc1bff106, "i2c_dw_probe_master" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x4a937398, "psp_check_platform_access_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4af4d38e, "devm_platform_ioremap_resource" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x52cbef6c, "platform_driver_unregister" },
	{ 0x3d054e93, "platform_get_irq" },
	{ 0x5fa3803e, "i2c_dw_adjust_bus_speed" },
	{ 0xbc9e7d03, "pci_dev_put" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x44414ff2, "iosf_mbi_unblock_punit_i2c_access" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x86f27420, "iosf_mbi_block_punit_i2c_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x98a356de, "psp_send_platform_access_msg" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "i2c-designware-core,ccp");

MODULE_ALIAS("acpi*:INT33C2:*");
MODULE_ALIAS("acpi*:INT33C3:*");
MODULE_ALIAS("acpi*:INT3432:*");
MODULE_ALIAS("acpi*:INT3433:*");
MODULE_ALIAS("acpi*:80860F41:*");
MODULE_ALIAS("acpi*:808622C1:*");
MODULE_ALIAS("acpi*:AMD0010:*");
MODULE_ALIAS("acpi*:AMDI0010:*");
MODULE_ALIAS("acpi*:AMDI0019:*");
MODULE_ALIAS("acpi*:AMDI0510:*");
MODULE_ALIAS("acpi*:APMC0D0F:*");
MODULE_ALIAS("acpi*:HISI02A1:*");
MODULE_ALIAS("acpi*:HISI02A2:*");
MODULE_ALIAS("acpi*:HISI02A3:*");
MODULE_ALIAS("acpi*:HYGO0010:*");

MODULE_INFO(srcversion, "00016ADF2390E6B8CEDED7E");

MODULE_INFO(suserelease, "SLFO-1.0");
