#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a482f9, "msleep" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x7d81116b, "iio_triggered_buffer_setup_ext" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0xcd8a7c9a, "__iio_device_register" },
	{ 0x8eb5f541, "iio_read_mount_matrix" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x64aae3e9, "acpi_match_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xac57c1be, "iio_device_id" },
	{ 0xe49b08bd, "__devm_iio_trigger_alloc" },
	{ 0x5ecb517f, "iio_trigger_register" },
	{ 0x81142b3e, "get_device" },
	{ 0x1e552f45, "__module_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xec3d286f, "iio_buffer_enabled" },
	{ 0x8ee5bcd3, "i2c_smbus_read_word_data" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf89d4321, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0xb3bfb065, "iio_push_to_buffers" },
	{ 0x26203c2a, "iio_trigger_notify_done" },
	{ 0x53ef60a7, "iio_show_mount_matrix" },
	{ 0x3b7c4dfe, "iio_read_const_attr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x76b33508, "i2c_register_driver" },
	{ 0x1f69327f, "i2c_smbus_read_byte_data" },
	{ 0x6684685b, "_dev_err" },
	{ 0x67918475, "i2c_smbus_write_byte_data" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xb0a07d76, "iio_device_unregister" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x2fafe625, "iio_triggered_buffer_cleanup" },
	{ 0xe0fc3dc9, "iio_trigger_unregister" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0xd251f84e, "iio_push_event" },
	{ 0x302c297e, "iio_get_time_ns" },
	{ 0x7d0cfe71, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5bd61aa2, "i2c_del_driver" },
	{ 0x6f5afe46, "i2c_client_get_device_id" },
	{ 0xcd637fe7, "devm_iio_device_alloc" },
	{ 0x65240dae, "devm_regulator_bulk_get_enable" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013C*");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9C*");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025C*");
MODULE_ALIAS("i2c:kxcjk1013");
MODULE_ALIAS("i2c:kxcj91008");
MODULE_ALIAS("i2c:kxtj21009");
MODULE_ALIAS("i2c:kxtf9");
MODULE_ALIAS("i2c:kx023-1025");
MODULE_ALIAS("acpi*:KXCJ1013:*");
MODULE_ALIAS("acpi*:KXCJ1008:*");
MODULE_ALIAS("acpi*:KXCJ9000:*");
MODULE_ALIAS("acpi*:KIOX0008:*");
MODULE_ALIAS("acpi*:KIOX0009:*");
MODULE_ALIAS("acpi*:KIOX000A:*");
MODULE_ALIAS("acpi*:KIOX010A:*");
MODULE_ALIAS("acpi*:KIOX020A:*");
MODULE_ALIAS("acpi*:KXTJ1009:*");
MODULE_ALIAS("acpi*:KXJ2109:*");
MODULE_ALIAS("acpi*:SMO8500:*");

MODULE_INFO(srcversion, "829C29F2F69C3C09A6A6D80");

MODULE_INFO(suserelease, "SLFO-1.0");
