#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0xc573799d, "");
SYMBOL_CRC(__ib_alloc_pd, 0xe4d2a860, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0xc1378cca, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x2ff046f2, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xb7e625ff, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xc4d06e87, "");
SYMBOL_CRC(rdma_create_ah, 0xa5132320, "");
SYMBOL_CRC(rdma_create_user_ah, 0x036684c6, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x489afd96, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x6a718b0d, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x94395df4, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x89209f12, "");
SYMBOL_CRC(rdma_modify_ah, 0xd2d6877e, "");
SYMBOL_CRC(rdma_query_ah, 0xdf523a18, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0xf0f31bdd, "");
SYMBOL_CRC(ib_create_srq_user, 0xc20b0f5d, "");
SYMBOL_CRC(ib_modify_srq, 0xd8f53d7f, "");
SYMBOL_CRC(ib_query_srq, 0xcefc794f, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x7eec9047, "");
SYMBOL_CRC(ib_open_qp, 0x21f2b94b, "");
SYMBOL_CRC(ib_create_qp_user, 0xe3a864f1, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xa4336379, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xf6f3627f, "");
SYMBOL_CRC(ib_create_qp_kernel, 0xbc993b15, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0x73baf9a2, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x5aea554e, "");
SYMBOL_CRC(ib_get_eth_speed, 0x758cb878, "");
SYMBOL_CRC(ib_modify_qp, 0xc069257e, "");
SYMBOL_CRC(ib_query_qp, 0x32013ad8, "");
SYMBOL_CRC(ib_close_qp, 0x4ce6e730, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x81876072, "");
SYMBOL_CRC(__ib_create_cq, 0x717b36a9, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x2dfb6055, "");
SYMBOL_CRC(ib_destroy_cq_user, 0xed7ff7e6, "");
SYMBOL_CRC(ib_resize_cq, 0xd4dff449, "");
SYMBOL_CRC(ib_reg_user_mr, 0x23016261, "");
SYMBOL_CRC(ib_advise_mr, 0x8bf7e430, "");
SYMBOL_CRC(ib_dereg_mr_user, 0xb0b5bbe6, "");
SYMBOL_CRC(ib_alloc_mr, 0xa557e826, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x84089ceb, "");
SYMBOL_CRC(ib_attach_mcast, 0x77450162, "");
SYMBOL_CRC(ib_detach_mcast, 0x493b7d0c, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0xd80b2dab, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x587e2f80, "");
SYMBOL_CRC(ib_create_wq, 0x765b40e1, "");
SYMBOL_CRC(ib_destroy_wq_user, 0xfc2422e6, "");
SYMBOL_CRC(ib_check_mr_status, 0x3adea847, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x9924ee62, "");
SYMBOL_CRC(ib_get_vf_config, 0xede4397c, "");
SYMBOL_CRC(ib_get_vf_stats, 0xd60751e1, "");
SYMBOL_CRC(ib_set_vf_guid, 0x6c1bd0af, "");
SYMBOL_CRC(ib_get_vf_guid, 0xf9cefcd3, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x22b308ab, "");
SYMBOL_CRC(ib_map_mr_sg, 0x7f15eb9d, "");
SYMBOL_CRC(ib_sg_to_pages, 0xa03248ea, "");
SYMBOL_CRC(ib_drain_sq, 0x13ab8318, "");
SYMBOL_CRC(ib_drain_rq, 0xc59d0695, "");
SYMBOL_CRC(ib_drain_qp, 0x8491ebe3, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x80632ec8, "");
SYMBOL_CRC(rdma_init_netdev, 0x024e9c33, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0xe1d61fab, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0x81f560f6, "");
SYMBOL_CRC(ib_process_cq_direct, 0xa38cea5f, "");
SYMBOL_CRC(__ib_alloc_cq, 0x92b9c0c4, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xe4d290fe, "");
SYMBOL_CRC(ib_free_cq, 0xdabf1c9c, "");
SYMBOL_CRC(ib_cq_pool_get, 0xb6fcaa37, "");
SYMBOL_CRC(ib_cq_pool_put, 0x6b0c8901, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xf50def11, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x7a7ddfc5, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x932c50af, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xe59408b3, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xe9081167, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x8ae34c71, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x360721a5, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x9885da0c, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x897759c1, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xeb5520ee, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x6c556445, "");
SYMBOL_CRC(ibdev_printk, 0xb305f0f9, "");
SYMBOL_CRC(ibdev_emerg, 0x7a1dc632, "");
SYMBOL_CRC(ibdev_alert, 0xeafaf1bf, "");
SYMBOL_CRC(ibdev_crit, 0xf5b49e43, "");
SYMBOL_CRC(ibdev_err, 0x5429824a, "");
SYMBOL_CRC(ibdev_warn, 0x903739c4, "");
SYMBOL_CRC(ibdev_notice, 0x4c7d6b2d, "");
SYMBOL_CRC(ibdev_info, 0x75d0280d, "");
SYMBOL_CRC(ib_device_put, 0x3b0701c3, "");
SYMBOL_CRC(ib_device_get_by_name, 0x362c8ea4, "");
SYMBOL_CRC(_ib_alloc_device, 0x3b5fef7e, "");
SYMBOL_CRC(ib_dealloc_device, 0xe82e7481, "");
SYMBOL_CRC(ib_port_immutable_read, 0x39baa516, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x43c96c3a, "");
SYMBOL_CRC(ib_register_device, 0x1740be8b, "");
SYMBOL_CRC(ib_unregister_device, 0x34cb0ce3, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x8082e199, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0xdbd7f6b8, "");
SYMBOL_CRC(ib_register_client, 0xb9394978, "");
SYMBOL_CRC(ib_unregister_client, 0x80150da8, "");
SYMBOL_CRC(ib_set_client_data, 0xb8d2e8a0, "");
SYMBOL_CRC(ib_register_event_handler, 0xdf5bf4ec, "");
SYMBOL_CRC(ib_unregister_event_handler, 0xc9438b42, "");
SYMBOL_CRC(ib_query_port, 0xc9e014f6, "");
SYMBOL_CRC(ib_device_set_netdev, 0x577ed2ef, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x9d89845e, "");
SYMBOL_CRC(ib_query_pkey, 0x5b7ee94d, "");
SYMBOL_CRC(ib_modify_device, 0x4dbad366, "");
SYMBOL_CRC(ib_modify_port, 0x9ac06507, "");
SYMBOL_CRC(ib_find_gid, 0x20da6285, "");
SYMBOL_CRC(ib_find_pkey, 0xf244054f, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xe7033c7f, "");
SYMBOL_CRC(ib_set_device_ops, 0xfc0122c8, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x9257f246, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x5c7ac381, "");
SYMBOL_CRC(rdma_query_gid, 0x7c5575d9, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0xfa4fc05a, "");
SYMBOL_CRC(rdma_find_gid, 0x6bb1efce, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x1a051da6, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x8da37567, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xe043ef2f, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xcae4b0b8, "");
SYMBOL_CRC(ib_get_cached_lmc, 0xca0f7bc9, "");
SYMBOL_CRC(ib_get_cached_port_state, 0xc415b546, "");
SYMBOL_CRC(rdma_get_gid_attr, 0xc472d15c, "");
SYMBOL_CRC(rdma_query_gid_table, 0x78ef1509, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x938f56b9, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x03feee4a, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x35baf1d9, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x2302ffb4, "");
SYMBOL_CRC(ib_dispatch_event, 0xe3f46ad5, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x72c123e1, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x99116d3e, "");
SYMBOL_CRC(ibnl_put_attr, 0x5c0c5547, "");
SYMBOL_CRC(rdma_nl_unicast, 0x3456529b, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0xa821d666, "");
SYMBOL_CRC(rdma_nl_multicast, 0xed8adba3, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x86792151, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x8ebb20ce, "");
SYMBOL_CRC(ib_mr_pool_get, 0xdce375d6, "");
SYMBOL_CRC(ib_mr_pool_put, 0xe5fffc25, "");
SYMBOL_CRC(ib_mr_pool_init, 0x30184517, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x477ee205, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x1c8b6735, "");
SYMBOL_CRC(rdma_translate_ip, 0x96e07e07, "");
SYMBOL_CRC(rdma_resolve_ip, 0xc05a412a, "");
SYMBOL_CRC(rdma_addr_cancel, 0xa99fdc31, "");
SYMBOL_CRC(ib_sa_register_client, 0x7c8b7816, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x43eb62e4, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x7e997756, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0xb04c1543, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x79c6b8e4, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xef6e3198, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x59f7bf80, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x04584c44, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x5d7c296f, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x0534ea1c, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0xebc9d043, "");
SYMBOL_CRC(ib_create_send_mad, 0x0acc083c, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x4d07c5aa, "");
SYMBOL_CRC(ib_free_send_mad, 0x3236353a, "");
SYMBOL_CRC(ib_post_send_mad, 0x6132efc8, "");
SYMBOL_CRC(ib_free_recv_mad, 0xcdfb0091, "");
SYMBOL_CRC(ib_modify_mad, 0x44c01ca6, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xbe0178ff, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0xea2735c9, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0xb873bd04, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x36a1cc25, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x1d00368d, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xfb1d7cfe, "");
SYMBOL_CRC(rdma_link_register, 0x85d4aa56, "");
SYMBOL_CRC(rdma_link_unregister, 0x950b44b1, "");
SYMBOL_CRC(rdma_restrack_count, 0x78378dc2, "");
SYMBOL_CRC(rdma_restrack_set_name, 0xba3f78a2, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xd6bb9436, "");
SYMBOL_CRC(rdma_restrack_new, 0xaf1ce3c4, "");
SYMBOL_CRC(rdma_restrack_add, 0x398db7a1, "");
SYMBOL_CRC(rdma_restrack_get, 0x1fee34a4, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0xa4c5a77b, "");
SYMBOL_CRC(rdma_restrack_put, 0x32663b6f, "");
SYMBOL_CRC(rdma_restrack_del, 0x9ced614a, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x986a21c8, "");
SYMBOL_CRC(rdma_user_mmap_io, 0xc3ca32da, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x233ef381, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xa3d5caed, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xa09fa3c0, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x5992ea66, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xb42b08c9, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xa9a476cb, "");
SYMBOL_CRC(ib_create_qp_security, 0xd32a20c7, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xbac1d409, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xf9b7f123, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa55a43fb, "nla_put" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8f4cb25a, "netlink_kernel_release" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcc1191b8, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x88d437fb, "xa_clear_mark" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0xc6465c4c, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x75c47ba7, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xece784c2, "rb_first" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x6065d7e2, "__neigh_event_send" },
	{ 0xe071ca74, "dev_printk_emit" },
	{ 0x3dbd2f4c, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc88f6934, "down_read" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x24174d64, "netdev_has_upper_dev_all_rcu" },
	{ 0xf2d1ec63, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x708d46a5, "__xa_insert" },
	{ 0x28c310f1, "xa_erase" },
	{ 0x46a787dd, "netdev_walk_all_upper_dev_rcu" },
	{ 0x86f30e07, "pv_ops" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xd90ec38c, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe52237ed, "_dev_notice" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x26602795, "neigh_destroy" },
	{ 0xd417dfd8, "kobject_del" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x5dd76962, "dma_map_sgtable" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xd4e8167f, "xa_destroy" },
	{ 0x27e72633, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdbaec1c5, "netdev_master_upper_dev_get_rcu" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xaa3b5a6e, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xb9dda498, "dev_get_by_name" },
	{ 0x55ec6a84, "netlink_ns_capable" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x33e5087e, "kobject_uevent" },
	{ 0xe9c1a612, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x554bbae0, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa9a60925, "vlan_dev_vlan_id" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x58c250b9, "xa_find_after" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xe3668328, "ipv6_chk_addr" },
	{ 0xc71cb26e, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xd707efe1, "netlink_has_listeners" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbf320c7e, "up_read" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xa555f154, "get_net_ns_by_fd" },
	{ 0x1aef77de, "class_register" },
	{ 0xdd3c858f, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x28e901b1, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xeafabc30, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x9580c33d, "rdmacg_try_charge" },
	{ 0x82b379ee, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0xbf048203, "ida_destroy" },
	{ 0x689b7eb1, "__nlmsg_put" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xf8283369, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x860e921e, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xe6ed0e7a, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xb4477045, "__ip_dev_find" },
	{ 0xade82fbc, "sysfs_remove_groups" },
	{ 0xde748fe0, "__xa_erase" },
	{ 0xe0ee5b67, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x6ca4c47, "xas_find" },
	{ 0x796950a1, "kobject_init" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x61cd13cd, "__dynamic_ibdev_dbg" },
	{ 0x6451474c, "sysfs_create_groups" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa007eb27, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x11404e45, "in6_dev_finish_destroy" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe152d635, "__netlink_kernel_create" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0x81142b3e, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0x92f0f813, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xae861381, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x13d5641e, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x5cd5b011, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xd2508e1a, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xaf49bc13, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6f1bfb, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ff5f8d7, "__xa_alloc" },
	{ 0x872bdf60, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x7a3eb868, "init_net" },
	{ 0x76d2f63c, "kobject_add" },
	{ 0x8f607373, "up_write" },
	{ 0x423d3514, "ipv6_stub" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb3f0248b, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x99050138, "netlink_unicast" },
	{ 0x14b432d3, "xa_load" },
	{ 0x50fbdcf0, "dev_get_by_index" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xdb9d4328, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AF1EEEB91A8835E33745C61");

MODULE_INFO(suserelease, "SLFO-1.0");
