#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x970637aa, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xbc852d1d, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x48c398d1, "");
SYMBOL_CRC(rdma_res_to_id, 0xa8a31fb9, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x5609bea2, "");
SYMBOL_CRC(rdma_create_user_id, 0x068cc571, "");
SYMBOL_CRC(rdma_create_qp, 0x3aedb545, "");
SYMBOL_CRC(rdma_destroy_qp, 0x06c10d8d, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x6b7d8cc8, "");
SYMBOL_CRC(rdma_destroy_id, 0xd65fdc88, "");
SYMBOL_CRC(rdma_get_service_id, 0x2d854181, "");
SYMBOL_CRC(rdma_read_gids, 0x47167d91, "");
SYMBOL_CRC(rdma_set_service_type, 0xf19ca46a, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x2be0a23c, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x7b5849cd, "");
SYMBOL_CRC(rdma_set_ib_path, 0x3ea476e8, "");
SYMBOL_CRC(rdma_resolve_route, 0xd6d6d16d, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x71dc2cc0, "");
SYMBOL_CRC(rdma_set_afonly, 0x0065e7db, "");
SYMBOL_CRC(rdma_listen, 0x7e528ebe, "");
SYMBOL_CRC(rdma_resolve_addr, 0x1c4dacd5, "");
SYMBOL_CRC(rdma_bind_addr, 0xc6db9f02, "");
SYMBOL_CRC(rdma_connect_locked, 0x8c11d7ec, "");
SYMBOL_CRC(rdma_connect, 0x7bce8c83, "");
SYMBOL_CRC(rdma_connect_ece, 0x76be4eb4, "");
SYMBOL_CRC(rdma_accept, 0x604244ea, "");
SYMBOL_CRC(rdma_accept_ece, 0xb3fae3ba, "");
SYMBOL_CRC(rdma_lock_handler, 0x1f6e9ffa, "");
SYMBOL_CRC(rdma_unlock_handler, 0x92b05f29, "");
SYMBOL_CRC(rdma_notify, 0x0365f6d9, "");
SYMBOL_CRC(rdma_reject, 0x0a47242e, "");
SYMBOL_CRC(rdma_disconnect, 0xb3038d30, "");
SYMBOL_CRC(rdma_join_multicast, 0x13ad2f89, "");
SYMBOL_CRC(rdma_leave_multicast, 0x68619ce1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xb9394978, "ib_register_client" },
	{ 0xb04c1543, "ib_sa_path_rec_get" },
	{ 0xbe1cf3fc, "ib_create_cm_id" },
	{ 0x74cb81a9, "__ip_mc_dec_group" },
	{ 0x872bdf60, "vlan_dev_real_dev" },
	{ 0x43eb62e4, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x4584c44, "ib_init_ah_from_mcmember" },
	{ 0x94395df4, "rdma_destroy_ah_attr" },
	{ 0xb8d2e8a0, "ib_set_client_data" },
	{ 0x7a3eb868, "init_net" },
	{ 0x1a051da6, "ib_get_cached_pkey" },
	{ 0x2de55db2, "configfs_register_subsystem" },
	{ 0xcccde0a6, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x14b432d3, "xa_load" },
	{ 0x938f56b9, "rdma_put_gid_attr" },
	{ 0xbf654567, "config_group_init_type_name" },
	{ 0x50fbdcf0, "dev_get_by_index" },
	{ 0x3dad776d, "iw_destroy_cm_id" },
	{ 0xc0814d19, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x983ee6f9, "ib_send_cm_rep" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf3f04d67, "iw_cm_disconnect" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0x81876072, "ib_destroy_qp_user" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0xb588e5f3, "ib_cm_init_qp_attr" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x974b137b, "ib_send_cm_drep" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba3f78a2, "rdma_restrack_set_name" },
	{ 0xe7033c7f, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xc415b546, "ib_get_cached_port_state" },
	{ 0x763a51d6, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9ced614a, "rdma_restrack_del" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xc069257e, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x708d46a5, "__xa_insert" },
	{ 0x28c310f1, "xa_erase" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xd90ec38c, "__put_net" },
	{ 0xd6bb9436, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x59696e56, "iw_cm_accept" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x34aef7f8, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f70c02c, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x3de04983, "iw_cm_init_qp_attr" },
	{ 0x92a5ab61, "dst_release" },
	{ 0xedfa9516, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd87f2df8, "ib_send_cm_dreq" },
	{ 0x29dc8cd9, "ib_send_cm_req" },
	{ 0xbc993b15, "ib_create_qp_kernel" },
	{ 0xef6e3198, "ib_sa_join_multicast" },
	{ 0x86792151, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc472d15c, "rdma_get_gid_attr" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xaf1ce3c4, "rdma_restrack_new" },
	{ 0x8284a71d, "__fib_lookup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x77ebebb2, "iw_cm_listen" },
	{ 0xf6ae266e, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1c8b6735, "rdma_copy_src_l2_addr" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xc05a412a, "rdma_resolve_ip" },
	{ 0x54235a0c, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3394beaf, "iw_create_cm_id" },
	{ 0x82d83c7, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x80150da8, "ib_unregister_client" },
	{ 0x82b379ee, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1a9234ca, "ib_send_cm_sidr_rep" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0xe057d5a8, "config_group_init" },
	{ 0x7e997756, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x5c7ac381, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x48837e90, "ib_cm_insert_listen" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x7c8b7816, "ib_sa_register_client" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c5575d9, "rdma_query_gid" },
	{ 0x52de803e, "rt6_lookup" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x96e07e07, "rdma_translate_ip" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0x6c556445, "rdma_dev_access_netns" },
	{ 0xbb3e8e62, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x68958fba, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x63f7c68, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x973ab965, "ip_mc_inc_group" },
	{ 0x35baf1d9, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xe043ef2f, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x47874970, "iw_cm_connect" },
	{ 0x398db7a1, "rdma_restrack_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa99fdc31, "rdma_addr_cancel" },
	{ 0x4f8cd08, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x59f7bf80, "ib_sa_get_mcmember_rec" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_cm,configfs,iw_cm");


MODULE_INFO(srcversion, "5AF0CE60716BA2BF8A60C98");

MODULE_INFO(suserelease, "SLFO-1.0");
