#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtrs_clt_get_permit, 0x6923596b, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0x2b9e245a, "");
SYMBOL_CRC(rtrs_clt_open, 0x7f1c8cd3, "");
SYMBOL_CRC(rtrs_clt_close, 0x67939b75, "");
SYMBOL_CRC(rtrs_clt_request, 0xcc6c6914, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x7972826f, "");
SYMBOL_CRC(rtrs_clt_query, 0xac2d6971, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ebc4e21, "rtrs_rdma_dev_pd_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3ead258f, "rtrs_ib_dev_find_or_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5609bea2, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x8b963320, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0xd6d6d16d, "rdma_resolve_route" },
	{ 0x1520820b, "rtrs_iu_free" },
	{ 0x7f15eb9d, "ib_map_mr_sg" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x7a3eb868, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb3f0248b, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbacd1308, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1c8eca9e, "kobj_sysfs_ops" },
	{ 0x4a9eaa3b, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0xab4cecd1, "rtrs_iu_post_recv" },
	{ 0xac189bb5, "kobject_init_and_add" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbe4f6412, "sysfs_create_group" },
	{ 0x920ff5d7, "sysfs_remove_file_self" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0xc6465c4c, "device_del" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa557e826, "ib_alloc_mr" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x8c11d7ec, "rdma_connect_locked" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x71dc2cc0, "rdma_set_reuseaddr" },
	{ 0x3dbd2f4c, "kobject_create_and_add" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd52d6550, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9257f246, "ib_dma_virt_map_sg" },
	{ 0xd417dfd8, "kobject_del" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd65fdc88, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28c9d87d, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x33e5087e, "kobject_uevent" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x8491ebe3, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x63c78b69, "rtrs_cq_qp_create" },
	{ 0x269caa41, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0x20497e78, "rtrs_init_hb" },
	{ 0xbc852d1d, "rdma_consumer_reject_data" },
	{ 0x8fbe3ac8, "rtrs_stop_hb" },
	{ 0x349cba85, "strchr" },
	{ 0xb5fb7dfe, "rtrs_send_hb_ack" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6d54b1, "rtrs_iu_alloc" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1aef77de, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xff2910e9, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x28e901b1, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x970637aa, "rdma_reject_msg" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1c4dacd5, "rdma_resolve_addr" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x134b1629, "rtrs_post_recv_empty" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb0b5bbe6, "ib_dereg_mr_user" },
	{ 0xa38cea5f, "ib_process_cq_direct" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xfcce157f, "rtrs_iu_post_rdma_write_imm" },
	{ 0x2f1a952c, "rtrs_iu_post_send" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb3038d30, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "62026CC17925DB963E80A4B");

MODULE_INFO(suserelease, "SLFO-1.0");
