#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f83eee, "target_submit_prep" },
	{ 0x3833ce41, "target_submit" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc9e014f6, "ib_query_port" },
	{ 0x7c5575d9, "rdma_query_gid" },
	{ 0x5d7c296f, "ib_register_mad_agent" },
	{ 0xb16aedb8, "sbitmap_queue_clear" },
	{ 0x1dc9c6c7, "kmem_cache_size" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7eec9047, "ib_destroy_srq_user" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x17216a93, "core_tpg_register" },
	{ 0x23e5d044, "target_stop_session" },
	{ 0x31d9d5ff, "target_wait_for_sess_cmds" },
	{ 0x15ab43, "target_remove_session" },
	{ 0x68958fba, "ib_destroy_cm_id" },
	{ 0x81876072, "ib_destroy_qp_user" },
	{ 0x6b0c8901, "ib_cq_pool_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x14b432d3, "xa_load" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xaa3b5a6e, "xa_store" },
	{ 0xc20b0f5d, "ib_create_srq_user" },
	{ 0xb3038d30, "rdma_disconnect" },
	{ 0xd87f2df8, "ib_send_cm_dreq" },
	{ 0x974b137b, "ib_send_cm_drep" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0xc9438b42, "ib_unregister_event_handler" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb8d2e8a0, "ib_set_client_data" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xc1378cca, "ib_dealloc_pd_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf6ae266e, "ib_send_cm_rej" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xa47242e, "rdma_reject" },
	{ 0xb6fcaa37, "ib_cq_pool_get" },
	{ 0x3aedb545, "rdma_create_qp" },
	{ 0xbc993b15, "ib_create_qp_kernel" },
	{ 0xe043ef2f, "ib_find_cached_pkey" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdd64e639, "strscpy" },
	{ 0x118a95eb, "target_setup_session" },
	{ 0x604244ea, "rdma_accept" },
	{ 0x983ee6f9, "ib_send_cm_rep" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xe4d2a860, "__ib_alloc_pd" },
	{ 0xc573799d, "rdma_port_get_link_layer" },
	{ 0x83785b62, "ib_cm_listen" },
	{ 0xdf5bf4ec, "ib_register_event_handler" },
	{ 0xbe1cf3fc, "ib_create_cm_id" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x44457fe4, "target_register_template" },
	{ 0xb9394978, "ib_register_client" },
	{ 0xb49eb3ba, "target_unregister_template" },
	{ 0x9ac06507, "ib_modify_port" },
	{ 0x534ea1c, "ib_unregister_mad_agent" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x65b45cb, "complete" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x365f6d9, "rdma_notify" },
	{ 0x4f8cd08, "ib_cm_notify" },
	{ 0xb588e5f3, "ib_cm_init_qp_attr" },
	{ 0xc069257e, "ib_modify_qp" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7a3eb868, "init_net" },
	{ 0x5609bea2, "__rdma_create_kernel_id" },
	{ 0xc6db9f02, "rdma_bind_addr" },
	{ 0x7e528ebe, "rdma_listen" },
	{ 0xd65fdc88, "rdma_destroy_id" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x754d539c, "strlen" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x5d6d61f6, "inet_pton_with_scope" },
	{ 0x3c984540, "core_tpg_deregister" },
	{ 0xd98fd770, "target_put_sess_cmd" },
	{ 0xd79cb533, "target_execute_cmd" },
	{ 0x932c50af, "rdma_rw_ctx_wrs" },
	{ 0x80150da8, "ib_unregister_client" },
	{ 0x89209f12, "ib_create_ah_from_wc" },
	{ 0xacc083c, "ib_create_send_mad" },
	{ 0x6132efc8, "ib_post_send_mad" },
	{ 0x3236353a, "ib_free_send_mad" },
	{ 0xf0f31bdd, "rdma_destroy_ah_user" },
	{ 0xcdfb0091, "ib_free_recv_mad" },
	{ 0x56470118, "__warn_printk" },
	{ 0x27e72633, "xa_find" },
	{ 0x58c250b9, "xa_find_after" },
	{ 0x28c310f1, "xa_erase" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaefbcacd, "target_alloc_sgl" },
	{ 0xf50def11, "rdma_rw_ctx_init" },
	{ 0xe9081167, "rdma_rw_ctx_destroy" },
	{ 0x5bdb610a, "target_free_sgl" },
	{ 0x69acdf38, "memcpy" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x8a85c8ab, "transport_generic_free_cmd" },
	{ 0xa58b1993, "transport_generic_request_failure" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x59e6cbaf, "target_submit_tmr" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xbffa99fb, "__sbitmap_queue_get" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9325ceea, "target_init_cmd" },
	{ 0x6ebaa6cf, "target_send_busy" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,ib_core,ib_cm,rdma_cm,scsi_mod");


MODULE_INFO(srcversion, "461460B61BEFF94764C4694");

MODULE_INFO(suserelease, "SLFO-1.0");
