#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12a5989d, "input_set_abs_params" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0xdf3e6324, "input_event" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7a793704, "input_allocate_device" },
	{ 0x16ab99a2, "input_set_capability" },
	{ 0x4859d8aa, "input_ff_create_memless" },
	{ 0x5ba5370e, "input_free_device" },
	{ 0x377853d9, "input_register_device" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3baa619d, "led_classdev_register_ext" },
	{ 0x6cc617ff, "led_set_brightness" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc43873d8, "input_ff_destroy" },
	{ 0x2a14fb1, "led_classdev_unregister" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x36a9544d, "usb_alloc_coherent" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x5165f503, "usb_free_coherent" },
	{ 0x26f16508, "usb_wait_anchor_empty_timeout" },
	{ 0xa554bfc0, "input_unregister_device" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe14e5c4b, "usb_kill_anchored_urbs" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xb31811c6, "usb_anchor_urb" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0x6684685b, "_dev_err" },
	{ 0xa1fc50b6, "usb_unanchor_urb" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xcbeca54e, "usb_ifnum_to_if" },
	{ 0xf3531747, "usb_set_interface" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x7385e236, "usb_control_msg_recv" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x1cd79916, "input_device_enabled" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,ff-memless");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic58isc42ip00in*");
MODULE_ALIAS("usb:v0079p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0079p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v03EBp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v03EBp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v03F0p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v03F0p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v03F0p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v044Fp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v044Fp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v044Fp*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v045Ep*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v045Ep*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v045Ep*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v046Dp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v046Dp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v056Ep*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v056Ep*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v06A3p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v06A3p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0738p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0738p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0738p4540d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0738p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v07FFp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v07FFp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0B05p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v0C12p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0C12p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0DB0p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0DB0p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0E6Fp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0E6Fp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0E6Fp*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v0F0Dp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0F0Dp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0F0Dp*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v1038p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1038p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v10F5p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v11C9p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v11C9p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v11FFp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v11FFp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1209p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1209p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v12ABp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v12ABp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1430p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1430p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v146Bp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v146Bp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1532p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1532p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1532p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v15E4p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v15E4p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v162Ep*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v162Ep*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1689p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1689p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v17EFp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v17EFp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1949p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1949p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1A86p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1A86p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1BADp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1BADp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1EE9p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1EE9p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v20D6p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v20D6p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v20D6p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2345p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2345p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v24C6p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v24C6p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v24C6p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2563p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2563p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v260Dp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v260Dp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v294Bp*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2993p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2993p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v2C22p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2C22p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v2DC8p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2DC8p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v2DC8p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2E24p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2F24p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2F24p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v2E95p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v31E3p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v31E3p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v3285p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v3285p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v3285p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v3537p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v3537p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v3537p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v413Dp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v413Dp*d*dc*dsc*dp*icFFisc5Dip81in*");

MODULE_INFO(srcversion, "92281432CDFB18645AAD8AF");

MODULE_INFO(suserelease, "SLFO-1.0");
