#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x364bbe36, "input_mt_report_slot_state" },
	{ 0x347b1282, "touchscreen_report_pos" },
	{ 0x1aba471b, "input_mt_report_pointer_emulation" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8df018e8, "regmap_exit" },
	{ 0xbfdde83d, "i2c_transfer" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2842bcc, "simple_attr_open" },
	{ 0x5bd61aa2, "i2c_del_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7233ada2, "regulator_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6f5afe46, "i2c_client_get_device_id" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x49e49b0b, "__regmap_init_i2c" },
	{ 0xd5827161, "__devm_add_action" },
	{ 0x36128fd2, "device_get_match_data" },
	{ 0x59999dd3, "devm_regulator_get" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0xf47a7733, "devm_input_allocate_device" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x349cba85, "strchr" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdc3d4367, "device_property_read_u32_array" },
	{ 0x12a5989d, "input_set_abs_params" },
	{ 0xa67c0390, "touchscreen_parse_properties" },
	{ 0x1b67faa5, "input_mt_init_slots" },
	{ 0xb42a6dab, "irq_get_irq_data" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0xae0868a, "devm_device_add_group" },
	{ 0x377853d9, "input_register_device" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x2779fb8b, "debugfs_create_u16" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x91fa821, "desc_to_gpio" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc71d6128, "simple_open" },
	{ 0x154c0899, "generic_file_llseek" },
	{ 0xd4c046f9, "simple_attr_read" },
	{ 0xc779564d, "simple_attr_write" },
	{ 0xa7607adf, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x76b33508, "i2c_register_driver" },
	{ 0x3be311cd, "regulator_disable" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x3308551e, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6684685b, "_dev_err" },
	{ 0x22bdda39, "regmap_read" },
	{ 0x96848186, "scnprintf" },
	{ 0xe3596071, "regmap_bulk_read" },
	{ 0xdf3e6324, "input_event" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c");

MODULE_ALIAS("of:N*T*Cedt,edt-ft5206");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5206C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506C*");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236C*");
MODULE_ALIAS("i2c:edt-ft5x06");
MODULE_ALIAS("i2c:edt-ft5506");
MODULE_ALIAS("i2c:ev-ft5726");
MODULE_ALIAS("i2c:ft6236");

MODULE_INFO(srcversion, "07AAB1805C46859355EEA1B");

MODULE_INFO(suserelease, "SLFO-1.0");
