#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_send_uevents, 0x9910b8b4, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x9a5ea56b, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xbf631778, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xcce5a9ab, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xa77e04f1, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x91b10a0f, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xdee96ce3, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x0897fd8f, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(_dm_prepare_ioctl, 0x559cc6de, "_gpl");
SYMBOL_CRC(dm_unprepare_ioctl, 0x53fc6eca, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xf8212420, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x65fbbefa, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x4c99604e, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xfa79ab94, "_gpl");
SYMBOL_CRC(dm_get_md, 0x53fa3893, "_gpl");
SYMBOL_CRC(dm_hold, 0x08b2b3d7, "_gpl");
SYMBOL_CRC(dm_device_name, 0x07624405, "_gpl");
SYMBOL_CRC(dm_put, 0x05e70519, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0xf4608541, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x21298c66, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x42cfb365, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xc9e71771, "_gpl");
SYMBOL_CRC(dm_disk, 0xb455f8ff, "_gpl");
SYMBOL_CRC(dm_suspended, 0xf22fe3e5, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xc2202ac5, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xf1c31890, "_gpl");
SYMBOL_CRC(dm_get_device, 0x36ea647b, "");
SYMBOL_CRC(dm_put_device, 0xee1b474c, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x42fb9e14, "_gpl");
SYMBOL_CRC(dm_table_event, 0x11af64a3, "");
SYMBOL_CRC(dm_table_get_size, 0x6b3adb6f, "");
SYMBOL_CRC(dm_table_get_mode, 0x16ca7629, "");
SYMBOL_CRC(dm_table_get_md, 0xef17fe49, "");
SYMBOL_CRC(dm_table_device_name, 0x571f3dd6, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x8acd3a0d, "");
SYMBOL_CRC(dm_register_target, 0x871668fd, "");
SYMBOL_CRC(dm_unregister_target, 0xfc139ecc, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x22043dda, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0xb08dcd70, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x0a48c117, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x2738c7e4, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xd7c70de3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5cecc6, "ima_measure_critical_data" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x405ce011, "kobject_uevent_env" },
	{ 0xa7a191d9, "bio_put" },
	{ 0x4b2533dd, "blk_crypto_intersect_capabilities" },
	{ 0x7273a59e, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x96c11032, "init_srcu_struct" },
	{ 0xfa59c437, "__SCK__tp_func_block_bio_remap" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0xfbfe4511, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x7faec214, "blkdev_get_by_dev" },
	{ 0x664f0ebe, "__srcu_read_lock" },
	{ 0xd78142a1, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb20bcba8, "thaw_bdev" },
	{ 0x88632a4f, "set_capacity" },
	{ 0x1acb8ff, "submit_bio_noacct" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0xbb224548, "blk_integrity_compare" },
	{ 0x32a460e8, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x6c5ddcd8, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0xc805baf0, "dax_remove_host" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x421cd3b3, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe1c41828, "dax_recovery_write" },
	{ 0xd6ce7dfd, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xac189bb5, "kobject_init_and_add" },
	{ 0x6e9f7aaa, "zero_fill_bio_iter" },
	{ 0x12c3e03, "bio_add_page" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xd355e275, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5505c46c, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1f7e509, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x589a3ec0, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9abe2ebe, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xdd651aff, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb08ebea9, "misc_register" },
	{ 0x2e687410, "blk_crypto_evict_key" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x614ac717, "blk_insert_cloned_request" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x55970e28, "audit_log_start" },
	{ 0xc9191f28, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc1b9f5bd, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7953c93e, "bio_uninit" },
	{ 0x275aa733, "crypto_shash_final" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x483b1bf2, "bioset_init" },
	{ 0xed49bcf, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x7d885542, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59db8c53, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xbccc9d5a, "__tracepoint_block_bio_remap" },
	{ 0x9367031f, "__tracepoint_block_rq_remap" },
	{ 0x36e32bf, "bd_link_disk_holder" },
	{ 0xd0a44c90, "blk_mq_start_request" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x7242d92, "put_dax" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6f8017b0, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5fad0190, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xb709f637, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xcde09ab0, "bio_alloc_bioset" },
	{ 0xbf320c7e, "up_read" },
	{ 0xb963b9c1, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x9292881d, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9d09ddf8, "bdev_end_io_acct" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x1412f5b2, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x1af1f092, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x28e901b1, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x7d2f252f, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xd0cac485, "set_disk_ro" },
	{ 0x953ac041, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f9a5d9c, "blk_integrity_register" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0x1a458e61, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb89613fd, "idr_find" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x2939e0b2, "param_ops_ulong" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x789968b0, "bio_split_to_limits" },
	{ 0xbb808d77, "vmalloc_to_page" },
	{ 0xf0e222e4, "disk_update_readahead" },
	{ 0xb13ddc1b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0xa4e963bf, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x616f0837, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x936aeb04, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x69c5d1ca, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa46cd430, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc88de603, "dm_kobject_release" },
	{ 0xbfc97bdc, "up" },
	{ 0x2a635652, "mempool_init" },
	{ 0x8fe19004, "blk_rq_prep_clone" },
	{ 0x4604380d, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0xfff051d4, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d76e6b3, "blk_crypto_profile_init" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ef2fc11, "freeze_bdev" },
	{ 0x5b318e2c, "blk_queue_write_cache" },
	{ 0x8591cda0, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x8b114003, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xe2a9c685, "synchronize_srcu" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x4eae56c7, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9336cc0, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x165c62e4, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8101c70f, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c953274, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xc5d614dc, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x6a5082d5, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x1576cf09, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xfec993f0, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x4faec798, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xde6423dc, "bdev_nr_zones" },
	{ 0x552749e2, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x9c73a14d, "blk_queue_flag_set" },
	{ 0x8a7242a5, "kmalloc_node_trace" },
	{ 0xcdea5dcb, "__SCK__tp_func_block_split" },
	{ 0x480caa12, "mempool_alloc" },
	{ 0xf6b97695, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49420857, "__free_pages" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xad2cc282, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xabf79ac6, "submit_bio" },
	{ 0x2dee3487, "blk_crypto_has_capabilities" },
	{ 0xdd8b23e0, "dax_add_host" },
	{ 0xc9762770, "blk_queue_flag_clear" },
	{ 0x948f2719, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa478a979, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7f8dd2a0, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C6CD744ED6F5C3D4CC0780");

MODULE_INFO(suserelease, "SLFO-1.0");
