#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(md_cluster_ops, 0x5c5c78a9, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(_md_handle_reqeust, 0xa3e2097c, "");
SYMBOL_CRC(md_handle_request, 0x41089632, "");
SYMBOL_CRC(mddev_suspend, 0xeeab0a23, "_gpl");
SYMBOL_CRC(mddev_resume, 0x20423a0c, "_gpl");
SYMBOL_CRC(md_flush_request, 0x99f23a70, "");
SYMBOL_CRC(mddev_init, 0x2d2f5710, "_gpl");
SYMBOL_CRC(mddev_destroy, 0x57b57b20, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x4a0869ed, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0xc1374365, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x8dbff9e5, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x6c1aa193, "_gpl");
SYMBOL_CRC(sync_page_io, 0x5ca73f85, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x300c6807, "");
SYMBOL_CRC(md_integrity_register, 0x82a15e5b, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x27c20644, "");
SYMBOL_CRC(md_update_sb, 0x8e451f65, "");
SYMBOL_CRC(md_rdev_init, 0xe0fbd636, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0xda77c1c0, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0xf40be597, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0xe3643da0, "_gpl");
SYMBOL_CRC(md_run, 0x85f8c14b, "_gpl");
SYMBOL_CRC(md_start, 0xb769298b, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x8b1b5bd0, "_gpl");
SYMBOL_CRC(md_stop, 0x6a047a45, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x9ad29f5b, "");
SYMBOL_CRC(md_wakeup_thread, 0x5cb499a3, "");
SYMBOL_CRC(md_register_thread, 0x239adcb6, "");
SYMBOL_CRC(md_unregister_thread, 0x9bfc2be1, "");
SYMBOL_CRC(md_error, 0xffa63530, "");
SYMBOL_CRC(register_md_personality, 0x12fdc576, "");
SYMBOL_CRC(unregister_md_personality, 0xc4e6229f, "");
SYMBOL_CRC(register_md_cluster_operations, 0xabe44aaf, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0xafc93c08, "");
SYMBOL_CRC(md_write_start, 0x53f98ede, "");
SYMBOL_CRC(md_write_inc, 0x685c816e, "");
SYMBOL_CRC(md_write_end, 0x635f964b, "");
SYMBOL_CRC(md_submit_discard_bio, 0xce9c009d, "_gpl");
SYMBOL_CRC(md_account_bio, 0x098b8503, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0x5ba74231, "_gpl");
SYMBOL_CRC(md_allow_write, 0x251ea42b, "_gpl");
SYMBOL_CRC(md_do_sync, 0xbbfb785f, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x64d9235f, "");
SYMBOL_CRC(md_reap_sync_thread, 0xf083c489, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x5b8f19a1, "");
SYMBOL_CRC(md_finish_reshape, 0xa8e962eb, "");
SYMBOL_CRC(rdev_set_badblocks, 0xe2394690, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x4c46b073, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x1ed6d775, "");
SYMBOL_CRC(md_bitmap_update_sb, 0x37a27305, "");
SYMBOL_CRC(md_bitmap_unplug, 0x0bd5ae69, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0xcc9fe3b1, "");
SYMBOL_CRC(md_bitmap_startwrite, 0xbf21ad5c, "");
SYMBOL_CRC(md_bitmap_endwrite, 0x3a89772e, "");
SYMBOL_CRC(md_bitmap_start_sync, 0x0162625c, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x7aa9d4d6, "");
SYMBOL_CRC(md_bitmap_close_sync, 0xecaf6219, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x6cd9688d, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0x97cf0074, "");
SYMBOL_CRC(md_bitmap_free, 0x937a6c28, "");
SYMBOL_CRC(md_bitmap_load, 0xbd37bb3e, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0xe6407725, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0x3e9c6dac, "_gpl");
SYMBOL_CRC(md_bitmap_get_stats, 0x52cfca4d, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0x23ab28c0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9abe2ebe, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xdd651aff, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbb78ebae, "_atomic_dec_and_lock" },
	{ 0xbc3c6e86, "invalidate_bdev" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfd00a5d4, "mutex_trylock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0xd52d6550, "sysfs_remove_group" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd417dfd8, "kobject_del" },
	{ 0xa32cf33a, "vfs_fsync" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x483b1bf2, "bioset_init" },
	{ 0x83932e97, "file_path" },
	{ 0x9a284bf5, "kernfs_put" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xbdeefb9c, "sysfs_break_active_protection" },
	{ 0xebf85b6, "__folio_put" },
	{ 0xa920b5f1, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0xf52ce35, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x33e5087e, "kobject_uevent" },
	{ 0xbccc9d5a, "__tracepoint_block_bio_remap" },
	{ 0x36e32bf, "bd_link_disk_holder" },
	{ 0x58111950, "proc_dointvec" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1bdf8e61, "seq_open" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xa04d4eb1, "badblocks_clear" },
	{ 0x40675c0a, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xae6e6b7a, "badblocks_store" },
	{ 0xcde09ab0, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x4f8d7d16, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x4c84f86b, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x28e901b1, "kobject_put" },
	{ 0x24f2c241, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xd0cac485, "set_disk_ro" },
	{ 0x953ac041, "__blk_alloc_disk" },
	{ 0x2f9a5d9c, "blk_integrity_register" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xf903056e, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x9e8bed2a, "__bio_add_page" },
	{ 0x1a458e61, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83a8e64e, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2295a47d, "proc_create" },
	{ 0x789968b0, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa124dbdb, "seq_release" },
	{ 0xb13ddc1b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x6f130006, "badblocks_set" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x85acc59c, "fget" },
	{ 0x574d2dc2, "sysfs_unbreak_active_protection" },
	{ 0x7648217b, "invalidate_mapping_pages" },
	{ 0x796950a1, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2225d22, "badblocks_exit" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x5b318e2c, "blk_queue_write_cache" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x9ee0a55f, "ack_all_badblocks" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xf86193b4, "kernfs_notify" },
	{ 0xa3ef0adc, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe662d9d1, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x1ec16906, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6a5082d5, "bioset_integrity_create" },
	{ 0xdc2a413e, "mempool_create" },
	{ 0x1576cf09, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc741aeba, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa2169b25, "unregister_sysctl_table" },
	{ 0xb580dfba, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x651fac15, "sync_blockdev" },
	{ 0xd616b3ef, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0x9c73a14d, "blk_queue_flag_set" },
	{ 0xf6b97695, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xad2cc282, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xabf79ac6, "submit_bio" },
	{ 0xc9762770, "blk_queue_flag_clear" },
	{ 0x948f2719, "module_put" },
	{ 0x664d419f, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xef2cf1bd, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7f8dd2a0, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x261782f3, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xa7a191d9, "bio_put" },
	{ 0x7273a59e, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfa59c437, "__SCK__tp_func_block_bio_remap" },
	{ 0x49608959, "migrate_disable" },
	{ 0x7c73b41e, "fput" },
	{ 0x76d2f63c, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3fa93767, "sysfs_remove_link" },
	{ 0x7faec214, "blkdev_get_by_dev" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1acb8ff, "submit_bio_noacct" },
	{ 0xbb224548, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xda1859c0, "blk_sync_queue" },
	{ 0xdd94e63d, "seq_file_path" },
	{ 0x17b55a4c, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0x421cd3b3, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0x7b90b8e2, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5505c46c, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbe4f6412, "sysfs_create_group" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x589a3ec0, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7E1680724B2BFA34462B720");

MODULE_INFO(suserelease, "SLFO-1.0");
