#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dvb_generic_open, 0x9b66a89d, "");
SYMBOL_CRC(dvb_generic_release, 0x5bf685e0, "");
SYMBOL_CRC(dvb_generic_ioctl, 0x31c9f9d9, "");
SYMBOL_CRC(dvb_register_device, 0x5f8b7510, "");
SYMBOL_CRC(dvb_remove_device, 0xac76d902, "");
SYMBOL_CRC(dvb_device_get, 0xab03053a, "");
SYMBOL_CRC(dvb_unregister_device, 0xf6ba6a47, "");
SYMBOL_CRC(dvb_create_media_graph, 0x1b74a063, "_gpl");
SYMBOL_CRC(dvb_register_adapter, 0xe8477fbb, "");
SYMBOL_CRC(dvb_unregister_adapter, 0x1fcbe0b7, "");
SYMBOL_CRC(dvb_module_probe, 0xbd903113, "_gpl");
SYMBOL_CRC(dvb_module_release, 0xff574117, "_gpl");
SYMBOL_CRC(dvb_dmxdev_init, 0x94f7b54f, "");
SYMBOL_CRC(dvb_dmxdev_release, 0x954b14af, "");
SYMBOL_CRC(dvb_dmx_swfilter_packets, 0x4b34228c, "");
SYMBOL_CRC(dvb_dmx_swfilter, 0xdc8cb30a, "");
SYMBOL_CRC(dvb_dmx_swfilter_204, 0xb85c54a7, "");
SYMBOL_CRC(dvb_dmx_swfilter_raw, 0x17b8d56c, "");
SYMBOL_CRC(dvb_dmx_init, 0xb37d40c5, "");
SYMBOL_CRC(dvb_dmx_release, 0xe040c5fc, "");
SYMBOL_CRC(dvb_ca_en50221_camchange_irq, 0x0e1ca854, "");
SYMBOL_CRC(dvb_ca_en50221_camready_irq, 0xce3d291c, "");
SYMBOL_CRC(dvb_ca_en50221_frda_irq, 0x5da2e9d8, "");
SYMBOL_CRC(dvb_ca_en50221_init, 0x6fbe013f, "");
SYMBOL_CRC(dvb_ca_en50221_release, 0x49933c50, "");
SYMBOL_CRC(dvb_frontend_reinitialise, 0xb3529072, "");
SYMBOL_CRC(dvb_frontend_sleep_until, 0x3b93d71a, "");
SYMBOL_CRC(dvb_frontend_suspend, 0xb5ca61f6, "");
SYMBOL_CRC(dvb_frontend_resume, 0xf621fddc, "");
SYMBOL_CRC(dvb_register_frontend, 0x7c6c1e15, "");
SYMBOL_CRC(dvb_unregister_frontend, 0x193645b8, "");
SYMBOL_CRC(dvb_frontend_detach, 0x167ba43a, "");
SYMBOL_CRC(dvb_net_release, 0x6835bf42, "");
SYMBOL_CRC(dvb_net_init, 0xc388b243, "");
SYMBOL_CRC(dvb_ringbuffer_flush, 0xa5926aca, "");
SYMBOL_CRC(dvb_ringbuffer_init, 0xb2e77d0b, "");
SYMBOL_CRC(dvb_ringbuffer_empty, 0x828febf1, "");
SYMBOL_CRC(dvb_ringbuffer_free, 0x3e2c033b, "");
SYMBOL_CRC(dvb_ringbuffer_avail, 0xe65f67ce, "");
SYMBOL_CRC(dvb_ringbuffer_flush_spinlock_wakeup, 0x17b4ee91, "");
SYMBOL_CRC(dvb_ringbuffer_read_user, 0x806015c6, "");
SYMBOL_CRC(dvb_ringbuffer_read, 0xbc7f8b57, "");
SYMBOL_CRC(dvb_ringbuffer_write, 0x180e2406, "");
SYMBOL_CRC(dvb_ringbuffer_write_user, 0x8cfe4a7c, "");
SYMBOL_CRC(intlog2, 0x5f2b1d95, "");
SYMBOL_CRC(intlog10, 0x08733236, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb384d37, "kasprintf" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x13aa6d2e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x2a3b55ad, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xab2ebcf, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd2895dfe, "media_devnode_create" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x2be40cc6, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xbf320c7e, "up_read" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xf8acf863, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1cb143a, "media_devnode_remove" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe753f058, "eth_header" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x243c374f, "class_destroy" },
	{ 0xbfc97bdc, "up" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4df02057, "crc32_be" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x8195bbc6, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x533f37c5, "media_create_intf_link" },
	{ 0xdada88b4, "media_create_pad_links" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x4ed7d553, "media_create_pad_link" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5cd5b011, "alloc_netdev_mqs" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd61ee3bd, "eth_header_parse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x948f2719, "module_put" },
	{ 0x6c308efc, "media_device_register_entity" },
	{ 0x6f7c400c, "cdev_add" },
	{ 0x66d87d38, "symbol_put_addr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f607373, "up_write" },
	{ 0x47c492c3, "i2c_unregister_device" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x288b3b05, "device_create" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0x32a460e8, "down" },
	{ 0x61d6bedf, "class_create" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xb1f02766, "register_netdev" },
	{ 0x5c54909a, "free_netdev" },
	{ 0x712b70e7, "media_entity_pads_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0xaeecfb20, "i2c_new_client_device" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0xfb3030ee, "freezing_slow_path" },
	{ 0x96343aa0, "default_llseek" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "4694B5D60FAFF2C656B9252");

MODULE_INFO(suserelease, "SLFO-1.0");
