#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5bd61aa2, "i2c_del_driver" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x5b31b864, "__devm_regmap_init_i2c" },
	{ 0xc1c0b900, "__dev_fwnode" },
	{ 0xb3c88e70, "fwnode_graph_get_next_endpoint" },
	{ 0xa901b267, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0xa778dd85, "fwnode_handle_put" },
	{ 0xd5a55075, "v4l2_fwnode_endpoint_free" },
	{ 0xd910273e, "devm_clk_get" },
	{ 0xef2bea49, "devm_regulator_bulk_get" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0xdc3d4367, "device_property_read_u32_array" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0x2a4775ce, "v4l2_i2c_subdev_init" },
	{ 0x712b70e7, "media_entity_pads_init" },
	{ 0x4c2223f4, "v4l2_fwnode_device_parse" },
	{ 0x824127a7, "v4l2_ctrl_handler_init_class" },
	{ 0xc84343b5, "v4l2_ctrl_new_std" },
	{ 0x13245a90, "v4l2_ctrl_new_int_menu" },
	{ 0x604cc01e, "v4l2_ctrl_new_std_menu_items" },
	{ 0x94ecbabb, "v4l2_ctrl_cluster" },
	{ 0x89576ff4, "v4l2_ctrl_new_fwnode_properties" },
	{ 0x9a5d392b, "__v4l2_subdev_init_finalize" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xd8de5387, "v4l2_i2c_subdev_set_name" },
	{ 0x70ee75b7, "v4l2_async_register_subdev" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0xf146c535, "v4l2_ctrl_handler_free" },
	{ 0xa999deeb, "v4l2_subdev_cleanup" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x74396244, "regulator_bulk_disable" },
	{ 0xe2822320, "__v4l2_find_nearest_size" },
	{ 0xd089ca8f, "v4l2_async_unregister_subdev" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4c78dc14, "__v4l2_ctrl_grab" },
	{ 0x9b656454, "__v4l2_ctrl_handler_setup" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0x89bdfbda, "pm_runtime_get_if_active" },
	{ 0x2780fc2e, "v4l2_subdev_link_validate" },
	{ 0x1219e380, "v4l2_subdev_get_fmt" },
	{ 0x50986648, "v4l2_ctrl_subdev_subscribe_event" },
	{ 0xb66b62de, "v4l2_event_subdev_unsubscribe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x76b33508, "i2c_register_driver" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6684685b, "_dev_err" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4b4ff403, "regulator_bulk_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3308551e, "gpiod_set_value_cansleep" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xaffd5f28, "regmap_raw_write" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe6dcc6a9, "__v4l2_ctrl_s_ctrl" },
	{ 0xe4581fa8, "__v4l2_ctrl_modify_range" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c,v4l2-fwnode,videodev,mc,v4l2-async");

MODULE_ALIAS("of:N*T*Csony,imx290");
MODULE_ALIAS("of:N*T*Csony,imx290C*");
MODULE_ALIAS("of:N*T*Csony,imx290lqr");
MODULE_ALIAS("of:N*T*Csony,imx290lqrC*");
MODULE_ALIAS("of:N*T*Csony,imx290llr");
MODULE_ALIAS("of:N*T*Csony,imx290llrC*");
MODULE_ALIAS("of:N*T*Csony,imx327lqr");
MODULE_ALIAS("of:N*T*Csony,imx327lqrC*");

MODULE_INFO(srcversion, "3AF69393F1A01F2ED602976");

MODULE_INFO(suserelease, "SLFO-1.0");
