#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(media_device_register_entity, 0x6c308efc, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x2be40cc6, "_gpl");
SYMBOL_CRC(media_device_init, 0x5856a618, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x0354fa52, "_gpl");
SYMBOL_CRC(__media_device_register, 0xd5f49873, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0xfd0fa322, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xfb452fe8, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x92971e58, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x933b1bac, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x6335e354, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xa3791e26, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x712b70e7, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0xc7022dc7, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x742cbdc1, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xd46ead67, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x50e4da4c, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xda16cee7, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x80ac2f36, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x7e773120, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xa40b6095, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x74524547, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xebb05a99, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xdbf95963, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x9f38bc4f, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x2a3b55ad, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x4ed7d553, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0xdada88b4, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x89c778dd, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x8ad58b41, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x09da9bc2, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x7f61de50, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x9de2b9b7, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xccd3b51b, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xb6f04cf5, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0xfab75e8d, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x438867b7, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xd7f3e0a4, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x45698b5b, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xd2895dfe, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xe1cb143a, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x533f37c5, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xaf62c76a, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x0d3c3075, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x92400ffc, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x6bfac260, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xefcaca9c, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xbc676cab, "_gpl");
SYMBOL_CRC(media_request_put, 0xc9bcc4a2, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x8d6d928d, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x8a463d34, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x8e201bdf, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x7639cf4f, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x0361af0d, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x9aadf6f7, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x15cc0726, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x4592c745, "_gpl");
SYMBOL_CRC(media_device_delete, 0xe28fda71, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81142b3e, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8799d18a, "cdev_device_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc05839dd, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x948f2719, "module_put" },
	{ 0xc5f20298, "device_create_file" },
	{ 0x63527824, "bus_unregister" },
	{ 0x7c73b41e, "fput" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdb696ba9, "ida_free" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x80fb524b, "platform_bus_type" },
	{ 0xdfa3ef26, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x61fab3ff, "pci_bus_type" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x7df92cd7, "device_remove_file" },
	{ 0x65c98671, "bus_register" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x53549b32, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf048203, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4d01e2ac, "cdev_device_del" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3e26d3b7, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "88F278A82577C102DCCFBD6");

MODULE_INFO(suserelease, "SLFO-1.0");
