#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx18_ext_init, 0xacb1d940, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0x080fdf21, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0xbb59cbbb, "");
SYMBOL_CRC(cx18_claim_stream, 0xfeecebaf, "");
SYMBOL_CRC(cx18_release_stream, 0x09d0bb31, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x64cf2054, "video_devdata" },
	{ 0x91837ebf, "i2c_new_scanned_device" },
	{ 0x8be045ee, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fece605, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe6dcc6a9, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4e8a7450, "vb2_ioctl_dqbuf" },
	{ 0xe040c5fc, "dvb_dmx_release" },
	{ 0x92399040, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xf64502d5, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc4189d6a, "vb2_ioctl_prepare_buf" },
	{ 0xc0217c0c, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x175d121c, "vb2_buffer_done" },
	{ 0x2df5ebd5, "vb2_plane_vaddr" },
	{ 0xbec529ca, "v4l2_ctrl_subscribe_event" },
	{ 0x82bca55, "v4l2_fh_init" },
	{ 0x778563d2, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc388b243, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdc8cb30a, "dvb_dmx_swfilter" },
	{ 0x20f740e1, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x954b14af, "dvb_dmxdev_release" },
	{ 0x86f7d0a3, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x83344a25, "vb2_fop_mmap" },
	{ 0x7e33bee9, "param_ops_short" },
	{ 0x90cf3a2b, "vb2_vmalloc_memops" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xadf0a08, "vb2_fop_read" },
	{ 0xd12228bb, "v4l2_device_register" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x167ba43a, "dvb_frontend_detach" },
	{ 0xf531180e, "param_ops_string" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6835bf42, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc13648d6, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x193645b8, "dvb_unregister_frontend" },
	{ 0x1fafc1a3, "pci_write_config_byte" },
	{ 0x62886a9, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa6101d8e, "vb2_ioctl_streamon" },
	{ 0x58597a14, "vb2_fop_poll" },
	{ 0xc84343b5, "v4l2_ctrl_new_std" },
	{ 0x23403d43, "v4l2_ctrl_g_ctrl" },
	{ 0x3e7f0040, "cx2341x_handler_init" },
	{ 0xc9e742a0, "cx2341x_handler_set_50hz" },
	{ 0xf146c535, "v4l2_ctrl_handler_free" },
	{ 0x53fe158d, "v4l2_device_unregister" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0x7c6c1e15, "dvb_register_frontend" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6c848a6b, "v4l2_subdev_call_wrappers" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xade5a5a2, "v4l2_i2c_new_subdev" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1fcbe0b7, "dvb_unregister_adapter" },
	{ 0xb37d40c5, "dvb_dmx_init" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x51ab38ac, "pci_write_config_word" },
	{ 0x1ce31f0f, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8a14dbbe, "v4l2_event_unsubscribe" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1ae6eb5, "vb2_ioctl_reqbufs" },
	{ 0x8878007c, "vb2_queue_init" },
	{ 0xba82a7ca, "v4l2_fh_exit" },
	{ 0x94f7b54f, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x60c44615, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x84452549, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x67ed3435, "vb2_queue_release" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0xeb83bc1d, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x3d053fcb, "i2c_bit_add_bus" },
	{ 0xeb8147cd, "v4l2_fh_del" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x833e02bd, "v4l2_fh_add" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x9600ca4, "vb2_ops_wait_finish" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x824127a7, "v4l2_ctrl_handler_init_class" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x5c41117e, "vb2_ioctl_querybuf" },
	{ 0x166abd85, "v4l2_subdev_init" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xfd6a02df, "vb2_video_unregister_device" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe8477fbb, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x24b500e4, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8018cca5, "v4l2_ctrl_handler_log_status" },
	{ 0xe07444d3, "v4l2_ctrl_handler_setup" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F56DCCFAC3CD63982A3DD2B");

MODULE_INFO(suserelease, "SLFO-1.0");
