#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0xec70a763, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x77c506f1, "");
SYMBOL_CRC(cx25821_dev_unregister, 0xa3bf5738, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x02e19360, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0xa1c5b2dd, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xefc3ec77, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x41902f38, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe07444d3, "v4l2_ctrl_handler_setup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x64cf2054, "video_devdata" },
	{ 0x1ce97e35, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x1fece605, "i2c_del_adapter" },
	{ 0xdc48f239, "vb2_plane_cookie" },
	{ 0x4e8a7450, "vb2_ioctl_dqbuf" },
	{ 0x92399040, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc4189d6a, "vb2_ioctl_prepare_buf" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x175d121c, "vb2_buffer_done" },
	{ 0xbec529ca, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0x20f740e1, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x86f7d0a3, "vb2_ioctl_qbuf" },
	{ 0x83344a25, "vb2_fop_mmap" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xadf0a08, "vb2_fop_read" },
	{ 0xd12228bb, "v4l2_device_register" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xaef2e214, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xc13648d6, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x62886a9, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6101d8e, "vb2_ioctl_streamon" },
	{ 0x58597a14, "vb2_fop_poll" },
	{ 0xc84343b5, "v4l2_ctrl_new_std" },
	{ 0xf146c535, "v4l2_ctrl_handler_free" },
	{ 0x53fe158d, "v4l2_device_unregister" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x1ce31f0f, "video_device_release_empty" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8a14dbbe, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x1ae6eb5, "vb2_ioctl_reqbufs" },
	{ 0x8878007c, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x71e52306, "vb2_dma_sg_memops" },
	{ 0x84452549, "video_ioctl2" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0xeb83bc1d, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9600ca4, "vb2_ops_wait_finish" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x824127a7, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x5c41117e, "vb2_ioctl_querybuf" },
	{ 0x48ed53ea, "v4l2_fh_open" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "77EC1E165D4713381B62A04");

MODULE_INFO(suserelease, "SLFO-1.0");
