#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mantis_get_mac, 0xfa1151a8, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0xa07dc25d, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x12207aba, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0x9b3ad837, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x3b690960, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0xce8717ab, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x3f2a0969, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x035d824f, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0xd23f33bc, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x94757c5a, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x65d86298, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0x7feae48a, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x9f114f3c, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x04f87009, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0xf5556ecb, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x07398011, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x56be1ca6, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x4e36a31c, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x5f0d9ae8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76d23ba8, "__wake_up" },
	{ 0xe8477fbb, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1fece605, "i2c_del_adapter" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xb85c54a7, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe040c5fc, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49933c50, "dvb_ca_en50221_release" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x57807b92, "rc_register_device" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x3ec7d692, "rc_keydown" },
	{ 0xc388b243, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdc8cb30a, "dvb_dmx_swfilter" },
	{ 0x954b14af, "dvb_dmxdev_release" },
	{ 0x7e33bee9, "param_ops_short" },
	{ 0xbc9dd958, "rc_free_device" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x167ba43a, "dvb_frontend_detach" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xaef2e214, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x6835bf42, "dvb_net_release" },
	{ 0xce3d291c, "dvb_ca_en50221_camready_irq" },
	{ 0x60be86c1, "rc_allocate_device" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x193645b8, "dvb_unregister_frontend" },
	{ 0xe1ca854, "dvb_ca_en50221_camchange_irq" },
	{ 0xbfdde83d, "i2c_transfer" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0x7c6c1e15, "dvb_register_frontend" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1fcbe0b7, "dvb_unregister_adapter" },
	{ 0xb37d40c5, "dvb_dmx_init" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xff80eb35, "rc_unregister_device" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x94f7b54f, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x6fbe013f, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "59E19B7E1F9F26E6B5CED32");

MODULE_INFO(suserelease, "SLFO-1.0");
