#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd64e639, "strscpy" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x754d539c, "strlen" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd00a5d4, "mutex_trylock" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0xdf3e6324, "input_event" },
	{ 0xa662cc56, "usb_find_interface" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x995e96f8, "usb_get_dev" },
	{ 0xcbeca54e, "usb_ifnum_to_if" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0xd75bbfa2, "usb_put_dev" },
	{ 0x7a793704, "input_allocate_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x12a5989d, "input_set_abs_params" },
	{ 0x377853d9, "input_register_device" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x60be86c1, "rc_allocate_device" },
	{ 0x57807b92, "rc_register_device" },
	{ 0xbe4f6412, "sysfs_create_group" },
	{ 0x113386bb, "usb_register_dev" },
	{ 0x6684685b, "_dev_err" },
	{ 0xbc9dd958, "rc_free_device" },
	{ 0xa554bfc0, "input_unregister_device" },
	{ 0x5ba5370e, "input_free_device" },
	{ 0x52575dbd, "rc_g_keycode_from_table" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xbc4c5f7e, "rc_keyup" },
	{ 0x3ec7d692, "rc_keydown" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd52d6550, "sysfs_remove_group" },
	{ 0xff80eb35, "rc_unregister_device" },
	{ 0x38a7ffdf, "usb_deregister_dev" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0x65b45cb, "complete" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rc-core");

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A3DCA9B273EA8D0AB2ACB45");

MODULE_INFO(suserelease, "SLFO-1.0");
