#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dvb_usbv2_probe, 0x920e618c, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0x62d485e2, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0xa6a8703e, "");
SYMBOL_CRC(dvb_usbv2_resume, 0xb117cbb0, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0xbdc76401, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0x5d8307f8, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0xd98ecf5a, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0xb9939f7c, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0xfe04b7d1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe8477fbb, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xd94ca5f0, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x1fece605, "i2c_del_adapter" },
	{ 0x354fa52, "media_device_cleanup" },
	{ 0xb85c54a7, "dvb_dmx_swfilter_204" },
	{ 0xe040c5fc, "dvb_dmx_release" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x57807b92, "rc_register_device" },
	{ 0xc388b243, "dvb_net_init" },
	{ 0xdc8cb30a, "dvb_dmx_swfilter" },
	{ 0x954b14af, "dvb_dmxdev_release" },
	{ 0xbc9dd958, "rc_free_device" },
	{ 0x17b8d56c, "dvb_dmx_swfilter_raw" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x167ba43a, "dvb_frontend_detach" },
	{ 0xaef2e214, "i2c_add_adapter" },
	{ 0x6835bf42, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x60be86c1, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x193645b8, "dvb_unregister_frontend" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6335e354, "__media_device_usb_init" },
	{ 0xf621fddc, "dvb_frontend_resume" },
	{ 0x7c6c1e15, "dvb_register_frontend" },
	{ 0xb5ca61f6, "dvb_frontend_suspend" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x1b74a063, "dvb_create_media_graph" },
	{ 0x1fcbe0b7, "dvb_unregister_adapter" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb37d40c5, "dvb_dmx_init" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xff80eb35, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x94f7b54f, "dvb_dmxdev_init" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x92971e58, "media_device_unregister" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0xd5f49873, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "SLFO-1.0");
