#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_cypress_load_firmware, 0x8e599258, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0xf1d94894, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x06a4e206, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0xb82f0c85, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x164b7ee5, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x9521733a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa554bfc0, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xd5f49873, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe8477fbb, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5ba5370e, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xc71f5b31, "usb_clear_halt" },
	{ 0xd94ca5f0, "usb_bulk_msg" },
	{ 0x377853d9, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x1fece605, "i2c_del_adapter" },
	{ 0x354fa52, "media_device_cleanup" },
	{ 0xb85c54a7, "dvb_dmx_swfilter_204" },
	{ 0xe040c5fc, "dvb_dmx_release" },
	{ 0x5165f503, "usb_free_coherent" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x57807b92, "rc_register_device" },
	{ 0x8063b830, "usb_control_msg" },
	{ 0xc388b243, "dvb_net_init" },
	{ 0xdc8cb30a, "dvb_dmx_swfilter" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x954b14af, "dvb_dmxdev_release" },
	{ 0xbc9dd958, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x17b8d56c, "dvb_dmx_swfilter_raw" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf3e6324, "input_event" },
	{ 0x167ba43a, "dvb_frontend_detach" },
	{ 0xaef2e214, "i2c_add_adapter" },
	{ 0x6835bf42, "dvb_net_release" },
	{ 0x60be86c1, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x193645b8, "dvb_unregister_frontend" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6335e354, "__media_device_usb_init" },
	{ 0x7c6c1e15, "dvb_register_frontend" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x1b74a063, "dvb_create_media_graph" },
	{ 0x1fcbe0b7, "dvb_unregister_adapter" },
	{ 0xb37d40c5, "dvb_dmx_init" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xff80eb35, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7a793704, "input_allocate_device" },
	{ 0x94f7b54f, "dvb_dmxdev_init" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x92971e58, "media_device_unregister" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x36a9544d, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "SLFO-1.0");
