#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(video_device_alloc, 0xe2980c04, "");
SYMBOL_CRC(video_device_release, 0xb8378683, "");
SYMBOL_CRC(video_device_release_empty, 0x1ce31f0f, "");
SYMBOL_CRC(video_devdata, 0x64cf2054, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xc13648d6, "");
SYMBOL_CRC(video_unregister_device, 0x20f740e1, "");
SYMBOL_CRC(video_device_pipeline_start, 0x0808fc36, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x8d9f0dd0, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x05d23d42, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0xdee1de53, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x7ea369ba, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x2ed47e79, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x84452549, "");
SYMBOL_CRC(v4l2_device_register, 0xd12228bb, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x9c22ea07, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x2b77854d, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0xbc51044e, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x53fe158d, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0x24b500e4, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x0afb31e0, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0xbf93f591, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x082bca55, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x833e02bd, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x48ed53ea, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0xeb8147cd, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0xba82a7ca, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x2d5db57f, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xc0217c0c, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xd59b8f5b, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x68fad3cc, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x018c1dae, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x778563d2, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x41ed6b64, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xef4e8e9f, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x59fd2434, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x8a14dbbe, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0xb66b62de, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0xd35d963e, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x2ef407a0, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x6c848a6b, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x4eb3fbd4, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x3d919ec0, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x2780fc2e, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0xef2077c5, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0xf344d0b6, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xdcf41e0f, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x9a5d392b, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0xa999deeb, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x1219e380, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x381f27a6, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x3b252d6f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0x1545bfe6, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0x474f452f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0x4c56c20a, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x946273d9, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x6aa8f735, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x9f06517c, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0xae93c4cb, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x708f8886, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xf2d83882, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x166abd85, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x2ed99f17, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x41eea8af, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x8b6f8eaf, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x9c4932c1, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xeace0e2f, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x28b12cc9, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0xfb164347, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0xf3b0013c, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xc5597f8f, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x8d600b60, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xd3d2d754, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x7240d993, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x824127a7, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xf146c535, "");
SYMBOL_CRC(v4l2_ctrl_find, 0xaff15a29, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x06f59021, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xc84343b5, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x3ad1cdac, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x604cc01e, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x1339260f, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x13245a90, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x3eee85f4, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x9ac57449, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x94ecbabb, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xa21bd452, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x8da3501c, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x4c78dc14, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x9b656454, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0xe07444d3, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0x8018cca5, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x89576ff4, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x3110406c, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x13321c95, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x01ac32d6, "");
SYMBOL_CRC(v4l2_g_ctrl, 0xe4447fdd, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x87f59b67, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x23403d43, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0xb0568647, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0xe6dcc6a9, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x0c6d65c0, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xe8ccd543, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x86d1e815, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xe4581fa8, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x6495fb04, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0xbbdcb486, "");
SYMBOL_CRC(v4l2_queryctrl, 0xb981a8b2, "");
SYMBOL_CRC(v4l2_querymenu, 0xc5315b33, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x118df038, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x6a400931, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xb0fa1b4f, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0xbec529ca, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x50986648, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0xebe2f1a4, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xbd417074, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x85ccfc62, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0xdf924a50, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x777c4db5, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x4e35b69c, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x896ba008, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x93017dd3, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0xca6d85af, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x4ad77eeb, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0xd3c6fb3d, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x5a66bc65, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0xb622dd31, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xabb469b5, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0xd553e98b, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x6c308df5, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x32df146d, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0xdabec912, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0xe8d0ae52, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x8fab32bf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0x256d83fe, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x802ecc34, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x8d5f4950, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0xf7a9f4de, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x543dbe1c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x628077da, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xc95c03d3, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x9795cf8b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x5f95851b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0xd8de5387, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x2a4775ce, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x7329e0fb, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xade5a5a2, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x57934c67, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xaeecfb20, "i2c_new_client_device" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x6ea15b35, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x80ac2f36, "media_pipeline_start" },
	{ 0xa40b6095, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2a3b55ad, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x80fb524b, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6cc617ff, "led_set_brightness" },
	{ 0xd46ead67, "media_graph_walk_start" },
	{ 0xd2895dfe, "media_devnode_create" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x438867b7, "media_entity_get_fwnode_pad" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa778dd85, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x2be40cc6, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xda16cee7, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1aef77de, "class_register" },
	{ 0x106a27c, "led_sysfs_disable" },
	{ 0x9de2b9b7, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x61fab3ff, "pci_bus_type" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xf8acf863, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1283df7f, "cdev_alloc" },
	{ 0xe1cb143a, "media_devnode_remove" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x8a463d34, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7639cf4f, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x31f94514, "led_sysfs_enable" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcc91ed1f, "fwnode_graph_get_remote_endpoint" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x30623b77, "spi_unregister_device" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x9aadf6f7, "media_request_object_unbind" },
	{ 0xdfda5d8c, "led_put" },
	{ 0xd0fe55c6, "led_trigger_remove" },
	{ 0xb3c88e70, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x15cc0726, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x216875e, "fwnode_graph_get_port_parent" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x81142b3e, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x533f37c5, "media_create_intf_link" },
	{ 0x4ed7d553, "media_create_pad_link" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf55b0d8, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x7e773120, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x91837ebf, "i2c_new_scanned_device" },
	{ 0x45698b5b, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8e201bdf, "media_request_object_put" },
	{ 0x948f2719, "module_put" },
	{ 0x74524547, "media_pipeline_alloc_start" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6c308efc, "media_device_register_entity" },
	{ 0x8d6d928d, "media_request_get_by_fd" },
	{ 0x6f7c400c, "cdev_add" },
	{ 0xd71040b, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x6684685b, "_dev_err" },
	{ 0x47c492c3, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc9bcc4a2, "media_request_put" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x4927588f, "spi_new_device" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x361af0d, "media_request_object_bind" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x50e4da4c, "media_graph_walk_next" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "52B6961BD31BE1DA4779252");

MODULE_INFO(suserelease, "SLFO-1.0");
