#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39906c9, "fc_remote_port_delete" },
	{ 0x90fd0ff3, "scsi_is_fc_rport" },
	{ 0xc3adf046, "scsi_done" },
	{ 0x9a55c1b3, "mptscsih_qcmd" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5acf261e, "mptscsih_event_process" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x19e40e06, "mpt_config" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd1d980ba, "mptscsih_ioc_reset" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d1c6e76, "mpt_attach" },
	{ 0x82e762fe, "scsi_host_alloc" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8aa6934b, "scsi_add_host_with_dma" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e28c760, "mptscsih_abort" },
	{ 0xf3b08f1, "mptscsih_dev_reset" },
	{ 0xcfced75e, "mptscsih_bus_reset" },
	{ 0x62621539, "fc_remote_port_add" },
	{ 0x7714147f, "fc_remote_port_rolechg" },
	{ 0xb7c0f443, "sort" },
	{ 0x815e5158, "mptscsih_suspend" },
	{ 0x4d8bcb51, "mptscsih_resume" },
	{ 0x64460667, "mptscsih_shutdown" },
	{ 0x56a44732, "mptscsih_info" },
	{ 0x963af94e, "mptscsih_host_reset" },
	{ 0x8e6704bb, "mptscsih_slave_configure" },
	{ 0x44c78853, "mptscsih_slave_destroy" },
	{ 0x405d6c29, "mptscsih_change_queue_depth" },
	{ 0x88f2bc7, "mptscsih_bios_param" },
	{ 0x37bc25a8, "mptscsih_show_info" },
	{ 0xdde345f8, "fc_eh_timed_out" },
	{ 0x70ab574, "mptscsih_host_attr_groups" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x19e93e1f, "fc_attach_transport" },
	{ 0x9736cb57, "mptscsih_io_done" },
	{ 0x5a30d957, "mpt_register" },
	{ 0x52620f01, "mptscsih_taskmgmt_complete" },
	{ 0xedf93a8e, "mptscsih_scandv_complete" },
	{ 0xb004e805, "mpt_event_register" },
	{ 0xa2550895, "mpt_reset_register" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xd8818ee1, "fc_release_transport" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x750be2e0, "fc_remove_host" },
	{ 0x37a0cba, "kfree" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xef3993be, "scsi_remove_host" },
	{ 0xf6cb673d, "mptscsih_remove" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_mod,mptscsih,mptbase");

MODULE_ALIAS("pci:v00001000d00000621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000624sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000628sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000626sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000642sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001657d00000646sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C722A4064FFAAF5F824D402");

MODULE_INFO(suserelease, "SLFO-1.0");
