#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0xcf256560, "_gpl");
SYMBOL_CRC(mei_reset, 0xac08d74c, "_gpl");
SYMBOL_CRC(mei_start, 0x26ffdb2f, "_gpl");
SYMBOL_CRC(mei_restart, 0x8e584929, "_gpl");
SYMBOL_CRC(mei_stop, 0x103d4283, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0x0b100070, "_gpl");
SYMBOL_CRC(mei_device_init, 0x91e16779, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0xbd96f86a, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0x2c8a90db, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0xf0b0011d, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0x7dc2abcb, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0x1377ca21, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0xa30ad760, "_gpl");
SYMBOL_CRC(mei_register, 0xcc8a5a90, "_gpl");
SYMBOL_CRC(mei_deregister, 0x96df0899, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0x3a24f5db, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag_timeout, 0xfe9f6f8c, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0x8b9bf6d7, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0x2b0f4943, "_gpl");
SYMBOL_CRC(mei_cldev_recv_timeout, 0x7de0d9f9, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag_timeout, 0xdaf52712, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0x342cd7ef, "_gpl");
SYMBOL_CRC(mei_cldev_send_timeout, 0xa40d8a2c, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x6b817ff4, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0x95f22afe, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0x2babac93, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0xb0e6800a, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x5e0c0585, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0xea7a2cbc, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x86f2102d, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0x5a99b14e, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0xb9f28db4, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0x632c1aa4, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x6bc98409, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x86233479, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0x4784a52a, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x37b13cbb, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0xe260732d, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0xd5ad4109, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x3ea1a764, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x7ec8b115, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x91c23412, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x751c215d, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x77983ed7, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0xccd596c7, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0xe7c57860, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x8834b49c, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0x5e7d0794, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaec642bd, "debugfs_write_file_bool" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x948f2719, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0x6f7c400c, "cdev_add" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x63527824, "bus_unregister" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f607373, "up_write" },
	{ 0xc71d6128, "simple_open" },
	{ 0xb3f0248b, "device_add" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x5de68570, "fasync_helper" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc6465c4c, "device_del" },
	{ 0x67f9386b, "dmam_free_coherent" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xfa20d506, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xc9191f28, "nonseekable_open" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xedb3cd46, "device_create_with_groups" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xab2ebcf, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0x537e2a81, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x35c14bf, "single_open" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x154c0899, "generic_file_llseek" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbf320c7e, "up_read" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1aef77de, "class_register" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xf8acf863, "cdev_del" },
	{ 0x65c98671, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf810d126, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc30da2ed, "dmam_alloc_attrs" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x737ba015, "kill_fasync" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x1e552f45, "__module_get" },
	{ 0x81142b3e, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1a85d52, "debugfs_read_file_bool" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x282be500, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F7777C01AFACF105362B49C");

MODULE_INFO(suserelease, "SLFO-1.0");
