#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vmci_context_get_priv_flags, 0x5591b58e, "_gpl");
SYMBOL_CRC(vmci_is_context_owner, 0xc403cafe, "_gpl");
SYMBOL_CRC(vmci_datagram_create_handle_priv, 0xde3abc2e, "_gpl");
SYMBOL_CRC(vmci_datagram_create_handle, 0x046dd187, "_gpl");
SYMBOL_CRC(vmci_datagram_destroy_handle, 0x3a22fa8a, "_gpl");
SYMBOL_CRC(vmci_datagram_send, 0xea143610, "_gpl");
SYMBOL_CRC(vmci_doorbell_create, 0xb572e830, "_gpl");
SYMBOL_CRC(vmci_doorbell_destroy, 0x5e949e0a, "_gpl");
SYMBOL_CRC(vmci_doorbell_notify, 0xbcb85f62, "_gpl");
SYMBOL_CRC(vmci_get_context_id, 0x056837fb, "_gpl");
SYMBOL_CRC(vmci_register_vsock_callback, 0x787f0fe8, "_gpl");
SYMBOL_CRC(vmci_event_subscribe, 0x2449459d, "_gpl");
SYMBOL_CRC(vmci_event_unsubscribe, 0xe11895c1, "_gpl");
SYMBOL_CRC(vmci_send_datagram, 0x75fe065a, "_gpl");
SYMBOL_CRC(vmci_qpair_alloc, 0xe0cc9c92, "_gpl");
SYMBOL_CRC(vmci_qpair_detach, 0x612df9ae, "_gpl");
SYMBOL_CRC(vmci_qpair_get_produce_indexes, 0x1fd4782d, "_gpl");
SYMBOL_CRC(vmci_qpair_get_consume_indexes, 0xc04c7e84, "_gpl");
SYMBOL_CRC(vmci_qpair_produce_free_space, 0x024d14bc, "_gpl");
SYMBOL_CRC(vmci_qpair_consume_free_space, 0x676bd843, "_gpl");
SYMBOL_CRC(vmci_qpair_produce_buf_ready, 0xea61eefe, "_gpl");
SYMBOL_CRC(vmci_qpair_consume_buf_ready, 0x7c74d7a6, "_gpl");
SYMBOL_CRC(vmci_qpair_enqueue, 0xe67343c1, "_gpl");
SYMBOL_CRC(vmci_qpair_dequeue, 0x81d61eef, "_gpl");
SYMBOL_CRC(vmci_qpair_peek, 0x4ba5c46b, "_gpl");
SYMBOL_CRC(vmci_qpair_enquev, 0x68a42dfa, "_gpl");
SYMBOL_CRC(vmci_qpair_dequev, 0x17577f68, "_gpl");
SYMBOL_CRC(vmci_qpair_peekv, 0x3f530713, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x371af0c3, "finish_wait" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf04e09da, "__put_cred" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x60c0e2fe, "pcim_iomap_regions" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x29b9aac0, "pci_iomap_range" },
	{ 0x6684685b, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0x463d9143, "vmap" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x302bed4d, "pci_iounmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xb08ebea9, "misc_register" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xebf85b6, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6e02c297, "set_page_dirty_lock" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x910576aa, "pcim_iomap_table" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd5d4a8d, "get_user_pages_fast" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe812b8f4, "_copy_to_iter" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015ADd00000740sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D4D0A9370DFE62AA6DC96DB");

MODULE_INFO(suserelease, "SLFO-1.0");
