#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xfb578fc5, "memset" },
	{ 0x5df2bbf7, "usb_sg_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x5d440f0c, "usb_sg_wait" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x995e96f8, "usb_get_dev" },
	{ 0x4857aaef, "usb_string" },
	{ 0x134e3317, "mmc_alloc_host" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xd75bbfa2, "usb_put_dev" },
	{ 0x2b404910, "mmc_free_host" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaf627500, "mmc_add_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xe45046a4, "mmc_remove_host" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe1654818, "mmc_request_done" },
	{ 0x4ffa9084, "usb_lock_device_for_reset" },
	{ 0xa6265f70, "usb_reset_device" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x94895994, "usb_sg_cancel" },
	{ 0x20799e90, "usb_unlink_urb" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x9166fada, "strncpy" },
	{ 0x3a74bee7, "mmc_detect_change" },
	{ 0x8063b830, "usb_control_msg" },
	{ 0x6684685b, "_dev_err" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x37a0cba, "kfree" },
	{ 0x65b45cb, "complete" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mmc_core");

MODULE_ALIAS("usb:v2201p012Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p012Cd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DE5BE977E75A9418A0BF959");

MODULE_INFO(suserelease, "SLFO-1.0");
