#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nanddev_isbad, 0xedcd2a72, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0xa59edfba, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0x083cc0af, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x3fed97b5, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0x130f6053, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x477d776f, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0xb5eb616d, "_gpl");
SYMBOL_CRC(nanddev_init, 0xb5466cd3, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x95ff385f, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0xc52365ca, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x96ea9cee, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x0b173706, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0x575a8bcd, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0xa9769792, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0xa5303eab, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0xf3c8f75c, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0x4460abad, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x0734ca31, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0x428a1ff6, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x9c23952b, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x942fd4cb, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0xa517268b, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0x5945210b, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0x8db805bd, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x038bb7dd, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0xc7364b48, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0xa12898c3, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x505e5e4a, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x1427e93c, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0xd90cfa05, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x2f2e378a, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0xe6c475d2, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0x16fdea38, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x2cd81b9f, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x6ca3a802, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x127e58af, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0x45694160, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x102d7d72, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0x032b3847, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0xd3088305, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0x01079d7c, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0x709241f0, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0x2c23cb33, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc717de0c, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x70cdc98e, "mtd_ooblayout_count_eccbytes" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x142c2f3, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "8F061617B43D7186BF17431");

MODULE_INFO(suserelease, "SLFO-1.0");
