#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34c2a4b0, "gro_cells_init" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc11f1c1b, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x354e16ad, "security_sk_classify_flow" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xe75cd8dc, "skb_checksum" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x69a91a9f, "ip_local_out" },
	{ 0x68b0cc2d, "__ip_select_ident" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x8b1ff941, "ipv6_mc_check_mld" },
	{ 0x25c69950, "ip_mc_check_igmp" },
	{ 0x85d34cc8, "udp_tunnel_xmit_skb" },
	{ 0x479f9e96, "skb_copy_expand" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0x960ba1aa, "__iptunnel_pull_header" },
	{ 0xd3fce63e, "gro_cells_receive" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbfc1fe24, "icmp_ndo_send" },
	{ 0x381e17dc, "ipv6_dev_get_saddr" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd0bcd606, "__netif_rx" },
	{ 0x737ac4b3, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa23db88d, "unregister_netdevice_queue" },
	{ 0x45705117, "netdev_upper_dev_unlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x13aa6d2e, "__dynamic_netdev_dbg" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x50fbdcf0, "dev_get_by_index" },
	{ 0xd36b08e6, "register_netdevice" },
	{ 0x6534a401, "netdev_upper_dev_link" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2ff4d015, "udp_tunnel_sock_release" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf49097d6, "rtnl_link_register" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf9e8d198, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92997ed8, "_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b076956, "udp_sock_create4" },
	{ 0x49fa2e9, "setup_udp_tunnel_sock" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x8195bbc6, "ether_setup" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel");


MODULE_INFO(srcversion, "6731D473FBA41ECA0A2DFF9");

MODULE_INFO(suserelease, "SLFO-1.0");
