#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pdsc_get_pf_struct, 0x9a9e0975, "_gpl");
SYMBOL_CRC(pds_client_register, 0xd6048adf, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0x397781bb, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0xb4ceaca3, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x63e8bab1, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xadb676dc, "devl_lock" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x2779fb8b, "debugfs_create_u16" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xb3b87550, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0xda66a4e7, "devlink_alloc_ns" },
	{ 0x1e4ceac9, "pci_sriov_get_totalvfs" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x29ce7df2, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x76250ff4, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce1ac8cf, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x2beb5f6b, "priv_to_devlink" },
	{ 0xa2d4247c, "blocking_notifier_call_chain" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6ba4749b, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x8c6324c6, "debugfs_create_regset32" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x64e9444e, "devl_health_reporter_create" },
	{ 0x4561ef86, "pci_iov_vf_id" },
	{ 0x3ec16dee, "pci_clear_master" },
	{ 0x29b9aac0, "pci_iomap_range" },
	{ 0x10e7f09, "devlink_flash_update_timeout_notify" },
	{ 0x6684685b, "_dev_err" },
	{ 0x7a3eb868, "init_net" },
	{ 0x1abe0dbb, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x13f2db51, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x31bad859, "devl_params_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x85f53ab, "debugfs_create_ulong" },
	{ 0x302bed4d, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc6465c4c, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a41a6e9, "debugfs_create_u32" },
	{ 0xfc4258d, "devl_params_unregister" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x489fd374, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x3f8d59ae, "blocking_notifier_chain_unregister" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb1a56746, "debugfs_create_x32" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0x5ecd8046, "pcie_print_link_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x1856a9f5, "devlink_priv" },
	{ 0xe1c4b972, "pci_disable_sriov" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x35c14bf, "single_open" },
	{ 0xc6493c65, "devl_register" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0x179d693c, "pci_enable_sriov" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcd251fa0, "pci_iov_get_pf_drvdata" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x95063994, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1f5a5324, "auxiliary_device_init" },
	{ 0x521b6557, "pci_iomap" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E24848224CC34FC22A3A3CF");

MODULE_INFO(suserelease, "SLFO-1.0");
