#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0x198c9a25, "dev_kfree_skb_irq_reason" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe3feba56, "tasklet_unlock_spin_wait" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x521b6557, "pci_iomap" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xb1f02766, "register_netdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xff785dd7, "netif_device_attach" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0xf9560e45, "param_ops_charp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb19b445, "ioread8" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x92997ed8, "_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x5e488078, "device_set_wakeup_enable" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x302bed4d, "pci_iounmap" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0x5c54909a, "free_netdev" },
	{ 0xc62f9950, "mii_ethtool_set_link_ksettings" },
	{ 0x97c34f15, "mii_ethtool_get_link_ksettings" },
	{ 0xcfdaade0, "mii_link_ok" },
	{ 0x3afa5a95, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa087cd92, "generic_mii_ioctl" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001002bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001003bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001012bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001040bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013F0d00000201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013F0d00000200sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "438089FC010BAA00FE45081");

MODULE_INFO(suserelease, "SLFO-1.0");
