#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x7f3d9945, "");
SYMBOL_CRC(be_roce_unregister_driver, 0xaf035cee, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xf43297ae, "napi_enable" },
	{ 0x5498a886, "netif_receive_skb" },
	{ 0xb1f02766, "register_netdev" },
	{ 0x5c54909a, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0xf6b8707a, "netif_set_xps_queue" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x302bed4d, "pci_iounmap" },
	{ 0x43af56b1, "pci_restore_state" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0x1775dc5e, "devm_hwmon_device_register_with_groups" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xcfae30c9, "netif_tx_lock" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xb709e5c3, "pci_enable_wake" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xebf85b6, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x55b9d368, "skb_clone" },
	{ 0xaf5a71e7, "__hw_addr_sync_dev" },
	{ 0xe1c4b972, "pci_disable_sriov" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0xec8c50bb, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0xa9e5b5fe, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x3ebe65c, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x179d693c, "pci_enable_sriov" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcf465811, "pci_write_config_dword" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x114e135c, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb6c3553e, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf00cd6f5, "param_ops_ushort" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x521b6557, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x8eedaafd, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4db698c9, "ndo_dflt_bridge_getlink" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0xc63f9d4, "napi_get_frags" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x96a93dda, "pci_num_vf" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x148098cd, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x1e4ceac9, "pci_sriov_get_totalvfs" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x24c7cc51, "udp_tunnel_nic_ops" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0xc7d54553, "netif_tx_unlock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0x2c25957a, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0xfcb991ca, "__hw_addr_unsync_dev" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xff785dd7, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd33ba38b, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xeeddb61d, "netif_set_real_num_tx_queues" },
	{ 0x698b5b68, "netif_set_real_num_rx_queues" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A0B6D1C4C53DF79201E1356");

MODULE_INFO(suserelease, "SLFO-1.0");
