#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x6f48b815, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xfdf9ff97, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x958d7161, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x5c2da972, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xdb6d64a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x31c4249c, "pcie_flr" },
	{ 0xf43297ae, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xc83ba766, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x2bdbebf3, "dcbnl_ieee_notify" },
	{ 0x9aaee7cc, "xsk_uses_need_wakeup" },
	{ 0xb1f02766, "register_netdev" },
	{ 0xac5f2a39, "dev_mc_del" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x5c54909a, "free_netdev" },
	{ 0xf7569164, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xe7035467, "netdev_dpll_pin_set" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xf6b8707a, "netif_set_xps_queue" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91c27c89, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x2fae231b, "netif_tx_stop_all_queues" },
	{ 0x43af56b1, "pci_restore_state" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xc6465c4c, "device_del" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0x716d2534, "dcb_getapp" },
	{ 0x67f9386b, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x692dd270, "flow_rule_match_ports" },
	{ 0x429a106b, "gnss_allocate_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xbccf8f54, "ptp_clock_event" },
	{ 0x1643317, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xb3aaff5, "netif_schedule_queue" },
	{ 0x70944844, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x3928568e, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf9d52139, "flow_rule_match_ipv6_addrs" },
	{ 0xce934762, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x949c19a8, "ptp_clock_unregister" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x7cc1483e, "xp_dma_unmap" },
	{ 0xe3fb79db, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x992662ed, "rhashtable_destroy" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x77417ada, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xf2d1ec63, "__xa_cmpxchg" },
	{ 0x489fd374, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x13aa6d2e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x708d46a5, "__xa_insert" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0x28c310f1, "xa_erase" },
	{ 0x5db656ea, "flow_rule_match_pppoe" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x626ed848, "flow_rule_match_enc_control" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xb99bdf51, "__page_frag_cache_drain" },
	{ 0xef9a0c4a, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe52237ed, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xcc14032a, "gnss_deregister_device" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x11e16b86, "rps_may_expire_flow" },
	{ 0x4ae3219e, "metadata_dst_free" },
	{ 0xc36796f2, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2227e83e, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4e303c7e, "devlink_params_register" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xf910a633, "kthread_destroy_worker" },
	{ 0x94b60785, "flow_rule_match_enc_ipv6_addrs" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x48d333cc, "flow_rule_match_enc_ports" },
	{ 0x1dfed834, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x16429a32, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd4e8167f, "xa_destroy" },
	{ 0x7f770803, "call_netdevice_notifiers" },
	{ 0x27e72633, "xa_find" },
	{ 0x3d1f13fa, "devl_assert_locked" },
	{ 0x5ecd8046, "pcie_print_link_status" },
	{ 0x463d868f, "xp_set_rxq_info" },
	{ 0x17043a59, "flow_rule_match_vlan" },
	{ 0xa1d866e5, "devl_port_unregister" },
	{ 0x4a015c07, "xdp_rxq_info_unreg" },
	{ 0x6f9110ab, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x87d981b0, "napi_build_skb" },
	{ 0xdbaec1c5, "netdev_master_upper_dev_get_rcu" },
	{ 0xb3c1b935, "__xdp_rxq_info_reg" },
	{ 0xa24e6ca, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xa22bd6b9, "dpll_pin_register" },
	{ 0xd8ecab59, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1856a9f5, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xaf5a71e7, "__hw_addr_sync_dev" },
	{ 0x140018a8, "devlink_port_register_with_ops" },
	{ 0xe1c4b972, "pci_disable_sriov" },
	{ 0x12cffc35, "pldmfw_flash_image" },
	{ 0xcf27a3ad, "kthread_queue_delayed_work" },
	{  0xc9b3d, "metadata_dst_alloc" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0xf7e35eb6, "netdev_set_num_tc" },
	{ 0xedaf1388, "dpll_device_register" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x8dbffa06, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2e06b600, "dev_uc_add_excl" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xd8e69c10, "xp_free" },
	{ 0xcea163a2, "dev_mc_add_excl" },
	{ 0x2965d086, "gnss_put_device" },
	{ 0x7a8975a1, "single_release" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0xc22450cc, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa9e5b5fe, "netif_set_tso_max_size" },
	{ 0xcf03cf3, "__skb_flow_dissect" },
	{ 0xa9a60925, "vlan_dev_vlan_id" },
	{ 0x3eff1cf3, "pci_msix_alloc_irq_at" },
	{ 0x58c250b9, "xa_find_after" },
	{ 0x910576aa, "pcim_iomap_table" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc019db3a, "xdp_master_redirect" },
	{ 0xd5827161, "__devm_add_action" },
	{ 0x47e0f2dc, "dpll_pin_on_pin_register" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0xb188d78f, "napi_consume_skb" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x792292d0, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0xc4c06134, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x35c14bf, "single_open" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe87e3100, "flow_rule_match_control" },
	{ 0xeb07222d, "flow_rule_match_ip" },
	{ 0x179d693c, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x725aa3bd, "dpll_device_get" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x6cf35d11, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa1d9d260, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7258bc84, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa71c3edf, "__tracepoint_xdp_exception" },
	{ 0xc0cab81a, "xsk_tx_completed" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0x2df1699, "netdev_lower_get_next" },
	{ 0x2cf5be8d, "flow_block_cb_lookup" },
	{ 0x13a84908, "pci_save_state" },
	{ 0x8384b2c3, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x195e85df, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x5e488078, "device_set_wakeup_enable" },
	{ 0x114e135c, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6e25484c, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3dfba128, "pci_find_ext_capability" },
	{ 0x6d3bef1d, "kthread_create_worker" },
	{ 0x94220aca, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe6e3c08a, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3cedab5c, "devlink_unregister" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0xb89613fd, "idr_find" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x376847b4, "kthread_cancel_delayed_work_sync" },
	{ 0x71ab0b51, "dpll_device_change_ntf" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x774afe9c, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x421c7641, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8eed3af7, "call_switchdev_notifiers" },
	{ 0x7c30eca, "__napi_alloc_skb" },
	{ 0x33ec35da, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa53ac4ef, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0x1f5a5324, "auxiliary_device_init" },
	{ 0x42d604ef, "pci_enable_device_mem" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x5e023fcf, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x310347d7, "flow_rule_match_l2tpv3" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0xb9d67f2f, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x52cb7000, "xsk_tx_peek_release_desc_batch" },
	{ 0x8eedaafd, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc30da2ed, "dmam_alloc_attrs" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xadb676dc, "devl_lock" },
	{ 0xbc9e7d03, "pci_dev_put" },
	{ 0x97943cfe, "xp_fill_cb" },
	{ 0xcdfff301, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4db698c9, "ndo_dflt_bridge_getlink" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0xfa4e1e32, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x69ca18bc, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xdd568e80, "xdp_features_set_redirect_target" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xa7f3743f, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x7432c75, "dev_uc_del" },
	{ 0xf7370f56, "system_state" },
	{ 0x365239f1, "flow_rule_match_cvlan" },
	{ 0xde748fe0, "__xa_erase" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xb3b87550, "devlink_params_unregister" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0xc32934f4, "gnss_insert_raw" },
	{ 0x96a93dda, "pci_num_vf" },
	{ 0x432aec08, "flow_rule_match_eth_addrs" },
	{ 0x9d91779, "skb_add_rx_frag" },
	{ 0x904600d, "get_device_system_crosststamp" },
	{ 0xb63fda9d, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4b4e5e25, "ptp_clock_index" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x53075709, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xda66a4e7, "devlink_alloc_ns" },
	{ 0x87d469e7, "devl_rate_leaf_destroy" },
	{ 0x262d79d, "devlink_register" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf96acc79, "xdp_do_redirect" },
	{ 0x29ce7df2, "devlink_free" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4380b0b0, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xfed2b7d1, "devl_rate_node_create" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0x24c7cc51, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x695f199f, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x49f080c6, "devl_rate_nodes_destroy" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0xfbd1fb7a, "flow_rule_match_ipv4_addrs" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0x13f35044, "dpll_pin_on_pin_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x4774229e, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xfea4485, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x1fe97a3c, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xce1ac8cf, "devlink_flash_update_status_notify" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xb257cadc, "pci_restore_msi_state" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0xa6c262bc, "xdp_return_buff" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x22d8b1cf, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xf99be31f, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf08892f, "auxiliary_driver_unregister" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0xf2b22599, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x2beb5f6b, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x105f0ae2, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc76b14cb, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xd374dc9, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0xb53cc1eb, "ipv6_skip_exthdr" },
	{ 0x978389ae, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x3c13d446, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49420857, "__free_pages" },
	{ 0xbb1ce3f7, "netdev_dpll_pin_clear" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xfcb991ca, "__hw_addr_unsync_dev" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xbdcddcf2, "napi_gro_receive" },
	{ 0xff785dd7, "netif_device_attach" },
	{ 0xce3faeca, "xdp_features_clear_redirect_target" },
	{ 0x7ba49817, "netdev_pick_tx" },
	{ 0xd7dd7573, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb694171a, "xp_raw_get_dma" },
	{ 0xc5d45d09, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x768a5997, "pci_iov_virtfn_devfn" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xe1b446c3, "xdp_rxq_info_is_reg" },
	{ 0x5d4f4146, "flow_rule_match_enc_opts" },
	{ 0x187a24cb, "flow_block_cb_setup_simple" },
	{ 0x637131a9, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x78045760, "flow_rule_match_basic" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5bfe1d32, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x60c0e2fe, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5d37706, "devlink_region_create" },
	{ 0x4ff5f8d7, "__xa_alloc" },
	{ 0x872bdf60, "vlan_dev_real_dev" },
	{ 0x3ec16dee, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x63562880, "devm_kmemdup" },
	{ 0x3f155d87, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x81220507, "devlink_port_unregister" },
	{ 0x10e7f09, "devlink_flash_update_timeout_notify" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x6684685b, "_dev_err" },
	{ 0x7a3eb868, "init_net" },
	{ 0xd33ba38b, "softnet_data" },
	{ 0xc71d6128, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4c35821d, "xdp_return_frame" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x649861b1, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xdaac304e, "xp_dma_sync_for_cpu_slow" },
	{ 0x9cb3eca4, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xeeddb61d, "netif_set_real_num_tx_queues" },
	{ 0x13f2db51, "__auxiliary_device_add" },
	{ 0x47c4f7d6, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x14b432d3, "xa_load" },
	{ 0x698b5b68, "netif_set_real_num_rx_queues" },
	{ 0xf82b3f0c, "flow_indr_block_cb_alloc" },
	{ 0x1b969fdb, "devl_port_register_with_ops" },
	{ 0x49f361bf, "pci_wait_for_pending_transaction" },
	{ 0xd7797436, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x417af402, "pci_device_is_present" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "71DB32C232384F784E602C3");

MODULE_INFO(suserelease, "SLFO-1.0");
