#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(prestera_device_register, 0xdc9a1d87, "");
SYMBOL_CRC(prestera_device_unregister, 0x48866f4e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ade8eb5, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0xf2b22599, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x2beb5f6b, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xcdff4721, "switchdev_bridge_port_offload" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x151a4171, "flow_block_cb_incref" },
	{ 0x306c19d8, "flow_rule_match_ports_range" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x130cd306, "free_fib_info" },
	{ 0x78045760, "flow_rule_match_basic" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x872bdf60, "vlan_dev_real_dev" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0x81220507, "devlink_port_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0x7a3eb868, "init_net" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xe5b77915, "flow_block_cb_decref" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xf43297ae, "napi_enable" },
	{ 0xb1f02766, "register_netdev" },
	{ 0xce6fdcb6, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5c54909a, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xe3466588, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x5a094ca8, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fce20d, "idr_alloc_cyclic" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xce45de38, "rhashtable_free_and_destroy" },
	{ 0xc00ae453, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x692dd270, "flow_rule_match_ports" },
	{ 0x1643317, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x992662ed, "rhashtable_destroy" },
	{ 0x867c7184, "devlink_trap_report" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x6065d7e2, "__neigh_event_send" },
	{ 0xedbc247e, "flow_block_cb_alloc" },
	{ 0x77417ada, "switchdev_handle_port_obj_add" },
	{ 0x90dc633b, "fib_alias_hw_flags_set" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf838e67f, "__neigh_create" },
	{ 0x46a787dd, "netdev_walk_all_upper_dev_rcu" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xef9a0c4a, "rhashtable_insert_slow" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x26602795, "neigh_destroy" },
	{ 0x714ab0f0, "br_multicast_enabled" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x17043a59, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdbaec1c5, "netdev_master_upper_dev_get_rcu" },
	{ 0x8682365a, "devlink_traps_register" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x2c0cea08, "radix_tree_tagged" },
	{ 0xa24e6ca, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc53fdee3, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1856a9f5, "devlink_priv" },
	{ 0x140018a8, "devlink_port_register_with_ops" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0xe805d5b, "netdev_has_any_upper_dev" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x1dad1535, "devlink_trap_groups_register" },
	{ 0x4a8ce137, "arp_tbl" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc98c3111, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc2674a81, "netdev_walk_all_lower_dev" },
	{ 0xa2d0ce12, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x8284a71d, "__fib_lookup" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x7b25b981, "devlink_trap_groups_unregister" },
	{ 0xe87e3100, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x1df1ec1b, "rhashtable_walk_exit" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xcd3733ad, "init_dummy_netdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xccda220d, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0x2df1699, "netdev_lower_get_next" },
	{ 0x2cf5be8d, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x5d835900, "br_vlan_enabled" },
	{ 0x114e135c, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3cedab5c, "devlink_unregister" },
	{ 0xc1782e9e, "dma_pool_create" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8eed3af7, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xc2ef018f, "register_fib_notifier" },
	{ 0xe5cf85aa, "l3mdev_fib_table_rcu" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1448a0a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x432aec08, "flow_rule_match_eth_addrs" },
	{ 0xb63fda9d, "devlink_port_attrs_set" },
	{ 0x984ff3d9, "flow_block_cb_priv" },
	{ 0xb6762d96, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xda66a4e7, "devlink_alloc_ns" },
	{ 0x262d79d, "devlink_register" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x29ce7df2, "devlink_free" },
	{ 0x4380b0b0, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0xfbd1fb7a, "flow_rule_match_ipv4_addrs" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0x33a8d5f3, "rhashtable_walk_enter" },
	{ 0xbb3e8e62, "fib_table_lookup" },
	{ 0x23f02d17, "skb_pull_rcsum" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfea4485, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x1fe97a3c, "switchdev_handle_port_attr_set" },
	{ 0x7a71a217, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "8ABF5DC680D6AC3C3E75CC1");

MODULE_INFO(suserelease, "SLFO-1.0");
