#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlx4_buf_alloc, 0x64c7b488, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x37c5c58a, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xbe2de486, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xa72ce112, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xed3f970a, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x417e298d, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x0c6107fb, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x90556ed5, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xe1421fbc, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xf22d4c70, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x0d16cfa2, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x6ae592e5, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xa6f8a351, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x70eb9b17, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x9f1c2e19, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x6091f749, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xa3160c24, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xa84fd426, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xace80ee6, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xefd4ea25, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x3dba4f4d, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x8038bed2, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x6a8b072a, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x3396f1dc, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x70a4a68d, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x451bd1bc, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xe137fbbd, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xc20e8627, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xfa13f32d, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xa0621a76, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x46e9955f, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x23404cbb, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x922d1293, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xcb185f1f, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xbd288bcb, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x874d72fb, "");
SYMBOL_CRC(mlx4_test_async, 0x1a38500f, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x4bb7c3ca, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x98c1c1c3, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xf4a3d0b4, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xf91aa34c, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x7c53adef, "");
SYMBOL_CRC(mlx4_assign_eq, 0x2d8fce34, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xcd43fda5, "");
SYMBOL_CRC(mlx4_release_eq, 0x3e13743e, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x100fd6e3, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x80fa50d6, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x1f4fb659, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x58e65119, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x3273aa05, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x0cc86977, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x9e6a33c0, "");
SYMBOL_CRC(mlx4_wol_read, 0xd1956ca2, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x4593c715, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x699a84aa, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x44e75463, "");
SYMBOL_CRC(set_phv_bit, 0x3c94a7ba, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xe65bc24d, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x77dd0acf, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x3c70a6ee, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xc215fc98, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x37246a0e, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xd45e4be6, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x065bb858, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x51627aa8, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xa0d94683, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x630449ea, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x026516ef, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x61c41050, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x00a3560d, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x89b72462, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xba0c8285, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xf13276df, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xc099f66b, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x27fc482b, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x6fb35419, "");
SYMBOL_CRC(mlx4_read_clock, 0xddd7f80a, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xd2ba4aaa, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xfe5eb0e8, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0xcb921435, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x24de7236, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xf56d32d3, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x00e0e6e0, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xb8503972, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x149bbf44, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xe616453c, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x16f19090, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xca075c71, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xf83e1306, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x7ff32615, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x59f3c273, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xc7ddbb87, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x3568e1d9, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x7944ed49, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x82cf9767, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x8b8892d9, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xbab3e3a1, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xf1432e97, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x282f1c11, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x5e80f208, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x1d27bf31, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xa1c2cc37, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x919ba1a2, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x35740c41, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x6dae9796, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xeb045847, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x7e8a7af3, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xfaa19bc1, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xb0d25e36, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x6b750906, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x91a6c263, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xf16f99ca, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xe0154234, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x61819f42, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xad3e0901, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x612400a2, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xe025b3ec, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x5f14c8b4, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x5d0c7087, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x84b1954a, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x5566cdff, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x4e7cb9fc, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x20215e9c, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xbc3d4d99, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x5fefc41e, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xfd6828e8, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xa6f4d945, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xe76fcb2e, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x67496d67, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x2f9a79be, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x6b6b4ff1, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xd196bb73, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xcac3e7f2, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x7240a2e8, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x220aeff3, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x96ed609d, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x3d7b2440, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xb3c2fd8d, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xc8fabd29, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xe5d11fc1, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xbbc6c12c, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x382a4596, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x8e1aa07c, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x3b9185de, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x327b460b, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xf020b950, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x76969b00, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x76fc1c41, "");
SYMBOL_CRC(mlx4_get_module_info, 0xcd03ed7f, "");
SYMBOL_CRC(mlx4_max_tc, 0x2ca293f1, "");
SYMBOL_CRC(mlx4_put_qp, 0x8195017d, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x9a5a0987, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x2da8b99f, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xb619e410, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xa018de88, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x5c9af2d3, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x7491d28c, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x89d06930, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x6094ba53, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x59f3389b, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xc329bdd5, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x08282064, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x83330f0e, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x1a2d99ee, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x17a3189b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29ce7df2, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x417bf729, "param_ops_byte" },
	{ 0x81142b3e, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf08892f, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xb9d6d00d, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2beb5f6b, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6b1a794c, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x2c25957a, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a7242a5, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x49420857, "__free_pages" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc5f20298, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xbe55c98a, "radix_tree_delete" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x7a3eb868, "init_net" },
	{ 0x8f607373, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x13f2db51, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x32a460e8, "down" },
	{ 0x1b969fdb, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x31bad859, "devl_params_register" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x43af56b1, "pci_restore_state" },
	{ 0xc6465c4c, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0xfa34e442, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x70944844, "__alloc_pages" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd12bfc28, "atomic_notifier_call_chain" },
	{ 0xfc4258d, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x489fd374, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xff4755a, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0x3d1f13fa, "devl_assert_locked" },
	{ 0x5ecd8046, "pcie_print_link_status" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xa1d866e5, "devl_port_unregister" },
	{ 0xaefeb00b, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1856a9f5, "devlink_priv" },
	{ 0xe1c4b972, "pci_disable_sriov" },
	{ 0xec8c50bb, "pci_disable_msix" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0xc22450cc, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x179d693c, "pci_enable_sriov" },
	{ 0xbf320c7e, "up_read" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcf465811, "pci_write_config_dword" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x7df92cd7, "device_remove_file" },
	{ 0xff2910e9, "dma_map_sg_attrs" },
	{ 0x73179616, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf6f5b7f4, "pcie_capability_write_word" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x93f09065, "devl_region_create" },
	{ 0x3cedab5c, "devlink_unregister" },
	{ 0xc1782e9e, "dma_pool_create" },
	{ 0xf0d7256f, "radix_tree_insert" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1f5a5324, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d587e43, "devlink_region_snapshot_id_get" },
	{ 0xadb676dc, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x1ff660e3, "radix_tree_lookup" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xbfc97bdc, "up" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x96a93dda, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xda66a4e7, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x1e4ceac9, "pci_sriov_get_totalvfs" },
	{ 0x262d79d, "devlink_register" },
	{ 0xfd01799d, "devlink_port_type_clear" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "39323AA1328A73160970E67");

MODULE_INFO(suserelease, "SLFO-1.0");
