#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ks8851_suspend, 0xcfe6d494, "_gpl");
SYMBOL_CRC(ks8851_resume, 0xb1de5db1, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0x6331ca30, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0xb110a67c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3308551e, "gpiod_set_value_cansleep" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x1a9beed1, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd1ed174b, "__mdiobus_register" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb1f02766, "register_netdev" },
	{ 0x9b7283e4, "mdiobus_free" },
	{ 0x3be311cd, "regulator_disable" },
	{ 0x6684685b, "_dev_err" },
	{ 0xfea4485, "netdev_err" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0x91c8b4b3, "mdiobus_unregister" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0x1bd3ad31, "mii_check_link" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xff785dd7, "netif_device_attach" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x13aa6d2e, "__dynamic_netdev_dbg" },
	{ 0xa087cd92, "generic_mii_ioctl" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0xc62f9950, "mii_ethtool_set_link_ksettings" },
	{ 0x97c34f15, "mii_ethtool_get_link_ksettings" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0xcfdaade0, "mii_link_ok" },
	{ 0x3afa5a95, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0xf6a9a3f2, "gpiod_set_consumer_name" },
	{ 0x59999dd3, "devm_regulator_get" },
	{ 0x7233ada2, "regulator_enable" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libphy,mii,eeprom_93cx6");


MODULE_INFO(srcversion, "44111B8BEBE190F6978715B");

MODULE_INFO(suserelease, "SLFO-1.0");
