#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mana_gd_send_request, 0x7da014d4, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0xe9dc1b9d, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0xc564cebe, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x344c147a, "");
SYMBOL_CRC(mana_gd_register_device, 0xff177a20, "");
SYMBOL_CRC(mana_gd_deregister_device, 0x8f27e0b0, "");
SYMBOL_CRC(mana_uncfg_vport, 0xb0a03d94, "");
SYMBOL_CRC(mana_cfg_vport, 0x156f1f63, "");
SYMBOL_CRC(mana_create_wq_obj, 0xa6001ebc, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x78e14459, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xfea4485, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x22d8b1cf, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc76b14cb, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xbdcddcf2, "napi_gro_receive" },
	{ 0xff785dd7, "netif_device_attach" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x818b7764, "__skb_get_hash" },
	{ 0x6684685b, "_dev_err" },
	{ 0xc71d6128, "simple_open" },
	{ 0x6fbcedc, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xeeddb61d, "netif_set_real_num_tx_queues" },
	{ 0x13f2db51, "__auxiliary_device_add" },
	{ 0x698b5b68, "netif_set_real_num_rx_queues" },
	{ 0x32a460e8, "down" },
	{ 0x3229b217, "netdev_printk" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x31c4249c, "pcie_flr" },
	{ 0xf43297ae, "napi_enable" },
	{ 0xb1f02766, "register_netdev" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x5c54909a, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0x91c27c89, "__SCK__tp_func_xdp_exception" },
	{ 0x302bed4d, "pci_iounmap" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0xc6465c4c, "device_del" },
	{ 0xc128bbb2, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x70944844, "__alloc_pages" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x1197ff7a, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a41a6e9, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0x82f3fc1, "bpf_prog_add" },
	{ 0x4a015c07, "xdp_rxq_info_unreg" },
	{ 0x305fd6c, "page_pool_alloc_pages" },
	{ 0x87d981b0, "napi_build_skb" },
	{ 0xebf85b6, "__folio_put" },
	{ 0xb3c1b935, "__xdp_rxq_info_reg" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc019db3a, "xdp_master_redirect" },
	{ 0xd9743423, "__napi_schedule_irqoff" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0xb188d78f, "napi_consume_skb" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0x19c3c5fe, "page_pool_put_unrefed_page" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa71c3edf, "__tracepoint_xdp_exception" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x94220aca, "bpf_prog_put" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1f5a5324, "auxiliary_device_init" },
	{ 0x521b6557, "pci_iomap" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xcdfff301, "bpf_warn_invalid_xdp_action" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x2779fb8b, "debugfs_create_u16" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xbfc97bdc, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb4b50f48, "page_pool_destroy" },
	{ 0xf96acc79, "xdp_do_redirect" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0xa23db88d, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "880671227FB17578055A8A4");

MODULE_INFO(suserelease, "SLFO-1.0");
