#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ocelot_mact_learn, 0x09663a4b, "");
SYMBOL_CRC(ocelot_mact_forget, 0x7c92282c, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x2d8fdd37, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xfbe5f469, "");
SYMBOL_CRC(ocelot_pll5_init, 0xfc46269b, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x128250f4, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x776f9d97, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x12122bb8, "");
SYMBOL_CRC(ocelot_vlan_add, 0x5e2983b0, "");
SYMBOL_CRC(ocelot_vlan_del, 0x56acde45, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x23b4e001, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xe7bb0471, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xd82895a2, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x21b6c13b, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x083a61b3, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0xd0529ea1, "");
SYMBOL_CRC(ocelot_can_inject, 0x12fdb8d7, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0xaab13f3d, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xeb84655c, "");
SYMBOL_CRC(ocelot_fdb_add, 0x88f4e60f, "");
SYMBOL_CRC(ocelot_fdb_del, 0x9374bc52, "");
SYMBOL_CRC(ocelot_mact_flush, 0x01ccbf3e, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xb07313d3, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x16b8c597, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x8dc8a748, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x271f03e7, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x6d031b5f, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x19e2f6ff, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x731754a5, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x20c8e61d, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xff15703a, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0xe288affc, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xfc519e15, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x612515eb, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0xfefc7ddd, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x641aedaf, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x0c4bc05b, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0xd41223a7, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0xb9407283, "");
SYMBOL_CRC(ocelot_port_lag_change, 0xafc27fc3, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0xa3ed9187, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x5bd57405, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0xf8b31d38, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0xe6ebeade, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0xb4dbd8e4, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x0900fa22, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xe4af2ab9, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0xe783f2dd, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xc458374b, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x8121b0b0, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x51abec9a, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x2ba69a31, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x45839ed4, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x2cb68953, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x349208ea, "");
SYMBOL_CRC(ocelot_reset, 0x2fd67274, "");
SYMBOL_CRC(ocelot_init, 0xf703a019, "");
SYMBOL_CRC(ocelot_deinit, 0xdc707dd0, "");
SYMBOL_CRC(ocelot_deinit_port, 0x9a130675, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x6c09fdac, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0xc3cc3550, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xd79cf334, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x76cf55dd, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x1859743c, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0xf7fafba1, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x3adac1e3, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xeec87791, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0xd07c6ec7, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0xae6dc5b1, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0xc61d13d6, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x8bbc9e0f, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x70313316, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x5a1f4c78, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0xcad0b34d, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x9890413e, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x2b862b84, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0xff673240, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0xfba83dea, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x74f5df01, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0xe33adc61, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0xcdd4e68f, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x0694df82, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0xc7cd62d8, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x48b4bad6, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x5ab81a3a, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x6e528293, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0xb3098649, "");
SYMBOL_CRC(ocelot_port_policer_add, 0xcf69dfa8, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x341b954e, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0xc789380e, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0xc45c97f3, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x8f95bbd5, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0xa79da76c, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x95be6ae8, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x76ece575, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x345be31a, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x12f58343, "");
SYMBOL_CRC(ocelot_get_ts_info, 0xcfd9dbd0, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0xb31f3963, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xacb32e5a, "");
SYMBOL_CRC(ocelot_init_timestamp, 0xe7ef3997, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xbe42ce64, "");
SYMBOL_CRC(ocelot_get_strings, 0x4ad75319, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xb39e7701, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x9442b04d, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0x44328ce9, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xadb85185, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x6587d6b4, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x1809abc8, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x8d0ac96d, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x77a0303a, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0xf49d239e, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x15110366, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0xf7899e80, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x73829acc, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x9ebe70bc, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0xed4c4145, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0xa0ba8b20, "");
SYMBOL_CRC(ocelot_mrp_del, 0x850f939c, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x0cc79916, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0xb7a08448, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfbd1fb7a, "flow_rule_match_ipv4_addrs" },
	{ 0x7748354d, "regmap_field_update_bits_base" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xfea4485, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x87ffef22, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0xaeb3c4f2, "ptp_find_pin" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x520677b1, "ethtool_aggregate_pause_stats" },
	{ 0x2867a505, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1aa60ed1, "regmap_fields_read" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0xed663e29, "regmap_field_read" },
	{ 0x6e231a31, "devm_regmap_field_alloc" },
	{ 0x2d0bb198, "ptp_classify_raw" },
	{ 0x78045760, "flow_rule_match_basic" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x6684685b, "_dev_err" },
	{ 0x649861b1, "ptp_clock_register" },
	{ 0xeeddb61d, "netif_set_real_num_tx_queues" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x4e6f1655, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x26eeecb3, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x692dd270, "flow_rule_match_ports" },
	{ 0x14dda1fb, "__devm_regmap_init_mmio_clk" },
	{ 0x47490e7, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce934762, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x949c19a8, "ptp_clock_unregister" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xf412af88, "of_phy_get" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xba68b64, "phy_set_mode_ext" },
	{ 0x2227e83e, "netdev_reset_tc" },
	{ 0x22bdda39, "regmap_read" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x95aa1732, "devm_ioremap_resource" },
	{ 0x942dd01d, "ethtool_aggregate_rmon_stats" },
	{ 0x17043a59, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe3596071, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc53fdee3, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf7e35eb6, "netdev_set_num_tc" },
	{ 0xd3b617c5, "regmap_update_bits_base" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0xc6ff91c4, "devlink_sb_unregister" },
	{ 0xe87e3100, "flow_rule_match_control" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x5d835900, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x421c7641, "skb_tstamp_tx" },
	{ 0x3c21b121, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56a18192, "skb_clone_sk" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc73423d3, "regmap_fields_update_bits_base" },
	{ 0x432aec08, "flow_rule_match_eth_addrs" },
	{ 0x4b4e5e25, "ptp_clock_index" },
	{ 0x96ef5412, "devlink_sb_register" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "204625A76B0F7E0467C7CC4");

MODULE_INFO(suserelease, "SLFO-1.0");
