#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qede_rdma_register_driver, 0x534780d6, "");
SYMBOL_CRC(qede_rdma_unregister_driver, 0x556b9c40, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x11e16b86, "rps_may_expire_flow" },
	{ 0x2227e83e, "netdev_reset_tc" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82f3fc1, "bpf_prog_add" },
	{ 0x7d885542, "alloc_pages" },
	{ 0x4a015c07, "xdp_rxq_info_unreg" },
	{ 0xb3c1b935, "__xdp_rxq_info_reg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1856a9f5, "devlink_priv" },
	{ 0x990ad613, "tcp_gro_complete" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0xf7e35eb6, "netdev_set_num_tc" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc019db3a, "xdp_master_redirect" },
	{ 0xd9743423, "__napi_schedule_irqoff" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x349cba85, "strchr" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x6cf35d11, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa71c3edf, "__tracepoint_xdp_exception" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9da6b709, "qed_get_eth_ops" },
	{ 0x94220aca, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xbe3a64fb, "ethtool_rx_flow_rule_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x421c7641, "skb_tstamp_tx" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcdfff301, "bpf_warn_invalid_xdp_action" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xf7370f56, "system_state" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x96a93dda, "pci_num_vf" },
	{ 0x9d91779, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4b4e5e25, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf96acc79, "xdp_do_redirect" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x24c7cc51, "udp_tunnel_nic_ops" },
	{ 0xfbd1fb7a, "flow_rule_match_ipv4_addrs" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xfea4485, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x22d8b1cf, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49420857, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xbdcddcf2, "napi_gro_receive" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x7ba49817, "netdev_pick_tx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe1b446c3, "xdp_rxq_info_is_reg" },
	{ 0x187a24cb, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x78045760, "flow_rule_match_basic" },
	{ 0x4edcdcb0, "build_skb" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd33ba38b, "softnet_data" },
	{ 0x4c35821d, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x649861b1, "ptp_clock_register" },
	{ 0xeeddb61d, "netif_set_real_num_tx_queues" },
	{ 0x698b5b68, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xffd8bbee, "ethtool_rx_flow_rule_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xf43297ae, "napi_enable" },
	{ 0x9eeeef48, "qed_put_eth_ops" },
	{ 0xb1f02766, "register_netdev" },
	{ 0x5c54909a, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x91c27c89, "__SCK__tp_func_xdp_exception" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x692dd270, "flow_rule_match_ports" },
	{ 0xb3aaff5, "netif_schedule_queue" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9d52139, "flow_rule_match_ipv6_addrs" },
	{ 0xce934762, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x949c19a8, "ptp_clock_unregister" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "qed");

MODULE_ALIAS("pci:v00001077d00001634sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001666sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001644sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001654sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001656sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008070sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008090sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A667968853B63751554F859");

MODULE_INFO(suserelease, "SLFO-1.0");
