#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macvlan_common_setup, 0xb25de7d7, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x99187ef7, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xf222cdb2, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xb6e7e974, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa23db88d, "unregister_netdevice_queue" },
	{ 0x45705117, "netdev_upper_dev_unlink" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x678184ec, "dev_uc_add" },
	{ 0xc11f1c1b, "dev_set_mtu" },
	{ 0xe67cb674, "netif_inherit_tso_max" },
	{ 0x7700a2bc, "netdev_update_features" },
	{ 0x2cc48783, "netif_stacked_transfer_operstate" },
	{ 0x7f770803, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x55b9d368, "skb_clone" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xbd70b353, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x86f30e07, "pv_ops" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0x9cc526b3, "dev_forward_skb" },
	{ 0xfa9fbf3c, "netpoll_send_skb" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0xbda0767a, "netdev_is_rx_handler_busy" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xdec37bf3, "netdev_rx_handler_register" },
	{ 0xd36b08e6, "register_netdevice" },
	{ 0x6534a401, "netdev_upper_dev_link" },
	{ 0x26cedb72, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60156976, "dev_uc_sync" },
	{ 0xad2e7c59, "dev_mc_sync" },
	{ 0xd0bcd606, "__netif_rx" },
	{ 0x75e00aaa, "ip_check_defrag" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2be26259, "netdev_core_stats_inc" },
	{ 0x9c4706b9, "passthru_features_check" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x322c6609, "ndo_dflt_fdb_dump" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0xd61ee3bd, "eth_header_parse" },
	{ 0x2f8781c0, "eth_header_cache" },
	{ 0x8c278d18, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8195bbc6, "ether_setup" },
	{ 0xcc1191b8, "__ethtool_get_link_ksettings" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a3eb868, "init_net" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xac5f2a39, "dev_mc_del" },
	{ 0x7432c75, "dev_uc_del" },
	{ 0xcea163a2, "dev_mc_add_excl" },
	{ 0x2e06b600, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x52857bf6, "__netpoll_free" },
	{ 0xd58f04c5, "vlan_vid_del" },
	{ 0xa91f7028, "vlan_vid_add" },
	{ 0xca6d2b12, "dev_set_allmulti" },
	{ 0x82c12f57, "dev_set_promiscuity" },
	{ 0x13a957e0, "dev_uc_unsync" },
	{ 0x6c68465d, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf0c88428, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x20f237a6, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf49097d6, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf9e8d198, "rtnl_link_unregister" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x15c1a8d0, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F87CD77CC7F1CA18D28BA10");

MODULE_INFO(suserelease, "SLFO-1.0");
