#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xfa73009c, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xc31320da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5c5f64a, "sock_init_data_uid" },
	{ 0xf7c9f396, "sk_free" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x454df27c, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x3f67458a, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x421c7641, "skb_tstamp_tx" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xcfb12b8f, "skb_copy_ubufs" },
	{ 0xf90e3e0f, "__skb_get_hash_symmetric" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x148098cd, "___pskb_trim" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4a015c07, "xdp_rxq_info_unreg" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0x948f2719, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xf96acc79, "xdp_do_redirect" },
	{ 0xcdfff301, "bpf_warn_invalid_xdp_action" },
	{ 0xa71c3edf, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb4e5d596, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9fbd205a, "xdp_convert_zc_to_xdp_frame" },
	{ 0xeeddb61d, "netif_set_real_num_tx_queues" },
	{ 0x698b5b68, "netif_set_real_num_rx_queues" },
	{ 0xa23db88d, "unregister_netdevice_queue" },
	{ 0x4774229e, "netdev_state_change" },
	{ 0x4edcdcb0, "build_skb" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xc22e1252, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe812b8f4, "_copy_to_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd55ecd56, "iov_iter_advance" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfea4485, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xffdbaec1, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xcf03cf3, "__skb_flow_dissect" },
	{ 0x19b82ba0, "skb_partial_csum_set" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xe1b446c3, "xdp_rxq_info_is_reg" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0xa5e19dcb, "sk_attach_filter" },
	{ 0xdf8f4701, "release_sock" },
	{ 0xb3c1b935, "__xdp_rxq_info_reg" },
	{ 0x22d8b1cf, "xdp_rxq_info_reg_mem_model" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0xf43297ae, "napi_enable" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x309a9923, "ns_capable" },
	{ 0x1df5a511, "get_net_ns" },
	{ 0x906b4bd6, "open_related_ns" },
	{ 0xfe38a5f6, "__dev_get_by_name" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x6efed6d5, "make_kgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x5cd5b011, "alloc_netdev_mqs" },
	{ 0x3be75c0d, "ip_tunnel_header_ops" },
	{ 0xd36b08e6, "register_netdevice" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2de242b8, "sk_detach_filter" },
	{ 0x77ffd2fd, "dev_get_mac_address" },
	{ 0xdccf374a, "dev_set_mac_address_user" },
	{ 0x7700a2bc, "netdev_update_features" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0xc1ccc1a, "init_user_ns" },
	{ 0xea509205, "from_kuid" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0x8195bbc6, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x7f770803, "call_netdevice_notifiers" },
	{ 0x5c54909a, "free_netdev" },
	{ 0x1e552f45, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xdaee2ef2, "from_kgid" },
	{ 0x97469dc7, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb84cf799, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc019db3a, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xebf85b6, "__folio_put" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0xa00288e4, "iov_iter_npages" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x2f1f3bfa, "sock_alloc_send_pskb" },
	{ 0x258aac73, "zerocopy_sg_from_iter" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x80867580, "skb_copy_datagram_from_iter" },
	{ 0x52e026eb, "do_xdp_generic" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xc5d45d09, "eth_get_headlen" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0xb6c3553e, "napi_gro_frags" },
	{ 0xc63f9d4, "napi_get_frags" },
	{ 0x857746fa, "iov_iter_single_seg_count" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0xb99bdf51, "__page_frag_cache_drain" },
	{ 0x9c4706b9, "passthru_features_check" },
	{ 0x6838dabd, "eth_mac_addr" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0xa1d9d260, "ethtool_op_get_ts_info" },
	{ 0x91c27c89, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5de68570, "fasync_helper" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x10e7d82a, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5498a886, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xe154284f, "from_kgid_munged" },
	{ 0xd745b8e8, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x111edcdf, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x737ac4b3, "dev_get_tstats64" },
	{ 0x2fae231b, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x40e71bca, "bpf_prog_get_type_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0xf49097d6, "rtnl_link_register" },
	{ 0xb08ebea9, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0xf9e8d198, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4c35821d, "xdp_return_frame" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x97ce3ad2, "__wake_up_sync_key" },
	{ 0x737ba015, "kill_fasync" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbdcddcf2, "napi_gro_receive" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0x94220aca, "bpf_prog_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2be26259, "netdev_core_stats_inc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B7449EB4C589465947C1A7F");

MODULE_INFO(suserelease, "SLFO-1.0");
