#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usbnet_get_endpoints, 0xa11273b0, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x4c5f5f45, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xdc290df3, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x9002f502, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x86ef34a2, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x83d5480a, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x8e452d61, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xfaa5b834, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x8a751855, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x25c20c73, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x9b02cff5, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xc1c4f04e, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xc29d6c1d, "_gpl");
SYMBOL_CRC(usbnet_open, 0x7eba1d2f, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x5f553c49, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x49c4a6a2, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x0564ed09, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x95bd08d8, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xdb85b400, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x79c17d70, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xaccdc4c5, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xd70f4595, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x6a2e5f73, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x48c614da, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x5264d2dd, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x553e1b75, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x9906070b, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xec3624bd, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xcb229052, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x12bd38af, "");
SYMBOL_CRC(usbnet_manage_power, 0xa97b0f1b, "");
SYMBOL_CRC(usbnet_link_change, 0x52e70137, "");
SYMBOL_CRC(usbnet_read_cmd, 0x93bd6547, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x5f16ce5a, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xc6920ead, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x7fa2208f, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xa78623f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf3531747, "usb_set_interface" },
	{ 0x4857aaef, "usb_string" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x13aa6d2e, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xd2fe8e90, "usb_get_urb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x20799e90, "usb_unlink_urb" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0xfea4485, "netdev_err" },
	{ 0x97c34f15, "mii_ethtool_get_link_ksettings" },
	{ 0xc62f9950, "mii_ethtool_set_link_ksettings" },
	{ 0x3afa5a95, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x6627041d, "usb_get_from_anchor" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x5c54909a, "free_netdev" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8063b830, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x70ecdefd, "usb_autopm_get_interface" },
	{ 0x85ee431e, "usb_autopm_put_interface" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xcfdaade0, "mii_link_ok" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0x836b1d1c, "usb_autopm_put_interface_async" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0xff785dd7, "netif_device_attach" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb1f02766, "register_netdev" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x86d2ae09, "usb_check_bulk_endpoints" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x232bee21, "usb_autopm_get_interface_async" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x421c7641, "skb_tstamp_tx" },
	{ 0xb31811c6, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0x9f29e9da, "usb_autopm_get_interface_no_resume" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xc71f5b31, "usb_clear_halt" },
	{ 0x6838dabd, "eth_mac_addr" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x737ac4b3, "dev_get_tstats64" },
	{ 0xa1d9d260, "ethtool_op_get_ts_info" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "A37914932D6054365CB7F5E");

MODULE_INFO(suserelease, "SLFO-1.0");
