#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c713da5, "chacha20poly1305_encrypt_sg_inplace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa3cefaa0, "blake2s_update" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x147c3f2e, "chacha20poly1305_encrypt" },
	{ 0xc76b14cb, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0x727b8aa9, "sk_clear_memalloc" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0xbdcddcf2, "napi_gro_receive" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x72e5b031, "icmpv6_ndo_send" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xf9e8d198, "rtnl_link_unregister" },
	{ 0x818b7764, "__skb_get_hash" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0x423d3514, "ipv6_stub" },
	{ 0x7a8d19f8, "inet_confirm_addr" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a5f7953, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x50fbdcf0, "dev_get_by_index" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0xf43297ae, "napi_enable" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xbfc1fe24, "icmp_ndo_send" },
	{ 0x916491ac, "chacha20poly1305_decrypt_sg_inplace" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5c54909a, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x309a9923, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xce15a526, "xchacha20poly1305_encrypt" },
	{ 0x354e16ad, "security_sk_classify_flow" },
	{ 0x521c7102, "xchacha20poly1305_decrypt" },
	{ 0xc1d3513f, "sk_set_memalloc" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x6eb04f46, "register_random_vmfork_notifier" },
	{ 0x4fd3c03a, "kfree_skb_list_reason" },
	{ 0x2ff4d015, "udp_tunnel_sock_release" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x737ac4b3, "dev_get_tstats64" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x49fa2e9, "setup_udp_tunnel_sock" },
	{ 0x7a6fdd28, "udp_sock_create6" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc88f6934, "down_read" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xd54932ce, "skb_cow_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x373722bb, "skb_scrub_packet" },
	{ 0xc832c670, "curve25519_arch" },
	{ 0xd90ec38c, "__put_net" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x234ffb17, "ipv4_mtu" },
	{ 0xec8224de, "dst_cache_get_ip6" },
	{ 0xa0e3a4cb, "dst_cache_get_ip4" },
	{ 0xc20134e7, "chacha20poly1305_decrypt" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d1bb2, "rt_spin_trylock_bh" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x73c57b62, "dst_cache_set_ip6" },
	{ 0x8d831d70, "pskb_put" },
	{ 0x3c74a43e, "curve25519_base_arch" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x85d34cc8, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9dda498, "dev_get_by_name" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9e0fa5ae, "hsiphash_3u32" },
	{ 0xcf03cf3, "__skb_flow_dissect" },
	{ 0x57645eb0, "genl_unregister_family" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x30acfde9, "hsiphash_2u32" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xe3668328, "ipv6_chk_addr" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe1724af8, "ip_tunnel_parse_protocol" },
	{ 0xd710ff22, "genl_register_family" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xd98d4505, "skb_to_sgvec" },
	{ 0x9fa89659, "__skb_gso_segment" },
	{ 0xbf320c7e, "up_read" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x3a4f9d28, "rng_is_initialized" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x71b6cf94, "dst_cache_reset_now" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd36b08e6, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xadae6df8, "blake2s_final" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xf8283369, "ip6_dst_hoplimit" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a5a8811, "curve25519_null_point" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8b076956, "udp_sock_create4" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x581e1f5d, "dst_cache_set_ip4" },
	{ 0xb0c6e70e, "udp_tunnel6_xmit_skb" },
	{ 0xf49097d6, "rtnl_link_register" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x6a14d3af, "unregister_random_vmfork_notifier" },
	{ 0x3be75c0d, "ip_tunnel_header_ops" },
	{ 0x711c9259, "genlmsg_put" },
	{ 0x148098cd, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libchacha20poly1305,udp_tunnel,ip6_udp_tunnel,curve25519-x86_64,libcurve25519-generic");


MODULE_INFO(srcversion, "BA2CCBFA102B176EC201357");

MODULE_INFO(suserelease, "SLFO-1.0");
