#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x5cb8e209, "");
SYMBOL_CRC(ath10k_info, 0x682cad47, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x89b8d388, "");
SYMBOL_CRC(ath10k_err, 0x4412d2c0, "");
SYMBOL_CRC(ath10k_warn, 0x7e98710d, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xb6a20f8d, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xb32ca2bb, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x885bd50d, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x6fe248f0, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x28031f12, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x8fadde90, "");
SYMBOL_CRC(ath10k_core_start, 0x55a7881f, "");
SYMBOL_CRC(ath10k_core_stop, 0x20727c8c, "");
SYMBOL_CRC(ath10k_core_register, 0xee7bfd81, "");
SYMBOL_CRC(ath10k_core_unregister, 0x330e9dec, "");
SYMBOL_CRC(ath10k_core_create, 0x68e81569, "");
SYMBOL_CRC(ath10k_core_destroy, 0x937e7da5, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xa426d0e1, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x928b0cf5, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xefbb5033, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x1835d30e, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x69cc9428, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x1045355f, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x6ee88b19, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x743837af, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x6f6bef30, "");
SYMBOL_CRC(ath10k_bmi_start, 0xa49ae767, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x16609bc5, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x6bddedf2, "");
SYMBOL_CRC(ath10k_coredump_new, 0x64d28b1e, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x1a6750f1, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xc6bb00da, "");
SYMBOL_CRC(ath10k_ce_send, 0xb7298cff, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0xb558e8c6, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xa36fb6ca, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x1017320d, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xfbe86713, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x5430422b, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x99c8d197, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0xcc91fbaf, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x3cdd08e4, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xace41701, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xdfb11990, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x7be4b4ca, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x3f8180db, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xc109aa2c, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x553e69f3, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0xaeb3e059, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0xa0426fdd, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xf0c954ec, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x6cea5b8b, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xbe8bf856, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xaa806709, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xb81722b7, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x4e73ad02, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x1b8af451, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xcd3733ad, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x94d56c1, "ieee80211_csa_finish" },
	{ 0xdb77dd2a, "skb_queue_head" },
	{ 0xad3fb4fb, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa29bfff5, "cpu_latency_qos_remove_request" },
	{ 0xc96de3e6, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5e488078, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0x8aa5710c, "ieee80211_connection_loss" },
	{ 0x15732b53, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x1a318d01, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5485eef2, "__ieee80211_schedule_txq" },
	{ 0x1208e334, "_ieee80211_beacon_update_cntdwn" },
	{ 0xb89613fd, "idr_find" },
	{ 0xba9969bd, "ieee80211_txq_get_depth" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x2939e0b2, "param_ops_ulong" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa53ac4ef, "firmware_request_nowarn" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x78291c23, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8127752, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xf601d10d, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xbdca5032, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xd602b41d, "ieee80211_iterate_stations_atomic" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0xcf4a01c8, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x643336d7, "ieee80211_beacon_loss" },
	{ 0x92dbbef, "cpu_latency_qos_add_request" },
	{ 0x6e986a5f, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6e5bcbf, "thermal_cooling_device_register" },
	{ 0x234732cb, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x282f8386, "ieee80211_restart_hw" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x753d4415, "ieee80211_wake_queue" },
	{ 0xf1f1fbea, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa54fcbd3, "ieee80211_find_sta" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa918c95a, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x85c36cb3, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0x81deafdf, "cfg80211_put_bss" },
	{ 0x7108d077, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x3e641c8, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xef2cf1bd, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x9db84f66, "wiphy_to_ieee80211_hw" },
	{ 0x7868289e, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0x7965e9e1, "ieee80211_proberesp_get" },
	{ 0x6684685b, "_dev_err" },
	{ 0xc71d6128, "simple_open" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x3fa93767, "sysfs_remove_link" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x61995fa6, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4bc6e0f1, "ieee80211_find_sta_by_ifaddr" },
	{ 0x38b1c0ea, "ieee80211_next_txq" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8026852b, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xf43297ae, "napi_enable" },
	{ 0x3ef89043, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xae4d63ae, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x41f219fb, "ieee80211_report_low_ack" },
	{ 0xe11c7596, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa2e1a954, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcd3fbe6f, "dev_coredumpv" },
	{ 0x279dd65d, "ieee80211_alloc_hw_nm" },
	{ 0x5f46dacf, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0x96343aa0, "default_llseek" },
	{ 0xf9e502a8, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1775dc5e, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x1197ff7a, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x202e695f, "devm_nvmem_cell_get" },
	{ 0xf3100943, "ieee80211_stop_queue" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xa386517f, "ieee80211_ready_on_channel" },
	{ 0xc259e4e, "ieee80211_stop_queues" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa00fbc4b, "skb_realloc_headroom" },
	{ 0x266b0798, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x8b6a64c2, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x78960bf0, "ieee80211_scan_completed" },
	{ 0xf77afc2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x9b393a68, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8cd96a7e, "ath_regd_init" },
	{ 0xa6e6c827, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfc8e850a, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x74d4f91, "ieee80211_tdls_oper_request" },
	{ 0xb3a7efcd, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x713d9a69, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x936d3de6, "ieee80211_tx_rate_update" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x7de4f5c6, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "6D54E37B102A620BD63F84C");

MODULE_INFO(suserelease, "SLFO-1.0");
