#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(libipw_networks_age, 0x3f5dc915, "");
SYMBOL_CRC(alloc_libipw, 0x84634a0e, "");
SYMBOL_CRC(free_libipw, 0xa94dcf55, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0xcdaf60c6, "");
SYMBOL_CRC(libipw_txb_free, 0x59afb242, "");
SYMBOL_CRC(libipw_rx_any, 0x548a6c4f, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0xd92c6620, "");
SYMBOL_CRC(libipw_rx, 0xadd6ae4e, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x4f0c5474, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x5242ef49, "");
SYMBOL_CRC(libipw_wx_get_scan, 0xa47f5f7e, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x9253afce, "");
SYMBOL_CRC(libipw_wx_get_encode, 0xa3c56397, "");
SYMBOL_CRC(libipw_get_channel, 0x98a5aa4b, "");
SYMBOL_CRC(libipw_get_channel_flags, 0xf49767dd, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x56aec889, "");
SYMBOL_CRC(libipw_freq_to_channel, 0xba33a874, "");
SYMBOL_CRC(libipw_channel_to_freq, 0xafbcca91, "");
SYMBOL_CRC(libipw_channel_to_index, 0x3a0a12cb, "");
SYMBOL_CRC(libipw_set_geo, 0x7da071f6, "");
SYMBOL_CRC(libipw_get_geo, 0xf0a5ed4a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x198c9a25, "dev_kfree_skb_irq_reason" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x551481f8, "wiphy_new_nm" },
	{ 0xcec1c23d, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x8c53004, "lib80211_get_crypto_ops" },
	{ 0x7a3eb868, "init_net" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x5c54909a, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe9eace7d, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x3930a5a6, "wireless_spy_update" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x100e07f5, "lib80211_crypt_info_free" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x2cf747b4, "lib80211_crypt_delayed_deinit" },
	{ 0x7a8975a1, "single_release" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x35c14bf, "single_open" },
	{ 0x2281fa0a, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2295a47d, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "02AC85B00C54D0F051BC19B");

MODULE_INFO(suserelease, "SLFO-1.0");
