#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(p54_parse_eeprom, 0xb9014948, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x1787db86, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0xe815954c, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x811efe68, "_gpl");
SYMBOL_CRC(p54_rx, 0x95059046, "_gpl");
SYMBOL_CRC(p54_init_common, 0x60c2e3ae, "_gpl");
SYMBOL_CRC(p54_register_common, 0x0d70e8dc, "_gpl");
SYMBOL_CRC(p54_free_common, 0xc4899e4f, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x7f4f1f29, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x753d4415, "ieee80211_wake_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54d8daac, "__ieee80211_get_tx_led_name" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x58b5b66, "ieee80211_handle_wake_tx_queue" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xa918c95a, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x74b12d62, "__ieee80211_get_rx_led_name" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0x6684685b, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa2e1a954, "ieee80211_free_txskb" },
	{ 0x3baa619d, "led_classdev_register_ext" },
	{ 0x279dd65d, "ieee80211_alloc_hw_nm" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2bc84c0, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xec94488a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xf3100943, "ieee80211_stop_queue" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x95b146f0, "skb_unlink" },
	{ 0x266b0798, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x62d9571c, "__ieee80211_get_assoc_led_name" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x9b393a68, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6e6c827, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x3a8fbe78, "ieee80211_emulate_remove_chanctx" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x1f888388, "ieee80211_rx_irqsafe" },
	{ 0xdb77dd2a, "skb_queue_head" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xf601d10d, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x643336d7, "ieee80211_beacon_loss" },
	{ 0x6e986a5f, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a14fb1, "led_classdev_unregister" },
	{ 0x234732cb, "ieee80211_register_hw" },
	{ 0xd10cac9b, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1b372514, "ieee80211_get_hdrlen_from_skb" },
	{ 0xb0705aef, "__ieee80211_get_radio_led_name" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "A9EBCF5A63A6F619859E364");

MODULE_INFO(suserelease, "SLFO-1.0");
