#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76s_read_pcr, 0xe4e80229, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x631ca18b, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x8290f6d4, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x3433c6eb, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x633dc02a, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xd40aa3b0, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x014810a4, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0xb0fac49d, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x54e4c63f, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0xd35cc707, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x5588b5eb, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x5f9f515f, "_gpl");
SYMBOL_CRC(mt76s_init, 0xb942e98f, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x51c35c50, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x769cf810, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x7c1065ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d91779, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xf7596996, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0xff1b5713, "mt76_tx_status_check" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x2b2822c2, "sdio_release_irq" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x89bd2bc, "sdio_readsb" },
	{ 0x6684685b, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb7d8afa5, "__SCK__tp_func_dev_irq" },
	{ 0x4dd5f458, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0x70944844, "__alloc_pages" },
	{ 0x6b885999, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf8ac547a, "mt76_queue_tx_complete" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x3fba31a3, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x73096e6a, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xebf85b6, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xdb36c979, "sdio_claim_irq" },
	{ 0xf789f20b, "mt76_skb_adjust_pad" },
	{ 0x45eac5e6, "sdio_enable_func" },
	{ 0x9dc0917e, "sdio_writesb" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa453269d, "sdio_release_host" },
	{ 0x86c8c24d, "sdio_disable_func" },
	{ 0xa96b296, "sdio_set_block_size" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7fefc6e2, "sdio_claim_host" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "476C307E3B779048DE28F75");

MODULE_INFO(suserelease, "SLFO-1.0");
