#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x0_chip_onoff, 0x59421476, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xdd042594, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x18ceaaea, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x7219118e, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xc4d2d439, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xc8ee25e1, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x669670b1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb41e4331, "mt76x02_mac_shared_key_setup" },
	{ 0xe9bac243, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9fc6d602, "mt76x02_get_efuse_data" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x817bd376, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0x5422a656, "mt76_eeprom_init" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8252b32d, "mt76x02_mac_setaddr" },
	{ 0xa58112d4, "mt76_register_device" },
	{ 0x461ed303, "mt76x02_phy_set_bw" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf1e7e70b, "mt76x02_phy_set_band" },
	{ 0x61e2ce3e, "mt76_set_channel" },
	{ 0xebb850c7, "mt76x02_init_device" },
	{ 0xae4d63ae, "ieee80211_wake_queues" },
	{ 0x4a6d4076, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x908d6878, "mt76x02_phy_set_rxpath" },
	{ 0x2cd73347, "mt76x02_edcca_init" },
	{ 0xa0dd8529, "mt76_eeprom_override" },
	{ 0x17c18fa3, "mt76x02_get_lna_gain" },
	{ 0xe6c48e7c, "mt76x02_init_debugfs" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc259e4e, "ieee80211_stop_queues" },
	{ 0x536fa06d, "mt76x02_mac_cc_reset" },
	{ 0x497010b3, "mt76x02_init_agc_gain" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6315e267, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x975aa0fd, "____mt76_poll_msec" },
	{ 0xb5ba24ad, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa014237f, "mt76x02_config_mac_addr_list" },
	{ 0x9fb747af, "mt76_get_sar_power" },
	{ 0xdc8cc63e, "mt76x02_eeprom_copy" },
	{ 0xb5143b19, "mt76x02_mcu_calibrate" },
	{ 0xe4839aeb, "mt76x02_mcu_function_select" },
	{ 0x9ccab384, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x9d12133, "mt76x02_mac_wcid_setup" },
	{ 0x73666895, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x9f26aa81, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x68aac1df, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5ffc8b47, "mt76_init_sar_power" },
	{ 0xf4ffb6d9, "mt76x02_phy_adjust_vga_gain" },
	{ 0x7cffec38, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "SLFO-1.0");
