#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c2b2140, "mt76_release_buffered_frames" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0xcbcb35fa, "mt76_get_txpower" },
	{ 0xea1a156c, "mt76_wake_tx_queue" },
	{ 0x5add9990, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xd10cac9b, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1fdb2c2e, "mt76x02_sta_ps" },
	{ 0x4e9ac8c8, "mt76u_resume_rx" },
	{ 0xc161eb3c, "mt76x02_sta_rate_tbl_update" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaabc4f9d, "mt76_alloc_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd75bbfa2, "usb_put_dev" },
	{ 0xa6265f70, "usb_reset_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8f33e277, "mt76x02_update_channel" },
	{ 0x995e96f8, "usb_get_dev" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x8737e0fd, "mt76x02_configure_filter" },
	{ 0x7c6b51d9, "mt76_free_device" },
	{ 0x59421476, "mt76x0_chip_onoff" },
	{ 0x29ce5608, "mt76x02_queue_rx_skb" },
	{ 0xb8bcc10a, "mt76u_queues_deinit" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0xc8ee25e1, "mt76x0_config" },
	{ 0x7219118e, "mt76x0_register_device" },
	{ 0x6684685b, "_dev_err" },
	{ 0x86511e, "mt76x02u_mcu_fw_reset" },
	{ 0x669670b1, "mt76x0_phy_calibrate" },
	{ 0x2175105e, "mt76_set_tim" },
	{ 0xa56055c6, "mt76x02_sw_scan_complete" },
	{ 0x4f56375b, "mt76x02_tx" },
	{ 0xe92e20cb, "mt76x02_sta_remove" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0xc19e3e88, "mt76x02_tx_status_data" },
	{ 0x2b593ef7, "mt76x02_sta_add" },
	{ 0xdd042594, "mt76x0_mac_stop" },
	{ 0x97074448, "mt76x02u_mcu_fw_send_data" },
	{ 0x8aeb4686, "mt76u_init" },
	{ 0xb7298930, "mt76_get_survey" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2bc84c0, "ieee80211_emulate_add_chanctx" },
	{ 0x612436, "mt76x02u_init_mcu" },
	{ 0x171d82a8, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xec94488a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x5eadf19, "mt76x02_set_rts_threshold" },
	{ 0x9ab9ed7d, "mt76_sta_state" },
	{ 0x18ceaaea, "mt76x0_init_hardware" },
	{ 0xb7bb83f4, "mt76x02u_mac_start" },
	{ 0xd269ea59, "mt76x02_bss_info_changed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x81e5aca1, "mt76u_alloc_queues" },
	{ 0xfbd5247, "mt76u_stop_tx" },
	{ 0xad56d02b, "mt76x02u_init_beacon_config" },
	{ 0x9b393a68, "ieee80211_unregister_hw" },
	{ 0x2de67102, "mt76u_vendor_request" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x336ea33, "mt76x02_add_interface" },
	{ 0x975aa0fd, "____mt76_poll_msec" },
	{ 0xd6d806fe, "mt76x02u_exit_beacon_config" },
	{ 0xcdb21267, "mt76u_stop_rx" },
	{ 0x37ec7157, "mt76x02_ampdu_action" },
	{ 0x287b939e, "mt76x02_conf_tx" },
	{ 0x22976c15, "mt76_sw_scan" },
	{ 0xd8869f04, "mt76_sta_pre_rcu_remove" },
	{ 0x73666895, "__mt76_poll" },
	{ 0x3a8fbe78, "ieee80211_emulate_remove_chanctx" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x6b32a0bd, "mt76x02_remove_interface" },
	{ 0xe58197dd, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xc4d2d439, "mt76x0_set_sar_specs" },
	{ 0xa53ac4ef, "firmware_request_nowarn" },
	{ 0x9845386f, "mt76x02_set_ethtool_fwver" },
	{ 0x26e64e70, "mt76x02_set_key" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mt76,usbcore,mac80211,mt76x02-lib,mt76-usb,mt76x0-common,mt76x02-usb");

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "DB44CF6196FF3D2E8EFE6ED");

MODULE_INFO(suserelease, "SLFO-1.0");
