#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ad2884a, "mt76_write_mac_initvals" },
	{ 0xe2ffe84e, "mt76x2_reset_wlan" },
	{ 0x995ad0eb, "mt76x2_mcu_set_channel" },
	{ 0x6c4ac3b, "mt76x02_mcu_set_radio_state" },
	{ 0xea1a156c, "mt76_wake_tx_queue" },
	{ 0x5add9990, "mt76_get_antenna" },
	{ 0x6b4a2648, "mt76x2_apply_gain_adj" },
	{ 0xd10cac9b, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1fdb2c2e, "mt76x02_sta_ps" },
	{ 0xdaaf4620, "mt76x2_set_sar_specs" },
	{ 0x4e9ac8c8, "mt76u_resume_rx" },
	{ 0xc161eb3c, "mt76x02_sta_rate_tbl_update" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaabc4f9d, "mt76_alloc_device" },
	{ 0xb41e4331, "mt76x02_mac_shared_key_setup" },
	{ 0xe9bac243, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4f26d93a, "mt76x2_mac_stop" },
	{ 0xd75bbfa2, "usb_put_dev" },
	{ 0xa6265f70, "usb_reset_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8f33e277, "mt76x02_update_channel" },
	{ 0x9ea587a8, "mt76x2_configure_tx_delay" },
	{ 0x995e96f8, "usb_get_dev" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x8737e0fd, "mt76x02_configure_filter" },
	{ 0x7c6b51d9, "mt76_free_device" },
	{ 0x29ce5608, "mt76x02_queue_rx_skb" },
	{ 0xb8bcc10a, "mt76u_queues_deinit" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0x6684685b, "_dev_err" },
	{ 0x86511e, "mt76x02u_mcu_fw_reset" },
	{ 0x8252b32d, "mt76x02_mac_setaddr" },
	{ 0xa58112d4, "mt76_register_device" },
	{ 0x2175105e, "mt76_set_tim" },
	{ 0xa56055c6, "mt76x02_sw_scan_complete" },
	{ 0x461ed303, "mt76x02_phy_set_bw" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf1e7e70b, "mt76x02_phy_set_band" },
	{ 0x61e2ce3e, "mt76_set_channel" },
	{ 0xebb850c7, "mt76x02_init_device" },
	{ 0x4f56375b, "mt76x02_tx" },
	{ 0xae4d63ae, "ieee80211_wake_queues" },
	{ 0x4a6d4076, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xe92e20cb, "mt76x02_sta_remove" },
	{ 0x908d6878, "mt76x02_phy_set_rxpath" },
	{ 0x2cd73347, "mt76x02_edcca_init" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0xc19e3e88, "mt76x02_tx_status_data" },
	{ 0x2b593ef7, "mt76x02_sta_add" },
	{ 0x5402d387, "mt76x2_mcu_load_cr" },
	{ 0xe183314a, "mt76x2_init_txpower" },
	{ 0x97074448, "mt76x02u_mcu_fw_send_data" },
	{ 0x8aeb4686, "mt76u_init" },
	{ 0xb7298930, "mt76_get_survey" },
	{ 0xe6c48e7c, "mt76x02_init_debugfs" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2bc84c0, "ieee80211_emulate_add_chanctx" },
	{ 0x612436, "mt76x02u_init_mcu" },
	{ 0x171d82a8, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xec94488a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xad8fd147, "mt76x2_mcu_init_gain" },
	{ 0x9ab9ed7d, "mt76_sta_state" },
	{ 0x22914c61, "mt76x2_phy_tssi_compensate" },
	{ 0xc259e4e, "ieee80211_stop_queues" },
	{ 0xb7bb83f4, "mt76x02u_mac_start" },
	{ 0x536fa06d, "mt76x02_mac_cc_reset" },
	{ 0xd269ea59, "mt76x02_bss_info_changed" },
	{ 0x497010b3, "mt76x02_init_agc_gain" },
	{ 0x16b5a0bd, "mt76x2_phy_update_channel_gain" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6315e267, "mt76_txq_schedule_all" },
	{ 0x81e5aca1, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfbd5247, "mt76u_stop_tx" },
	{ 0xad56d02b, "mt76x02u_init_beacon_config" },
	{ 0x9b393a68, "ieee80211_unregister_hw" },
	{ 0x2de67102, "mt76u_vendor_request" },
	{ 0x336ea33, "mt76x02_add_interface" },
	{ 0x975aa0fd, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9fb747af, "mt76_get_sar_power" },
	{ 0xcdb21267, "mt76u_stop_rx" },
	{ 0x37ec7157, "mt76x02_ampdu_action" },
	{ 0xb5143b19, "mt76x02_mcu_calibrate" },
	{ 0x287b939e, "mt76x02_conf_tx" },
	{ 0xe4839aeb, "mt76x02_mcu_function_select" },
	{ 0x22976c15, "mt76_sw_scan" },
	{ 0xd8869f04, "mt76_sta_pre_rcu_remove" },
	{ 0x9d12133, "mt76x02_mac_wcid_setup" },
	{ 0x73666895, "__mt76_poll" },
	{ 0x617e0f5b, "mt76x2_read_rx_gain" },
	{ 0xb3a11335, "mt76x2_phy_set_txpower_regs" },
	{ 0x356a5637, "mt76x2_phy_set_txpower" },
	{ 0x9f26aa81, "mt76x02_phy_set_txdac" },
	{ 0x3a8fbe78, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6b32a0bd, "mt76x02_remove_interface" },
	{ 0xe58197dd, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x9845386f, "mt76x02_set_ethtool_fwver" },
	{ 0x26e64e70, "mt76x02_set_key" },
	{ 0x1c2b2140, "mt76_release_buffered_frames" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0xcbcb35fa, "mt76_get_txpower" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211,mt76-usb,usbcore,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "537962D0DB9EE073E4BAD2A");

MODULE_INFO(suserelease, "SLFO-1.0");
