#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7921_rx_check, 0xf59a7578, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x8584e8ae, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x91d5c223, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0xe14ca8f2, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x97ee3226, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x0c450fc1, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xeb3ef484, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x177c27be, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xb4b36804, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x87ec1f59, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x3d504ddb, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x27d4cb96, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x18a4db92, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x2d6670ac, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0xc23cc186, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0xfa30f6d7, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xb44e8e52, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa454bd2c, "mt76_connac2_tx_check_aggr" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x791e3eee, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0xbeeef4df, "mt76_wcid_init" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x3003b836, "mt76_connac_free_pending_tx_skbs" },
	{ 0x72b6dade, "mt792x_sta_statistics" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x9110042e, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96d8ba67, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x16bab5f2, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb152cc0, "mt792x_get_et_sset_count" },
	{ 0x4dcb403f, "mt76_connac_mcu_set_mac_enable" },
	{ 0x729e0a2a, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x64678536, "mt792x_init_acpi_sar_power" },
	{ 0x80eea59f, "mt792x_set_wakeup" },
	{ 0x9336f69b, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x531547a1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x438addfa, "mt76_rx" },
	{ 0x218a1562, "mt792x_load_firmware" },
	{ 0x1127ecd1, "mt76_connac_mcu_sched_scan_req" },
	{ 0xe974abea, "mt792x_get_et_stats" },
	{ 0x2b5be2ca, "mt76_connac2_txwi_free" },
	{ 0x3018519d, "__tracepoint_lp_event" },
	{ 0x582101c2, "mt76_connac_mcu_uni_add_bss" },
	{ 0x12a20063, "mt76_connac2_mac_add_txs_skb" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x9db84f66, "wiphy_to_ieee80211_hw" },
	{ 0xb06e4a08, "debugfs_attr_read" },
	{ 0x5a3a6957, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0x63562880, "devm_kmemdup" },
	{ 0x6684685b, "_dev_err" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xa58112d4, "mt76_register_device" },
	{ 0x772387b1, "mt792x_get_stats" },
	{ 0xe3a72604, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xa7607adf, "simple_attr_release" },
	{ 0x27acbf2a, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb7ef031e, "mt76_find_power_limits_node" },
	{ 0x8026852b, "ieee80211_remain_on_channel_expired" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x61e2ce3e, "mt76_set_channel" },
	{ 0xae4d63ae, "ieee80211_wake_queues" },
	{ 0x3bbb35f1, "mt76_mcu_send_and_get_msg" },
	{ 0xe11c7596, "ieee80211_beacon_get_template" },
	{ 0x3fdb78e8, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa0dd8529, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcd3fbe6f, "dev_coredumpv" },
	{ 0x6171395c, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb7298930, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x1775dc5e, "devm_hwmon_device_register_with_groups" },
	{ 0x49cf5355, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x42af1f3a, "mt792x_get_tsf" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x6c0829cb, "mt792x_tx" },
	{ 0x134bf61b, "mt792x_get_et_strings" },
	{ 0x9ab9ed7d, "mt76_sta_state" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xa386517f, "ieee80211_ready_on_channel" },
	{ 0xc259e4e, "ieee80211_stop_queues" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0xd02482a7, "cfg80211_reg_can_beacon" },
	{ 0x5ad84a89, "mt792x_remove_interface" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xb365c7b6, "mt792x_queues_read" },
	{ 0x860c8cef, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xca950652, "mt792x_queues_acq" },
	{ 0xeee32776, "ieee80211_sched_scan_results" },
	{ 0x78960bf0, "ieee80211_scan_completed" },
	{ 0xf77afc2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8e797bd9, "mt76_insert_ccmp_hdr" },
	{ 0xf651772c, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x85232918, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x68c7ff4e, "mt792x_tx_stats_show" },
	{ 0xa7d99f8f, "mt792x_acpi_get_mtcl_conf" },
	{ 0xae51ec3d, "mt76_rx_aggr_start" },
	{ 0xd9f39636, "__SCK__tp_func_lp_event" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x5201fb97, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6d407b2b, "mt792x_mac_init_band" },
	{ 0xf789f20b, "mt76_skb_adjust_pad" },
	{ 0x9008257c, "mt792x_init_wiphy" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x5b511f4a, "mt76_connac_sta_state_dp" },
	{ 0x85af6fad, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x7a8975a1, "single_release" },
	{ 0x87ccbf80, "mt76_queues_read" },
	{ 0xd8869f04, "mt76_sta_pre_rcu_remove" },
	{ 0x39161ae7, "mt76_register_debugfs_fops" },
	{ 0xde1960c5, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x1e65d5, "mt76_connac2_mac_write_txwi" },
	{ 0x5deaa71b, "__mt76_set_tx_blocked" },
	{ 0xf5ba6f84, "mt76_connac_mcu_sta_ba" },
	{ 0x1bcbeedd, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x7de4f5c6, "ieee80211_queue_work" },
	{ 0x218916ba, "mt792x_mac_reset_counters" },
	{ 0xb188d78f, "napi_consume_skb" },
	{ 0x73666895, "__mt76_poll" },
	{ 0x376503f7, "mt76_rx_aggr_stop" },
	{ 0x35c14bf, "single_open" },
	{ 0x93dd4228, "mt76_connac_mcu_add_key" },
	{ 0x906ab8a, "mt792x_unassign_vif_chanctx" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x835f52df, "ieee80211_disconnect" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0xdd9cd3c9, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbabf1241, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x806d2075, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xc96de3e6, "ieee80211_sta_register_airtime" },
	{ 0xfaf6ead4, "mt792x_init_wcid" },
	{ 0x4795fb56, "mt792x_init_acpi_sar" },
	{ 0x5ffc8b47, "mt76_init_sar_power" },
	{ 0x8aa5710c, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa2842bcc, "simple_attr_open" },
	{ 0xadcba965, "ieee80211_iterate_interfaces" },
	{ 0x58e9f300, "mt792x_stop" },
	{ 0xea289ac2, "debugfs_attr_write" },
	{ 0x422bc9b5, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xbdb90e4f, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x123829a5, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xbcfa6c48, "mt792x_tx_worker" },
	{ 0x2b92e674, "mt792x_flush" },
	{ 0xf5bbb91a, "mt792x_rx_get_wcid" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xffa93fc1, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x80910f8d, "mt76_connac_mcu_set_channel_domain" },
	{ 0xc4e569a2, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1c2b2140, "mt76_release_buffered_frames" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0xcbcb35fa, "mt76_get_txpower" },
	{ 0x611ef50c, "mt76_tx_status_skb_add" },
	{ 0xed8cc47e, "mt76_connac_pm_wake" },
	{ 0x8e104107, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0xa55d7a60, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xea1a156c, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb247697, "mt76_connac_mcu_chip_config" },
	{ 0x5add9990, "mt76_get_antenna" },
	{ 0x68f2f993, "mt792x_set_coverage_class" },
	{ 0x89a680c5, "mt792x_acpi_get_flags" },
	{ 0xc05cca4f, "__mt76_tx_complete_skb" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5245a88a, "mt76_set_stream_caps" },
	{ 0x45470066, "mt792x_mac_assoc_rssi" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1b372514, "ieee80211_get_hdrlen_from_skb" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x10841cd0, "mt76_connac_mcu_update_arp_filter" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "A8E069383CBF54B7B05CEB2");

MODULE_INFO(suserelease, "SLFO-1.0");
