#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rt2800_mcu_request, 0x4404bfb3, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xc8478f96, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x5ae1b106, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x0390e926, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x0c901ecd, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x83ff3f56, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xca6ccb47, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xe7174ee9, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x1ef6c188, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x00f7d897, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x2ad122c9, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x30ec1f70, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xd60b62d9, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x0c039ae3, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x30c44020, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x46a4bc37, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x55076b82, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0xb504c0f7, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xb34feda9, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x1e7b9626, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xc62c0204, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x85354482, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x1992437e, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xc88e0dc5, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x1f94a91f, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x4bad6e47, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xdbd7a635, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x9f0bb122, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xdba660ae, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x0520459f, "_gpl");
SYMBOL_CRC(rt2800_config, 0x1e7cbc74, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x8d22a796, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x9726f7ad, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xee578b50, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xc4e741a4, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xda3fee0a, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x8ee3fa47, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x9fd01b29, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x037fb5e1, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0xd3bb7813, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x8bf0b5c6, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xf49ffe5a, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x1e0e651b, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x909601a0, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xd5357126, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x114e135c, "__skb_pad" },
	{ 0x55eb771a, "rt2x00lib_txdone_noinfo" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x282f8386, "ieee80211_restart_hw" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xe6fcb641, "rt2x00lib_set_mac_address" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x6684685b, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8984470e, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd864c43f, "rt2x00lib_txdone" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x3323f24, "rt2x00queue_get_entry" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8b905e58, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xac0e30d, "rt2x00mac_conf_tx" },
	{ 0x531547a1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xfa104efa, "rt2x00debug_dump_frame" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "E50CA3EE42E0BDDB473FD60");

MODULE_INFO(suserelease, "SLFO-1.0");
