#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_pm_ops, 0x547243c5, "");
SYMBOL_CRC(rtw_pci_probe, 0x23562713, "");
SYMBOL_CRC(rtw_pci_remove, 0x740306f1, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xa6e07590, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b705494, "rtw_chip_info_setup" },
	{ 0x1bfc914c, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe2d902b4, "rtw_unregister_hw" },
	{ 0x6684685b, "_dev_err" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xd3b8777, "rtw_tx_fill_tx_desc" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xf43297ae, "napi_enable" },
	{ 0x3b2ad919, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x279dd65d, "ieee80211_alloc_hw_nm" },
	{ 0x302bed4d, "pci_iounmap" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0x6b7b67b7, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf3100943, "ieee80211_stop_queue" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x54932e33, "rtw_rx_stats" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xa8e8a22a, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa9a0cb6f, "rtw_register_hw" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b393a68, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x383ed622, "rtw_dbg" },
	{ 0x849bbd6c, "rtw_core_deinit" },
	{ 0x6a4fbba5, "rtw_ops" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x50a18a18, "rtw_power_mode_change" },
	{ 0x958c2943, "rtw_tx_write_data_h2c_get" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcd3733ad, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe4520ca7, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xad3fb4fb, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd911656b, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdb8351b1, "rtw_tx_queue_mapping" },
	{ 0xa387139e, "pcie_capability_read_word" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x521b6557, "pci_iomap" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xf601d10d, "ieee80211_free_hw" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x198c9a25, "dev_kfree_skb_irq_reason" },
	{ 0x695f199f, "pci_set_power_state" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0x753d4415, "ieee80211_wake_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0xa918c95a, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd374dc9, "devm_free_irq" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "A1A75EBC27EB7AEDBCCFA7F");

MODULE_INFO(suserelease, "SLFO-1.0");
