#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_sdio_pm_ops, 0x6f8f5573, "");
SYMBOL_CRC(rtw_sdio_probe, 0xcfe426cb, "");
SYMBOL_CRC(rtw_sdio_remove, 0xb3cdf016, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0x2b3f1681, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7567d1b4, "sdio_set_host_pm_flags" },
	{ 0x1b705494, "rtw_chip_info_setup" },
	{ 0x44645ac3, "ieee80211_purge_tx_queue" },
	{ 0xe2d902b4, "rtw_unregister_hw" },
	{ 0x6684685b, "_dev_err" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xd3b8777, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x3b2ad919, "rtw_core_init" },
	{ 0x4dd5f458, "sdio_readl" },
	{ 0x279dd65d, "ieee80211_alloc_hw_nm" },
	{ 0x6b7b67b7, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x6b885999, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x54932e33, "rtw_rx_stats" },
	{ 0xa9a0cb6f, "rtw_register_hw" },
	{ 0x383ed622, "rtw_dbg" },
	{ 0x849bbd6c, "rtw_core_deinit" },
	{ 0x6a4fbba5, "rtw_ops" },
	{ 0xdb36c979, "sdio_claim_irq" },
	{ 0x7b7acdc1, "skb_copy_header" },
	{ 0x45eac5e6, "sdio_enable_func" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x50a18a18, "rtw_power_mode_change" },
	{ 0x958c2943, "rtw_tx_write_data_h2c_get" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xe4520ca7, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x1f888388, "ieee80211_rx_irqsafe" },
	{ 0xdb77dd2a, "skb_queue_head" },
	{ 0xa5beabde, "sdio_readb" },
	{ 0xa9cedeaa, "sdio_writeb" },
	{ 0xd911656b, "rtw_tx_report_enqueue" },
	{ 0xa453269d, "sdio_release_host" },
	{ 0xdb8351b1, "rtw_tx_queue_mapping" },
	{ 0x86c8c24d, "sdio_disable_func" },
	{ 0xa96b296, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x7fefc6e2, "sdio_claim_host" },
	{ 0x10f150d8, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xf601d10d, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x629354de, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9724dc1d, "sdio_align_size" },
	{ 0xa918c95a, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x2b2822c2, "sdio_release_irq" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,rtw88_core,mac80211");


MODULE_INFO(srcversion, "3F09BEB4A3A853321D45B7F");

MODULE_INFO(suserelease, "SLFO-1.0");
