#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw89_core_fill_txdesc, 0xf10a61de, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xb4d4125e, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x6b370b6b, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x08fb6007, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0xd7187932, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x2ebbcdc8, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x368f4223, "");
SYMBOL_CRC(rtw89_core_rx, 0xc4f0e944, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xb52520aa, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x697c267d, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x89392bb3, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x5004c526, "");
SYMBOL_CRC(rtw89_check_quirks, 0x967ef470, "");
SYMBOL_CRC(rtw89_core_init, 0x81a17152, "");
SYMBOL_CRC(rtw89_core_deinit, 0x88e27630, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x2db828ee, "");
SYMBOL_CRC(rtw89_core_register, 0x45af8494, "");
SYMBOL_CRC(rtw89_core_unregister, 0xee7eae2f, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x305c1b9c, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xefe45fe5, "");
SYMBOL_CRC(rtw89_ops, 0xcf4c851e, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xfd7674b2, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x63853bd9, "");
SYMBOL_CRC(rtw89_mac_size, 0x3e3298fc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x4fb0d191, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xbd062460, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xb2cec1d9, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x4a9cc3c9, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x43b5f7e8, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x352685fc, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xed15b73c, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x53350d32, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0xdaf099a5, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x170f591a, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x623ca318, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xa256936a, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xd8a8f28a, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xf49bbeb0, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0xad11fcac, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x6cbc4e14, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x12319c8c, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0xa239507a, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xdafa0765, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xb7688045, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0xdc9428df, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xa4d56a00, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x833cfbfe, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x8ff446c4, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x55dc1419, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xeed90318, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x89243c11, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x58c5277e, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0x6f294cb8, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0x7f1ae4b6, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x0a3d9254, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x7ea4fd64, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0x02fb2258, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x28444973, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x4d10cacb, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x6ab8be08, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x8a754273, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x9d29b697, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0xcd96fbce, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x715be03e, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0xe2d4c06d, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x1c159d87, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x33e4a11b, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0x5a0f1226, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x475431a5, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x904e6d88, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x54a21b39, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x5e8b7c4a, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x40b26bf3, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x0ed1a384, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0xec25fa02, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0xa411777b, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0xedd2ad85, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0xdc037f49, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xcaecdf16, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0xf7c2f414, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x0e4f7f07, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xa031fca4, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x035bffef, "");
SYMBOL_CRC(rtw89_ser_notify, 0xed8e5636, "");
SYMBOL_CRC(rtw89_debug_mask, 0xe3f57b04, "");
SYMBOL_CRC(rtw89_debug, 0x2cf68496, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2e1a954, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcd3fbe6f, "dev_coredumpv" },
	{ 0x279dd65d, "ieee80211_alloc_hw_nm" },
	{ 0xf9e502a8, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2bc84c0, "ieee80211_emulate_add_chanctx" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xec94488a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xa386517f, "ieee80211_ready_on_channel" },
	{ 0xc259e4e, "ieee80211_stop_queues" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x95b146f0, "skb_unlink" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x78960bf0, "ieee80211_scan_completed" },
	{ 0xf77afc2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b393a68, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa6e6c827, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfc8e850a, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x33d6299e, "ieee80211_cqm_rssi_notify" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x7de4f5c6, "ieee80211_queue_work" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x35c14bf, "single_open" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x3a8fbe78, "ieee80211_emulate_remove_chanctx" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xcd3733ad, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xad3fb4fb, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x619e5fac, "ieee80211_stop_tx_ba_session" },
	{ 0x5e488078, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8aa5710c, "ieee80211_connection_loss" },
	{ 0x4c834d13, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5485eef2, "__ieee80211_schedule_txq" },
	{ 0xba9969bd, "ieee80211_txq_get_depth" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x932e46b, "cfg80211_bss_iter" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xf601d10d, "ieee80211_free_hw" },
	{ 0x1631c562, "ieee80211_probereq_get" },
	{ 0xbdca5032, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0xd602b41d, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x61b599f8, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6e986a5f, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xd22f8f23, "ieee80211_nullfunc_get" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xb247a81a, "ieee80211_pspoll_get" },
	{ 0x234732cb, "ieee80211_register_hw" },
	{ 0xd10cac9b, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x282f8386, "ieee80211_restart_hw" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa54fcbd3, "ieee80211_find_sta" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x531547a1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x9db84f66, "wiphy_to_ieee80211_hw" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x6684685b, "_dev_err" },
	{ 0xc71d6128, "simple_open" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x38b1c0ea, "ieee80211_next_txq" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8026852b, "ieee80211_remain_on_channel_expired" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xf43297ae, "napi_enable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xae4d63ae, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x191a4141, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "25F0C4595E57792FD13592B");

MODULE_INFO(suserelease, "SLFO-1.0");
