#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0xf9c56740, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x96202102, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0xc8588c2b, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x6fad5211, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x003652cd, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0xd0eb0283, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x33a58474, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0x70434f9b, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x930dc96c, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x581d20bd, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x743adec5, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x8218d445, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x07ea8f9b, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x68b3a371, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xcd8003f2, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x360af0a5, "");
SYMBOL_CRC(rtw89_pm_ops, 0xe0c01738, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x20573c36, "");
SYMBOL_CRC(rtw89_pci_probe, 0x35e21320, "");
SYMBOL_CRC(rtw89_pci_remove, 0x9dcf7a67, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0xe3f57b04, "rtw89_debug_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xed8e5636, "rtw89_ser_notify" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x95b146f0, "skb_unlink" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x45af8494, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xc4f0e944, "rtw89_core_rx" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x88e27630, "rtw89_core_deinit" },
	{ 0x1fafc1a3, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x2cf68496, "rtw89_debug" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x697c267d, "rtw89_core_napi_stop" },
	{ 0x2db828ee, "rtw89_chip_info_setup" },
	{ 0xfd7674b2, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa387139e, "pcie_capability_read_word" },
	{ 0x3dfba128, "pci_find_ext_capability" },
	{ 0x305c1b9c, "rtw89_alloc_ieee80211_hw" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x521b6557, "pci_iomap" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x89392bb3, "rtw89_core_napi_init" },
	{ 0xee7eae2f, "rtw89_core_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xb2136bb, "ieee80211_tx_status_skb" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd374dc9, "devm_free_irq" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x81a17152, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6684685b, "_dev_err" },
	{ 0x967ef470, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5004c526, "rtw89_core_napi_deinit" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xefe45fe5, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb52520aa, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x302bed4d, "pci_iounmap" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "018131917484709C4B42E6A");

MODULE_INFO(suserelease, "SLFO-1.0");
