#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcc32a58, "wlcore_tx_complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbf8a7e6b, "wlcore_free_hw" },
	{ 0x6884f7b7, "wlcore_event_soft_gemini_sense" },
	{ 0xa453bb33, "wlcore_scan_sched_scan_results" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5845714a, "wlcore_event_max_tx_failure" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3345cce4, "wlcore_remove" },
	{ 0x58a08b17, "wlcore_disable_interrupts" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc5bfdf72, "wlcore_event_channel_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0xc71d6128, "simple_open" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc3d9a416, "wl1271_cmd_test" },
	{ 0xd4f47bdf, "wlcore_enable_interrupts" },
	{ 0x43beb695, "wlcore_set_partition" },
	{ 0xdbe7080, "wl1271_acx_sleep_auth" },
	{ 0xa4c9f276, "wlcore_boot_upload_firmware" },
	{ 0x85e92c0c, "wlcore_event_sched_scan_completed" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9dc1361a, "wl12xx_acx_mem_cfg" },
	{ 0xcf9e3196, "wl1271_cmd_data_path" },
	{ 0xf9560e45, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeebc52b, "wl1271_cmd_configure" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea98a5dd, "__platform_driver_register" },
	{ 0xd5b8a3b, "wl1271_acx_set_ht_capabilities" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x66aabab6, "wlcore_alloc_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8213b858, "wlcore_probe" },
	{ 0xb5782102, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x61672d47, "wlcore_event_rssi_trigger" },
	{ 0xae10d6d7, "wlcore_calc_packet_alignment" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd226bea1, "wl1271_acx_pm_config" },
	{ 0xc475fc56, "wlcore_event_ba_rx_constraint" },
	{ 0x8c0ef5a6, "wlcore_event_inactive_sta" },
	{ 0xaba67dba, "wlcore_event_dummy_packet" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x39b9aa78, "wlcore_event_beacon_loss" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x154c0899, "generic_file_llseek" },
	{ 0x40744e37, "wl1271_acx_init_mem_config" },
	{ 0x256ba4ca, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0x9b5001b6, "wlcore_boot_upload_nvs" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x14f95021, "wl12xx_cmd_build_probe_req" },
	{ 0x3f91930e, "wl1271_tx_min_rate_get" },
	{ 0x322877e7, "wl1271_cmd_send" },
	{ 0x52cbef6c, "platform_driver_unregister" },
	{ 0x2fb6487c, "wlcore_event_roc_complete" },
	{ 0x845b9e5e, "wlcore_scan_sched_scan_ssid_list" },
	{ 0x6ff1edb7, "wlcore_translate_addr" },
	{ 0xcd7e7223, "wlcore_boot_run_firmware" },
	{ 0xa3210784, "wlcore_set_scan_chan_params" },
	{ 0x3caf56ce, "wl1271_debugfs_update_stats" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85498cd1, "wl1271_format_buffer" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "wlcore,mac80211");

MODULE_ALIAS("platform:wl12xx");

MODULE_INFO(srcversion, "6D2CC958F6A8D85000B2330");

MODULE_INFO(suserelease, "SLFO-1.0");
