#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wlcore_set_key, 0x256ba4ca, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0x66aabab6, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0xbf8a7e6b, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x8213b858, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x3345cce4, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x322877e7, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xb5782102, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0xc3d9a416, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x0eebc52b, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0xcf9e3196, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x14f95021, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x28d7528e, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x58a08b17, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0xae14580f, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0xd4f47bdf, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xb0e3000e, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x6ff1edb7, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x43beb695, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x0c7ed850, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0x61672d47, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x6884f7b7, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x85e92c0c, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0xc475fc56, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0xc5bfdf72, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0xaba67dba, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x5845714a, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x8c0ef5a6, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x2fb6487c, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x39b9aa78, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0xaffcea86, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xec3ac104, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xae10d6d7, "");
SYMBOL_CRC(wlcore_tx_complete, 0xbcc32a58, "");
SYMBOL_CRC(wl1271_tx_flush, 0xce30838f, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x3f91930e, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x0dbe7080, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x9dc1361a, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x40744e37, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0xd226bea1, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x0d5b8a3b, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0xa4c9f276, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x9b5001b6, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0xcd7e7223, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x3caf56ce, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0xa3210784, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x845b9e5e, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0xa453bb33, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x34c20e12, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xc5f20298, "device_create_file" },
	{ 0x9db84f66, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0x7965e9e1, "ieee80211_proberesp_get" },
	{ 0x3efcc12f, "device_wakeup_enable" },
	{ 0x60a64c4d, "request_firmware_nowait" },
	{ 0xc71d6128, "simple_open" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x18ca01a9, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8026852b, "ieee80211_remain_on_channel_expired" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x7fe5e931, "no_seek_end_llseek" },
	{ 0xae4d63ae, "ieee80211_wake_queues" },
	{ 0x41f219fb, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa2e1a954, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x279dd65d, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x96343aa0, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf9560e45, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf3100943, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xa386517f, "ieee80211_ready_on_channel" },
	{ 0xc259e4e, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x507d54d4, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xeee32776, "ieee80211_sched_scan_results" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0x78960bf0, "ieee80211_scan_completed" },
	{ 0xf77afc2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x873719cf, "dev_pm_clear_wake_irq" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe902ee8, "_ieee80211_chswitch_done" },
	{ 0xca8aec7d, "pm_runtime_force_resume" },
	{ 0x9b393a68, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa6e6c827, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x33d6299e, "ieee80211_cqm_rssi_notify" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x7de4f5c6, "ieee80211_queue_work" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0xd2c3f8da, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x154c0899, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb3d78c21, "pm_runtime_force_suspend" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xfe38cc8f, "device_remove_bin_file" },
	{ 0x7df92cd7, "device_remove_file" },
	{ 0x94d56c1, "ieee80211_csa_finish" },
	{ 0xdb77dd2a, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xad3fb4fb, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8aa5710c, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1a318d01, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xadcba965, "ieee80211_iterate_interfaces" },
	{ 0x37991983, "ieee80211_sched_scan_stopped" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xf601d10d, "ieee80211_free_hw" },
	{ 0x1631c562, "ieee80211_probereq_get" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xcce342ee, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd22f8f23, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb247a81a, "ieee80211_pspoll_get" },
	{ 0x234732cb, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x282f8386, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1b372514, "ieee80211_get_hdrlen_from_skb" },
	{ 0x2b2e481f, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf6f727eb, "ieee80211_stop_rx_ba_session" },
	{ 0x753d4415, "ieee80211_wake_queue" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2fdb0c2, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb2136bb, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa54fcbd3, "ieee80211_find_sta" },
	{ 0x58b5b66, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x4592b914, "pm_wakeup_dev_event" },
	{ 0x84c4a643, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "5DD1B5DECF908BF7A8656B9");

MODULE_INFO(suserelease, "SLFO-1.0");
