#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(st21nfca_hci_probe, 0xb4b1d289, "");
SYMBOL_CRC(st21nfca_hci_remove, 0xea9536ef, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x55e9d8e3, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x5b8beb14, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0xb80ebba7, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x623a72c2, "");
SYMBOL_CRC(st21nfca_dep_init, 0xaba58881, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x2fa9800b, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0xabe8a519, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0x02fa7f29, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x0c7241c2, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0x617db2c2, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0xe0b2167d, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x30163302, "");
SYMBOL_CRC(st21nfca_se_init, 0xa1037f1e, "");
SYMBOL_CRC(st21nfca_se_deinit, 0xfaa97bc7, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0xa871c430, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0x04e360d9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95d0bc3, "nfc_hci_free_device" },
	{ 0xdd3d219b, "nfc_se_transaction" },
	{ 0xc1b4c117, "nfc_get_local_general_bytes" },
	{ 0x41b9ebba, "nfc_hci_register_device" },
	{ 0x3277ab43, "nfc_set_remote_general_bytes" },
	{ 0x6684685b, "_dev_err" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xdd5649e2, "nfc_hci_send_cmd" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x1cf191ea, "nfc_hci_get_clientdata" },
	{ 0x15901500, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf53c25dc, "nfc_hci_allocate_device" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67875e95, "nfc_se_connectivity" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x18809486, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90565ade, "nfc_hci_set_param" },
	{ 0xe1176797, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xd89ccb18, "nfc_hci_send_event" },
	{ 0x63e80085, "nfc_hci_disconnect_all_gates" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x50826d5, "nfc_hci_disconnect_gate" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdf04bfaa, "nfc_hci_set_clientdata" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xa7ea6922, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x551cad86, "nfc_hci_get_param" },
	{ 0x36074690, "nfc_hci_send_cmd_async" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xddc42e96, "nfc_add_se" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1f4b816, "nfc_llc_stop" },
	{ 0x7a6893c5, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc65dbe3a, "nfc_tm_data_received" },
	{ 0xdddbc3dd, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x57bb1c26, "nfc_hci_unregister_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x56ac10dd, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");

MODULE_INFO(suserelease, "SLFO-1.0");
