#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvdimm_bus_lock, 0x65951d3e, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x6e5c7763, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xfb6a8af7, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xdc8c8635, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xe759e4df, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x202cfe4d, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xddc30f93, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x597e75df, "");
SYMBOL_CRC(nd_device_notify, 0x4da86c92, "");
SYMBOL_CRC(nvdimm_region_notify, 0x0e279a10, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x87eb28b7, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xc1a3fb9f, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xea197324, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xd8f609c1, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x66ce71dc, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x7cf7d4fa, "");
SYMBOL_CRC(nd_device_unregister, 0xdbcc5a1d, "");
SYMBOL_CRC(__nd_driver_register, 0xa4addd6c, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xdcf89bb7, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xaa12a165, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xb4b81239, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x756abf54, "_gpl");
SYMBOL_CRC(to_ndd, 0x5aa66bbc, "");
SYMBOL_CRC(nvdimm_name, 0x6a767852, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xef566044, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xe70a4566, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x5a10aca9, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xdabf282f, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x2516aaa9, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x03df6d8d, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xaccf762c, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x5f94f4c9, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xf30e4c3c, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x7aba4e6a, "_gpl");
SYMBOL_CRC(to_nd_region, 0xcc6e5ff5, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x74da19d1, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xd1b09b7d, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x9b1da2a7, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x6906ef40, "");
SYMBOL_CRC(nd_region_release_lane, 0xf9c490de, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x5f82f498, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x5324facb, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xa04e6193, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xeb067749, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xae262910, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x3ef47bca, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xf456c5f9, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x80b7dd67, "");
SYMBOL_CRC(pmem_sector_size, 0x7769a97f, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x136f9d47, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x95a6902b, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x906b4cd9, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xe9a0be22, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x180b53c9, "");
SYMBOL_CRC(devm_namespace_enable, 0x2ef98951, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x3b823239, "_gpl");
SYMBOL_CRC(badrange_init, 0x6d31906b, "_gpl");
SYMBOL_CRC(badrange_add, 0xa2ae90f6, "_gpl");
SYMBOL_CRC(badrange_forget, 0x138508e0, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x424eba36, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xa03baab7, "");
SYMBOL_CRC(is_nd_btt, 0x548195d1, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x6b628934, "");
SYMBOL_CRC(nd_btt_version, 0xc2bf1fd7, "");
SYMBOL_CRC(nd_btt_probe, 0x4d962f1a, "");
SYMBOL_CRC(to_nd_pfn, 0x85bdc74c, "");
SYMBOL_CRC(is_nd_pfn, 0xda9d33bb, "");
SYMBOL_CRC(nd_pfn_validate, 0x043f3328, "");
SYMBOL_CRC(nd_pfn_probe, 0x814b986b, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x409b6405, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x3e75fae1, "");
SYMBOL_CRC(is_nd_dax, 0x6116af13, "");
SYMBOL_CRC(nd_dax_probe, 0x73edc71a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0x948adaee, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xf8c111e5, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xfcc26f4, "__devm_release_region" },
	{ 0x5225c7c7, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9a284bf5, "kernfs_put" },
	{ 0x36de56, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xab2ebcf, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x562baf30, "badblocks_check" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xd5827161, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xa04d4eb1, "badblocks_clear" },
	{ 0x5721e98d, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xbf320c7e, "up_read" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x65c98671, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd0cac485, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x2f9a5d9c, "blk_integrity_register" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xbf048203, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x7777dfa7, "devm_memremap" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6f130006, "badblocks_set" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x243c374f, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x2225d22, "badblocks_exit" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xa0b6d0ae, "device_for_each_child" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x81142b3e, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xf86193b4, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5f3446a3, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xb580dfba, "badblocks_show" },
	{ 0x5ae5d80d, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x948f2719, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0x7c8c5191, "perf_pmu_migrate_context" },
	{ 0x2afbeecb, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x221059a6, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x63527824, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x6684685b, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x58c44c32, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xb3f0248b, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x61d6bedf, "class_create" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x17b55a4c, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x121eca77, "driver_unregister" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3ca1f524, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "899D0F9562B356761BD69D6");

MODULE_INFO(suserelease, "SLFO-1.0");
