#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmf_get_address, 0xf7c3f41b, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x80b1ec61, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x482e0c71, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x5b482967, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x4044c11b, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x9012b349, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xfea104d4, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x1ea215e0, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x3f9416a8, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xf330661e, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x8e7e51e7, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xd3b1dd5e, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x14a652fa, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0xc5705869, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x948f2719, "module_put" },
	{ 0x221059a6, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f607373, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x288b3b05, "device_create" },
	{ 0x61d6bedf, "class_create" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x792723bb, "__nvme_submit_sync_cmd" },
	{ 0x9992785d, "nvme_try_sched_reset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xb08ebea9, "misc_register" },
	{ 0x10b19eba, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x85df9b6c, "strsep" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0xab2ebcf, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0x775c86e6, "nvme_wait_reset" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x35c14bf, "single_open" },
	{ 0xbf320c7e, "up_read" },
	{ 0x74a1297d, "nvme_tls_key_lookup" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4978fa1f, "nvme_auth_negotiate" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x243c374f, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "F58D93338A3EE2FE58E2C7F");

MODULE_INFO(suserelease, "SLFO-1.0");
