#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssam_get_controller, 0xaa795dc2, "_gpl");
SYMBOL_CRC(ssam_client_link, 0x2457d3c6, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x47ea132f, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x94439655, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0x82fff71b, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x9e76d3ce, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0xe283c2b5, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x06384d29, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x29f80e53, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x9bc15875, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0xeab11ac7, "_gpl");
SYMBOL_CRC(ssam_bus_type, 0x40f18010, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x88eb048e, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x2e1fb205, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0xf1ea388a, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0x7aa20b00, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x49aaa3e0, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x8950cf80, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0xb3f2a99b, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x68f47ae7, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0x64b17391, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0x8f712067, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x840a024a, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x830f72a9, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x52829db1, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0xd950bf38, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0xec3b4e3c, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x7d481527, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x2fb38ae5, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0x5909b784, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0xc0b3ccb5, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x2651f39e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xff6f93ce, "device_for_each_child_reverse" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfdcdf216, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x96c11032, "init_srcu_struct" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0xbf115de9, "devm_acpi_dev_add_driver_gpios" },
	{ 0x63527824, "bus_unregister" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f607373, "up_write" },
	{ 0xb3f0248b, "device_add" },
	{ 0xcc4b4b6, "crc_ccitt_false" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x664f0ebe, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x121eca77, "driver_unregister" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x1f7e509, "cleanup_srcu_struct" },
	{ 0xbe4f6412, "sysfs_create_group" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xff2060ff, "serdev_device_wait_until_sent" },
	{ 0x3f852495, "__serdev_device_driver_register" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x7beb5156, "acpi_dev_clear_dependencies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2a893d83, "fwnode_handle_get" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x98095d2, "serdev_device_write_buf" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0xd52d6550, "sysfs_remove_group" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x215fc47a, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x59db8c53, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa778dd85, "fwnode_handle_put" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x96925f31, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbf320c7e, "up_read" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xab01ede1, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x9cd67e7, "gpiod_put" },
	{ 0x1a318d01, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfd021406, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3ff623f8, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x71a9259d, "device_initialize" },
	{ 0xcb62ee9c, "serdev_device_set_flow_control" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x5affbad9, "gpiod_to_irq" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x42abc94, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9b32f92d, "fwnode_get_next_child_node" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xe2a9c685, "synchronize_srcu" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x4464407a, "serdev_device_set_parity" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "F87072E29258F0E4F34B3AC");

MODULE_INFO(suserelease, "SLFO-1.0");
