#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xea98a5dd, "__platform_driver_register" },
	{ 0xab939770, "platform_device_alloc" },
	{ 0xbfe7ed3, "platform_device_add" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x5a921311, "strncmp" },
	{ 0x35597835, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8c75fbed, "i8042_install_filter" },
	{ 0x3baa619d, "led_classdev_register_ext" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x1b0b3141, "dell_laptop_register_notifier" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xb28d7c7, "backlight_device_register" },
	{ 0xeabfb5f3, "platform_device_del" },
	{ 0x99e4772b, "platform_device_put" },
	{ 0x9d4b709e, "dell_privacy_has_mic_mute" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x7a8975a1, "single_release" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x35c14bf, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x45ba0c41, "i8042_remove_filter" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xd6c6b12d, "dell_laptop_unregister_notifier" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x2a14fb1, "led_classdev_unregister" },
	{ 0x5a303f43, "backlight_device_unregister" },
	{ 0x3f74f6e8, "platform_device_unregister" },
	{ 0x52cbef6c, "platform_driver_unregister" },
	{ 0x4fdee897, "i8042_command" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x45170471, "dell_smbios_call" },
	{ 0xc2871e79, "dell_smbios_error" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7fd2ce06, "dell_smbios_find_token" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2c208607, "power_supply_is_system_supplied" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb6da10e5, "led_classdev_notify_brightness_hw_changed" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "rfkill,dell-smbios,video,dell-wmi,ledtrig-audio");

MODULE_ALIAS("dmi*:svn*DellInc.*:ct*8*:");
MODULE_ALIAS("dmi*:svn*DellInc.*:ct*9*:");
MODULE_ALIAS("dmi*:svn*DellInc.*:ct*10*:");
MODULE_ALIAS("dmi*:svn*DellInc.*:ct*30*:");
MODULE_ALIAS("dmi*:svn*DellInc.*:ct*31*:");
MODULE_ALIAS("dmi*:svn*DellInc.*:ct*32*:");
MODULE_ALIAS("dmi*:svn*DellComputerCorporation*:ct*8*:");

MODULE_INFO(srcversion, "12921FDB9FC39127F8A6ED0");

MODULE_INFO(suserelease, "SLFO-1.0");
