#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rio_local_get_device_id, 0x2a91da6c, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xcf8c9286, "");
SYMBOL_CRC(rio_alloc_net, 0x0343aa59, "_gpl");
SYMBOL_CRC(rio_add_net, 0xab1242ba, "_gpl");
SYMBOL_CRC(rio_free_net, 0x437881ce, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x4efcd232, "_gpl");
SYMBOL_CRC(rio_add_device, 0xfbf039d5, "_gpl");
SYMBOL_CRC(rio_del_device, 0x5e91c623, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xc516e217, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xfd786c49, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x1a3ea375, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x82b19d51, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0xfedb1cd8, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x5545e8e8, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x6af7b980, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x9058d76a, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0xe68901f4, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0xf631b525, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0xce729a90, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x108ac856, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x49362e28, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x4913deda, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0xb5a3f657, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x110bd262, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x68552fcb, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x4d73eeb1, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0xbb7d0ec7, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x97e74608, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x093e0759, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0xff401f2c, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x1f41286b, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x8d5f3dc8, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x5988f110, "_gpl");
SYMBOL_CRC(rio_lock_device, 0xb4db55f1, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x788bb95d, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x79f88925, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x3ad9afc5, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xbbad0818, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x271ca97f, "_gpl");
SYMBOL_CRC(rio_request_dma, 0xbb70c026, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xf39ee422, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0x40d5b395, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x5c678daa, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x6539ba13, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x6178f6eb, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x7db7c87f, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x700d13b2, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x6f1fea55, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x1e8f5b88, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0xbfa8c4a9, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x53a63556, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x80a78204, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0xb9a97ed8, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x679454cd, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x41e921a7, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x676ef7c2, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0xe4b47700, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x90465e84, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x2b2b3612, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x98620a1e, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0xebc53b5f, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xcc793f94, "_gpl");
SYMBOL_CRC(rio_mport_class, 0xde3fed12, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x03301e8f, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x119c5b04, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x26c20ebe, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x9eeb767b, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xf564dbe4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81142b3e, "get_device" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xff9be32e, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x948f2719, "module_put" },
	{ 0x6684685b, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0x6ea15b35, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1aef77de, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b5a664e, "dma_release_channel" },
	{ 0xa0b6d0ae, "device_for_each_child" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DA39A8CF0BA0076D2DDF66");

MODULE_INFO(suserelease, "SLFO-1.0");
