#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x948f2719, "module_put" },
	{ 0x587eefb, "cxgb4_remove_tid" },
	{ 0x36982b7a, "cxgbi_sock_fail_act_open" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2f6ec4, "cxgbi_sock_free_cpl_skbs" },
	{ 0x661e309e, "cxgbi_sock_purge_wr_queue" },
	{ 0x2f776cc6, "cxgb4_l2t_release" },
	{ 0x863f1d51, "cxgb4_free_atid" },
	{ 0xf308218d, "cxgb4_clip_release" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x148098cd, "___pskb_trim" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe781e918, "cxgbi_sock_established" },
	{ 0xb360f47a, "cxgbi_conn_tx_open" },
	{ 0xe18cf23e, "cxgbi_sock_closed" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x24952307, "cxgb4_pktgl_to_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8efe92e, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0x99aeabf4, "cxgb4_alloc_atid" },
	{ 0x219b2a76, "cxgb4_l2t_get" },
	{ 0xd69a0294, "cxgb4_best_mtu" },
	{ 0x9fed7547, "cxgb4_port_chan" },
	{ 0xb25845bd, "cxgb4_port_idx" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x6065d7e2, "__neigh_event_send" },
	{ 0x26602795, "neigh_destroy" },
	{ 0x9a5f7953, "ip6_mtu" },
	{ 0x68f0bda8, "cxgb4_clip_get" },
	{ 0xb4afdc33, "dcb_ieee_getapp_mask" },
	{ 0x716d2534, "dcb_getapp" },
	{ 0x234ffb17, "ipv4_mtu" },
	{ 0x833835c3, "cxgbi_conn_pdu_ready" },
	{ 0xc5bddd39, "cxgbi_create_session" },
	{ 0x15eea62e, "cxgbi_destroy_session" },
	{ 0x56c5e96e, "cxgbi_create_conn" },
	{ 0xf04e06b9, "iscsi_conn_unbind" },
	{ 0x4f7ab685, "cxgbi_bind_conn" },
	{ 0xb9872be6, "iscsi_conn_start" },
	{ 0xa03f725, "iscsi_conn_stop" },
	{ 0x983cb91a, "iscsi_tcp_conn_teardown" },
	{ 0xd045ed36, "cxgbi_set_conn_param" },
	{ 0x484cfcbe, "cxgbi_get_ep_param" },
	{ 0xae2e04b8, "iscsi_conn_get_param" },
	{ 0xdc3a8fc0, "iscsi_session_get_param" },
	{ 0x3f3986ae, "cxgbi_get_host_param" },
	{ 0x47e79ae7, "cxgbi_set_host_param" },
	{ 0xef55c7e5, "iscsi_conn_send_pdu" },
	{ 0xc515fbcb, "cxgbi_get_conn_stats" },
	{ 0x315053f2, "iscsi_tcp_task_init" },
	{ 0x611cf4dc, "iscsi_tcp_task_xmit" },
	{ 0x1b7c3025, "cxgbi_cleanup_task" },
	{ 0xee862904, "cxgbi_conn_alloc_pdu" },
	{ 0x2990d1f7, "cxgbi_conn_xmit_pdu" },
	{ 0x7425868e, "cxgbi_conn_init_pdu" },
	{ 0x8e668a4f, "cxgbi_parse_pdu_itt" },
	{ 0x9e59ae32, "iscsi_session_recovery_timedout" },
	{ 0x7d3e5977, "cxgbi_ep_connect" },
	{ 0x563f00c7, "cxgbi_ep_poll" },
	{ 0xf35e1c19, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0xc3fcc1b9, "iscsi_queuecommand" },
	{ 0xdeb1636f, "iscsi_eh_abort" },
	{ 0x86a9457, "iscsi_eh_device_reset" },
	{ 0xbac633bc, "iscsi_eh_recover_target" },
	{ 0xb20aa296, "iscsi_target_alloc" },
	{ 0xc4e905a2, "scsi_change_queue_depth" },
	{ 0xdcca3ad, "iscsi_eh_cmd_timed_out" },
	{ 0xf00cd6f5, "param_ops_ushort" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xee10d01d, "cxgbi_iscsi_init" },
	{ 0xd75a5ebb, "cxgb4_register_uld" },
	{ 0x93b3fc74, "register_dcbevent_notifier" },
	{ 0x60078d3d, "cxgbi_device_unregister" },
	{ 0x434438c7, "cxgbi_sock_rcv_wr_ack" },
	{ 0xf9c12a50, "__kfree_skb" },
	{ 0x6779df04, "cxgb4_ofld_send" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x65b45cb, "complete" },
	{ 0x888045d1, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0xca8082f1, "cxgbi_sock_rcv_abort_rpl" },
	{ 0x2a1b57c4, "cxgbi_sock_rcv_peer_close" },
	{ 0x45994a6b, "cxgb4_select_ntuple" },
	{ 0x474a76b9, "cxgb4_l2t_send" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x8b0ad585, "cxgbi_device_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xaa681aa0, "cxgbi_ddp_ppm_setup" },
	{ 0xae1541d9, "cxgbi_device_portmap_create" },
	{ 0x5166fe06, "cxgbi_hbas_add" },
	{ 0x9b33e0d7, "unregister_dcbevent_notifier" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0x11bdb864, "cxgbi_iscsi_cleanup" },
	{ 0x7a3eb868, "init_net" },
	{ 0x50fbdcf0, "dev_get_by_index" },
	{ 0x6795ff18, "cxgbi_device_find_by_netdev_rcu" },
	{ 0x9785ab59, "iscsi_conn_failure" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x7c9ab5b9, "cxgbi_sock_skb_entail" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "cxgb4,libcxgbi,libiscsi,libiscsi_tcp,scsi_mod");


MODULE_INFO(srcversion, "4E0025AE3FC5F365D2C0C5C");

MODULE_INFO(suserelease, "SLFO-1.0");
