#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cxgbi_device_portmap_create, 0xae1541d9, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xe49926fa, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x8b0ad585, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x60078d3d, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xeb13416f, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xda5dfc39, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x6795ff18, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0xf7a44a74, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x5166fe06, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x0e2f6ec4, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0xe781e918, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0xe18cf23e, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x36982b7a, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x08efe92e, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xca8082f1, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x2a1b57c4, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x888045d1, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x434438c7, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x5aa25d7f, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x7c9ab5b9, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x661e309e, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xeb7f7fc0, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xaa681aa0, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x8e668a4f, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xb360f47a, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x833835c3, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xee862904, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x7425868e, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x2990d1f7, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x1b7c3025, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0xc515fbcb, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xd045ed36, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x484cfcbe, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x56c5e96e, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x4f7ab685, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xc5bddd39, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x15eea62e, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x47e79ae7, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x3f3986ae, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x7d3e5977, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x563f00c7, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0xf35e1c19, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xee10d01d, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x11bdb864, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x872bdf60, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65f5963, "iscsi_host_remove" },
	{ 0xbc9e7d03, "pci_dev_put" },
	{ 0x79525589, "iscsi_host_free" },
	{ 0x3d2b00d2, "iscsi_host_alloc" },
	{ 0x6f9110ab, "pci_dev_get" },
	{ 0x3d33a12d, "iscsi_host_add" },
	{ 0xf92f2c19, "scsi_host_put" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa47634db, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8401c78a, "iscsi_conn_queue_xmit" },
	{ 0xf9c12a50, "__kfree_skb" },
	{ 0x4290d369, "iscsi_tcp_cleanup_task" },
	{ 0x43c526ce, "cxgbi_ppm_ppod_release" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x639e669d, "iscsi_tcp_set_max_r2t" },
	{ 0x6c682e22, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xf6328286, "iscsi_tcp_conn_setup" },
	{ 0xb0d4530b, "iscsi_session_setup" },
	{ 0xbedde4e5, "iscsi_tcp_r2tpool_alloc" },
	{ 0x1ca0bbd3, "iscsi_session_teardown" },
	{ 0x28447df5, "iscsi_tcp_r2tpool_free" },
	{ 0x4a9477df, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x85f4a67b, "iscsi_unregister_transport" },
	{ 0x7d885542, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x9785ab59, "iscsi_conn_failure" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x21c70684, "iscsi_register_transport" },
	{ 0x7a3eb868, "init_net" },
	{ 0x5af19af6, "ip6_route_output_flags" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfccb337, "iscsi_host_get_param" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x809c876, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x28a73305, "iscsi_tcp_recv_skb" },
	{ 0xee85a94c, "iscsi_lookup_endpoint" },
	{ 0x82edb8cf, "iscsi_conn_bind" },
	{ 0xc84edd34, "iscsi_put_endpoint" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x5221682, "iscsi_tcp_hdr_recv_prep" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe1821f76, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xebf85b6, "__folio_put" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x948f2719, "module_put" },
	{ 0xe649441, "iscsi_destroy_endpoint" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x71ba851c, "cxgbi_ppm_ppods_reserve" },
	{ 0xff2910e9, "dma_map_sg_attrs" },
	{ 0x76ce0bb3, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x381e17dc, "ipv6_dev_get_saddr" },
	{ 0x26602795, "neigh_destroy" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x6e9d5802, "iscsi_create_endpoint" },
	{ 0xb4477045, "__ip_dev_find" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8b05db52, "iscsi_itt_to_ctask" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");

MODULE_INFO(suserelease, "SLFO-1.0");
