#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sas_register_ha, 0x03a9c20b, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xfde9a28e, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xee3db2dd, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x5dbfa0bb, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x678274c6, "");
SYMBOL_CRC(sas_resume_ha, 0x43da6f32, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x4f4cb815, "");
SYMBOL_CRC(sas_suspend_ha, 0xd712b9e1, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xba329c2b, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xa33ca9b1, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x34d974da, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x5810699a, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xc8686c85, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0xd026a25c, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x0b42a9ae, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x6252172a, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x2ac74ac2, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x9d407f75, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x4eea12f5, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x21102baf, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x68bc1a3c, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0xdc615964, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xa25c565c, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x4767cb8b, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0xfbbf5520, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x97443f0a, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x2b4b1f6c, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xefac79c2, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xd4eb1e5b, "_gpl");
SYMBOL_CRC(sas_query_task, 0x94c1fa49, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x9630ec36, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xf6f8d73a, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x6849cc35, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x2894705a, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x91514c9a, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x92393f84, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x3f73bb34, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x807bdf5f, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x94bafebe, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0xafb64d5b, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x8ca874dc, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xa1d25de1, "sas_phy_free" },
	{ 0xbe01d598, "scsi_eh_finish_cmd" },
	{ 0x1c55d654, "ata_noop_qc_prep" },
	{ 0x6c0f4ba1, "ata_sas_port_alloc" },
	{ 0x31ab31cc, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x51b901c, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf2155b3d, "sas_port_mark_backlink" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x25c9f894, "ata_link_abort" },
	{ 0x1f1e3dc8, "ata_std_qc_defer" },
	{ 0x751ccdaa, "ata_scsi_port_error_handler" },
	{ 0x49bf25a5, "ata_change_queue_depth" },
	{ 0x5e95a712, "ata_port_probe" },
	{ 0x4ee78031, "ata_std_error_handler" },
	{ 0x8e61ed59, "ata_port_free" },
	{ 0x24561758, "sas_end_device_alloc" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x4d26d51e, "sas_read_port_mode_page" },
	{ 0x24feb2a9, "sas_expander_alloc" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x7cd9347d, "sas_rphy_delete" },
	{ 0xf061e21, "scsi_is_host_device" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5e089801, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x25c8e47f, "scsi_host_busy" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xc188e77c, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcd8f28a3, "ata_sas_port_suspend" },
	{ 0x155d733e, "sas_rphy_add" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xb129316a, "sas_port_delete_phy" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1ebf0237, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca77364f, "sas_port_add_phy" },
	{ 0x8e835e0e, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x9160d6c0, "ata_sas_slave_configure" },
	{ 0x50bea1a6, "blk_mq_tagset_busy_iter" },
	{ 0xc3adf046, "scsi_done" },
	{ 0xcff10529, "scsi_unblock_requests" },
	{ 0x3dd9815, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xec6f6c63, "ata_host_put" },
	{ 0x7bd463d2, "sas_port_free" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xf341dc8d, "ata_std_sched_eh" },
	{ 0x1c784b33, "scsi_block_requests" },
	{ 0xfe3a7b55, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x79c7cd3c, "sas_remove_children" },
	{ 0xc4e905a2, "scsi_change_queue_depth" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85188d4f, "ata_port_wait_eh" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xa35d6d9e, "ata_qc_complete" },
	{ 0x6279454f, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf9d39d8c, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x7139aee3, "bsg_job_done" },
	{ 0xf62b3375, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xcd615b35, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb9f37ee4, "ata_sas_tport_add" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xfe89524a, "scsi_schedule_eh" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x780dd0a0, "ata_host_init" },
	{ 0x9fe1e83a, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6be2b87, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x87cbbd9e, "sas_port_get_phy" },
	{ 0xf9345eb3, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x81142b3e, "get_device" },
	{ 0x5cc6ed9b, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xc7a41dfb, "sas_phy_alloc" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod");


MODULE_INFO(srcversion, "44632034160C388DEDB0AC3");

MODULE_INFO(suserelease, "SLFO-1.0");
