#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssb_bus_resume, 0x806ed8a1, "");
SYMBOL_CRC(ssb_bus_suspend, 0xddd85d4c, "");
SYMBOL_CRC(ssb_bus_unregister, 0xd9ee1479, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0x7cd2191a, "");
SYMBOL_CRC(__ssb_driver_register, 0xd0ee2309, "");
SYMBOL_CRC(ssb_driver_unregister, 0x659cd470, "");
SYMBOL_CRC(ssb_set_devtypedata, 0xa5e3a171, "");
SYMBOL_CRC(ssb_clockspeed, 0xb116a67c, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x99f62680, "");
SYMBOL_CRC(ssb_device_enable, 0xfe23eb06, "");
SYMBOL_CRC(ssb_device_disable, 0x4ac0d804, "");
SYMBOL_CRC(ssb_dma_translation, 0x0d8822e8, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x7ea6f8a4, "");
SYMBOL_CRC(ssb_bus_powerup, 0x3ffbaea5, "");
SYMBOL_CRC(ssb_commit_settings, 0x614500c5, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x922412f6, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x039e0234, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0xbd54ac0c, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x69260760, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x57d8a596, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0xfa082de4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xc5f20298, "device_create_file" },
	{ 0x89bd2bc, "sdio_readsb" },
	{ 0xa84b8bd6, "gpiochip_get_data" },
	{ 0x63527824, "bus_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x4dd5f458, "sdio_readl" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x302bed4d, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6ea15b35, "device_register" },
	{ 0x43af56b1, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6b885999, "sdio_writel" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x6d33833a, "gpiochip_add_data_with_key" },
	{ 0xc58c08b0, "_dev_emerg" },
	{ 0xfe3567b0, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0x9dc0917e, "sdio_writesb" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x51ab38ac, "pci_write_config_word" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcf465811, "pci_write_config_dword" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x7df92cd7, "device_remove_file" },
	{ 0x65c98671, "bus_register" },
	{ 0xa5beabde, "sdio_readb" },
	{ 0xa9cedeaa, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xa453269d, "sdio_release_host" },
	{ 0x5e488078, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x7fefc6e2, "sdio_claim_host" },
	{ 0x521b6557, "pci_iomap" },
	{ 0x196f64c3, "sdio_readw" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x6c56bec5, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x7f630071, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xe14195bf, "sdio_writew" },
	{ 0x81142b3e, "get_device" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "124DC3E21F839122E3D6D80");

MODULE_INFO(suserelease, "SLFO-1.0");
