#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x35e9fe88, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x1e516b8c, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x7c903406, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x5a94e60d, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0xfe77b3f3, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xc7500b92, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x1ac330f7, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x679e07a1, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x48e490cd, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x67d4b4f6, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0xdb72e292, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x0960e940, "");
SYMBOL_CRC(iscsit_release_cmd, 0x91b25ba1, "");
SYMBOL_CRC(iscsit_free_cmd, 0xde66892d, "");
SYMBOL_CRC(iscsit_queue_rsp, 0xc2bf7c2e, "");
SYMBOL_CRC(iscsit_aborted_task, 0xdc5de436, "");
SYMBOL_CRC(iscsit_add_reject, 0x88e97081, "");
SYMBOL_CRC(iscsit_reject_cmd, 0xa7463d2b, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x735050f6, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0xfaae4808, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0xd9ea23ef, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x1ebaf548, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xe388a808, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x1737dd4b, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x346d33c4, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x02fc762a, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x6a361caa, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x549ceb78, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0xb57b6aa4, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0xe2d0a5b3, "");
SYMBOL_CRC(iscsit_handle_snack, 0x3be25147, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x404fd035, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xa53b835e, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x0a48a477, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x7f8c23ab, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x4f57a5c4, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0xc783434e, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x6e272368, "");
SYMBOL_CRC(iscsit_build_reject, 0x578a3981, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0xf2053fd7, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xe48aa6d7, "");
SYMBOL_CRC(iscsit_response_queue, 0xadeb66c3, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x488f6097, "");
SYMBOL_CRC(iscsit_register_transport, 0x52dce296, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x35e3e0e9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd5e0ecc7, "crypto_ahash_finup" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa588579a, "iov_iter_bvec" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xc66a95e4, "crypto_ahash_digest" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x3eab0886, "crypto_ahash_final" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x3b78ff47, "__target_init_cmd" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x15d9123f, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x30feb46e, "core_tpg_check_initiator_node_acl" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x20742e58, "target_cmd_init_cdb" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x2b352d7b, "kernel_listen" },
	{ 0xc7019245, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0xdb35585c, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xad2dcb57, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xb6e0c50e, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3368c729, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x3c28fa14, "transport_handle_cdb_direct" },
	{ 0x2a6b4b2e, "target_get_sess_cmd" },
	{ 0xab685200, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5d75eace, "sock_recvmsg" },
	{ 0x3c984540, "core_tpg_deregister" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xebdeaa40, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x308705c9, "target_show_dynamic_sessions" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x9bca5fdf, "sock_release" },
	{ 0x44457fe4, "target_register_template" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x598410c, "tcp_sock_set_nodelay" },
	{ 0xc2142c1d, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x8a85c8ab, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x17216a93, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0xd98fd770, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x78fa0a99, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0xbffa99fb, "__sbitmap_queue_get" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xb01718bb, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9fae76b5, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x6667d26, "target_alloc_cmd_counter" },
	{ 0x9df7db51, "core_alua_check_nonop_delay" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x81faad6c, "target_wait_for_cmds" },
	{ 0x15152ef5, "transport_generic_new_cmd" },
	{ 0xba75c340, "target_free_cmd_counter" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xd79cb533, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x17cc1029, "kernel_bind" },
	{ 0xbfc97bdc, "up" },
	{ 0xf339da08, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x86e3d5c0, "__tracepoint_sk_data_ready" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x7563dd5c, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x1f07f73d, "core_tpg_set_initiator_node_queue_depth" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd7ef6221, "target_stop_cmd_counter" },
	{ 0x512d758d, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x46e4f360, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x89f7a61c, "transport_alloc_session_tags" },
	{ 0xe6e6add4, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x800fbf8a, "sbitmap_prepare_to_wait" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb49eb3ba, "target_unregister_template" },
	{ 0x1385c1c6, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc4e95274, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x948f2719, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x261782f3, "flush_signals" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7a3eb868, "init_net" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd78142a1, "radix_tree_preloads" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf2d8c0e, "__SCK__tp_func_sk_data_ready" },
	{ 0xbf654567, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x9365832a, "set_cpus_allowed_ptr" },
	{ 0x5792f848, "strlcpy" },
	{ 0x713f0ffe, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xb16aedb8, "sbitmap_queue_clear" },
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x5d6d61f6, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb4f89e42, "sock_sendmsg" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0x18b4200c, "core_tpg_set_initiator_node_tag" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5799b11e, "target_cmd_parse_cdb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xba2ab15d, "sock_set_reuseaddr" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_mod,configfs");


MODULE_INFO(srcversion, "51DF3E2EC426F82F2E3643B");

MODULE_INFO(suserelease, "SLFO-1.0");
