#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__tb_ring_enqueue, 0xf569a9c7, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0xf806d25b, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x7ac11354, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0xf4503b95, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x7582365d, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x5e89e6a9, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x25b9639a, "_gpl");
SYMBOL_CRC(tb_ring_free, 0xa2f72e39, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x830c470b, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0xe61dbaef, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0xb9d0e094, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xbf02f5db, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0x7e6285e5, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0xe144f8ef, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x214a7c75, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4a6f3f08, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x4b78cfd4, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x25a285c0, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x0a6a760f, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x682e4cc9, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xc4a69547, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x9bf79b21, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0xa90955d6, "_gpl");
SYMBOL_CRC(tb_service_type, 0x6aabd4c0, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x84f43ef5, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x2e9c4f2b, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0xd9163b5d, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x47a9cb83, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x04b52408, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x5734a438, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x5816d363, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0xb1f3e2bc, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x09c4d2c1, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x33f4e348, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x7609b340, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xaa7733d4, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0xbb51750a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x5e059893, "pm_runtime_allow" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x452bd3c9, "acpi_fetch_acpi_dev" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x33e5087e, "kobject_uevent" },
	{ 0x7bf7dca0, "device_iommu_capable" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xffbb6e5f, "pci_walk_bus" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xf4fecd16, "nvmem_register" },
	{ 0x910576aa, "pcim_iomap_table" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0xee492313, "component_add" },
	{ 0xa778dd85, "fwnode_handle_put" },
	{ 0x754d539c, "strlen" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0x35c14bf, "single_open" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x96925f31, "device_link_add" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc1c0b900, "__dev_fwnode" },
	{ 0x61fab3ff, "pci_bus_type" },
	{ 0xcf465811, "pci_write_config_dword" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3dfba128, "pci_find_ext_capability" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x1a318d01, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbf048203, "ida_destroy" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xc1782e9e, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc62c6fc, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x8678b507, "acpi_find_child_by_adr" },
	{ 0xa0b6d0ae, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0x81142b3e, "get_device" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x4592b914, "pm_wakeup_dev_event" },
	{ 0xab0aff47, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0xd1d70ff2, "acpi_find_child_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xd374dc9, "devm_free_irq" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0xff6f93ce, "device_for_each_child_reverse" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x827c6e0a, "bus_for_each_dev" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xef2cf1bd, "sysfs_create_link" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x60c0e2fe, "pcim_iomap_regions" },
	{ 0x405ce011, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x63527824, "bus_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0x3efcc12f, "device_wakeup_enable" },
	{ 0x5005a0c3, "crypto_shash_setkey" },
	{ 0xf47cf17c, "bus_find_device" },
	{ 0xb3f0248b, "device_add" },
	{ 0x3fa93767, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf1fe8de0, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x417af402, "pci_device_is_present" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xb05c77fc, "crypto_shash_digest" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x948adaee, "device_find_child" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x6ea15b35, "device_register" },
	{ 0xc6465c4c, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x28d0d3f4, "unregister_acpi_bus_type" },
	{ 0xcace1fb5, "acpi_get_first_physical_node" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x1ba2053f, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfd00a5d4, "mutex_trylock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x943db86, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x41e85c4e, "pm_runtime_forbid" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E333sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E334sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E433sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E434sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "02505D47CD51F93B417C0DD");

MODULE_INFO(suserelease, "SLFO-1.0");
