#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe81e2133, "regcache_cache_bypass" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x6d33833a, "gpiochip_add_data_with_key" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x6684685b, "_dev_err" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3cca98a5, "spi_setup" },
	{ 0x36128fd2, "device_get_match_data" },
	{ 0x1635e68d, "__devm_regmap_init_spi" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x408735cc, "spi_get_device_id" },
	{ 0x6f5afe46, "i2c_client_get_device_id" },
	{ 0x5b31b864, "__devm_regmap_init_i2c" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xbd0dcdee, "nbcon_device_try_acquire" },
	{ 0x5e99482, "nbcon_device_release" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x8827106, "uart_handle_cts_change" },
	{ 0xa8ce1921, "uart_handle_dcd_change" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x4c109649, "uart_get_baud_rate" },
	{ 0x59dfb246, "uart_update_timeout" },
	{ 0x44061bac, "regmap_noinc_write" },
	{ 0x30f3a849, "uart_write_wakeup" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x9a1255b, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1dd0e7b6, "uart_insert_char" },
	{ 0x4b054986, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x17a80c4d, "uart_try_toggle_sysrq" },
	{ 0x7647726c, "handle_sysrq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x328bf629, "do_SAK" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x36b4669b, "uart_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x76b33508, "i2c_register_driver" },
	{ 0x8f347083, "__spi_register_driver" },
	{ 0x5bd61aa2, "i2c_del_driver" },
	{ 0xf82bbc15, "uart_unregister_driver" },
	{ 0x22bdda39, "regmap_read" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5c99a01a, "kthread_queue_work" },
	{ 0xcf27a3ad, "kthread_queue_delayed_work" },
	{ 0xa84b8bd6, "gpiochip_get_data" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xd3b617c5, "regmap_update_bits_base" },
	{ 0x376847b4, "kthread_cancel_delayed_work_sync" },
	{ 0x6af78225, "uart_remove_one_port" },
	{ 0xf6dc9d22, "kthread_flush_worker" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xfe3567b0, "gpiochip_remove" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xdc3d4367, "device_property_read_u32_array" },
	{ 0x5932fdc6, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa3cba059, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x70e38129, "sched_set_fifo" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53b7d29f, "uart_add_one_port" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "regmap-spi,regmap-i2c");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "80AB4A1E6F874742574FD41");

MODULE_INFO(suserelease, "SLFO-1.0");
