#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0x86d2ae09, "usb_check_bulk_endpoints" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8e548867, "usb_check_int_endpoints" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc71f5b31, "usb_clear_halt" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe45e833b, "atm_dev_signal_change" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1823ae3e, "usbatm_usb_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x20799e90, "usb_unlink_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x6684685b, "_dev_err" },
	{ 0x754d539c, "strlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x92997ed8, "_printk" },
	{ 0x6c5fe129, "usbatm_usb_probe" },
	{ 0x4857aaef, "usb_string" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x65b45cb, "complete" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xfb578fc5, "memset" },
	{ 0xd94ca5f0, "usb_bulk_msg" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,atm,usbatm");

MODULE_ALIAS("usb:v0572pCAFEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572pCB00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572pCB01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572pCB02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572pCB06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572pCB07d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08E3p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08E3p0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p3457d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1803p5510d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0675p0200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p330Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p330Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0659p0020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0509p0812d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v100DpCB01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v100Dp3342d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "99BB2A93DF0217596B9696B");

MODULE_INFO(suserelease, "SLFO-1.0");
