#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0xf3531747, "usb_set_interface" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xfb3030ee, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xf9560e45, "param_ops_charp" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x1823ae3e, "usbatm_usb_disconnect" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x8063b830, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0x6684685b, "_dev_err" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbeca54e, "usb_ifnum_to_if" },
	{ 0xceb29a39, "usb_driver_claim_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd94ca5f0, "usb_bulk_msg" },
	{ 0x4df02057, "crc32_be" },
	{ 0x70582def, "kernel_param_lock" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x675a19b4, "kernel_param_unlock" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5a921311, "strncmp" },
	{ 0xa6265f70, "usb_reset_device" },
	{ 0x60a64c4d, "request_firmware_nowait" },
	{ 0x6c5fe129, "usbatm_usb_probe" },
	{ 0xe45e833b, "atm_dev_signal_change" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0x4857aaef, "usb_string" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbatm,atm");

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B9C478C2711C8FC21F161A7");

MODULE_INFO(suserelease, "SLFO-1.0");
