#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_gadget_get_string, 0x4beb505d, "_gpl");
SYMBOL_CRC(usb_validate_langid, 0x0c589aba, "_gpl");
SYMBOL_CRC(usb_descriptor_fillbuf, 0xd2ea2134, "_gpl");
SYMBOL_CRC(usb_gadget_config_buf, 0xf474a207, "_gpl");
SYMBOL_CRC(usb_copy_descriptors, 0x2e09263f, "_gpl");
SYMBOL_CRC(usb_assign_descriptors, 0x470adb77, "_gpl");
SYMBOL_CRC(usb_free_all_descriptors, 0xd42b203e, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_alloc, 0xabb9a668, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_init, 0x7d78400b, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_ss, 0x66bf4f99, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig, 0xdbbcbbb6, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_release, 0x1150a4d5, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_reset, 0x506795aa, "_gpl");
SYMBOL_CRC(config_ep_by_speed_and_alt, 0x04853ccc, "_gpl");
SYMBOL_CRC(config_ep_by_speed, 0xc78321f0, "_gpl");
SYMBOL_CRC(usb_add_function, 0x5dc0437d, "_gpl");
SYMBOL_CRC(usb_remove_function, 0xa4523d6a, "_gpl");
SYMBOL_CRC(usb_function_deactivate, 0x91730398, "_gpl");
SYMBOL_CRC(usb_function_activate, 0x834b6bae, "_gpl");
SYMBOL_CRC(usb_interface_id, 0x1dc0aadd, "_gpl");
SYMBOL_CRC(usb_func_wakeup, 0x3f357be2, "_gpl");
SYMBOL_CRC(usb_add_config_only, 0x08be0c77, "_gpl");
SYMBOL_CRC(usb_add_config, 0xf2155775, "_gpl");
SYMBOL_CRC(usb_string_id, 0x09293231, "_gpl");
SYMBOL_CRC(usb_string_ids_tab, 0x7c8ed326, "_gpl");
SYMBOL_CRC(usb_gstrings_attach, 0x633e2dd5, "_gpl");
SYMBOL_CRC(usb_string_ids_n, 0xbcbd6421, "_gpl");
SYMBOL_CRC(usb_composite_probe, 0x90e26c64, "_gpl");
SYMBOL_CRC(usb_composite_unregister, 0x868cc940, "_gpl");
SYMBOL_CRC(usb_composite_setup_continue, 0x5d45929c, "_gpl");
SYMBOL_CRC(usb_composite_overwrite_options, 0x14f902d0, "_gpl");
SYMBOL_CRC(usb_get_function_instance, 0x99e32c81, "_gpl");
SYMBOL_CRC(usb_get_function, 0xdee06a2c, "_gpl");
SYMBOL_CRC(usb_put_function_instance, 0x09b84005, "_gpl");
SYMBOL_CRC(usb_put_function, 0xafd7513f, "_gpl");
SYMBOL_CRC(usb_function_register, 0x4864ad19, "_gpl");
SYMBOL_CRC(usb_function_unregister, 0x18d4da4a, "_gpl");
SYMBOL_CRC(usb_os_desc_prepare_interf_dir, 0xd4d374aa, "");
SYMBOL_CRC(unregister_gadget_item, 0x5f74a97e, "_gpl");
SYMBOL_CRC(alloc_ep_req, 0x15ab8f10, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34aef7f8, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x8fa91e55, "usb_gadget_register_driver_owner" },
	{ 0x4eabdb7, "usb_ep_queue" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x113b6bd9, "usb_gadget_deactivate" },
	{ 0x349cba85, "strchr" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x7df92cd7, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xe057d5a8, "config_group_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9818aa1f, "usb_gadget_check_config" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x96ee6391, "usb_gadget_ep_match_desc" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe1caf771, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x63f7c68, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe0b3bcaa, "usb_gadget_set_selfpowered" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xff7d3b20, "usb_gadget_set_remote_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x737369b7, "usb_gadget_vbus_draw" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x48c30008, "config_item_set_name" },
	{ 0x948f2719, "module_put" },
	{ 0x4dd55e27, "usb_ep_dequeue" },
	{ 0xc5f20298, "device_create_file" },
	{ 0x6684685b, "_dev_err" },
	{ 0x2de55db2, "configfs_register_subsystem" },
	{ 0x61995fa6, "init_uts_ns" },
	{ 0xbf654567, "config_group_init_type_name" },
	{ 0xa2c7eb87, "usb_gadget_activate" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x93e196a0, "usb_gadget_clear_selfpowered" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xffb53caa, "usb_gadget_set_state" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeaf307f9, "usb_ep_alloc_request" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb89a3bdc, "usb_gadget_unregister_driver" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xf72f65b2, "config_item_init_type_name" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "5A0881E1D351B11E607597D");

MODULE_INFO(suserelease, "SLFO-1.0");
