#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefbe202c, "xhci_stop" },
	{ 0x7ebda6a5, "xhci_shutdown" },
	{ 0x26144079, "xhci_find_slot_id_by_port" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x6684685b, "_dev_err" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xa9c919b9, "xhci_suspend" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa2eb68c, "pci_d3cold_disable" },
	{ 0x5a523346, "xhci_update_hub_device" },
	{ 0x5039fa47, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4a1788e2, "xhci_dbg_trace" },
	{ 0xd4fab58, "xhci_run" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x552e23d3, "pci_match_id" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0x8ec4e8f9, "__tracepoint_xhci_dbg_init" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x64a36285, "xhci_gen_setup" },
	{ 0x74eb1919, "pci_set_mwi" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xe785de9b, "xhci_resume" },
	{ 0xb699dae1, "usb_enable_intel_xhci_ports" },
	{ 0xd5fe50e4, "__devm_reset_control_get" },
	{ 0x6cc183b6, "usb_hcd_pci_probe" },
	{ 0x5b447528, "usb_create_shared_hcd" },
	{ 0x1d7a9bf2, "xhci_ext_cap_init" },
	{ 0xc538b76d, "renesas_xhci_check_request_fw" },
	{ 0x4f7fd02d, "usb_add_hcd" },
	{ 0x5e059893, "pm_runtime_allow" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0x718ebb74, "__tracepoint_xhci_dbg_quirks" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x6a873ab9, "usb_hcd_pci_shutdown" },
	{ 0xad75352a, "usb_hcd_pci_pm_ops" },
	{ 0xe54f543, "__SCK__tp_func_xhci_dbg_init" },
	{ 0xca2110f, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x315cf784, "xhci_init_driver" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xf04e420a, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3f05ab69, "pci_choose_state" },
	{ 0xf1394ddc, "usb_remove_hcd" },
	{ 0xc68d73f9, "usb_put_hcd" },
	{ 0x7555c32, "usb_hcd_pci_remove" },
	{ 0x41e85c4e, "pm_runtime_forbid" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0x695f199f, "pci_set_power_state" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore,xhci-pci-renesas");

MODULE_ALIAS("pci:v00001912d00000014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001912d00000015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "7B57AA30829213F013C2FAA");

MODULE_INFO(suserelease, "SLFO-1.0");
