#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xe1159dcd, "tty_encode_baud_rate" },
	{ 0xd930f6cb, "tty_port_tty_get" },
	{ 0x4da31388, "tty_kref_put" },
	{ 0xbd0a9dc4, "usb_serial_generic_tiocmiwait" },
	{ 0x34f24234, "usb_serial_generic_get_icount" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x13c8f3c1, "usb_serial_register_drivers" },
	{ 0x37a0cba, "kfree" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x80f911bd, "tty_port_tty_wakeup" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0x16e69119, "usb_serial_deregister_drivers" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6684685b, "_dev_err" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x8063b830, "usb_control_msg" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xb5dbb89, "tty_insert_flip_string_fixed_flag" },
	{ 0x4b054986, "tty_flip_buffer_push" },
	{ 0x4857aaef, "usb_string" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbserial");

MODULE_ALIAS("usb:v1608p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p1403d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0203d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0310d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0311d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0312d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05D9pA758d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05D9pA794d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05D9pA225d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5BEB09B521AAA82D3ED26A");

MODULE_INFO(suserelease, "SLFO-1.0");
