#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_serial_claim_interface, 0xed6dfe09, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x8a7d038b, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0xc00fe0e3, "");
SYMBOL_CRC(usb_serial_resume, 0x68d017c6, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x13c8f3c1, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x16e69119, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x1c425106, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x93d3c292, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0xefbdf1e0, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xd5905510, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xaa72024e, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0xbf59d42d, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0xc1b095cb, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x44cb8ff1, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x82b8397d, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x8bd5e333, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x855124f2, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0xe31300b8, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0xbd0a9dc4, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x34f24234, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x2d054f91, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x2744a5a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x954a9e3b, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbf65e449, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xd75bbfa2, "usb_put_dev" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x995e96f8, "usb_get_dev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x415622d, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x948f2719, "module_put" },
	{ 0x80f911bd, "tty_port_tty_wakeup" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x544a5c04, "usb_match_id" },
	{ 0xa7ca7a67, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x63527824, "bus_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0xb3f0248b, "device_add" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0xa65e9503, "tty_ldisc_ref" },
	{ 0xd11683ec, "tty_vhangup" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc3b619de, "tty_port_destroy" },
	{ 0xb5dbb89, "tty_insert_flip_string_fixed_flag" },
	{ 0x150f270f, "tty_port_init" },
	{ 0xceb29a39, "usb_driver_claim_interface" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0xab52d518, "usb_poison_urb" },
	{ 0x4e8c25fc, "usb_unpoison_urb" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xeae22a85, "tty_port_register_device" },
	{ 0x5e3e8333, "tty_ldisc_deref" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc6465c4c, "device_del" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0xb576b734, "tty_port_close" },
	{ 0xd845723b, "__tty_insert_flip_char" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x70ecdefd, "usb_autopm_get_interface" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xca4abece, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x42ea64bb, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x7a793b5d, "tty_port_open" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x70d50f6f, "tty_driver_kref_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd930f6cb, "tty_port_tty_get" },
	{ 0xaad2e4d7, "usb_put_intf" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0x85ee431e, "usb_autopm_put_interface" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0xb89613fd, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xf00cd6f5, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x4b054986, "tty_flip_buffer_push" },
	{ 0x2a27bc3e, "driver_attach" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x4da31388, "tty_kref_put" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0xb887d893, "usb_match_one_id" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x60724ed6, "__tty_alloc_driver" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xf9553246, "tty_standard_install" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xb9f0dc2d, "usb_show_dynids" },
	{ 0x9ca2025c, "tty_hangup" },
	{ 0x1e992718, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "3D72947FA887CDDD1BE7E62");

MODULE_INFO(suserelease, "SLFO-1.0");
