#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34f04744, "usb_kill_urb" },
	{ 0xbdfb9495, "blk_queue_update_dma_alignment" },
	{ 0xb07f223, "blk_queue_max_hw_sectors" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0xd620181c, "usb_alloc_streams" },
	{ 0x1a5ee96d, "scsi_report_bus_reset" },
	{ 0xb31811c6, "usb_anchor_urb" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa1fc50b6, "usb_unanchor_urb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc3adf046, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe14e5c4b, "usb_kill_anchored_urbs" },
	{ 0xef3993be, "scsi_remove_host" },
	{ 0xf92f2c19, "scsi_host_put" },
	{ 0x4ffa9084, "usb_lock_device_for_reset" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xcb2b7986, "usb_stor_adjust_quirks" },
	{ 0x82e762fe, "scsi_host_alloc" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x8aa6934b, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2200fdab, "sdev_prefix_printk" },
	{ 0x20799e90, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x617a799, "usb_free_streams" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0xf3531747, "usb_set_interface" },
	{ 0xa6265f70, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x26f16508, "usb_wait_anchor_empty_timeout" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x1c784b33, "scsi_block_requests" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0xcff10529, "scsi_unblock_requests" },
	{ 0xeace5591, "scmd_printk" },
	{ 0xcd86c9ac, "scsi_print_command" },
	{ 0xabe5893, "scsi_scan_host" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x6684685b, "_dev_err" },
	{ 0xf061e21, "scsi_is_host_device" },
	{ 0xc4e905a2, "scsi_change_queue_depth" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0xd2fe8e90, "usb_get_urb" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "F081901AD78F745A238D0CA");

MODULE_INFO(suserelease, "SLFO-1.0");
