#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0xb655342c, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x9045e2af, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb62d69bd, "typec_unregister_partner" },
	{ 0xf910a633, "kthread_destroy_worker" },
	{ 0xa9be58a2, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x2d1b7183, "typec_port_set_usb_power_delivery" },
	{ 0x7696d22c, "typec_match_altmode" },
	{ 0xfdfbd26b, "typec_altmode_vdm" },
	{ 0xdc03a1a6, "usb_power_delivery_register_capabilities" },
	{ 0x3d2b8db9, "typec_partner_set_identity" },
	{ 0xb8dbd09e, "usb_power_delivery_register" },
	{ 0xdae84613, "typec_altmode_attention" },
	{ 0x32e27d75, "typec_altmode_notify" },
	{ 0xe2cf95df, "typec_partner_register_altmode" },
	{ 0x32f9eed7, "typec_partner_set_svdm_version" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x6d3bef1d, "kthread_create_worker" },
	{ 0x70e38129, "sched_set_fifo" },
	{ 0x19d134b7, "hrtimer_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x10c3e3de, "fw_devlink_purge_absent_suppliers" },
	{ 0xa6dfa712, "typec_get_fw_cap" },
	{ 0x9bbadf13, "fwnode_property_present" },
	{ 0x6a0d2846, "fwnode_get_named_child_node" },
	{ 0x9b32f92d, "fwnode_get_next_child_node" },
	{ 0x88f0eb41, "fwnode_property_read_u32_array" },
	{ 0xa778dd85, "fwnode_handle_put" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x5e10afd9, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0xf97eae26, "usb_role_switch_get" },
	{ 0x754d539c, "strlen" },
	{ 0xc1c0b900, "__dev_fwnode" },
	{ 0xed6ccbf9, "devm_power_supply_register" },
	{ 0x316e6137, "fwnode_usb_role_switch_get" },
	{ 0x882a3223, "typec_register_port" },
	{ 0x2ac75b49, "typec_port_register_altmodes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ce4e496, "typec_set_pwr_opmode" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x7a8975a1, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x5c99a01a, "kthread_queue_work" },
	{ 0x5f843ad7, "typec_unregister_altmode" },
	{ 0x3083b2fe, "typec_get_drvdata" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x627fc6b2, "typec_register_partner" },
	{ 0x620f02, "typec_partner_set_usb_power_delivery" },
	{ 0x6684685b, "_dev_err" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7f320d0f, "usb_debug_root" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x35c14bf, "single_open" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xeba01ae7, "usb_power_delivery_unregister_capabilities" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x6a08d070, "usb_power_delivery_unregister" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2f76c797, "power_supply_get_drvdata" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1fd2121d, "hrtimer_cancel" },
	{ 0xe10e5b9d, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbf252cfb, "typec_get_negotiated_svdm_version" },
	{ 0x65b45cb, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbd6e0389, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x4b215269, "typec_set_mode" },
	{ 0xad932b9b, "typec_set_data_role" },
	{ 0x38476620, "typec_set_pwr_role" },
	{ 0x1b6dbda2, "typec_set_vconn_role" },
	{ 0x796f7a5, "power_supply_changed" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "BBDEF58948A0038C658E175");

MODULE_INFO(suserelease, "SLFO-1.0");
