#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(typec_altmode_update_active, 0x496236ae, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x56e90555, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x5f843ad7, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x3d2b8db9, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0xa696c7c3, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x00620f02, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0xe95763cf, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0xe2cf95df, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x32f9eed7, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0xd3d0c672, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x627fc6b2, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0xb62d69bd, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xc5b9eb76, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x9cfc6266, "_gpl");
SYMBOL_CRC(typec_register_plug, 0xbaa4f237, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x20c0aed2, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xe920e963, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x4b41a88f, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0xf53bfabe, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x4e93b5ed, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x2846d79b, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x14e48032, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x2d1b7183, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0xad932b9b, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x38476620, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x1b6dbda2, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x7ce4e496, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0xbd6e0389, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0xdcc20f2c, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x4b215269, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0xbf252cfb, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x3083b2fe, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0xa6dfa712, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x3384f446, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x2ac75b49, "_gpl");
SYMBOL_CRC(typec_register_port, 0x882a3223, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xa9be58a2, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0x7a1ee4f0, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x32cfe612, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x6466b677, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0xb50469e1, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0xe3aa58b9, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x89ffb496, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x2b40e0cb, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x1c79918b, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x2beb62dd, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xf80b5c58, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xc793dffd, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x32e27d75, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x5218af50, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0xead860a0, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0xdae84613, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xfdfbd26b, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x1ca12b99, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0xf98f28a7, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x2732d90e, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0xc34b39dc, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x6d99b99a, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x7696d22c, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0xdc03a1a6, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0xeba01ae7, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0xb8dbd09e, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x6a08d070, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x89495fa4, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0xcf3c793a, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x65f5fecf, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0xcef64888, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0x36e2c906, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x00c3f373, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x74d7f812, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0xfb1079b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x948adaee, "device_find_child" },
	{ 0x6ea15b35, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5e10afd9, "fwnode_property_read_string" },
	{ 0x9bbadf13, "fwnode_property_present" },
	{ 0x436b15e8, "component_master_del" },
	{ 0xa9f36389, "component_match_add_release" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x829d4aef, "device_get_named_child_node" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x287db74c, "component_bind_all" },
	{ 0xbb56210, "device_match_name" },
	{ 0x33e5087e, "kobject_uevent" },
	{ 0x4af34ff, "fwnode_connection_find_matches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xa778dd85, "fwnode_handle_put" },
	{ 0xabc43426, "component_unbind_all" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1aef77de, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc1c0b900, "__dev_fwnode" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0xf810d126, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0xbf048203, "ida_destroy" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x20e39880, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x232e78e5, "acpi_bus_for_each_dev" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x90354906, "fwnode_connection_find_match" },
	{ 0x9b32f92d, "fwnode_get_next_child_node" },
	{ 0xa0b6d0ae, "device_for_each_child" },
	{ 0x81142b3e, "get_device" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x282be500, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf55b0d8, "device_match_fwnode" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x88f0eb41, "fwnode_property_read_u32_array" },
	{ 0x948f2719, "module_put" },
	{ 0xef2cf1bd, "sysfs_create_link" },
	{ 0xfdcdf216, "fwnode_get_name" },
	{ 0x405ce011, "kobject_uevent_env" },
	{ 0x246d36f7, "sysfs_update_group" },
	{ 0x63527824, "bus_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0xb3f0248b, "device_add" },
	{ 0x3fa93767, "sysfs_remove_link" },
	{ 0x2d6c8af8, "fwnode_property_read_u16_array" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0698D47150F1ABCFA1FE576");

MODULE_INFO(suserelease, "SLFO-1.0");
