#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ucsi_send_command, 0x7b51a9ff, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x58d41997, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x3ff49042, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0xd2913157, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0xc4511384, "_gpl");
SYMBOL_CRC(ucsi_create, 0x15659f0e, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0xd23a9031, "_gpl");
SYMBOL_CRC(ucsi_register, 0x8ae70993, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xb4ded39c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8dbd09e, "usb_power_delivery_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe2cf95df, "typec_partner_register_altmode" },
	{ 0xe95763cf, "typec_partner_set_num_altmodes" },
	{ 0xb62d69bd, "typec_unregister_partner" },
	{ 0x7ce4e496, "typec_set_pwr_opmode" },
	{ 0xb06e4a08, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x6684685b, "_dev_err" },
	{ 0x496236ae, "typec_altmode_update_active" },
	{ 0xf1fe8de0, "device_property_read_u8_array" },
	{ 0xa7607adf, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xdc03a1a6, "usb_power_delivery_register_capabilities" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x6a08d070, "usb_power_delivery_unregister" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xad932b9b, "typec_set_data_role" },
	{ 0xbf252cfb, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xfdfbd26b, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa9be58a2, "typec_unregister_port" },
	{ 0x2f76c797, "power_supply_get_drvdata" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x882a3223, "typec_register_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x620f02, "typec_partner_set_usb_power_delivery" },
	{ 0x796f7a5, "power_supply_changed" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0x32f9eed7, "typec_partner_set_svdm_version" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5f843ad7, "typec_unregister_altmode" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xeba01ae7, "usb_power_delivery_unregister_capabilities" },
	{ 0x3083b2fe, "typec_get_drvdata" },
	{ 0x9969e7be, "power_supply_unregister" },
	{ 0x7a8975a1, "single_release" },
	{ 0x38476620, "typec_set_pwr_role" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x7f320d0f, "usb_debug_root" },
	{ 0xa778dd85, "fwnode_handle_put" },
	{ 0x86becf83, "device_get_next_child_node" },
	{ 0x35c14bf, "single_open" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc1c0b900, "__dev_fwnode" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x98c178d2, "completion_done" },
	{ 0xa2842bcc, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x627fc6b2, "typec_register_partner" },
	{ 0x2d1b7183, "typec_port_set_usb_power_delivery" },
	{ 0xea289ac2, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x3384f446, "typec_port_register_altmode" },
	{ 0xdb5d7c97, "power_supply_register" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x1ca12b99, "typec_altmode_get_partner" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x316e6137, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x56e90555, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "D6A5F9A769AD3DB9DCA64E1");

MODULE_INFO(suserelease, "SLFO-1.0");
