#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51707b49, "vhost_poll_init" },
	{ 0x4808ead1, "vhost_vq_init_access" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7a34b4d8, "vhost_poll_stop" },
	{ 0xc31320da, "tun_get_tx_ring" },
	{ 0x1000e51, "schedule" },
	{ 0x9e904328, "vhost_exceeds_weight" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x15d56a16, "vhost_poll_queue" },
	{ 0xfa73009c, "tun_get_socket" },
	{ 0x5eb27e8f, "vhost_discard_vq_desc" },
	{ 0x7f9534fc, "vhost_add_used_and_signal" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7c73b41e, "fput" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfd2b3e45, "vhost_dev_reset_owner_prepare" },
	{ 0x4cd0aaca, "vhost_add_used_and_signal_n" },
	{ 0xd839d595, "vhost_dev_set_owner" },
	{ 0x7766b9bf, "vhost_chr_write_iter" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0x79cb9672, "vhost_get_vq_desc" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x879d9e9d, "vhost_chr_read_iter" },
	{ 0xd9ec3f42, "vhost_log_write" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3fe88db4, "vhost_vq_has_work" },
	{ 0x8f0d6cd7, "vhost_dev_ioctl" },
	{ 0xb08ebea9, "misc_register" },
	{ 0x31b15893, "vhost_disable_notify" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x82b35d02, "vhost_dev_has_owner" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x6f984287, "vhost_clear_msg" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xfc55ddd4, "vhost_set_backend_features" },
	{ 0xfd00a5d4, "mutex_trylock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xd1e16245, "vhost_enable_notify" },
	{ 0xb84cf799, "copy_page_from_iter" },
	{ 0xb99bdf51, "__page_frag_cache_drain" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2a2c3bbd, "vhost_log_access_ok" },
	{ 0x49e94d6c, "vhost_dev_cleanup" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x7d885542, "alloc_pages" },
	{ 0x4d8fad83, "vhost_chr_poll" },
	{ 0xebf85b6, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1deb8681, "vhost_poll_start" },
	{ 0x2ec2536f, "vq_meta_prefetch" },
	{ 0x51e44a05, "vhost_dev_check_owner" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x87e8ab66, "sockfd_lookup" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x939815e5, "vhost_vq_avail_empty" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x93113146, "vhost_init_device_iotlb" },
	{ 0xe812b8f4, "_copy_to_iter" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0xa7dca516, "vhost_vring_ioctl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x621b3086, "tap_get_ptr_ring" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xa74f58bd, "vhost_dev_flush" },
	{ 0x4099f919, "tun_ptr_free" },
	{ 0xd4411176, "vhost_vq_access_ok" },
	{ 0xc9cf9095, "vhost_dev_stop" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xef5eb7af, "tap_get_socket" },
	{ 0xd55ecd56, "iov_iter_advance" },
	{ 0x85acc59c, "fget" },
	{ 0x4e180190, "vhost_dev_init" },
	{ 0xa3c641fd, "vhost_dev_reset_owner" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x8445c324, "iov_iter_init" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "vhost,tun,tap");


MODULE_INFO(srcversion, "F155EF51667C7E3C025C8FF");

MODULE_INFO(suserelease, "SLFO-1.0");
