#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x703c5169, "gnttab_dma_free_pages" },
	{ 0x59afbe14, "dma_buf_unmap_attachment_unlocked" },
	{ 0x3c04f3eb, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x652b554c, "dma_buf_attach" },
	{ 0xaac6363f, "__tracepoint_mmap_lock_released" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6e3b3abb, "dma_buf_map_attachment_unlocked" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf423e14e, "dma_buf_export" },
	{ 0xf28ed6e2, "machine_to_phys_nr" },
	{ 0x78edef2, "find_vma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe655b664, "gnttab_dma_alloc_pages" },
	{ 0x7c73b41e, "fput" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x7444e1a3, "gnttab_batch_copy" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x6e7f1e25, "dma_buf_get" },
	{ 0xf7ebecfb, "dma_buf_put" },
	{ 0x4fdb662e, "apply_to_page_range" },
	{ 0x92397578, "dma_buf_fd" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xa4557368, "gnttab_free_pages" },
	{ 0x16ee4aee, "sg_alloc_table_from_pages_segment" },
	{ 0xb08ebea9, "misc_register" },
	{ 0x14ec4fdb, "evtchn_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x93d1d424, "gnttab_free_grant_references" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xc88f6934, "down_read" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x4fc155c2, "__SCT__xen_hypercall" },
	{ 0xf27d0a7b, "gnttab_grant_foreign_access_ref" },
	{ 0x54e91ebe, "__mmap_lock_do_trace_start_locking" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a7d80f9, "xen_max_p2m_pfn" },
	{ 0x80fe26b8, "gnttab_unmap_refs_async" },
	{ 0x5dd76962, "dma_map_sgtable" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xd6b44676, "__tracepoint_mmap_lock_start_locking" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x34ce1be4, "__mmap_lock_do_trace_released" },
	{ 0x31dca4d8, "gnttab_claim_grant_reference" },
	{ 0x6226b9fa, "machine_to_phys_mapping" },
	{ 0xd27f215d, "gnttab_alloc_grant_references" },
	{ 0x4b931968, "xen_features" },
	{ 0xd39ae83e, "dma_buf_detach" },
	{ 0xe590f762, "gnttab_alloc_pages" },
	{ 0xfe727411, "get_phys_to_machine" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x4373df74, "vm_map_pages_zero" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfd22417b, "gnttab_end_foreign_access" },
	{ 0x117b83d7, "gnttab_map_refs" },
	{ 0xbf320c7e, "up_read" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x25f02c87, "xen_p2m_addr" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x2fa45f93, "pin_user_pages_fast" },
	{ 0xa781efe4, "mmu_interval_notifier_remove" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0xa1d2f8c, "unpin_user_pages_dirty_lock" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3165daa3, "arbitrary_virt_to_machine" },
	{ 0x6575b38, "mmu_interval_read_begin" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x707c5e6, "mmu_interval_notifier_insert_locked" },
	{ 0x3362b03c, "xen_p2m_size" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x29e7d393, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xcaf1d958, "evtchn_get" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "81F08625B0F2D4DB4024F79");

MODULE_INFO(suserelease, "SLFO-1.0");
