#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa0168695, "security_inode_init_security" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0x7a336fb2, "fscrypt_decrypt_bio" },
	{ 0x88563859, "jbd2_journal_revoke" },
	{ 0xbd6841d4, "crc16" },
	{ 0xdaee2ef2, "from_kgid" },
	{ 0xf019ab83, "iomap_swapfile_activate" },
	{ 0xd5263820, "mb_cache_destroy" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8bdfc47c, "__mb_cache_entry_free" },
	{ 0x75d4762a, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x74c5b072, "__fscrypt_encrypt_symlink" },
	{ 0x6056830f, "folio_wait_writeback" },
	{ 0xdcd9e43, "jbd2_journal_start_commit" },
	{ 0xa2b66cb2, "blkdev_issue_zeroout" },
	{ 0x8d21bb3a, "__fscrypt_prepare_link" },
	{ 0xf1e046cc, "panic" },
	{ 0xac189bb5, "kobject_init_and_add" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0x7aff6c, "from_vfsgid" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xf4c0e3eb, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x61347034, "mb_cache_entry_delete_or_get" },
	{ 0xa3adfc9a, "iov_iter_alignment" },
	{ 0x5c6fbf7a, "dax_writeback_mapping_range" },
	{ 0x42430586, "jbd2_trans_will_send_data_barrier" },
	{ 0x272013d2, "folio_wait_stable" },
	{ 0x87807b7f, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc169c7c0, "d_obtain_alias" },
	{ 0xdb49617d, "file_modified" },
	{ 0x557faa6d, "posix_acl_chmod" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0xbf59866a, "__bread_gfp" },
	{ 0x883c2b9f, "from_kprojid" },
	{ 0x73d6c346, "fscrypt_put_encryption_info" },
	{ 0xfb3030ee, "freezing_slow_path" },
	{ 0x77c32068, "block_dirty_folio" },
	{ 0xe99ab2e7, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xc4e417ec, "dax_layout_busy_page" },
	{ 0xfac86c8b, "iomap_bmap" },
	{ 0xc452212c, "utf8_strncasecmp" },
	{ 0xa1ebb080, "__folio_start_writeback" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0x22ca96e1, "set_task_ioprio" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x507fe358, "folio_end_writeback" },
	{ 0x37b2b1c8, "jbd2_journal_dirty_metadata" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xe9eace7d, "proc_mkdir" },
	{ 0xea509205, "from_kuid" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x2c7d536, "jbd2_journal_try_to_free_buffers" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc4c713db, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x16d0f9bf, "jbd2_transaction_committed" },
	{ 0x3882da10, "iomap_fiemap" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xaf48adb7, "inode_owner_or_capable" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x50b80992, "mb_cache_entry_find_first" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xa3cbc074, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xd1c5bbc, "filemap_get_folios" },
	{ 0x6efed6d5, "make_kgid" },
	{ 0xbc3c6e86, "invalidate_bdev" },
	{ 0xb58993ae, "fscrypt_zeroout_range" },
	{ 0x6a6bf41f, "jbd2_journal_wipe" },
	{ 0xece784c2, "rb_first" },
	{ 0xe7fdaa11, "fscrypt_drop_inode" },
	{ 0x75531535, "wbc_account_cgroup_owner" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe154284f, "from_kgid_munged" },
	{ 0xe7978eab, "jbd2_journal_start" },
	{ 0x9402a1a, "down_write_trylock" },
	{ 0x3dbd2f4c, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc88f6934, "down_read" },
	{ 0xbfae9e07, "utf8_validate" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbd82fd02, "dax_finish_sync_fault" },
	{ 0x9e060207, "dquot_get_dqblk" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0xacd81eb3, "jbd2_inode_cache" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4918abb7, "block_read_full_folio" },
	{ 0x29d36a4e, "jbd2_fc_end_commit" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x4a4836c1, "fscrypt_free_bounce_page" },
	{ 0xe07a4f9d, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa9cb157d, "__dquot_alloc_space" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xbb15b127, "fsverity_verify_bio" },
	{ 0x5d392750, "noop_direct_IO" },
	{ 0xe83b2961, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd3d25f21, "__fscrypt_inode_uses_inline_crypto" },
	{ 0x93889b7f, "__fscrypt_prepare_readdir" },
	{ 0xf86be9ba, "igrab" },
	{ 0xb2227d45, "__getblk_gfp" },
	{ 0x2a62fac9, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd902db, "mb_cache_entry_create" },
	{ 0x1b506598, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd417dfd8, "kobject_del" },
	{ 0xb863baf, "d_instantiate_new" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xbbbdb992, "__dquot_free_space" },
	{ 0x81a1eb59, "utf8_unload" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x85df9b6c, "strsep" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x2a77392a, "fs_param_is_blockdev" },
	{ 0xf4578b1, "jbd2_fc_wait_bufs" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xabf4c4b7, "__percpu_counter_sum" },
	{ 0xe2e20a93, "generic_buffers_fsync_noflush" },
	{ 0xc1ccc1a, "init_user_ns" },
	{ 0x83932e97, "file_path" },
	{ 0x8f6500d1, "fscrypt_ioctl_add_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xc4b5a96c, "fscrypt_fname_disk_to_usr" },
	{ 0x82e94a12, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x92e8e9ab, "fsverity_enqueue_verify_work" },
	{ 0xa920b5f1, "mempool_destroy" },
	{ 0xebf85b6, "__folio_put" },
	{ 0x4829cf6b, "fscrypt_enqueue_decrypt_work" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0x6b9827f2, "get_tree_bdev" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3b1e358d, "fscrypt_ioctl_get_policy" },
	{ 0xfb652fcd, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xa159d47f, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4dc73e40, "find_inode_by_ino_rcu" },
	{ 0xe736ba6e, "touch_atime" },
	{ 0x4ac73c10, "__percpu_down_read" },
	{ 0x24d5c986, "jbd2_journal_force_commit" },
	{ 0x262bfe04, "__lock_buffer" },
	{ 0x7d6cc70b, "tag_pages_for_writeback" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x26897b52, "mb_cache_entry_get" },
	{ 0x5c514c1a, "jbd2_log_wait_commit" },
	{ 0x77878588, "posix_acl_update_mode" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0x5e606a1e, "__folio_lock" },
	{ 0xb84546b, "dquot_quota_on_mount" },
	{ 0x5768a561, "filemap_dirty_folio" },
	{ 0x382d6633, "pagecache_get_page" },
	{ 0xe2e3992, "blkdev_issue_flush" },
	{ 0x395f9326, "is_bad_inode" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x9278afc, "fscrypt_set_bio_crypt_ctx" },
	{ 0x6c4ac1cc, "rcuwait_wake_up" },
	{ 0x968645b2, "dquot_mark_dquot_dirty" },
	{ 0xca039e5d, "fscrypt_prepare_symlink" },
	{ 0xe273a299, "block_is_partially_uptodate" },
	{ 0x9d937cab, "dquot_get_next_id" },
	{ 0x8f793b59, "dquot_file_open" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xd8c62561, "generic_fh_to_parent" },
	{ 0xa3966109, "__fs_parse" },
	{ 0xd97c2075, "filemap_splice_read" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x4b6d4b77, "end_buffer_write_sync" },
	{ 0xb1f1f8a8, "dget_parent" },
	{ 0xd745b8e8, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x28416145, "proc_create_single_data" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x5dc6d848, "inode_io_list_del" },
	{ 0xadb6db33, "jbd2_journal_lock_updates" },
	{ 0xec702b0d, "filemap_write_and_wait_range" },
	{ 0x213ad4cf, "jbd2_journal_free_reserved" },
	{ 0x3ffda81a, "dquot_acquire" },
	{ 0x3da3f310, "dax_zero_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x693a5b9a, "generic_file_llseek_size" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x9be0188, "jbd2_journal_errno" },
	{ 0x35043f7f, "fscrypt_prepare_new_inode" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0xde654107, "fsverity_ioctl_measure" },
	{ 0xfc277cf3, "fscrypt_limit_io_blocks" },
	{ 0x128906d8, "generic_write_checks" },
	{ 0x8d721067, "dqget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7229d64e, "proc_create_seq_private" },
	{ 0xdfd8c2d6, "fscrypt_encrypt_pagecache_blocks" },
	{ 0x2be01c44, "fscrypt_get_symlink" },
	{ 0x321d6e18, "dqput" },
	{ 0xd99a5c68, "dquot_quotactl_sysfile_ops" },
	{ 0x349cba85, "strchr" },
	{ 0x91b7e65a, "kmem_cache_alloc_lru" },
	{ 0x22330264, "filemap_fault" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x597b05e4, "dquot_writeback_dquots" },
	{ 0xf12bcc2e, "d_invalidate" },
	{ 0xe21b487b, "__mark_inode_dirty" },
	{ 0xb9bb9ea1, "dquot_get_next_dqblk" },
	{ 0xdb136ac, "make_bad_inode" },
	{ 0xcde09ab0, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0xdecb1ebc, "jbd2_wait_inode_data" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb26e8a6, "jbd2_journal_begin_ordered_truncate" },
	{ 0xbf320c7e, "up_read" },
	{ 0x274adb3f, "dquot_load_quota_inode" },
	{ 0x7939f4bf, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xc2e03c28, "sb_min_blocksize" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf7da6f68, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6426b979, "iomap_seek_data" },
	{ 0xcbbb6fb3, "jbd2_journal_flush" },
	{ 0xc7ff18c3, "fscrypt_free_inode" },
	{ 0x594d8027, "jbd2_fc_end_commit_fallback" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0xd171f73b, "fscrypt_has_permitted_context" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x1ac953a9, "dquot_destroy" },
	{ 0x79fc046d, "iget_failed" },
	{ 0xce1b3859, "fscrypt_symlink_getattr" },
	{ 0xb99ca45e, "dquot_alloc" },
	{ 0xe076c939, "fs_bio_set" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xca49b893, "d_path" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9b678fd5, "blkdev_issue_discard" },
	{ 0x28e901b1, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x481814c4, "mb_cache_entry_find_next" },
	{ 0xdf929370, "fs_overflowgid" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x41b6439f, "dquot_commit" },
	{ 0x98df9d2d, "truncate_inode_pages" },
	{ 0xeeeee33e, "percpu_free_rwsem" },
	{ 0xb41d7796, "bh_uptodate_or_lock" },
	{ 0x91dc6fc2, "folio_test_hugetlb" },
	{ 0xe65269e4, "inode_init_owner" },
	{ 0xc5049d10, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6a434c1f, "setattr_prepare" },
	{ 0x3eb4d49e, "vfs_fsync_range" },
	{ 0xf8e60a6c, "iget_locked" },
	{ 0x884be557, "fscrypt_dio_supported" },
	{ 0x88cad64a, "clear_nlink" },
	{ 0x9449b9cf, "jbd2_complete_transaction" },
	{ 0xe25e0f33, "file_check_and_advance_wb_err" },
	{ 0x73b243c3, "filemap_flush" },
	{ 0xe0cd7cfa, "filemap_get_folios_tag" },
	{ 0xc6baa715, "__dquot_transfer" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0xbf967f25, "d_instantiate" },
	{ 0xa4270126, "fsverity_ioctl_enable" },
	{ 0x11a50e13, "pagecache_isize_extended" },
	{ 0x89327270, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1a458e61, "blk_start_plug" },
	{ 0xdd2c169b, "mb_cache_create" },
	{ 0x5b7518a2, "clear_inode" },
	{ 0xe4b22086, "inode_to_bdi" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0x9ab22fc5, "iocb_bio_iopoll" },
	{ 0xbfe5e8ed, "rt_write_trylock" },
	{ 0x4feb308d, "dquot_set_dqinfo" },
	{ 0x52db3aec, "dquot_commit_info" },
	{ 0xafbce79e, "generic_set_encrypted_ci_d_ops" },
	{ 0x9f0f2d24, "jbd2_journal_invalidate_folio" },
	{ 0xcd84ca01, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78a05d58, "generic_fh_to_dentry" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xc79a7c1e, "jbd2_submit_inode_data" },
	{ 0x517e641, "dquot_disable" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6fd7cf45, "__fsverity_cleanup_inode" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x6b7d17e8, "dquot_release" },
	{ 0x32ab4e22, "fs_param_is_string" },
	{ 0xa70a9d7e, "dquot_free_inode" },
	{ 0x9c1e4f9d, "folio_unlock" },
	{ 0x1156ae4, "utf8_strncasecmp_folded" },
	{ 0x43270891, "set_blocksize" },
	{ 0xd86c08be, "fscrypt_ioctl_remove_key_all_users" },
	{ 0x6238d17f, "fscrypt_parse_test_dummy_encryption" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5fee83d6, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xf1248018, "filemap_map_pages" },
	{ 0x55bdafb3, "jbd2_journal_forget" },
	{ 0x7542dde0, "jbd2__journal_restart" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x63d36206, "try_to_writeback_inodes_sb" },
	{ 0x2fa3a82, "jbd2_journal_stop" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x7ea21b41, "dquot_get_state" },
	{ 0x893d35ac, "init_special_inode" },
	{ 0xce25a66f, "fscrypt_fname_siphash" },
	{ 0xa4e963bf, "fs_dax_get_by_bdev" },
	{ 0xab969bdc, "unregister_filesystem" },
	{ 0x3286f109, "__fscrypt_prepare_setattr" },
	{ 0x45e3bca1, "jbd2_journal_inode_ranged_write" },
	{ 0xf555f7d2, "bpf_trace_run6" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb1952f91, "__fscrypt_prepare_lookup" },
	{ 0x23ac24e, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x52b1d1a0, "__find_get_block" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0xa4f5c6c1, "__block_write_begin" },
	{ 0x6bf130cd, "jbd2_journal_set_triggers" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x6ca8de97, "inode_needs_sync" },
	{ 0xf308705c, "inode_set_flags" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x2155df82, "inode_query_iversion" },
	{ 0xe80db93e, "fscrypt_ioctl_get_key_status" },
	{ 0xf654f95a, "nop_posix_acl_access" },
	{ 0x241c7f39, "jbd2_journal_load" },
	{ 0x9f0cba, "nop_posix_acl_default" },
	{ 0x620a54fd, "d_make_root" },
	{ 0xc6f98a45, "page_cache_ra_unbounded" },
	{ 0x1b016416, "jbd2_journal_check_available_features" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xc49d69d5, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x9b0a498b, "__fsverity_file_open" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x123ae5a5, "jbd2_journal_set_features" },
	{ 0xa5dfe64b, "sb_set_blocksize" },
	{ 0x7557cbe9, "read_cache_folio" },
	{ 0x7648217b, "invalidate_mapping_pages" },
	{ 0x1f8b3b32, "sync_filesystem" },
	{ 0x2ed379a9, "noop_dirty_folio" },
	{ 0x98d13d1c, "end_buffer_read_sync" },
	{ 0x573d35d0, "block_page_mkwrite" },
	{ 0x51f39e5, "folio_redirty_for_writepage" },
	{ 0xd7987177, "utf8_load" },
	{ 0x82fc994c, "register_shrinker" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x930517f4, "fsnotify" },
	{ 0x3e07e90d, "d_splice_alias" },
	{ 0x1d8cb51a, "jbd2__journal_start" },
	{ 0x905108a0, "jbd2_journal_unlock_updates" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x201cbba0, "generic_error_remove_page" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0xded52f72, "current_time" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xfbf74dcc, "fiemap_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x3243a7bd, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48dcc43f, "from_vfsuid" },
	{ 0xee79fd22, "ihold" },
	{ 0x67feb939, "fs_lookup_param" },
	{ 0x3005bfbb, "fsverity_verify_blocks" },
	{ 0x6b0232c8, "d_find_any_alias" },
	{ 0x9e53e7be, "inode_dio_wait" },
	{ 0x5bb59872, "jbd2_journal_get_create_access" },
	{ 0xdde83954, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x250ba45a, "fscrypt_mergeable_bio" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xfda380d2, "finish_open" },
	{ 0xedb28d22, "dax_iomap_rw" },
	{ 0xf63d929d, "jbd2_journal_init_dev" },
	{ 0x7dff1a62, "iput" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbb778740, "fs_param_is_enum" },
	{ 0xd5e962fc, "fs_param_is_s32" },
	{ 0x5f563b74, "jbd2_journal_clear_features" },
	{ 0x5ef2fc11, "freeze_bdev" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0xd14ca626, "fscrypt_show_test_dummy_encryption" },
	{ 0xc730ceb5, "iter_file_splice_write" },
	{ 0x9a120068, "jbd2_journal_inode_ranged_wait" },
	{ 0x5c174781, "filemap_release_folio" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xf3932313, "mb_cache_entry_wait_unused" },
	{ 0xc0ab32b6, "remove_proc_subtree" },
	{ 0xe3dbdfff, "__pagevec_release" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9bb2ac30, "dax_iomap_fault" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x713a4ac7, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfbd6a2ab, "register_filesystem" },
	{ 0x162339b7, "dquot_transfer" },
	{ 0xc83c03de, "d_tmpfile" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x17859ca7, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x1c8f0378, "jbd2_fc_release_bufs" },
	{ 0x951ecc29, "sync_inode_metadata" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7efc6262, "fscrypt_ioctl_get_policy_ex" },
	{ 0x8b5b2253, "dquot_drop" },
	{ 0x9336cc0, "mempool_free" },
	{ 0xddb8b95d, "path_put" },
	{ 0x715a6a57, "down_read_trylock" },
	{ 0xa3ef0adc, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1a6cbf2, "vfs_setpos" },
	{ 0xf471b49a, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xea8da753, "fscrypt_decrypt_pagecache_blocks" },
	{ 0x44a248fe, "make_vfsuid" },
	{ 0xe6550092, "utf8_casefold" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0xf0176880, "fscrypt_setup_filename" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x282be500, "sysfs_notify" },
	{ 0x3187eb0f, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd84b8070, "iomap_dio_rw" },
	{ 0x1ad6b1dd, "jbd2_fc_get_buf" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xf0823d20, "fs_param_is_u32" },
	{ 0xa71d6088, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x999e00a1, "lock_two_nondirectories" },
	{ 0x908b49ba, "d_drop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x73f02ca8, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x4b069b3f, "mnt_want_write_file" },
	{ 0x2557b6c5, "unlock_new_inode" },
	{ 0xca76ca68, "fsverity_ioctl_read_metadata" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc2a413e, "mempool_create" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x2213537f, "block_invalidate_folio" },
	{ 0xa012f73, "mb_cache_entry_touch" },
	{ 0x8edf3475, "buffer_migrate_folio_norefs" },
	{ 0x5b914ea3, "dquot_quota_sync" },
	{ 0xae7c2639, "make_kprojid" },
	{ 0xbffac6e9, "iomap_seek_hole" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xa792b9d1, "jbd2_journal_init_jbd_inode" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xdd6f4d6c, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0x84c4a643, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xd2f03cd7, "fscrypt_set_context" },
	{ 0x15823cfe, "try_to_free_buffers" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0x5a870c0d, "create_empty_buffers" },
	{ 0x457e7820, "truncate_inode_pages_final" },
	{ 0x1a5ed8a4, "block_write_end" },
	{ 0xc3a6f1f5, "d_alloc" },
	{ 0x651fac15, "sync_blockdev" },
	{ 0x70f5e070, "fs_kobj" },
	{ 0xbb2596d7, "bio_add_folio" },
	{ 0xaed28d46, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0x6b9d8801, "sync_mapping_buffers" },
	{ 0x9652edec, "fscrypt_file_open" },
	{ 0x16d722c3, "generic_perform_write" },
	{ 0xf2fcaaf0, "dquot_initialize" },
	{ 0x70fc7459, "__filemap_get_folio" },
	{ 0x58df197e, "fscrypt_set_bio_crypt_ctx_bh" },
	{ 0x480caa12, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8abaa954, "dquot_quota_on" },
	{ 0xf24a6e18, "unregister_shrinker" },
	{ 0xf6b97695, "blkdev_put" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xb29f6e71, "dquot_initialize_needed" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0xf6e9bdce, "dquot_reclaim_space_nodirty" },
	{ 0x52f6eba, "__fsverity_prepare_setattr" },
	{ 0x5202e67b, "get_inode_acl" },
	{ 0xc5db4ee4, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x3b5c4028, "fscrypt_mergeable_bio_bh" },
	{ 0xa2d8028d, "invalidate_inode_buffers" },
	{ 0x2cf8867b, "block_commit_write" },
	{ 0xad2cc282, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xabf79ac6, "submit_bio" },
	{ 0xfdf96997, "mnt_drop_write_file" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa6a088b7, "fscrypt_match_name" },
	{ 0x703d0abb, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c12d96a, "jbd2_journal_force_commit_nested" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x35c8940e, "inode_init_once" },
	{ 0xe4b6904e, "file_write_and_wait_range" },
	{ 0xa56814a0, "jbd2_journal_update_sb_errno" },
	{ 0x861a7a70, "fscrypt_dummy_policies_equal" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x2439fe87, "dquot_claim_space_nodirty" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcf1c0c4f, "bit_waitqueue" },
	{ 0xb6a2cb6b, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6f1bfb, "__task_pid_nr_ns" },
	{ 0x2c247952, "dquot_set_dqblk" },
	{ 0xa7a191d9, "bio_put" },
	{ 0x92843256, "jbd2_journal_start_reserved" },
	{ 0x977923bb, "percpu_up_write" },
	{ 0x14458c09, "jbd2_journal_clear_err" },
	{ 0x8f642c40, "__brelse" },
	{ 0xf3b42f2c, "posix_acl_create" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x8c986494, "jbd2_journal_init_inode" },
	{ 0x7c73b41e, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x191e6698, "down_write" },
	{ 0x3ad21fa, "fscrypt_ioctl_get_nonce" },
	{ 0x8f607373, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xbce2f2a4, "jbd2_journal_abort" },
	{ 0x8507c352, "generic_file_read_iter" },
	{ 0x2747e63, "jbd2_journal_blocks_per_page" },
	{ 0x15c81974, "inode_maybe_inc_iversion" },
	{ 0x1d2e5dd3, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x79c95f82, "set_cached_acl" },
	{ 0x7faec214, "blkdev_get_by_dev" },
	{ 0x9150c80c, "kmem_cache_create_usercopy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xe5a984b8, "truncate_pagecache" },
	{ 0x622b133e, "sync_dirty_buffer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x61995fa6, "init_uts_ns" },
	{ 0x8baf4ee6, "insert_inode_locked" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa4eff62b, "unlock_two_nondirectories" },
	{ 0xb20bcba8, "thaw_bdev" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x14b432d3, "xa_load" },
	{ 0xaa0aa45e, "__fscrypt_prepare_rename" },
	{ 0x448e2e86, "dquot_resume" },
	{ 0xbf10d2ea, "bpf_trace_run5" },
	{ 0x466ac40c, "setattr_copy" },
	{ 0x61fca5fd, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdfe10166, "jbd2_fc_begin_commit" },
	{ 0x2f20d958, "write_cache_pages" },
	{ 0x4f11e3bd, "file_update_time" },
	{ 0xd374b336, "__wait_on_buffer" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x3462730, "fscrypt_ioctl_set_policy" },
	{ 0xc33d9e2d, "set_nlink" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "jbd2,crc16,mbcache");


MODULE_INFO(srcversion, "29FA5C22AEE6834575A5BF2");

MODULE_INFO(suserelease, "SLFO-1.0");
