#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(jbd2__journal_start, 0x1d8cb51a, "");
SYMBOL_CRC(jbd2_journal_start, 0xe7978eab, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x213ad4cf, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x92843256, "");
SYMBOL_CRC(jbd2__journal_restart, 0x7542dde0, "");
SYMBOL_CRC(jbd2_journal_restart, 0xa6f35967, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xc79a7c1e, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xdecb1ebc, "");
SYMBOL_CRC(jbd2_journal_extend, 0x87807b7f, "");
SYMBOL_CRC(jbd2_journal_stop, 0x02fa3a82, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xadb6db33, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x905108a0, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0xdd6f4d6c, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x5bb59872, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x3849c8eb, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x6bf130cd, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x37b2b1c8, "");
SYMBOL_CRC(jbd2_journal_forget, 0x55bdafb3, "");
SYMBOL_CRC(jbd2_journal_flush, 0xcbbb6fb3, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x88563859, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xf63d929d, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x8c986494, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xb99fb408, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x1b016416, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x123ae5a5, "");
SYMBOL_CRC(jbd2_journal_load, 0x241c7f39, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xe07a4f9d, "");
SYMBOL_CRC(jbd2_journal_abort, 0xbce2f2a4, "");
SYMBOL_CRC(jbd2_journal_errno, 0x09be0188, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xd5073ba2, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x14458c09, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x5c514c1a, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x0dcd9e43, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x4c12d96a, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x6a6bf41f, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x02747e63, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x9f0f2d24, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x02c7d536, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x24d5c986, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x45e3bca1, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x9a120068, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x713a4ac7, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xa792b9d1, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x61fca5fd, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x0b26e8a6, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x42430586, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xdfe10166, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x29d36a4e, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x594d8027, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x16d0f9bf, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x9449b9cf, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x1ad6b1dd, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x0f4578b1, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x1c8f0378, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xa56814a0, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x5f563b74, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x6c287827, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xaadf6fc3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x73740617, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x15823cfe, "try_to_free_buffers" },
	{ 0x651fac15, "sync_blockdev" },
	{ 0xd616b3ef, "free_buffer_head" },
	{ 0xf24a6e18, "unregister_shrinker" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0xad2cc282, "blk_finish_plug" },
	{ 0xd6f7fb2d, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcf1c0c4f, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8f642c40, "__brelse" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xef37504c, "__bh_read_batch" },
	{ 0xbf10d2ea, "bpf_trace_run5" },
	{ 0xd374b336, "__wait_on_buffer" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0xf4613e79, "__bh_read" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xa2b66cb2, "blkdev_issue_zeroout" },
	{ 0x5b43dea, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfb3030ee, "freezing_slow_path" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xe9eace7d, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x17ce72c, "set_bh_page" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xe83b2961, "unlock_buffer" },
	{ 0xb2227d45, "__getblk_gfp" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9d3770ce, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xebf85b6, "__folio_put" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x262bfe04, "__lock_buffer" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x44db26ab, "truncate_inode_pages_range" },
	{ 0xe2e3992, "blkdev_issue_flush" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4b6d4b77, "end_buffer_write_sync" },
	{ 0x1bdf8e61, "seq_open" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x40675c0a, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x9b678fd5, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xb41d7796, "bh_uptodate_or_lock" },
	{ 0x1a458e61, "blk_start_plug" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9c1e4f9d, "folio_unlock" },
	{ 0xf00cd6f5, "param_ops_ushort" },
	{ 0xa124dbdb, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xf555f7d2, "bpf_trace_run6" },
	{ 0x23ac24e, "mark_buffer_dirty" },
	{ 0x52b1d1a0, "__find_get_block" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x170e175f, "filemap_fdatawrite_range" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xc49d69d5, "__bforget" },
	{ 0x488764f6, "write_dirty_buffer" },
	{ 0x82fc994c, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7dff1a62, "iput" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7b54a4f2, "blockdev_superblock" },
	{ 0xb7162ce, "proc_create_data" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xc6f0522a, "bpf_trace_run8" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa3ef0adc, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0x81160db, "alloc_buffer_head" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A2CB754F67607D88BF351D");

MODULE_INFO(suserelease, "SLFO-1.0");
