#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bt_sock_reclassify_lock, 0x1dcca788, "");
SYMBOL_CRC(bt_sock_register, 0xc70be595, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x5eced396, "");
SYMBOL_CRC(bt_sock_link, 0xf1f5fa41, "");
SYMBOL_CRC(bt_sock_unlink, 0xd970dc04, "");
SYMBOL_CRC(bt_sock_linked, 0x3bb06acc, "");
SYMBOL_CRC(bt_accept_enqueue, 0x44971251, "");
SYMBOL_CRC(bt_accept_unlink, 0x51e0c51c, "");
SYMBOL_CRC(bt_accept_dequeue, 0xf2a33789, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xff3310ae, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x531fb862, "");
SYMBOL_CRC(bt_sock_poll, 0xa87fbddc, "");
SYMBOL_CRC(bt_sock_ioctl, 0x26ec3bf5, "");
SYMBOL_CRC(bt_sock_wait_state, 0x3897a575, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x183a35c1, "");
SYMBOL_CRC(bt_procfs_init, 0x4bf69b3b, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x04bddf44, "");
SYMBOL_CRC(bt_debugfs, 0x1384e12a, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x78e5fc61, "");
SYMBOL_CRC(hci_free_dev, 0x5e82454d, "");
SYMBOL_CRC(hci_register_dev, 0x5551efc2, "");
SYMBOL_CRC(hci_unregister_dev, 0x420de9de, "");
SYMBOL_CRC(hci_release_dev, 0xaca89658, "");
SYMBOL_CRC(hci_suspend_dev, 0x405aada3, "");
SYMBOL_CRC(hci_resume_dev, 0x3021e9e0, "");
SYMBOL_CRC(hci_reset_dev, 0x6d2fb112, "");
SYMBOL_CRC(hci_recv_frame, 0x03ad86d5, "");
SYMBOL_CRC(hci_recv_diag, 0x82239fe6, "");
SYMBOL_CRC(hci_set_hw_info, 0xe6578fc1, "");
SYMBOL_CRC(hci_set_fw_info, 0x41ece8d1, "");
SYMBOL_CRC(hci_register_cb, 0xee3e9cc0, "");
SYMBOL_CRC(hci_unregister_cb, 0x9e3e0732, "");
SYMBOL_CRC(__hci_cmd_send, 0xf7edde3a, "");
SYMBOL_CRC(hci_get_route, 0xa40bfca7, "");
SYMBOL_CRC(hci_conn_security, 0xae6ffbd2, "");
SYMBOL_CRC(hci_conn_check_secure, 0xbd19b707, "");
SYMBOL_CRC(hci_conn_switch_role, 0x696c6ad5, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x4cdd1aa9, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x153b3b33, "");
SYMBOL_CRC(l2cap_add_psm, 0x384852c7, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xbf36e09e, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xaf2f5450, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x7e046ecf, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x41a119be, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xc441cfa2, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xaa206615, "");
SYMBOL_CRC(l2cap_register_user, 0x6418bcd0, "");
SYMBOL_CRC(l2cap_unregister_user, 0x6f814b48, "");
SYMBOL_CRC(l2cap_conn_get, 0xea43d9c0, "");
SYMBOL_CRC(l2cap_conn_put, 0x88ca0ab0, "");
SYMBOL_CRC(l2cap_chan_send, 0x3b1a09e0, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xca6711e9, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x0b66147b, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x59ac105a, "");
SYMBOL_CRC(__hci_cmd_sync, 0x496baf43, "");
SYMBOL_CRC(hci_cmd_sync, 0x45d55f11, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x9755f290, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x3c391bf8, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x4e04b3be, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x9dbf85cf, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x71319baf, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x88220fd5, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x9992d35e, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x9b4edd7c, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xf7db9c27, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x53c3548c, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xf520a9b3, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xea219f9e, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x1392a557, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x42cd532a, "");
SYMBOL_CRC(hci_devcd_init, 0x4710bcd3, "");
SYMBOL_CRC(hci_devcd_append, 0xda2c140b, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x129e0d71, "");
SYMBOL_CRC(hci_devcd_complete, 0xdf4490b0, "");
SYMBOL_CRC(hci_devcd_abort, 0xddcd7913, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xbf048203, "ida_destroy" },
	{ 0xb89613fd, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x12ae4d39, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x5af78882, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf43c1624, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x76f86abf, "add_wait_queue_exclusive" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfda68e77, "sock_no_connect" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x198c9a25, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xa638ab46, "led_trigger_unregister_simple" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x1e552f45, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x81142b3e, "get_device" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x8c91b434, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdd539e52, "put_cmsg" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x59598ee0, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe81120ee, "sock_register" },
	{ 0xc0079061, "datagram_poll" },
	{ 0x518db56, "__sock_recv_cmsgs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7108d077, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x948f2719, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xceb7b363, "__sock_recv_timestamp" },
	{ 0xc8fe1058, "sock_no_shutdown" },
	{ 0x454df27c, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x7a3eb868, "init_net" },
	{ 0x5005a0c3, "crypto_shash_setkey" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb3f0248b, "device_add" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x61995fa6, "init_uts_ns" },
	{ 0xf7c9f396, "sk_free" },
	{ 0xe5b552df, "device_move" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd89d4d3a, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x14de3ce3, "sock_no_listen" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xb05c77fc, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcd3fbe6f, "dev_coredumpv" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0x35597835, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0xc6465c4c, "device_del" },
	{ 0x46f701c1, "__sock_queue_rcv_skb" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0x9a5b40c, "__sock_recv_wifi_status" },
	{ 0xea509205, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x1e979b1b, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x8007fa90, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x95b146f0, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe6ed986d, "sock_i_ino" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xcc185010, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f63280, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xb013e5e0, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2f1f3bfa, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0x2c0cea08, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfc8e850a, "skb_copy" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x54bb687c, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x5b697eab, "sock_gettstamp" },
	{ 0x7a8975a1, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x72c484a3, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7229d64e, "proc_create_seq_private" },
	{ 0x35c14bf, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x7ce65ce2, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1aef77de, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc1c0b900, "__dev_fwnode" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdb77dd2a, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x9087ceb3, "skb_free_datagram" },
	{ 0x23862e4c, "sock_queue_rcv_skb_reason" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xbdb0b5a7, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill,crc16");


MODULE_INFO(srcversion, "9819E815F869A1D25F998CC");

MODULE_INFO(suserelease, "SLFO-1.0");
