#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ebt_register_template, 0xa7b34243, "");
SYMBOL_CRC(ebt_unregister_template, 0x532eb3e5, "");
SYMBOL_CRC(ebt_unregister_table_pre_exit, 0x8eaed43b, "");
SYMBOL_CRC(ebt_register_table, 0x95fea39e, "");
SYMBOL_CRC(ebt_unregister_table, 0xa1822288, "");
SYMBOL_CRC(ebt_do_table, 0xf40584d0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0xf50f4fe, "nf_unregister_sockopt" },
	{ 0xa65636b5, "xt_unregister_target" },
	{ 0xea9c0312, "xt_compat_target_offset" },
	{ 0xa916b694, "strnlen" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7bce4603, "xt_data_to_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xfb578fc5, "memset" },
	{ 0x365f23cf, "xt_request_find_match" },
	{ 0x7931c335, "xt_compat_match_offset" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69acdf38, "memcpy" },
	{ 0x823edea5, "xt_compat_add_offset" },
	{ 0x999e8297, "vfree" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x618911fc, "numa_node" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x50873741, "xt_compat_init_offsets" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x92997ed8, "_printk" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x9968aacb, "__audit_log_nfcfg" },
	{ 0xa7c94f1d, "xt_compat_lock" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x4e27719, "xt_compat_flush_offsets" },
	{ 0xd1e246a2, "xt_compat_unlock" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xf5d602f7, "nf_register_net_hooks" },
	{ 0x309a9923, "ns_capable" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc7fae024, "xt_compat_calc_jump" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x19ad169d, "xt_find_match" },
	{ 0x948f2719, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x78a271e2, "xt_check_match" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5eec3c23, "xt_request_find_target" },
	{ 0xc5676092, "xt_check_target" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x22c2952, "nf_unregister_net_hooks" },
	{ 0x1d49923b, "xt_register_target" },
	{ 0xd2ed494f, "nf_register_sockopt" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "x_tables");


MODULE_INFO(srcversion, "B2AB406EE00906E8A7A4A92");

MODULE_INFO(suserelease, "SLFO-1.0");
