#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0xc3fbc0df, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x181aef7a, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0xa689c0a4, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0xf9a9fbfa, "_gpl");
SYMBOL_CRC(dccp_death_row, 0xe7b3cf49, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x341c3c76, "_gpl");
SYMBOL_CRC(dccp_check_req, 0xaadc15f8, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xf100e8d5, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0xc1545d49, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x8cf513aa, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xcb0329bd, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x2950c636, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0xf93410b1, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x5045a1ca, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x23ecdde0, "_gpl");
SYMBOL_CRC(dccp_connect, 0x3146a7d8, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x4a5eebf6, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0xf0cac24a, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0x808f0d9c, "_gpl");
SYMBOL_CRC(dccp_set_state, 0xad992974, "_gpl");
SYMBOL_CRC(dccp_done, 0x4f1319a8, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xfd639e15, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x6e10186f, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x15b59b53, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x0e72ddf8, "_gpl");
SYMBOL_CRC(dccp_poll, 0xfc230595, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0xc4e8e2db, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xaf4d239f, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x2a890172, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xd2c7c483, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x32989172, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x9b94b695, "_gpl");
SYMBOL_CRC(dccp_close, 0xe1d417ec, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xa8722ead, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x9c094552, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xc35876a9, "sk_reset_timer" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x9d482ad5, "sk_stream_wait_close" },
	{ 0xac6cd35d, "inet_twsk_hashdance" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x7a3eb868, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a5f7953, "ip6_mtu" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x3e5105e8, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x7c64f2d8, "proc_doulongvec_minmax" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0x3f6933b1, "tcp_stream_memory_free" },
	{ 0xe75cd8dc, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x2be17924, "sk_wait_data" },
	{ 0x944ebc91, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x95b146f0, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x454655f4, "inet_csk_listen_start" },
	{ 0x865f6f6d, "sk_free_unlock_clone" },
	{ 0x268c7aa, "sock_rfree" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x234ffb17, "ipv4_mtu" },
	{ 0xc22e1252, "skb_set_owner_w" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x2f1f3bfa, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x55b9d368, "skb_clone" },
	{ 0xa76b1baa, "inet_sk_set_state" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x343b2735, "sk_stream_wait_connect" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0xd0acdf2f, "inet_csk_destroy_sock" },
	{ 0x175febe2, "sk_stop_timer" },
	{ 0x88c429fa, "unregister_net_sysctl_table" },
	{ 0x9aa3bcc3, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1fb36f1c, "inet_csk_listen_stop" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf9c12a50, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x24395800, "inet_csk_complete_hashdance" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x567563fd, "inet_csk_reqsk_queue_drop" },
	{ 0x27a51ab7, "__inet_twsk_schedule" },
	{ 0xe0089cea, "proc_dointvec_minmax" },
	{ 0x14abe43d, "inet_hashinfo2_init_mod" },
	{ 0x2ff1bb7d, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x665335b8, "inet_ehash_locks_alloc" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x97c1dd5, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xad58db15, "sock_wmalloc" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x14b91a9, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1410ee6e, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xf15b24e3, "inet_twsk_alloc" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3d055ec2, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0xe212d9a7, "inet_sock_destruct" },
	{ 0x4297c1b0, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "67439EB08A492AE46273D9B");

MODULE_INFO(suserelease, "SLFO-1.0");
