#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x4fa5c948, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x5499da62, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xef406ed5, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x5680dae6, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x5df763c5, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x653377a5, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x1eeb3f11, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0xe99f5016, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x98753603, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0xdfbd0858, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x05400bd0, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0xb76ed4bb, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xf6921261, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x2d297cbd, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x8b1657f5, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x5de2c290, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x4c2c9562, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x1d7f68f3, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x0bed4ccc, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0xbdc45f04, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x574435b7, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x95df9166, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x5e62396f, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x85b288da, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xce846aa8, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x09f2de7a, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x6288f5b1, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x0674c15e, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0x85c1b92d, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x56ee4c83, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7a49bd1, "devlink_resource_register" },
	{ 0xb7f422ea, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcdff4721, "switchdev_bridge_port_offload" },
	{ 0xff785dd7, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x948f2719, "module_put" },
	{ 0x2d0bb198, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x5bfe1d32, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x5d37706, "devlink_region_create" },
	{ 0x872bdf60, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0xf9e8d198, "rtnl_link_unregister" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x81220507, "devlink_port_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0x7a3eb868, "init_net" },
	{ 0xe69a1f0, "noop_qdisc" },
	{ 0xeac9372, "phy_ethtool_get_strings" },
	{ 0x53e12d7e, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xb4afdc33, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x655e326d, "dev_remove_pack" },
	{ 0xbf10d2ea, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd3fce63e, "gro_cells_receive" },
	{ 0xe159a675, "switchdev_handle_port_obj_del_foreign" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x45705117, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xac5f2a39, "dev_mc_del" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x14922b6b, "br_vlan_get_info" },
	{ 0x5c54909a, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9b7283e4, "mdiobus_free" },
	{ 0xa40c9e11, "phylink_generic_validate" },
	{ 0xbe4f6412, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x43510a03, "devlink_resource_occ_get_register" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x948adaee, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x7e1d1a73, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc00ae453, "switchdev_bridge_port_unoffload" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc7b26604, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x737ac4b3, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0xcc9d82a0, "dev_mc_add" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xedbc247e, "flow_block_cb_alloc" },
	{ 0x57ee3648, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x13aa6d2e, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd52d6550, "sysfs_remove_group" },
	{ 0x7406a0f3, "net_selftest" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0x91c8b4b3, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x48f63a41, "devlink_port_init" },
	{ 0x15c1a8d0, "__netpoll_setup" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0xa91f7028, "vlan_vid_add" },
	{ 0x4e303c7e, "devlink_params_register" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xd58f04c5, "vlan_vid_del" },
	{ 0xca6d2b12, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x184a9cd9, "devlink_resources_unregister" },
	{ 0xa24e6ca, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xae2ae951, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x85a0801b, "devlink_port_region_create" },
	{ 0x1856a9f5, "devlink_priv" },
	{ 0xfc8e850a, "skb_copy" },
	{ 0xaf5a71e7, "__hw_addr_sync_dev" },
	{ 0x140018a8, "devlink_port_register_with_ops" },
	{ 0xac3532aa, "mdiobus_get_phy" },
	{ 0x92a5ab61, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xd1ed174b, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x678184ec, "dev_uc_add" },
	{ 0xa9a60925, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xd7ca932d, "br_mst_enabled" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x9f26d4ce, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0xc4c06134, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x96925f31, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xf753ca7e, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x6cf35d11, "dcb_ieee_setapp" },
	{ 0xb900dc0, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1ea9f5fc, "__skb_vlan_pop" },
	{ 0x12d868, "phylink_connect_phy" },
	{ 0x93cad9ef, "br_get_ageing_time" },
	{ 0xd36b08e6, "register_netdevice" },
	{ 0x1a9beed1, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x2df1699, "netdev_lower_get_next" },
	{ 0x2cf5be8d, "flow_block_cb_lookup" },
	{ 0x21301c1a, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0x71eb0b74, "devlink_resource_occ_get_unregister" },
	{ 0xc11f1c1b, "dev_set_mtu" },
	{ 0x5d835900, "br_vlan_enabled" },
	{ 0x114e135c, "__skb_pad" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0x3cedab5c, "devlink_unregister" },
	{ 0x689b7eb1, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x94a6cfed, "br_port_flag_is_set" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8eed3af7, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfadf6207, "br_port_get_stp_state" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc046f8a6, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8e89fe4f, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52857bf6, "__netpoll_free" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xe90be66b, "br_vlan_get_proto" },
	{ 0x7d9acbf3, "br_mst_get_state" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x7432c75, "dev_uc_del" },
	{ 0xfa9fbf3c, "netpoll_send_skb" },
	{ 0xf49097d6, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xb3b87550, "devlink_params_unregister" },
	{ 0xb63fda9d, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xda66a4e7, "devlink_alloc_ns" },
	{ 0x82c12f57, "dev_set_promiscuity" },
	{ 0x262d79d, "devlink_register" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x29ce7df2, "devlink_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x34c2a4b0, "gro_cells_init" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0xa23db88d, "unregister_netdevice_queue" },
	{ 0x81142b3e, "get_device" },
	{ 0x23f02d17, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x8195bbc6, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xa40ae828, "switchdev_handle_fdb_event_to_device" },
	{ 0xfea4485, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6534a401, "netdev_upper_dev_link" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x1fe97a3c, "switchdev_handle_port_attr_set" },
	{ 0x9a392e84, "phylink_create" },
	{ 0x4c981e01, "vlan_for_each" },
	{ 0x3eeb5f5b, "netdev_port_same_parent_id" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5cd5b011, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f7b6975, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe9271162, "vlan_dev_vlan_proto" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "5FEDE96468A8B7BB0D7A1B6");

MODULE_INFO(suserelease, "SLFO-1.0");
