#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xa8a34868, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x2443729d, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x2164e800, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x58d1c1d1, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x58a3aee4, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x3b5e0620, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xc6132d64, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x78fe4da4, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xd766351d, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x3575a903, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x4d893ab5, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x38d8ebc4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3be75c0d, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x7a3eb868, "init_net" },
	{ 0x5cd5b011, "alloc_netdev_mqs" },
	{ 0xb1f02766, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x5c54909a, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf9e8d198, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x34c2a4b0, "gro_cells_init" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xd36b08e6, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x4774229e, "netdev_state_change" },
	{ 0x309a9923, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0x320c2767, "ip6_redirect" },
	{ 0x3779e18f, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x35cd7ff8, "dst_cache_get" },
	{ 0x5af19af6, "ip6_route_output_flags" },
	{ 0x5434303c, "xfrm_lookup" },
	{ 0x9a5f7953, "ip6_mtu" },
	{ 0x373722bb, "skb_scrub_packet" },
	{ 0xa00fbc4b, "skb_realloc_headroom" },
	{ 0xc22e1252, "skb_set_owner_w" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xc5c6d3d4, "ipv6_push_frag_opts" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x910a67e4, "ip6_local_out" },
	{ 0x73c57b62, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x381e17dc, "ipv6_dev_get_saddr" },
	{ 0xf8283369, "ip6_dst_hoplimit" },
	{ 0x234ffb17, "ipv4_mtu" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x26602795, "neigh_destroy" },
	{ 0x4e00f8e, "iptunnel_handle_offloads" },
	{ 0x72e5b031, "icmpv6_ndo_send" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xbfc1fe24, "icmp_ndo_send" },
	{ 0x55b9d368, "skb_clone" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x79f4bb4c, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd3fce63e, "gro_cells_receive" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xfa927665, "__xfrm_policy_check" },
	{ 0x960ba1aa, "__iptunnel_pull_header" },
	{  0xc9b3d, "metadata_dst_alloc" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0x6c6af8d1, "ip_route_input_noref" },
	{ 0x9d4ba950, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x737ac4b3, "dev_get_tstats64" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf66769ac, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb392360d, "ipv6_chk_addr_and_flags" },
	{ 0xc0814d19, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0x11da9c41, "xfrm6_tunnel_register" },
	{ 0xf49097d6, "rtnl_link_register" },
	{ 0x913d184, "xfrm6_tunnel_deregister" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa23db88d, "unregister_netdevice_queue" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x52de803e, "rt6_lookup" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5630649C52513E317EF003F");

MODULE_INFO(suserelease, "SLFO-1.0");
