#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_ct_nat_ext_add, 0xaf782524, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x957cd479, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xb0b7b760, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x40c236f7, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x056e4891, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x07def830, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x42aa4ba5, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x0ef19793, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xc6405550, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x95f420a6, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xffbcabde, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x0231f28a, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xae50e44d, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xf2187d59, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xb2b54faa, "");
SYMBOL_CRC(nf_nat_follow_master, 0xc53e03de, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xf72c8110, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x75738721, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xcc92b6a6, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x7aaaa288, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x7add1480, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x263bbe4a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0xed6e7eea, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x658d2778, "nf_ct_iterate_cleanup_net" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb53cc1eb, "ipv6_skip_exthdr" },
	{ 0xf5d602f7, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x948f2719, "module_put" },
	{ 0x381e17dc, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xd14f86ff, "nf_ct_expect_related_report" },
	{ 0x9169f05e, "nf_conntrack_alter_reply" },
	{ 0x76456c1a, "ip_route_me_harder" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdc9c1de, "nf_hook_entries_delete_raw" },
	{ 0x1aa873d7, "skb_ensure_writable" },
	{ 0x22c2952, "nf_unregister_net_hooks" },
	{ 0x80d7b801, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0xe75cd8dc, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x147684f5, "nf_ip_checksum" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xdfa24e4c, "register_btf_kfunc_id_set" },
	{ 0x30de0b59, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x352c842d, "inet_proto_csum_replace16" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd90ec38c, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1553540, "__skb_checksum" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xdc37c934, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x1db747a1, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x94f5c5a, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa73284e1, "nf_ct_ext_add" },
	{ 0xd6b0af61, "__do_once_done" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xc680a28, "nf_ip6_checksum" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0xb4106e73, "nf_hook_entries_insert_raw" },
	{ 0x5434303c, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x68487105, "nf_ct_seqadj_set" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe7fafeef, "nf_ct_helper_expectfn_unregister" },
	{ 0xffd7e660, "__xfrm_decode_session" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x6d965f49, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xc32a0de1, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "6D086F90559A272F13F64AD");

MODULE_INFO(suserelease, "SLFO-1.0");
