#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0x0f899047, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x8d3e189e, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0xe7da8a3a, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0xf53c25dc, "");
SYMBOL_CRC(nfc_hci_free_device, 0x095d0bc3, "");
SYMBOL_CRC(nfc_hci_register_device, 0x41b9ebba, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x57bb1c26, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0xdf04bfaa, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0x1cf191ea, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0xa8e67fb5, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0xdb12a7b5, "");
SYMBOL_CRC(nfc_hci_send_event, 0xd89ccb18, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0xdd5649e2, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0x36074690, "");
SYMBOL_CRC(nfc_hci_set_param, 0x90565ade, "");
SYMBOL_CRC(nfc_hci_get_param, 0x551cad86, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0x050826d5, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x63e80085, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0x7a6893c5, "");
SYMBOL_CRC(nfc_llc_start, 0x56ac10dd, "");
SYMBOL_CRC(nfc_llc_stop, 0xc1f4b816, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45b25c0d, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1197ff7a, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x65a11e99, "nfc_targets_found" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x47821532, "nfc_driver_failure" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xbde6fb28, "nfc_register_device" },
	{ 0xdb77dd2a, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xe1cb53cd, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xa46e3c34, "nfc_allocate_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x3c8a8456, "nfc_alloc_recv_skb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "0B1F174CEDB4DFA029BCDBF");

MODULE_INFO(suserelease, "SLFO-1.0");
