#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0xd4444f1e, "");
SYMBOL_CRC(nci_req_complete, 0x445647b3, "");
SYMBOL_CRC(nci_prop_cmd, 0x319c884d, "");
SYMBOL_CRC(nci_core_cmd, 0xd8d3638f, "");
SYMBOL_CRC(nci_core_reset, 0x3bca40aa, "");
SYMBOL_CRC(nci_core_init, 0x2d62a00b, "");
SYMBOL_CRC(nci_nfcc_loopback, 0xecb733e0, "");
SYMBOL_CRC(nci_set_config, 0x58c8db30, "");
SYMBOL_CRC(nci_nfcee_discover, 0x7087ae2c, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0x56f38e84, "");
SYMBOL_CRC(nci_core_conn_create, 0x47c9e1bb, "");
SYMBOL_CRC(nci_core_conn_close, 0xfc81b4f5, "");
SYMBOL_CRC(nci_allocate_device, 0xedd93208, "");
SYMBOL_CRC(nci_free_device, 0x84cd2492, "");
SYMBOL_CRC(nci_register_device, 0x33f82899, "");
SYMBOL_CRC(nci_unregister_device, 0x741d3a33, "");
SYMBOL_CRC(nci_recv_frame, 0xc973e18d, "");
SYMBOL_CRC(nci_send_frame, 0x6b254676, "");
SYMBOL_CRC(nci_send_cmd, 0x2e2ca38a, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0x8fd3198a, "");
SYMBOL_CRC(nci_send_data, 0x6946f51e, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0xcc00aa7f, "");
SYMBOL_CRC(nci_hci_send_cmd, 0x1428787a, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0x412280a2, "");
SYMBOL_CRC(nci_hci_open_pipe, 0xec3e766b, "");
SYMBOL_CRC(nci_hci_set_param, 0xdb42715f, "");
SYMBOL_CRC(nci_hci_get_param, 0x08a80031, "");
SYMBOL_CRC(nci_hci_connect_gate, 0x6349bb4b, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0xbac03651, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1b4c117, "nfc_get_local_general_bytes" },
	{ 0x3277ab43, "nfc_set_remote_general_bytes" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15901500, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x65a11e99, "nfc_targets_found" },
	{ 0xe1176797, "nfc_dep_link_is_up" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xab53802a, "nfc_send_to_raw_sock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xbde6fb28, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xe1cb53cd, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa46e3c34, "nfc_allocate_device" },
	{ 0xc65dbe3a, "nfc_tm_data_received" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x8d1b50f6, "nfc_tm_deactivated" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3c8a8456, "nfc_alloc_recv_skb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "06FB23104C3D193F23544D9");

MODULE_INFO(suserelease, "SLFO-1.0");
