#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rds_cong_map_updated, 0x7db6edcf, "_gpl");
SYMBOL_CRC(rds_conn_create, 0x74acecb2, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0xb8a6506d, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0xba688ad8, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0x2c19c015, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0x87c65ac1, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0xdb0f9827, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0x177a7bfa, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0xa90e0580, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0xc89001f7, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0xab164a82, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xc2dab779, "_gpl");
SYMBOL_CRC(rds_message_addref, 0x9e7a702f, "_gpl");
SYMBOL_CRC(rds_message_put, 0x5139f492, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0x2b0d543c, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0xf30f9f80, "_gpl");
SYMBOL_CRC(rds_inc_init, 0xbfa75a77, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0x18c1bd8d, "_gpl");
SYMBOL_CRC(rds_inc_put, 0x732e6e85, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0x3607bdf1, "_gpl");
SYMBOL_CRC(rds_send_path_reset, 0x4fd4d205, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0xd9a012cd, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0x1c7ffd8d, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0x7e27bf2a, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0x34d6e7b6, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0xbeba8f6c, "_gpl");
SYMBOL_CRC(rds_send_ping, 0xf537833b, "_gpl");
SYMBOL_CRC(rds_stats, 0x36087aa4, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0x85e4e520, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0x1f0c61d8, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0xf6e90bf3, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0x679b8d9e, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0xeb458036, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x9dcbbbf0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x4380b0b0, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdd539e52, "put_cmsg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xe81120ee, "sock_register" },
	{ 0x6dd005c6, "mm_account_pinned_pages" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x49420857, "__free_pages" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0x948f2719, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8fe1058, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x49608959, "migrate_disable" },
	{ 0x191e6698, "down_write" },
	{ 0x7a3eb868, "init_net" },
	{ 0x8f607373, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5afbf707, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf7c9f396, "sk_free" },
	{ 0xd89d4d3a, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x14de3ce3, "sock_no_listen" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xffdbaec1, "sock_recv_errqueue" },
	{ 0xa241a1c3, "mm_unaccount_pinned_pages" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0xa82061ef, "copy_page_to_iter" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x1643317, "rht_bucket_nested_insert" },
	{ 0xcdc2e027, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x992662ed, "rhashtable_destroy" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb84cf799, "copy_page_from_iter" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xef9a0c4a, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xe6ed986d, "sock_i_ino" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xebf85b6, "__folio_put" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x58111950, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x88c429fa, "unregister_net_sysctl_table" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xbf320c7e, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xa00288e4, "iov_iter_npages" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2fa45f93, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd6b0af61, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa1d2f8c, "unpin_user_pages_dirty_lock" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x97c1dd5, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9c3d0da5, "unpin_user_pages" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x150c95c2, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98ED5423CE9223AB49269DC");

MODULE_INFO(suserelease, "SLFO-1.0");
