#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sctp_get_sctp_info, 0x345f2440, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x9d88eadf, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x2cb7aa18, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x7ba56f14, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xd4e68b6c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5fe9abd6, "inet_ctl_sock_create" },
	{ 0xf0c5344a, "inet_ioctl" },
	{ 0x8b833dae, "reuseport_add_sock" },
	{ 0x5eb7422e, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x4ad3b857, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x454df27c, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x7c73b41e, "fput" },
	{ 0x9fdeda67, "inet_accept" },
	{ 0x7a3eb868, "init_net" },
	{ 0x5005a0c3, "crypto_shash_setkey" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xd507d3f1, "inet_add_offload" },
	{ 0xd78142a1, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9a5f7953, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf2d8c0e, "__SCK__tp_func_sk_data_ready" },
	{ 0x5efb44b8, "inet_add_protocol" },
	{ 0xce84785d, "inet_shutdown" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x3e5105e8, "sock_wake_async" },
	{ 0xc0814d19, "dev_get_by_index_rcu" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xd1d03308, "inet_del_offload" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x5d5351ff, "__ip_queue_xmit" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0xf681ee4c, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x7c64f2d8, "proc_doulongvec_minmax" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe3466588, "rhashtable_walk_start_check" },
	{ 0x309a9923, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb7bc680d, "inet6_ioctl" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0x5a094ca8, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fce20d, "idr_alloc_cyclic" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa7b7dde8, "ip6_dst_lookup_flow" },
	{ 0xce45de38, "rhashtable_free_and_destroy" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x1643317, "rht_bucket_nested_insert" },
	{ 0x2ff4d015, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x49fa2e9, "setup_udp_tunnel_sock" },
	{ 0x7a6fdd28, "udp_sock_create6" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8bf76ac4, "sk_common_release" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xef9a0c4a, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x8817f3ae, "inet6_getname" },
	{ 0xe6ed986d, "sock_i_ino" },
	{ 0xb63b02af, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc920a047, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x9775e37e, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x234ffb17, "ipv4_mtu" },
	{ 0xc22e1252, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xe1553540, "__skb_checksum" },
	{ 0x85962427, "reuseport_alloc" },
	{ 0x242a95d6, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x8c410364, "inet6_release" },
	{ 0x9d3770ce, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0x4926f58c, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x900ff9b9, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc2330e12, "rhltable_init" },
	{ 0x85d34cc8, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x7f4ccac6, "proc_create_net_single" },
	{ 0xfc8e850a, "skb_copy" },
	{ 0x55b9d368, "skb_clone" },
	{ 0xa76b1baa, "inet_sk_set_state" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x9bca5fdf, "sock_release" },
	{ 0x58111950, "proc_dointvec" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x5b697eab, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0xa2d0ce12, "rhashtable_walk_next" },
	{ 0x27795bbd, "_proc_mkdir" },
	{ 0xe0d43bd6, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc2142c1d, "send_sig" },
	{ 0x88c429fa, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x55a9c688, "inet6_add_protocol" },
	{ 0xd745b8e8, "from_kuid_munged" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xcaf44bd0, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xe3668328, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbdbc7e16, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xf87e01c0, "reuseport_detach_sock" },
	{ 0xd6dc587e, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x90d2c95e, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1df1ec1b, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdb77dd2a, "skb_queue_head" },
	{ 0xe0089cea, "proc_dointvec_minmax" },
	{ 0x59c2f96b, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xbdb0b5a7, "sock_i_uid" },
	{ 0x62e50d04, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb27b9aa2, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x1c02611b, "inet_unregister_protosw" },
	{ 0xb89613fd, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfdbd0c81, "sock_wfree" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x97c1dd5, "register_net_sysctl" },
	{ 0x9bdec86f, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf8283369, "ip6_dst_hoplimit" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x2c0b3907, "inet6_add_offload" },
	{ 0x12ae4d39, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x296673f7, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x25ee8bd9, "l3mdev_fib_table_by_index" },
	{ 0x8b076956, "udp_sock_create4" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x13bb0591, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x13cd68c2, "skb_segment" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xb4477045, "__ip_dev_find" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb0c6e70e, "udp_tunnel6_xmit_skb" },
	{ 0xac5b2c1a, "sock_common_getsockopt" },
	{ 0xaaa39d53, "inet_bind" },
	{ 0xf339da08, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0x3e26d3b7, "fd_install" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x77c0a067, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xfa927665, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x86e3d5c0, "__tracepoint_sk_data_ready" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0x2a3c9259, "sock_common_setsockopt" },
	{ 0xc0ab32b6, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0x33a8d5f3, "rhashtable_walk_enter" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x4dd6c5f2, "__sk_mem_schedule" },
	{ 0x2b6c9ff4, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc67234c8, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x410863fb, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x3d055ec2, "sk_error_report" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0xdd539e52, "put_cmsg" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xe212d9a7, "inet_sock_destruct" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0xaf91c0a2, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x11a1e6ea, "inet_sk_get_local_port_range" },
	{ 0x7b46d5ee, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x74366cf, "inet_getname" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x518db56, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x56309c0c, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0x479f9e96, "skb_copy_expand" },
	{ 0x97ce3ad2, "__wake_up_sync_key" },
	{ 0x329e44d0, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "F093D9D10C8E3F697B9C418");

MODULE_INFO(suserelease, "SLFO-1.0");
