#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(smc_hash_sk, 0x63643bdc, "_gpl");
SYMBOL_CRC(smc_unhash_sk, 0xc86573a3, "_gpl");
SYMBOL_CRC(smc_proto, 0xac44b174, "_gpl");
SYMBOL_CRC(smc_proto6, 0xa2308b06, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x589db4af, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xa9bef065, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0xcbd3f087, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x81a3e3fb, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0xf15bbb0c, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0x3f2d1485, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x0302fe1a, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0xecf728af, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0xbd8c0964, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xd58bf905, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x1ba48d14, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0x6b050e7b, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xdf5bf4ec, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49420857, "__free_pages" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc9438b42, "ib_unregister_event_handler" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0x4d7093d9, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x97ce3ad2, "__wake_up_sync_key" },
	{ 0xb9394978, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7f15eb9d, "ib_map_mr_sg" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2c344adc, "generic_pipe_buf_get" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0xb8d2e8a0, "ib_set_client_data" },
	{ 0x191e6698, "down_write" },
	{ 0x7a3eb868, "init_net" },
	{ 0x8f607373, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99050138, "netlink_unicast" },
	{ 0xf2d8c0e, "__SCK__tp_func_sk_data_ready" },
	{ 0x938f56b9, "rdma_put_gid_attr" },
	{ 0x8387d886, "kernel_getsockname" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x3e5105e8, "sock_wake_async" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x45288452, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc9e014f6, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4b4dc98, "proc_douintvec_minmax" },
	{ 0x959d6f16, "dma_need_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x717b36a9, "__ib_create_cq" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0x81876072, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0x76f91e86, "kernel_connect" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2be17924, "sk_wait_data" },
	{ 0x348507d0, "proc_douintvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xa557e826, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xed7ff7e6, "ib_destroy_cq_user" },
	{ 0xc88f6934, "down_read" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xc069257e, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6b554bdd, "tcp_register_ulp" },
	{ 0x8bf76ac4, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x2b352d7b, "kernel_listen" },
	{ 0x9257f246, "ib_dma_virt_map_sg" },
	{ 0x26602795, "neigh_destroy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xd2b9762b, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xebf85b6, "__folio_put" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5d75eace, "sock_recvmsg" },
	{ 0x125dbb7c, "sk_net_refcnt_upgrade" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9dda498, "dev_get_by_name" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x343b2735, "sk_stream_wait_connect" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x9bca5fdf, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbc993b15, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0xc2674a81, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa9a60925, "vlan_dev_vlan_id" },
	{ 0x88c429fa, "unregister_net_sysctl_table" },
	{ 0xc1378cca, "ib_dealloc_pd_user" },
	{ 0xc472d15c, "rdma_get_gid_attr" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0x57645eb0, "genl_unregister_family" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd710ff22, "genl_register_family" },
	{ 0xe699308e, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbf320c7e, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xdf8f4701, "release_sock" },
	{ 0xff2910e9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe0089cea, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2df1699, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf3bbddb7, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x80150da8, "ib_unregister_client" },
	{ 0xe812b8f4, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x689b7eb1, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x55a9debc, "proc_dointvec_jiffies" },
	{ 0x97c1dd5, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbb808d77, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x2302ffb4, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xe4d2a860, "__ib_alloc_pd" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x17cc1029, "kernel_bind" },
	{ 0x76f86abf, "add_wait_queue_exclusive" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x711c9259, "genlmsg_put" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb0b5bbe6, "ib_dereg_mr_user" },
	{ 0x86e3d5c0, "__tracepoint_sk_data_ready" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x7563dd5c, "kernel_accept" },
	{ 0x6c556445, "rdma_dev_access_netns" },
	{ 0x1e552f45, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0x81142b3e, "get_device" },
	{ 0xced279d9, "sk_stream_error" },
	{ 0x32013ad8, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe38da595, "sock_alloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3d055ec2, "sk_error_report" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x54ea5dd4, "tcp_abort" },
	{ 0x35baf1d9, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xd4a16cd1, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe81120ee, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "C04CE23000EC70757E13FF8");

MODULE_INFO(suserelease, "SLFO-1.0");
