#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tipc_nl_sk_walk, 0xf8c8cfaa, "");
SYMBOL_CRC(tipc_dump_start, 0xae2b1e4d, "");
SYMBOL_CRC(tipc_dump_done, 0xc1d3a61d, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0xba1484ae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b8bfd42, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xc35876a9, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xfb10de52, "skb_try_coalesce" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0x479f9e96, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x97ce3ad2, "__wake_up_sync_key" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x948f2719, "module_put" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x4ad42a08, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x7a3eb868, "init_net" },
	{ 0x423d3514, "ipv6_stub" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98dbdea, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x99050138, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf2d8c0e, "__SCK__tp_func_sk_data_ready" },
	{ 0x655e326d, "dev_remove_pack" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x45288452, "kernel_sock_shutdown" },
	{ 0xd89d4d3a, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x35cd7ff8, "dst_cache_get" },
	{ 0x14de3ce3, "sock_no_listen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x7c64f2d8, "proc_doulongvec_minmax" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0x91bf6fcd, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe3466588, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0x5a094ca8, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xaaa27a6c, "kfree_skb_partial" },
	{ 0x1643317, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x2ff4d015, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x992662ed, "rhashtable_destroy" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x49fa2e9, "setup_udp_tunnel_sock" },
	{ 0x7a6fdd28, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xd54932ce, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xef9a0c4a, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x268c7aa, "sock_rfree" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe6ed986d, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2b352d7b, "kernel_listen" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x327b85d3, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd2b9762b, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x4d1bb2, "rt_spin_trylock_bh" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x73c57b62, "dst_cache_set_ip6" },
	{ 0x8d831d70, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x85d34cc8, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5d75eace, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfc8e850a, "skb_copy" },
	{ 0x55b9d368, "skb_clone" },
	{ 0xb9dda498, "dev_get_by_name" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x9bca5fdf, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xa2d0ce12, "rhashtable_walk_next" },
	{ 0x40bd4075, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x175febe2, "sk_stop_timer" },
	{ 0x88c429fa, "unregister_net_sysctl_table" },
	{ 0x57645eb0, "genl_unregister_family" },
	{ 0xd745b8e8, "from_kuid_munged" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0xd710ff22, "genl_register_family" },
	{ 0xe699308e, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd98d4505, "skb_to_sgvec" },
	{ 0x1df1ec1b, "rhashtable_walk_exit" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe0089cea, "proc_dointvec_minmax" },
	{ 0x256a37ac, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xbdb0b5a7, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x689b7eb1, "__nlmsg_put" },
	{ 0xb89613fd, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x97c1dd5, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf8283369, "ip6_dst_hoplimit" },
	{ 0x60f4b791, "trace_output_call" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xc046f8a6, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8b076956, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xb4477045, "__ip_dev_find" },
	{ 0x581e1f5d, "dst_cache_set_ip4" },
	{ 0xb0c6e70e, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x711c9259, "genlmsg_put" },
	{ 0x148098cd, "___pskb_trim" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x4380b0b0, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbbf11f6d, "crypto_alloc_aead" },
	{ 0x86e3d5c0, "__tracepoint_sk_data_ready" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0xc83edfe6, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x91211f97, "crypto_aead_decrypt" },
	{ 0x7563dd5c, "kernel_accept" },
	{ 0x1e552f45, "__module_get" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0x33a8d5f3, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8c91b434, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0xdd539e52, "put_cmsg" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xe81120ee, "sock_register" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FF03E52B5648E999D223DF8");

MODULE_INFO(suserelease, "SLFO-1.0");
