#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xba8bc245, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x842f289a, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x0d093c64, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x3076d431, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x19d15477, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x185a5973, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x0848d35c, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x1b13c26b, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0xaa99b7c9, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x4b60efb7, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xda826740, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xb92b9673, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x5a1ffa3a, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x08741cbe, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xbfca3e86, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xfdabcfb3, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x934b96f2, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xc4f94c2e, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x33ff2a8d, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x14fe4677, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xac94d60b, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x4d093cd4, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xc41a08c3, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x8dee8dbe, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x4b7d74dd, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb89e5a0, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf04e09da, "__put_cred" },
	{ 0x3d055ec2, "sk_error_report" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe81120ee, "sock_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x948f2719, "module_put" },
	{ 0xc3821f68, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd89d4d3a, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x14de3ce3, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xffdbaec1, "sock_recv_errqueue" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0xb08ebea9, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xc9191f28, "nonseekable_open" },
	{ 0xdcce000c, "sk_psock_drop" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc1ccc1a, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0xf65fd9e, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7b2ff02a, "sock_setsockopt" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x29bc7516, "sock_map_close" },
	{ 0x23862e4c, "sock_queue_rcv_skb_reason" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x1e552f45, "__module_get" },
	{ 0xced279d9, "sk_stream_error" },
	{ 0x294bdb80, "sk_msg_recvmsg" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "09ACD0DEB3E8E275C3BD7D9");

MODULE_INFO(suserelease, "SLFO-1.0");
