#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0x205adfce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9166fada, "strncpy" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x689b7eb1, "__nlmsg_put" },
	{ 0x99050138, "netlink_unicast" },
	{ 0xc2c2496e, "xfrm_sad_getinfo" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x29bb9a6, "xfrm_spd_getinfo" },
	{ 0xfa42a9a3, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x349f5f0a, "__xfrm_init_state" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0xf9563dd8, "xfrm_init_replay" },
	{ 0x11139333, "xfrm_dev_state_add" },
	{ 0x8d59df12, "xfrm_state_update" },
	{ 0x30194049, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4fee754e, "__xfrm_state_destroy" },
	{ 0x1b3c9df4, "xfrm_state_add" },
	{ 0xc2e9cea3, "xfrm_dev_state_delete" },
	{ 0xae861381, "netlink_broadcast_filtered" },
	{ 0x7a3eb868, "init_net" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x15efaf4b, "__fib6_flush_trees" },
	{ 0x9bd63bb3, "xfrm_state_lookup_byaddr" },
	{ 0x2e29e77, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xca972987, "xfrm_state_delete" },
	{ 0x606d97b6, "xfrm_audit_state_delete" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2b815b0d, "km_state_expired" },
	{ 0x47904ce8, "__xfrm_state_delete" },
	{ 0xd466b5e5, "xfrm_policy_byid" },
	{ 0x469e8f93, "km_policy_expired" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0xe21e0735, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x9e31c938, "xfrm_policy_destroy" },
	{ 0xc32881b4, "xfrm_policy_delete" },
	{ 0x9c6911bd, "xfrm_audit_policy_delete" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x892457c6, "xfrm_find_acq_byseq" },
	{ 0x9e45d9cd, "xfrm_find_acq" },
	{ 0x3c76e2c3, "xfrm_alloc_spi" },
	{ 0xf4b9b990, "xfrm_dev_policy_add" },
	{ 0x786e20f6, "xfrm_policy_insert" },
	{ 0x903e1651, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2ee195ab, "km_query" },
	{ 0x82117e4e, "xfrm_state_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0xe0247a9d, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd707efe1, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8f4cb25a, "netlink_kernel_release" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x10082dc4, "netlink_rcv_skb" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xd7d34f2d, "xfrm_policy_hash_rebuild" },
	{ 0xdf25d7ff, "xfrm_state_flush" },
	{ 0xb9f2b68a, "km_state_notify" },
	{ 0xa2c209e5, "xfrm_policy_walk_done" },
	{ 0x1214726c, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x83e33118, "xfrm_state_walk_done" },
	{ 0xe152d635, "__netlink_kernel_create" },
	{ 0xa5a26e6e, "xfrm_unregister_km" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x256a37ac, "netlink_net_capable" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xeafabc30, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9390ce0a, "xfrm_get_translator" },
	{ 0xd3f150cb, "xfrm_put_translator" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x854da617, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc52d832, "xfrm_policy_alloc" },
	{ 0xece1c25a, "xfrm_policy_flush" },
	{ 0xca304845, "km_policy_notify" },
	{ 0xb811c08f, "xfrm_migrate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xfb578fc5, "memset" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "AF9B1783FCEABDF1FA0B402");

MODULE_INFO(suserelease, "SLFO-1.0");
