#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(key_type_trusted, 0xc95ad626, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0xc4a72936, "_gpl");
SYMBOL_CRC(oiap, 0x73cc8631, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3508df3a, "tpm_try_get_ops" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x81e4a005, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8341f5ca, "tpm_default_chip" },
	{ 0x6684685b, "_dev_err" },
	{ 0x5005a0c3, "crypto_shash_setkey" },
	{ 0x3ccdadbe, "user_describe" },
	{ 0x409e55c4, "tee_shm_register_kernel_buf" },
	{ 0x5a921311, "strncmp" },
	{ 0xb05c77fc, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x121eca77, "driver_unregister" },
	{ 0x378b580a, "tpm_pcr_extend" },
	{ 0xcd24e146, "hash_digest_size" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9560e45, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb253e13b, "tpm_send" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcfcd8990, "tpm_is_tpm2" },
	{ 0x275aa733, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0xf3e3a7d8, "tee_client_close_context" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x826663e5, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbfc183e2, "tee_shm_free" },
	{ 0xac60b388, "tpm_put_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x831694de, "tee_client_open_context" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x13ce87e8, "asn1_ber_decoder" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x38768f05, "__static_call_update" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0x2f14a420, "driver_register" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc44f6cfa, "tee_client_close_session" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x28a34c84, "tpm_transmit_cmd" },
	{ 0x95bd02e8, "tee_client_invoke_func" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0x1e3feace, "look_up_OID" },
	{ 0x4d06e7e6, "unregister_key_type" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xca56938d, "tpm2_flush_context" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa5f48415, "tee_client_open_session" },
	{ 0x48d32203, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e86f32c, "tee_bus_type" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "asn1_encoder,tee");

MODULE_ALIAS("tee:f04a0fe7-1f5d-4b9b-abf7-619b85b4ce8c*");

MODULE_INFO(srcversion, "F053D6E5A97C6EC6D93379F");

MODULE_INFO(suserelease, "SLFO-1.0");
