#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_rawmidi_drop_output, 0xe4d2ab17, "");
SYMBOL_CRC(snd_rawmidi_drain_output, 0x1adf97ca, "");
SYMBOL_CRC(snd_rawmidi_drain_input, 0x39f66a46, "");
SYMBOL_CRC(snd_rawmidi_kernel_open, 0x2419c9e7, "");
SYMBOL_CRC(snd_rawmidi_kernel_release, 0xe86e7cdc, "");
SYMBOL_CRC(snd_rawmidi_info_select, 0x92a68280, "");
SYMBOL_CRC(snd_rawmidi_output_params, 0x6210c1c8, "");
SYMBOL_CRC(snd_rawmidi_input_params, 0xce18010b, "");
SYMBOL_CRC(snd_rawmidi_receive, 0x4bdf8cfc, "");
SYMBOL_CRC(snd_rawmidi_kernel_read, 0x1a4a1eda, "");
SYMBOL_CRC(snd_rawmidi_transmit_empty, 0x368aa8c7, "");
SYMBOL_CRC(snd_rawmidi_transmit_peek, 0xa3b90a9a, "");
SYMBOL_CRC(snd_rawmidi_transmit_ack, 0x70096591, "");
SYMBOL_CRC(snd_rawmidi_transmit, 0x5674652d, "");
SYMBOL_CRC(snd_rawmidi_proceed, 0x9c080576, "");
SYMBOL_CRC(snd_rawmidi_kernel_write, 0x11b61513, "");
SYMBOL_CRC(snd_rawmidi_init, 0x6b19f77f, "_gpl");
SYMBOL_CRC(snd_rawmidi_new, 0x20ee26d5, "");
SYMBOL_CRC(snd_rawmidi_free, 0xbd8d2ca8, "_gpl");
SYMBOL_CRC(snd_rawmidi_set_ops, 0x10e2611b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x1edc4863, "snd_ctl_register_ioctl" },
	{ 0xfb870e7, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x948f2719, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f595b11, "snd_major" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0xd98e2be9, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe82b76fb, "snd_device_new" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xf0533a53, "snd_ctl_unregister_ioctl" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x198788b4, "snd_lookup_oss_minor_data" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0xbdc42a83, "snd_ctl_register_ioctl_compat" },
	{ 0xa05d39c3, "snd_info_create_card_entry" },
	{ 0x194d78cc, "snd_device_initialize" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0xbdea0f79, "stream_open" },
	{ 0xdbbdc0f7, "pid_vnr" },
	{ 0x674e76d9, "snd_card_file_remove" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7684a60a, "snd_device_register" },
	{ 0x69f2a69b, "snd_register_device" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x3aba67ec, "put_pid" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2402b276, "snd_info_register" },
	{ 0x565b3253, "snd_ctl_unregister_ioctl_compat" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x294b0452, "snd_seq_device_new" },
	{ 0xdd27bfba, "snd_ctl_get_preferred_subdevice" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0xb74639f5, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x48cb99ff, "snd_unregister_oss_device" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5290e60a, "snd_register_oss_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device");


MODULE_INFO(srcversion, "47B6EE70DF5B44E16D2FE93");

MODULE_INFO(suserelease, "SLFO-1.0");
