#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0x265619a8, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x69f2a69b, "");
SYMBOL_CRC(snd_unregister_device, 0xd98e2be9, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0xeefed063, "");
SYMBOL_CRC(snd_device_initialize, 0x194d78cc, "_gpl");
SYMBOL_CRC(snd_card_new, 0xabf2ec41, "");
SYMBOL_CRC(snd_devm_card_new, 0xa3522565, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x24dfab19, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x6bd2ef94, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x72124349, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0xf720701f, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0xbba14db9, "");
SYMBOL_CRC(snd_card_free, 0x56a770ee, "");
SYMBOL_CRC(snd_card_set_id, 0xb4f2c1ef, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x021345f4, "_gpl");
SYMBOL_CRC(snd_card_register, 0x1fccff8c, "");
SYMBOL_CRC(snd_component_add, 0x91e1017b, "");
SYMBOL_CRC(snd_card_file_add, 0x0fb870e7, "");
SYMBOL_CRC(snd_card_file_remove, 0x674e76d9, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x34467095, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x8ea260f0, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(snd_ctl_notify, 0xe8052ea1, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x74ba1726, "");
SYMBOL_CRC(snd_ctl_new1, 0x9d927c08, "");
SYMBOL_CRC(snd_ctl_free_one, 0x6b431f7c, "");
SYMBOL_CRC(snd_ctl_add, 0x762d46e4, "");
SYMBOL_CRC(snd_ctl_replace, 0x4c25765f, "");
SYMBOL_CRC(snd_ctl_remove, 0x2b639a1e, "");
SYMBOL_CRC(snd_ctl_remove_id, 0xce08dda3, "");
SYMBOL_CRC(snd_ctl_activate_id, 0xcce52ab7, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0xc0c3194d, "");
SYMBOL_CRC(snd_ctl_rename, 0x610e9465, "");
SYMBOL_CRC(snd_ctl_find_numid, 0xe6129c15, "");
SYMBOL_CRC(snd_ctl_find_id, 0x6694d303, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x1edc4863, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0xbdc42a83, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0xf0533a53, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0x565b3253, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0xdd27bfba, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0xfd88c64f, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0x5ca84bda, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x80a3f011, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xba4fc9d7, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(__snd_printk, 0x614c7976, "_gpl");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x39b1faba, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x08bff7aa, "");
SYMBOL_CRC(snd_fasync_helper, 0xbf67e1a3, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0xe82b76fb, "");
SYMBOL_CRC(snd_device_disconnect, 0xce607b0f, "_gpl");
SYMBOL_CRC(snd_device_free, 0x3e8da746, "");
SYMBOL_CRC(snd_device_register, 0x7684a60a, "");
SYMBOL_CRC(snd_device_get_state, 0xf8bbc1e2, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x56e67d26, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x02db5612, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xa05d39c3, "");
SYMBOL_CRC(snd_info_free_entry, 0xb74639f5, "");
SYMBOL_CRC(snd_info_register, 0x2402b276, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x5dcf8dca, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0x18c3942f, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0x5290e60a, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x48cb99ff, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0x571e4391, "");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x89b8fd19, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x0359bcd9, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x7eeabb36, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x88cf2c3d, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0xb46a7d89, "");
SYMBOL_CRC(snd_jack_new, 0x8583b567, "");
SYMBOL_CRC(snd_jack_set_parent, 0x23a8dcd7, "");
SYMBOL_CRC(snd_jack_set_key, 0x385f6ccb, "");
SYMBOL_CRC(snd_jack_report, 0xe663ae71, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f607373, "up_write" },
	{ 0xb3f0248b, "device_add" },
	{ 0x61995fa6, "init_uts_ns" },
	{ 0x14b432d3, "xa_load" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x16ab99a2, "input_set_capability" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x2b9d5afa, "__devres_alloc_node" },
	{ 0x8061016, "dma_spin_lock" },
	{ 0x5de68570, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc6465c4c, "device_del" },
	{ 0xe9eace7d, "proc_mkdir" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf9560e45, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xdf3e6324, "input_event" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x821fbb97, "proc_remove" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x708d46a5, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x28c310f1, "xa_erase" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7054a3e4, "request_dma" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xd4e8167f, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x9b83805a, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x36de56, "__register_chrdev" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xdfa3ef26, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x554bbae0, "downgrade_write" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0xbdea0f79, "stream_open" },
	{ 0x7a8975a1, "single_release" },
	{ 0xdbbdc0f7, "pid_vnr" },
	{ 0xdec788a9, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xd5827161, "__devm_add_action" },
	{ 0x67a5f3a9, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0xb82145d5, "proc_symlink" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x35c14bf, "single_open" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0xbf320c7e, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x3aba67ec, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x7a793704, "input_allocate_device" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x737ba015, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x2903b8f4, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xa554bfc0, "input_unregister_device" },
	{ 0x3c48b64, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0xb7162ce, "proc_create_data" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x30713572, "devm_remove_action" },
	{ 0x81142b3e, "get_device" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xc371dd8f, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5cc8ce4f, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5ba5370e, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x377853d9, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x9e50cd31, "register_sound_special_device" },
	{ 0x9f984513, "strrchr" },
	{ 0x948f2719, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "17A8F58167AB4A41BBDC104");

MODULE_INFO(suserelease, "SLFO-1.0");
