#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_hdac_ext_bus_init, 0xce25a5e8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0xe9e6ccba, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0x49025c19, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x2b2a9351, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x7817475e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x8e949012, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0xe650311c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x115e48b8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xf442568a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x66fa71e8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x23f8ef01, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x8f710b19, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0xaf903b8a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0xf04a1ad3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0xd5197f06, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x4ca4eb08, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x889e957c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x32d8b0b5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x33860221, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0xe6da6cc6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x810aa0f0, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0xb704006a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x192e8178, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0xf44593d1, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0xaf50f4f4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0xb96135fb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0x842090f7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0xce3be225, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0xf0b36979, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xc08f313c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0x999b4511, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24ddd2e2, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf42f81a1, "snd_hdac_bus_exit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xe8b99a64, "snd_hdac_bus_init" },
	{ 0x6ea3f6d0, "snd_hdac_stream_init" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8aff2660, "snd_hdac_device_unregister" },
	{ 0x13f648bd, "snd_hdac_stream_assign" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfee4976c, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9ece042b, "snd_hdac_bus_init_cmd_io" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xe65f5097, "snd_hda_bus_type" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x2f14a420, "driver_register" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x643066ed, "snd_hdac_stream_release" },
	{ 0xcac86212, "snd_hdac_stream_release_locked" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");

MODULE_INFO(suserelease, "SLFO-1.0");
