#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hdac_get_device_id, 0xb6c0f875, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xe65f5097, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xe8b99a64, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xf42f81a1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x232a0982, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x9ab4797d, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x56cf5f5c, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0xf1c3896c, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x1c02db48, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x6a1b4a22, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x8aff2660, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x5dc0a9b0, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x79b92c2a, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x6e1779bc, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x3cba0f41, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x67242773, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x3af33782, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x9242ae20, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x584499ee, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xe80e2794, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xc4e768c5, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xccb05df5, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0xa4d95793, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xd78cb4ea, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xa06117b9, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xa7f3cf92, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x88a1e374, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0xfc299594, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x7ca85154, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xc7b175f4, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0xf8bb75e4, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x87c73ed9, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x0e38ab9c, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x355aad22, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xa253f47d, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0xcb9ba872, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x642a9bd0, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x7ebe0d42, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x9ece042b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xfee4976c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x16c3243d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x6bbf91c2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x6ec96623, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xc9bb5ce7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x62dfcc7e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x96c83da7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x541000ca, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x43676981, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x54c4b93b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x617ca66b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x9b22d3eb, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x0eed5b24, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x24ddd2e2, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xf4ceca68, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x6ea3f6d0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0xacceb72d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xce5ff55c, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xdefdd2cb, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xe08066ca, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xefb34bd6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x2ce8f540, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x536a6c29, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x13f648bd, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0xcac86212, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x643066ed, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0xa8c6b88c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x5fdf2918, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x3884a8d8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x50af96ed, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0xaa99222a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0xb47eeaf9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x6a0f09a9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x148e8476, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xa97f31a8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x8c6df066, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x4010aaa8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x8ae5c141, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x48346f07, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x524a6e5f, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x70a9d49b, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x6dcf98c2, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x16e6305b, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x5d465a07, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0xa7bd1405, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xfd654b63, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0xbb32e3b5, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0xe0a38a6c, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x2eddc958, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0xce2fd338, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0xbc9fb122, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xf8a3e869, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x2fabf76c, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x363e996d, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x9614463d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x5d2f868a, "snd_sgbuf_get_chunk_size" },
	{ 0xc371dd8f, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x7f54c0eb, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x948f2719, "module_put" },
	{ 0xf85d1b5, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x63527824, "bus_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0x76d2f63c, "kobject_add" },
	{ 0xb3f0248b, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x2b9d5afa, "__devres_alloc_node" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbe4f6412, "sysfs_create_group" },
	{ 0xbaa7d469, "__regmap_init" },
	{ 0xc6465c4c, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3dbd2f4c, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd52d6550, "sysfs_remove_group" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0x436b15e8, "component_master_del" },
	{ 0x22bdda39, "regmap_read" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x287db74c, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x33e5087e, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0x552e23d3, "pci_match_id" },
	{ 0xdec788a9, "devres_find" },
	{ 0xd3b617c5, "regmap_update_bits_base" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0x8df018e8, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0xabc43426, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x61fab3ff, "pci_bus_type" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x65c98671, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x28e901b1, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x26991fec, "regcache_sync" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0x1667304, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20e39880, "component_master_add_with_match" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xea656a17, "snd_pcm_add_chmap_ctls" },
	{ 0xbc9e7d03, "pci_dev_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xa7f3743f, "pci_get_device" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xe0e61d10, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x89bdfbda, "pm_runtime_get_if_active" },
	{ 0x796950a1, "kobject_init" },
	{ 0x71a9259d, "device_initialize" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c849b0, "regcache_reg_cached" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xefff1aff, "snd_sgbuf_get_addr" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "C55C99E4C61D3336E964462");

MODULE_INFO(suserelease, "SLFO-1.0");
