#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_emu10k1_memblk_map, 0xd1e80913, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0xd30a6ec1, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x0eaea965, "");
SYMBOL_CRC(snd_emu10k1_synth_bzero, 0x3dad277c, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0xb8d1a179, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x6e6e44af, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x691e6c66, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x5282c4ce, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0xb895ed13, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4bdf8cfc, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1667304, "snd_dma_alloc_dir_pages" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5674652d, "snd_rawmidi_transmit" },
	{ 0x135f892c, "snd_ac97_write_cache" },
	{ 0x762d46e4, "snd_ctl_add" },
	{ 0xcb2b73c2, "snd_ac97_resume" },
	{ 0x3aaaf430, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x294b0452, "snd_seq_device_new" },
	{ 0x1fccff8c, "snd_card_register" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x68a1b019, "snd_devm_alloc_dir_pages" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x14560348, "snd_pcm_hw_constraint_minmax" },
	{ 0x1989a76c, "snd_timer_interrupt" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5dcf8dca, "snd_card_rw_proc_new" },
	{ 0x930a7bc3, "snd_ac97_update_bits" },
	{ 0x299a29b, "snd_ac97_mixer" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xefff1aff, "snd_sgbuf_get_addr" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x2b639a1e, "snd_ctl_remove" },
	{ 0x97094bbb, "snd_ac97_bus" },
	{ 0x6694d303, "snd_ctl_find_id" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x7f54c0eb, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d927c08, "snd_ctl_new1" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xce08dda3, "snd_ctl_remove_id" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcd26a121, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xee28da3e, "snd_ac97_suspend" },
	{ 0x53cca6ae, "snd_pcm_lib_malloc_pages" },
	{ 0x57b67939, "__snd_util_mem_alloc" },
	{ 0x80a3f011, "snd_ctl_boolean_mono_info" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x192be59f, "snd_util_memhdr_new" },
	{ 0x8f607373, "up_write" },
	{ 0x92465f5d, "snd_pcm_lib_free_pages" },
	{ 0x9e464501, "snd_hwdep_new" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0xe8052ea1, "snd_ctl_notify" },
	{ 0x7a7b99d7, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9756a6da, "snd_pcm_set_managed_buffer" },
	{ 0x1548cc0c, "snd_timer_new" },
	{ 0x610e9465, "snd_ctl_rename" },
	{ 0xe5b974a0, "snd_pcm_hw_constraint_list" },
	{ 0x8fabf8d6, "snd_ac97_update" },
	{ 0xe3829cf7, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xf9560e45, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x20ee26d5, "snd_rawmidi_new" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x7973181b, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe52237ed, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdb657f9b, "__snd_util_mem_free" },
	{ 0x10e2611b, "snd_rawmidi_set_ops" },
	{ 0xe1f898b7, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xa3522565, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x7089f50e, "snd_util_memhdr_free" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa05d39c3, "snd_info_create_card_entry" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x3e8da746, "snd_device_free" },
	{ 0x903a2e9f, "snd_pcm_period_elapsed" },
	{ 0x745a8599, "__snd_util_memblk_new" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xbf320c7e, "up_read" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xc12c25ed, "snd_pcm_hw_rule_noresample" },
	{ 0x14a65747, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-rawmidi,snd-ac97-codec,snd,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "62DEFFC51F51A904CF9690C");

MODULE_INFO(suserelease, "SLFO-1.0");
