#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfce203b0, "snd_hda_get_path_from_idx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x10c61dc3, "snd_hda_gen_update_outputs" },
	{ 0x6d695a6f, "snd_hda_codec_set_pincfg" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x368c7d39, "snd_hda_jack_unsol_event" },
	{ 0x6acc9984, "snd_hda_gen_build_pcms" },
	{ 0x9cfe848c, "snd_hda_mixer_amp_tlv" },
	{ 0xe65a7645, "snd_hda_pick_fixup" },
	{ 0x730e370b, "snd_hda_apply_fixup" },
	{ 0xda81887, "snd_hda_gen_parse_auto_config" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x88a1e374, "snd_hdac_codec_read" },
	{ 0xf0a17578, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x5c2d5f7e, "snd_hda_codec_get_pin_target" },
	{ 0x54c3ed43, "snd_hda_gen_free" },
	{ 0xa3516efb, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2cbb0cf9, "snd_hda_add_new_ctls" },
	{ 0x872c225, "snd_hda_gen_build_controls" },
	{ 0xc0a526d3, "snd_hda_gen_mic_autoswitch" },
	{ 0xdd312bdb, "query_amp_caps" },
	{ 0xdc98f352, "snd_hda_mixer_amp_volume_info" },
	{ 0xa253f47d, "snd_hdac_regmap_read_raw" },
	{ 0xdd52e955, "snd_hda_jack_detect_state_mst" },
	{ 0x9e94fb0b, "snd_hda_gen_spec_init" },
	{ 0x2ebc5ae0, "snd_hda_mixer_amp_switch_info" },
	{ 0xcd1d8261, "hda_codec_driver_unregister" },
	{ 0x7afefcba, "snd_hda_add_new_path" },
	{ 0xfc299594, "snd_hdac_codec_write" },
	{ 0x91f520d1, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xb1c34c80, "snd_hda_gen_add_kctl" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe584363, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x3cba0f41, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x80a3f011, "snd_ctl_boolean_mono_info" },
	{ 0xcb1ccb46, "snd_hda_override_amp_caps" },
	{ 0x3013c01f, "__hda_codec_driver_register" },
	{ 0xf1ab29d9, "snd_hda_jack_set_gating_jack" },
	{ 0xd017cd3f, "snd_hda_parse_pin_defcfg" },
	{ 0x41717a8b, "snd_hda_gen_init" },
	{ 0x18bac1a3, "snd_hda_activate_path" },
	{ 0xb057434, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0xe38ab9c, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x70d1aaaa, "snd_hda_codec_set_pin_target" },
	{ 0xc79b70c0, "snd_hda_gen_check_power_status" },
	{ 0x6fd5355e, "_snd_hda_set_pin_ctl" },
	{ 0x355aad22, "snd_hdac_regmap_write_raw" },
	{ 0x2c8a70f8, "snd_hda_mixer_amp_volume_get" },
	{ 0x1b039e3e, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "4BB2B7DD4B9EBB388010D66");

MODULE_INFO(suserelease, "SLFO-1.0");
