#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hdac_hdmi_jack_port_init, 0x21ada85c, "_gpl");
SYMBOL_CRC(hdac_hdmi_jack_init, 0x2e714e79, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67242773, "snd_hdac_read_parm_uncached" },
	{ 0x6684685b, "_dev_err" },
	{ 0xa7bd1405, "snd_hdac_register_chmap_ops" },
	{ 0x32d8b0b5, "snd_hdac_ext_bus_link_get" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x3bd544c2, "snd_hdac_get_active_channels" },
	{ 0x16e6305b, "snd_hdac_setup_channel_mapping" },
	{ 0xe8052ea1, "snd_ctl_notify" },
	{ 0x56cf5f5c, "snd_hdac_codec_link_down" },
	{ 0x920b8cec, "dapm_kcontrol_get_value" },
	{ 0xce2fd338, "snd_hdac_acomp_get_eld" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xe0a38a6c, "snd_hdac_display_power" },
	{ 0x2b2a9351, "snd_hda_ext_driver_register" },
	{ 0x16214fe9, "snd_pcm_hw_constraint_mask64" },
	{ 0xbffb39f3, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d16cb1, "snd_soc_info_enum_double" },
	{ 0x7ca85154, "snd_hdac_check_power_state" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xec438187, "snd_pcm_hw_constraint_eld" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7817475e, "snd_hda_ext_driver_unregister" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x3e6b0c4d, "snd_soc_dapm_new_controls" },
	{ 0x9242ae20, "snd_hdac_get_sub_nodes" },
	{ 0xca8aec7d, "pm_runtime_force_resume" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf529ae69, "snd_soc_dapm_put_pin_switch" },
	{ 0x23f8ef01, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x35bcb60, "snd_soc_dapm_info_pin_switch" },
	{ 0x33860221, "snd_hdac_ext_bus_link_put" },
	{ 0x5559d85e, "snd_soc_add_card_controls" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0xe4be477f, "snd_soc_dapm_get_enum_double" },
	{ 0x88a1e374, "snd_hdac_codec_read" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x96925f31, "device_link_add" },
	{ 0xb6c0f875, "hdac_get_device_id" },
	{ 0xb3d78c21, "pm_runtime_force_suspend" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0x9ab4797d, "snd_hdac_codec_link_up" },
	{ 0xc6c5e7ca, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa89747a3, "snd_soc_dapm_put_enum_double" },
	{ 0xe80e2794, "snd_hdac_get_connections" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xc7b175f4, "snd_hdac_sync_power_state" },
	{ 0x762d46e4, "snd_ctl_add" },
	{ 0xfd654b63, "snd_hdac_add_chmap_ctls" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49fc8743, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5d465a07, "snd_hdac_channel_allocation" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xb14ab1ef, "hdmi_audio_infoframe_init" },
	{ 0xa2de7d8e, "snd_soc_dapm_enable_pin" },
	{ 0xfc299594, "snd_hdac_codec_write" },
	{ 0xce10fc55, "snd_soc_dapm_disable_pin" },
	{ 0xa06117b9, "snd_hdac_query_supported_pcm" },
	{ 0x584499ee, "snd_hdac_refresh_widgets" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x458867e6, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x83a48da0, "devm_snd_soc_register_component" },
	{ 0x9d927c08, "snd_ctl_new1" },
	{ 0x29e1e204, "hdmi_audio_infoframe_pack" },
	{ 0xcd7773f1, "snd_soc_dapm_new_widgets" },
	{ 0xcb98459b, "devm_kstrdup" },
	{ 0x3cba0f41, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0xb5392c48, "snd_soc_dapm_get_pin_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbc9fb122, "snd_hdac_acomp_register_notifier" },
	{ 0x63562880, "devm_kmemdup" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd,snd-soc-core,snd-pcm");

MODULE_ALIAS("hdaudio:v80862809r00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Ar00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Br00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Cr00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Dr00100000a02*");

MODULE_INFO(srcversion, "B972B1B1F3CE977DCF16FA1");

MODULE_INFO(suserelease, "SLFO-1.0");
