#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce10fc55, "snd_soc_dapm_disable_pin" },
	{ 0x2e714e79, "hdac_hdmi_jack_init" },
	{ 0xa70a9f86, "snd_soc_card_jack_new" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xc4ccfba, "max_98357a_dai_link" },
	{ 0x17b3e881, "max_98360a_dai_link" },
	{ 0x2864cc41, "snd_soc_dai_set_sysclk" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xd910273e, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x458867e6, "snd_soc_dapm_sync" },
	{ 0x746854a, "sof_rt1015_codec_conf" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x5a5bd383, "snd_soc_component_set_jack" },
	{ 0xcb98459b, "devm_kstrdup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xce54db0, "rt5645_sel_asrc_clk_src" },
	{ 0xb5392c48, "snd_soc_dapm_get_pin_switch" },
	{ 0xb9eedf56, "max_98373_components" },
	{ 0x6684685b, "_dev_err" },
	{ 0x25adcf4e, "max_98373_spk_codec_init" },
	{ 0x77893e89, "max_98390_dai_link" },
	{ 0xb0f04aef, "asoc_dummy_dlc" },
	{ 0xa1691c38, "max_98373_set_codec_conf" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x21ada85c, "hdac_hdmi_jack_port_init" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xbffb39f3, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x385f6ccb, "snd_jack_set_key" },
	{ 0xea98a5dd, "__platform_driver_register" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0x99193ad5, "snd_soc_card_jack_new_pins" },
	{ 0x6df0c775, "sof_rt1015p_codec_conf" },
	{ 0x4c7bad77, "snd_soc_dai_set_pll" },
	{ 0x3e6b0c4d, "snd_soc_dapm_new_controls" },
	{ 0x322440d6, "rt5682_sel_asrc_clk_src" },
	{ 0xf529ae69, "snd_soc_dapm_put_pin_switch" },
	{ 0xea633d5, "sof_dai_get_mclk" },
	{ 0x24f79bfd, "sof_rt1011_codec_conf" },
	{ 0x35bcb60, "snd_soc_dapm_info_pin_switch" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x54b013ac, "snd_soc_pm_ops" },
	{ 0xef6d3492, "hda_dsp_hdmi_build_controls" },
	{ 0x606b21b3, "max_98390_set_codec_conf" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0xf0ffecd8, "sof_rt1015p_dai_link" },
	{ 0xd3d4160c, "sof_rt1019p_dai_link" },
	{ 0x6178aa43, "sof_rt1011_dai_link" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe3e2486, "devm_snd_soc_register_card" },
	{ 0x3ac25c1e, "max_98373_ops" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x52cbef6c, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x53bcaa9f, "snd_soc_dai_set_tdm_slot" },
	{ 0x30f38cee, "sof_rt1015_dai_link" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc37783a, "rt5682s_sel_asrc_clk_src" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-hdac-hdmi,snd-soc-intel-sof-maxim-common,snd-soc-intel-sof-realtek-common,snd-soc-rt5645,snd,snd-soc-rt5682,snd-sof,snd-soc-intel-hda-dsp-common,snd-pcm,snd-soc-rt5682s");

MODULE_ALIAS("platform:sof_rt5682");
MODULE_ALIAS("platform:cml_rt1015_rt5682");
MODULE_ALIAS("platform:jsl_rt5682_rt1015");
MODULE_ALIAS("platform:jsl_rt5682_mx98360");
MODULE_ALIAS("platform:jsl_rt5682_rt1015p");
MODULE_ALIAS("platform:jsl_rt5682");
MODULE_ALIAS("platform:tgl_mx98357_rt5682");
MODULE_ALIAS("platform:tgl_rt1011_rt5682");
MODULE_ALIAS("platform:tgl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98357_rt5682");
MODULE_ALIAS("platform:adl_max98390_rt5682");
MODULE_ALIAS("platform:adl_mx98360_rt5682");
MODULE_ALIAS("platform:adl_rt5682");
MODULE_ALIAS("platform:adl_rt1019_rt5682");
MODULE_ALIAS("platform:adl_rt5682_c1_h02");
MODULE_ALIAS("platform:rpl_mx98357_rt5682");
MODULE_ALIAS("platform:rpl_mx98360_rt5682");
MODULE_ALIAS("platform:rpl_rt1019_rt5682");
MODULE_ALIAS("platform:mtl_mx98357_rt5682");
MODULE_ALIAS("platform:mtl_mx98360_rt5682");
MODULE_ALIAS("platform:mtl_rt1019_rt5682");
MODULE_ALIAS("platform:jsl_rt5650");

MODULE_INFO(srcversion, "1B08B1866B405F5317A4222");

MODULE_INFO(suserelease, "SLFO-1.0");
