#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(af_alg_register_type, 0x83958bdb, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x55d80df7, "_gpl");
SYMBOL_CRC(af_alg_release, 0x84c19b26, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xf8eeca13, "_gpl");
SYMBOL_CRC(af_alg_accept, 0xddf5342f, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x0b6bb56f, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x9727e0de, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xf8c0c3be, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xfbd03ba2, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x131d11f6, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x22e96cf0, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x81457d15, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x4ec87533, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xe1ae84bd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x191e6698, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x8f607373, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0xaf91c0a2, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6e202290, "extract_iter_to_sg" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0xe81120ee, "sock_register" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0xc88f6934, "down_read" },
	{ 0xbf320c7e, "up_read" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x948f2719, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xcdc2e027, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf7c9f396, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x97ce3ad2, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3e5105e8, "sock_wake_async" },
	{ 0x65b2d599, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xebf85b6, "__folio_put" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0x7d885542, "alloc_pages" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x49420857, "__free_pages" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x221059a6, "key_put" },
	{ 0xecca4a66, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfda68e77, "sock_no_connect" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0x89dd69ce, "sock_no_getname" },
	{ 0xf65fd9e, "sock_no_ioctl" },
	{ 0x14de3ce3, "sock_no_listen" },
	{ 0xc8fe1058, "sock_no_shutdown" },
	{ 0x397683ce, "sock_no_sendmsg" },
	{ 0x3a8b6f5f, "sock_no_recvmsg" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F8A928225DC9354E89634B");

MODULE_INFO(suserelease, "SLFO-1.0");
