#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cryptd_alloc_skcipher, 0xd0fcfc36, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x2c8549c1, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x61e1a0f1, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0xf2f8784a, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x639fcf6b, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0xa0ddefff, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x49399d63, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xb5f143f1, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xdcadd122, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x46492590, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x4680b41e, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0xfbb27741, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0xaa57b93c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2f2693d, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xd1724283, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xb004320e, "crypto_grab_aead" },
	{ 0x30868d00, "crypto_grab_shash" },
	{ 0x9ead81, "shash_no_setkey" },
	{ 0xbf1ee1b1, "ahash_register_instance" },
	{ 0xaa5845df, "crypto_grab_skcipher" },
	{ 0xa0a654e6, "skcipher_register_instance" },
	{ 0xb4752909, "aead_register_instance" },
	{ 0x9283cb45, "crypto_skcipher_decrypt" },
	{ 0x77afe76, "crypto_skcipher_encrypt" },
	{ 0xa9822182, "shash_ahash_digest" },
	{ 0x2cac6179, "shash_ahash_finup" },
	{ 0x275aa733, "crypto_shash_final" },
	{ 0xba1b4e6, "shash_ahash_update" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xca3f18cf, "crypto_alloc_skcipher" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9fae76b5, "crypto_alloc_ahash" },
	{ 0xbbf11f6d, "crypto_alloc_aead" },
	{ 0xb967504f, "crypto_skcipher_setkey" },
	{ 0x7b346665, "crypto_spawn_tfm2" },
	{ 0xd6655de1, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x5005a0c3, "crypto_shash_setkey" },
	{ 0x382bc775, "crypto_clone_shash" },
	{ 0xc83edfe6, "crypto_aead_setauthsize" },
	{ 0x4ad42a08, "crypto_aead_setkey" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe2cd872e, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb55d36b8, "crypto_enqueue_request" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AFA5D8720A30656DD436895");

MODULE_INFO(suserelease, "SLFO-1.0");
