#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x27d7cfb7, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x2ed8b344, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x9cd18bb3, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x22ba9d9e, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x869b64a2, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x58ac5261, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x8a5dd404, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xa0e18547, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x2407e9be, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x0f1fcfee, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x77d04291, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x908186f3, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x7afbf718, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x11b0ea51, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x138fa9a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x5c99a01a, "kthread_queue_work" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6684685b, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x6d3bef1d, "kthread_create_worker" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x70e38129, "sched_set_fifo" },
	{ 0xf910a633, "kthread_destroy_worker" },
	{ 0xe2cd872e, "crypto_dequeue_request" },
	{ 0xf2190413, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb55d36b8, "crypto_enqueue_request" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B26E4A6A17DA4EF3D4A6E1");

MODULE_INFO(suserelease, "SLFO-1.0");
