#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_platform_ops, 0x0e1f0145, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0xf3843206, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x62790697, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xaf3874fd, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0xd5a3f0b9, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x445ec428, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x3f98d549, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xdd5e3408, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x1a66c597, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x1020028a, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x95e20cae, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0xd38b3620, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x5812f70a, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x56272662, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x59303b58, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x7fb5b300, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x70f40a5d, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x94463681, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x94138679, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba68b64, "phy_set_mode_ext" },
	{ 0xe1ebe2fb, "phy_power_on" },
	{ 0x810fef6d, "phy_init" },
	{ 0x55ac3b9d, "phy_power_off" },
	{ 0x7d263c13, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3be311cd, "regulator_disable" },
	{ 0xb3dde4c0, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0xa71b588, "ata_host_resume" },
	{ 0xc1232c09, "ahci_reset_controller" },
	{ 0x633b617d, "ahci_init_controller" },
	{ 0x7233ada2, "regulator_enable" },
	{ 0x3d054e93, "platform_get_irq" },
	{ 0xdf950cf2, "ahci_save_initial_config" },
	{ 0x14849124, "ahci_set_em_messages" },
	{ 0xd0e2093b, "ata_host_alloc_pinfo" },
	{ 0x18ca01a9, "platform_get_resource" },
	{ 0x6b10d243, "ata_port_desc" },
	{ 0xf6828561, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x91ba6f49, "ahci_print_info" },
	{ 0xcdb64a79, "ahci_host_activate" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x17a69aad, "ahci_reset_em" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6684685b, "_dev_err" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xf5c718c8, "devres_open_group" },
	{ 0x2b9d5afa, "__devres_alloc_node" },
	{ 0xc371dd8f, "devres_add" },
	{ 0x92828f37, "platform_get_resource_byname" },
	{ 0x99add767, "devm_platform_ioremap_resource_byname" },
	{ 0x2a3c9c33, "devm_clk_bulk_get_all" },
	{ 0x59999dd3, "devm_regulator_get" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbde95ed9, "devm_of_phy_get" },
	{ 0xc76212e4, "regulator_get" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0x4a609483, "devres_remove_group" },
	{ 0x4af4d38e, "devm_platform_ioremap_resource" },
	{ 0x4130bf38, "devres_release_group" },
	{ 0xb89621a7, "devm_reset_control_array_get" },
	{ 0x5932fdc6, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x51c6c076, "ata_host_suspend" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x221bdb72, "ahci_ops" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "5BF15F90DA51A7755BC60C0");

MODULE_INFO(suserelease, "SLFO-1.0");
