#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bcma_find_core_unit, 0xc29fc0e7, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x437da6ea, "");
SYMBOL_CRC(__bcma_driver_register, 0xa925af7e, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x1abbc2d0, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x3d621450, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x172cfb1f, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x6d44fb92, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xe024865a, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0xf84bbc90, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x46bf924f, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x86ba2006, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xc56f14af, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xec9f9792, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xe0b04d40, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x3130e4ec, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x0b443546, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x6a69130a, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x45501799, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x45fbfed9, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x4630f5fc, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x2e43dfb4, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x152ac6a9, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x528267ed, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x54dea8d8, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xb94172e9, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xa6c00ebd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xa84b8bd6, "gpiochip_get_data" },
	{ 0x63527824, "bus_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0xb3f0248b, "device_add" },
	{ 0x3f74f6e8, "platform_device_unregister" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x302bed4d, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x6d33833a, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfe3567b0, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x75703dd3, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0x2fe0cef7, "pcie_set_readrq" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc1c0b900, "__dev_fwnode" },
	{ 0xcf465811, "pci_write_config_dword" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x65c98671, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x521b6557, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x81142b3e, "get_device" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "09D4811241F40B0A5B45025");

MODULE_INFO(suserelease, "SLFO-1.0");
