#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mhi_register_controller, 0x526890fe, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xbef11b00, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x052f0896, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x59e5e358, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x7f256837, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xa071f04c, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x22235d3b, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x155a5d45, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x43a7c27b, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xcc558e1f, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x5ead7ebb, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xa4bcdffc, "_gpl");
SYMBOL_CRC(mhi_notify, 0xa49b4cf3, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x49a61b4a, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x1eeac498, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xad651978, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xf97acc12, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xdeaf3584, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xafc7c6ea, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x771bd02f, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x18e6159a, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x85756f61, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x13b5bf87, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xfd8cf897, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x5e3e92c3, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x06db3116, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x4bda26a1, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x01015e53, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x0a23138f, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x3f8abbd2, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x3f618ba4, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xeec41653, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa0b6d0ae, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x81142b3e, "get_device" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x4592b914, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x63527824, "bus_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0x3efcc12f, "device_wakeup_enable" },
	{ 0xb3f0248b, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x121eca77, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc6465c4c, "device_del" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x35c14bf, "single_open" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1a318d01, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "14BA9510B06D1B3163F9710");

MODULE_INFO(suserelease, "SLFO-1.0");
