#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(adf_cfg_dev_add, 0x57a6513b, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xe8b0a0f2, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x2c388f14, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0xa9d5a519, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x48b3dc10, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0xcb85aaa4, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0xb45488cd, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0x2ad920cb, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0xe5ce2a14, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x7d97483a, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0x17e386ba, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x605fd3cd, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0xebcc4550, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xf9f4abed, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x8a24e1ee, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x6b5df9a8, "_gpl");
SYMBOL_CRC(adf_dev_started, 0x8ebc41e4, "_gpl");
SYMBOL_CRC(adf_dev_down, 0x64b47505, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x0dd08fc7, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x265f0d03, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x00a8c6e7, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0xbea6d060, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x5445a26f, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0xbd094b9e, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x9d90fdc2, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x58e71949, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0xbe05a022, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x81561118, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x7267897f, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0x0964e710, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0x0fbab78c, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0xdb170702, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x8692ad30, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x517b23e0, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0xd1534047, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x7fb803d0, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0xac5b69c4, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x3a40647c, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0xe2c7e474, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x01f3cba2, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0x861833d3, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0xc2e55a49, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x4278be1c, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0x173a5b32, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0xfa14cb70, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0xdc166005, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0x8d5d79d9, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0x3032bb7c, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0xfed524d9, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0x89ec7d8a, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0x12c3e2d9, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0x7562c022, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x10a02cb9, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0xb3a8ec70, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x345bbd55, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x5ac9538c, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0xef78ccc7, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0x8537e93c, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0xace41f61, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0xa728ac12, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0xa6c7a3e1, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x25507e04, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x2306bb82, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0xa61c70a1, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x5dc89acc, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x3ebbe8fc, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x2ae1db49, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0x31d2abcf, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x8c73a264, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0xf64d6fa1, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0xacc6f7c4, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xe72e2021, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0x11e60466, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0x9e770f07, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0xb9989e5f, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x498dae11, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x017af04e, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0xa5b6074e, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x20ec0af2, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0xc52f301e, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0xf768cf85, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0xab694162, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x6b0c1a40, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_restart_complete, 0x868cf79d, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x7ca45525, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x3b615fca, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0xe8c7f3bc, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x1181170f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x209eda71, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x54e6c3da, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfd00a5d4, "mutex_trylock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe52237ed, "_dev_notice" },
	{ 0xa274a66e, "crypto_cipher_encrypt_one" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xccfa455d, "crypto_register_kpp" },
	{ 0xab2ebcf, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe1c4b972, "pci_disable_sriov" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xeec3a684, "device_add_groups" },
	{ 0x1bdf8e61, "seq_open" },
	{ 0x3afbee2e, "crypto_unregister_skciphers" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x3a158821, "crypto_register_akcipher" },
	{ 0x35c14bf, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x51ab38ac, "pci_write_config_word" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x179d693c, "pci_enable_sriov" },
	{ 0xbf320c7e, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x1aef77de, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xf8acf863, "cdev_del" },
	{ 0xca3f18cf, "crypto_alloc_skcipher" },
	{ 0x77afe76, "crypto_skcipher_encrypt" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc40bfc2, "crypto_alloc_base" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x2514ac6c, "crypto_unregister_kpp" },
	{ 0xa124dbdb, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x96a93dda, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbc2f7d6, "crypto_register_aeads" },
	{ 0x1e4ceac9, "pci_sriov_get_totalvfs" },
	{ 0x3decaf1d, "seq_hex_dump" },
	{ 0x34d53d2e, "device_remove_groups" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xae0868a, "devm_device_add_group" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0xb967504f, "crypto_skcipher_setkey" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7466642b, "crypto_cipher_setkey" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xf76d14ce, "crypto_unregister_aeads" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x59598ee0, "crypto_alloc_kpp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9283cb45, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x8a7242a5, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x948f2719, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0x6f7c400c, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3ec16dee, "pci_clear_master" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa0f76440, "crypto_unregister_acomps" },
	{ 0x191e6698, "down_write" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f607373, "up_write" },
	{ 0xc71d6128, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbc37584d, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x288b3b05, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x49f361bf, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x31c4249c, "pcie_flr" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0xb05c77fc, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x80dfbc25, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0x43af56b1, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "F2B51A56C1ACA23E5CFEAF0");

MODULE_INFO(suserelease, "SLFO-1.0");
