#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fw_core_add_descriptor, 0x3a771e39, "");
SYMBOL_CRC(fw_core_remove_descriptor, 0x0bc6094c, "");
SYMBOL_CRC(fw_schedule_bus_reset, 0x979c000a, "");
SYMBOL_CRC(fw_card_initialize, 0x7af2edf6, "");
SYMBOL_CRC(fw_card_add, 0x92921034, "");
SYMBOL_CRC(fw_card_release, 0xe86fb5c7, "_gpl");
SYMBOL_CRC(fw_core_remove_card, 0xe964012e, "");
SYMBOL_CRC(fw_card_read_cycle_time, 0xe8a52cef, "_gpl");
SYMBOL_CRC(fw_csr_iterator_init, 0xe80e5087, "");
SYMBOL_CRC(fw_csr_iterator_next, 0xe3fde125, "");
SYMBOL_CRC(fw_csr_string, 0x6dc50487, "");
SYMBOL_CRC(fw_bus_type, 0x4f2e98cc, "");
SYMBOL_CRC(fw_device_enable_phys_dma, 0x5b508ee4, "");
SYMBOL_CRC(fw_workqueue, 0x3c56ef91, "");
SYMBOL_CRC(fw_iso_buffer_init, 0x567a0d88, "");
SYMBOL_CRC(fw_iso_buffer_destroy, 0x452e4db3, "");
SYMBOL_CRC(fw_iso_context_create, 0xe6b49763, "");
SYMBOL_CRC(fw_iso_context_destroy, 0x47f07806, "");
SYMBOL_CRC(fw_iso_context_start, 0x522f299b, "");
SYMBOL_CRC(fw_iso_context_queue, 0xa8401055, "");
SYMBOL_CRC(fw_iso_context_queue_flush, 0xa637a220, "");
SYMBOL_CRC(fw_iso_context_flush_completions, 0xdbc97e37, "");
SYMBOL_CRC(fw_iso_context_stop, 0x3b289e3c, "");
SYMBOL_CRC(fw_iso_resource_manage, 0xd2b2b3ab, "");
SYMBOL_CRC(fw_core_handle_bus_reset, 0x978500d5, "");
SYMBOL_CRC(fw_cancel_transaction, 0xcf4a8db1, "");
SYMBOL_CRC(fw_send_request, 0x58067029, "");
SYMBOL_CRC(fw_run_transaction, 0xf83512ea, "");
SYMBOL_CRC(fw_high_memory_region, 0xaedf84ce, "");
SYMBOL_CRC(fw_core_add_address_handler, 0x27dc4abf, "");
SYMBOL_CRC(fw_core_remove_address_handler, 0x87f919d8, "");
SYMBOL_CRC(fw_fill_response, 0x5f00cf80, "");
SYMBOL_CRC(fw_send_response, 0x72c129c6, "");
SYMBOL_CRC(fw_get_request_speed, 0x2885fec5, "");
SYMBOL_CRC(fw_request_get_timestamp, 0xabb5547d, "_gpl");
SYMBOL_CRC(fw_core_handle_request, 0x5fbd8175, "");
SYMBOL_CRC(fw_core_handle_response, 0x0b06c255, "");
SYMBOL_CRC(fw_rcode_string, 0x86468d44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc9191f28, "nonseekable_open" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8b6a64c2, "idr_for_each" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d885542, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x36de56, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x33e5087e, "kobject_uevent" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x4373df74, "vm_map_pages_zero" },
	{ 0xbf320c7e, "up_read" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb89613fd, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xa0b6d0ae, "device_for_each_child" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x81142b3e, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x49420857, "__free_pages" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x63527824, "bus_unregister" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb3f0248b, "device_add" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0xd78142a1, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x948adaee, "device_find_child" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6ea15b35, "device_register" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "6E8B53A1CE6E5F3833E599B");

MODULE_INFO(suserelease, "SLFO-1.0");
