#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_dp_dual_mode_read, 0xc8da2d1c, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x5b489964, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xffabbd8a, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0xb29dd49e, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xe7a5f4eb, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0xc0988f26, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xfa7de525, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xfa85bf3d, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x6933a971, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x5cd06143, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x805feb23, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x3e33461a, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x01899155, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xef8a5849, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x9b21e457, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x38760119, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x27ca60e2, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x10720446, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xe81a6759, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xbc2623b8, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0xb14ee996, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xdcd28237, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xc5d4256c, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x281e7954, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x9ef990c4, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x0ca16ba5, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x9d0dc1c4, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xec08a704, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x947c34bd, "");
SYMBOL_CRC(drm_dp_aux_init, 0x09969e1f, "");
SYMBOL_CRC(drm_dp_aux_register, 0x965db8fb, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xd9e584f6, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xcbc7bc6d, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xe21c8cce, "");
SYMBOL_CRC(drm_dp_read_desc, 0xe08e750c, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xfb76afde, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xb75666f1, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xe21f2f5a, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x37d195bc, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x5ac09935, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x386505af, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x3702d2dc, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x97660c0c, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x4f017aee, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x4325a4da, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x875793c7, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xebc85f01, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xd13a1ec3, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x7f77dece, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x798ae393, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x69a37c49, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xd6e14c77, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xb1f9dcde, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x425e484f, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x546ec846, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x2dab5f17, "");
SYMBOL_CRC(drm_edp_backlight_init, 0xcfe4cf57, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xff2ada9c, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x9e7790ee, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x08b4bd81, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0xffa209cb, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x43d5b046, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x16bbf3b3, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0xbc14a183, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0xf4dbbf3a, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x738ba64e, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0xa569edb2, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x0f0a24c1, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x00e080e4, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x5276fca6, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x485b17db, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xd473b18c, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0x3102f1bc, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xf0db93df, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xbb759aa5, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xaf1f8483, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xaf14a347, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x941617dc, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xdf3007de, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x4c8a73ef, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xb9d95e54, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x0b3dbac0, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x26bf9202, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x0051739e, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x4bc1db09, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x4f3b6f48, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xe109b71d, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xd765cd60, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x252364d7, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xf3592f9b, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x4ab21a41, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xd4aa6c2e, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xaf1f1b38, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x01841841, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xfda0c118, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x5942ca1c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x45cb4042, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x3e57c6df, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0xff038e44, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x2c4ae8ac, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0xd39d0a68, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x9578bd64, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x1946d768, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xe1f6fff9, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x026b57c9, "");
SYMBOL_CRC(drm_scdc_read, 0x539a975d, "");
SYMBOL_CRC(drm_scdc_write, 0x0c2c10be, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0xc7db1f08, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xf624546b, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xc877c4b2, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xf2b0399f, "");
SYMBOL_CRC(drm_dp_cec_attach, 0xf3638485, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x49bbf8c9, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x8c9ecc72, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xa14f7ea1, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xf709d68f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa0b05405, "drm_mode_object_put" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xc50163f4, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x7ba5dc90, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x657225ff, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x7108d077, "idr_get_next" },
	{ 0x57ec1a5d, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xa848363e, "drm_dev_printk" },
	{ 0x1fece605, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x703d0abb, "__var_waitqueue" },
	{ 0x2070f832, "drm_atomic_get_crtc_state" },
	{ 0xdfbd44c5, "drm_crtc_wait_one_vblank" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xdc1014d5, "drm_modeset_lock" },
	{ 0x3033a470, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x288b3b05, "device_create" },
	{ 0x61d6bedf, "class_create" },
	{ 0x4297c6c3, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf189c2f8, "fixed_size_llseek" },
	{ 0x8aa75847, "drm_crtc_commit_wait" },
	{ 0x23575d4d, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x45847953, "cec_unregister_adapter" },
	{ 0xd8d66a94, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xa2261f5a, "drm_atomic_get_old_private_obj_state" },
	{ 0xe608e342, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xfd00a5d4, "mutex_trylock" },
	{ 0xaef2e214, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x81b89a49, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x8afdc9fb, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc30acd53, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x36de56, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xab2ebcf, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0xbfdde83d, "i2c_transfer" },
	{ 0x7e492303, "drm_display_mode_from_cea_vic" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1008a284, "cec_fill_conn_info_from_drm" },
	{ 0x78fcbeb5, "drm_sysfs_connector_property_event" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa78befc9, "cec_received_msg_ts" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xe8811fe4, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xac0aed82, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0x849f5ad5, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a4fb19d, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xff0f1e1a, "drm_crtc_add_crc_entry" },
	{ 0xdaa9875e, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe812b8f4, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb89613fd, "idr_find" },
	{ 0x29db0f12, "drm_connector_register" },
	{ 0xa901fd9, "cec_transmit_attempt_done_ts" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0x467a55ae, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xbe982f0d, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x243c374f, "class_destroy" },
	{ 0xb752ac5a, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x92e00768, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x2aee744f, "drm_connector_unregister" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "255E87A81FE82D85E87B107");

MODULE_INFO(suserelease, "SLFO-1.0");
