#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x20b31d4e, "hid_open_report" },
	{ 0x9cb6f5c4, "hid_hw_start" },
	{ 0x3ac6b66a, "hid_is_usb" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0xa35d3593, "hid_hw_stop" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4d92689e, "hid_unregister_driver" },
	{ 0xbf048203, "ida_destroy" },
	{ 0xdf3e6324, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x364bbe36, "input_mt_report_slot_state" },
	{ 0xa2493e50, "input_mt_sync_frame" },
	{ 0x699b7695, "hid_hw_close" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x13fca49e, "hid_hw_request" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0xd10a14f9, "devm_led_classdev_register_ext" },
	{ 0x16ab99a2, "input_set_capability" },
	{ 0x4859d8aa, "input_ff_create_memless" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0xed6ccbf9, "devm_power_supply_register" },
	{ 0x50fc24ae, "power_supply_powers" },
	{ 0x3329edea, "hid_hw_open" },
	{ 0x7e52429a, "hid_validate_values" },
	{ 0x1b67faa5, "input_mt_init_slots" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xab019c4b, "__hid_register_driver" },
	{ 0x6684685b, "_dev_err" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xd6398561, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e5aab2f, "hid_hw_output_report" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf47a7733, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x377853d9, "input_register_device" },
	{ 0x12a5989d, "input_set_abs_params" },
	{ 0xbaca5dd8, "input_alloc_absinfo" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2f76c797, "power_supply_get_drvdata" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "839116BD14902AE2900DADE");

MODULE_INFO(suserelease, "SLFO-1.0");
