#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x5ca38ba6, "ishtp_send_resume" },
	{ 0xac429006, "ishtp_send_suspend" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1314bdf4, "ishtp_bus_remove_all_clients" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x60c0e2fe, "pcim_iomap_regions" },
	{ 0x9f1c6d65, "pci_pme_active" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x6684685b, "_dev_err" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x15fcf769, "ishtp_recv" },
	{ 0xa46c6c86, "ishtp_reset_compl_handler" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0x71079a7b, "ishtp_start" },
	{ 0xcdf3a5a7, "ishtp_reset_handler" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x18e8ca8a, "pci_reset_function" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x7120c5e8, "pci_pme_capable" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x910576aa, "pcim_iomap_table" },
	{ 0xd5827161, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0x51ab38ac, "pci_write_config_word" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xa4faf62a, "acpi_disable_gpe" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x1344d7e6, "acpi_enable_gpe" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe38de684, "ishtp_device_init" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x695f199f, "pci_set_power_state" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "intel-ishtp");

MODULE_ALIAS("pci:v00008086d000022D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D35sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DFCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A37Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A135sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BB3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A0FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000043FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007AF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A78sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007E45sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007745sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "26A4BF65C27512A8B444381");

MODULE_INFO(suserelease, "SLFO-1.0");
