#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x723937f5, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0x0285319e, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0xb1914910, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x5a5eed17, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x57e4f674, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x4cdf8743, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xd51b5a35, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x24dfbf4a, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x45a2edfc, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x1fe24f7f, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x72dc25cf, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0xdb7b3a5b, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x5d3130b4, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x42a2595e, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x4b602a7d, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0xc38157e4, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x172ee647, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x4d29a1ce, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x01b0e95e, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x1d7d577a, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0xf751939d, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0xa6975403, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x4f8d0511, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x5317fdb5, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x92cf00b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fece605, "i2c_del_adapter" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x63527824, "bus_unregister" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f607373, "up_write" },
	{ 0xb3f0248b, "device_add" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xaeecfb20, "i2c_new_client_device" },
	{ 0xa28fe269, "i2c_bus_type" },
	{ 0x6ea15b35, "device_register" },
	{ 0xc6465c4c, "device_del" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xaef2e214, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xbf320c7e, "up_read" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x30d0890e, "bus_unregister_notifier" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6038fc47, "i2c_client_type" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xf516ec3f, "bus_register_notifier" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EAFB0ECDEDD2BE800DD39DC");

MODULE_INFO(suserelease, "SLFO-1.0");
