#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xd893a55a, "");
SYMBOL_CRC(flow_resources_alloc, 0x0c7afd09, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x86182a6b, "");
SYMBOL_CRC(flow_resources_add, 0xdbcf18df, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xecbd43fc, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x8ab24681, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xd5d05575, "");
SYMBOL_CRC(uverbs_idr_class, 0xf3fd4646, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x98a2db77, "");
SYMBOL_CRC(uverbs_fd_class, 0xd4cc1613, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x1f5d5e6b, "");
SYMBOL_CRC(_uverbs_alloc, 0xf3a9fe82, "");
SYMBOL_CRC(uverbs_get_flags64, 0xaa388830, "");
SYMBOL_CRC(uverbs_get_flags32, 0x4d0031d7, "");
SYMBOL_CRC(uverbs_copy_to, 0xdbe60303, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0xff857df1, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x8d3418f5, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x3e5e212d, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xbb18966b, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x19badf5a, "");
SYMBOL_CRC(ib_umem_get, 0xc95c2b58, "");
SYMBOL_CRC(ib_umem_release, 0x95911e78, "");
SYMBOL_CRC(ib_umem_copy_from, 0xaf27ba3f, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xb0a5fbb6, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x27abcc1d, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xde18ede2, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x1d35b5e6, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xcc895eb3, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0xeeab9d23, "");
SYMBOL_CRC(ib_umem_odp_get, 0xce578138, "");
SYMBOL_CRC(ib_umem_odp_release, 0x1084f8e1, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x06141dab, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x55305fdc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9e014f6, "ib_query_port" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xf151bbae, "ww_mutex_lock" },
	{ 0x5de68570, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa4336379, "ib_qp_usecnt_inc" },
	{ 0xf7ebecfb, "dma_buf_put" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1f7e509, "cleanup_srcu_struct" },
	{ 0x81876072, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba3f78a2, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x36684c6, "rdma_create_user_ah" },
	{ 0xf0f31bdd, "rdma_destroy_ah_user" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xd963c4d0, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xed7ff7e6, "ib_destroy_cq_user" },
	{ 0xc88f6934, "down_read" },
	{ 0x53001414, "__mmdrop" },
	{ 0x9ced614a, "rdma_restrack_del" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xf2d1ec63, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb68b064b, "set_page_dirty" },
	{ 0x28c310f1, "xa_erase" },
	{ 0x86f30e07, "pv_ops" },
	{ 0x54e91ebe, "__mmap_lock_do_trace_start_locking" },
	{ 0xf9b7f123, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf86be9ba, "igrab" },
	{ 0x9257f246, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6f26aef, "mmput" },
	{ 0x5dd76962, "dma_map_sgtable" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd4e8167f, "xa_destroy" },
	{ 0x27e72633, "xa_find" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd6b44676, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0x34ce1be4, "__mmap_lock_do_trace_released" },
	{ 0xd80b2dab, "ib_alloc_xrcd_user" },
	{ 0xaa3b5a6e, "xa_store" },
	{ 0x59db8c53, "__srcu_read_unlock" },
	{ 0x2dfb6055, "rdma_set_cq_moderation" },
	{ 0x587e2f80, "ib_dealloc_xrcd_user" },
	{ 0xd39ae83e, "dma_buf_detach" },
	{ 0xbdea0f79, "stream_open" },
	{ 0x233228bf, "mmu_interval_notifier_insert" },
	{ 0x499f4885, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x21f2b94b, "ib_open_qp" },
	{ 0xc1378cca, "ib_dealloc_pd_user" },
	{ 0xc472d15c, "rdma_get_gid_attr" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0xc573799d, "rdma_port_get_link_layer" },
	{ 0x58c250b9, "xa_find_after" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xaf1ce3c4, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x78ef1509, "rdma_query_gid_table" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x32176a64, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x32663b6f, "rdma_restrack_put" },
	{ 0x77450162, "ib_attach_mcast" },
	{ 0x986a21c8, "rdma_umap_priv_init" },
	{ 0xbf320c7e, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xfc2422e6, "ib_destroy_wq_user" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x3aba67ec, "put_pid" },
	{ 0x1aef77de, "class_register" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xa09fa3c0, "rdma_user_mmap_entry_put" },
	{ 0x2fa45f93, "pin_user_pages_fast" },
	{ 0xa781efe4, "mmu_interval_notifier_remove" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x53549b32, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x80150da8, "ib_unregister_client" },
	{ 0xd63d3b4b, "show_class_attr_string" },
	{ 0xa1d2f8c, "unpin_user_pages_dirty_lock" },
	{ 0xf0d7256f, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x903739c4, "ibdev_warn" },
	{ 0x65b45cb, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x6575b38, "mmu_interval_read_begin" },
	{ 0xe3a864f1, "ib_create_qp_user" },
	{ 0xc4f4ffed, "dma_resv_wait_timeout" },
	{ 0x4d01e2ac, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x1ff660e3, "radix_tree_lookup" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x4531fe06, "get_pid_task" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x737ba015, "kill_fasync" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x29e7d393, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x85acc59c, "fget" },
	{ 0xe0ee5b67, "__put_task_struct" },
	{ 0xcefc794f, "ib_query_srq" },
	{ 0xdd3d3f4a, "ww_mutex_unlock" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x61cd13cd, "__dynamic_ibdev_dbg" },
	{ 0xbac1d409, "ib_rdmacg_try_charge" },
	{ 0x3e26d3b7, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa8421983, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x77e2bee5, "unpin_user_page_range_dirty_lock" },
	{ 0x7dff1a62, "iput" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xa8cc2de9, "dma_buf_unpin" },
	{ 0xab36f86d, "zap_vma_ptes" },
	{ 0xb0b5bbe6, "ib_dereg_mr_user" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x3c04f3eb, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xe2a9c685, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6c556445, "rdma_dev_access_netns" },
	{ 0x81142b3e, "get_device" },
	{ 0x32013ad8, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xaac6363f, "__tracepoint_mmap_lock_released" },
	{ 0x715a6a57, "down_read_trylock" },
	{ 0x9bf5cd16, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd42afdc5, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xe1eb7136, "radix_tree_iter_delete" },
	{ 0x7eec9047, "ib_destroy_srq_user" },
	{ 0x35baf1d9, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x76ce4c04, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8799d18a, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x398db7a1, "rdma_restrack_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xb1b029ce, "radix_tree_lookup_slot" },
	{ 0x5aea554e, "ib_modify_qp_with_udata" },
	{ 0xdf5bf4ec, "ib_register_event_handler" },
	{ 0x493b7d0c, "ib_detach_mcast" },
	{ 0xfe972b01, "dma_buf_map_attachment" },
	{ 0x49420857, "__free_pages" },
	{ 0xc9438b42, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x948f2719, "module_put" },
	{ 0xb9394978, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0xc20b0f5d, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x6f1bfb, "__task_pid_nr_ns" },
	{ 0x4ff5f8d7, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x96c11032, "init_srcu_struct" },
	{ 0x7c73b41e, "fput" },
	{ 0xb8d2e8a0, "ib_set_client_data" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f607373, "up_write" },
	{ 0x4fabda23, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xab425fb5, "radix_tree_next_chunk" },
	{ 0x664f0ebe, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x14b432d3, "xa_load" },
	{ 0x938f56b9, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x6e7f1e25, "dma_buf_get" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "EAEC489272F49FE45BE3485");

MODULE_INFO(suserelease, "SLFO-1.0");
