#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_snap_origin, 0xde9ebefd, "");
SYMBOL_CRC(dm_snap_cow, 0x3ee75d89, "");
SYMBOL_CRC(dm_exception_store_type_register, 0xe52efa59, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0xdd7b0df9, "");
SYMBOL_CRC(dm_exception_store_create, 0x703eba81, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x66c9de21, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xfc139ecc, "dm_unregister_target" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x65fbbefa, "dm_set_target_max_io_len" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x2738c7e4, "dm_kcopyd_zero" },
	{ 0xfb578fc5, "memset" },
	{ 0x11af64a3, "dm_table_event" },
	{ 0x42cfb365, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x5e70519, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa48c117, "dm_kcopyd_copy" },
	{ 0x871668fd, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x16ca7629, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0xe2e3992, "blkdev_issue_flush" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0xef17fe49, "dm_table_get_md" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xb08dcd70, "dm_io" },
	{ 0x36ea647b, "dm_get_device" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xbf320c7e, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0x897fd8f, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x1412f5b2, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x7d2f252f, "bio_associate_blkg" },
	{ 0xc9e71771, "dm_internal_resume_fast" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x91b10a0f, "dm_per_bio_data" },
	{ 0xee1b474c, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0x6b3adb6f, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x2a635652, "mempool_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x8b2b3d7, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9336cc0, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0x4c99604e, "dm_accept_partial_bio" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x480caa12, "mempool_alloc" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x948f2719, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7273a59e, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xbacd1308, "__wake_up_locked" },
	{ 0xf22fe3e5, "dm_suspended" },
	{ 0x1acb8ff, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x3c3c650f, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "dm-bufio,dm-mod");


MODULE_INFO(srcversion, "2FFB68F0156BAEDB229A76F");

MODULE_INFO(suserelease, "SLFO-1.0");
