#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(raid5_set_cache_size, 0x6509a181, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xbaeb00c6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2b66cb2, "blkdev_issue_zeroout" },
	{ 0x614191da, "disk_stack_limits" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x82923b3, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xcb788def, "async_raid6_2data_recov" },
	{ 0x12c3e03, "bio_add_page" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x932f51b5, "__SCK__tp_func_block_unplug" },
	{ 0x7aa9d4d6, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8e451f65, "md_update_sb" },
	{ 0x5346bb72, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbe4f6412, "sysfs_create_group" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x337fb970, "_atomic_dec_and_lock_irqsave" },
	{ 0x99f23a70, "md_flush_request" },
	{ 0x9abe2ebe, "bio_init" },
	{ 0x239adcb6, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0xdd651aff, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x2de43acc, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x98b8503, "md_account_bio" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xfd00a5d4, "mutex_trylock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x685c816e, "md_write_inc" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc4e6229f, "unregister_md_personality" },
	{ 0xc8957785, "blk_queue_max_write_zeroes_sectors" },
	{ 0xbd5ae69, "md_bitmap_unplug" },
	{ 0x7953c93e, "bio_uninit" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x483b1bf2, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x7e8fb8b0, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xebf85b6, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x635f964b, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xfb4e00df, "blk_queue_io_min" },
	{ 0x64d9235f, "md_check_recovery" },
	{ 0x3a89772e, "md_bitmap_endwrite" },
	{ 0xbccc9d5a, "__tracepoint_block_bio_remap" },
	{ 0xe2e3992, "blkdev_issue_flush" },
	{ 0xeeab0a23, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x562baf30, "badblocks_check" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xb07f223, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe2394690, "rdev_set_badblocks" },
	{ 0xcde09ab0, "bio_alloc_bioset" },
	{ 0xb0852bdb, "blk_queue_io_opt" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x41d46318, "async_raid6_datap_recov" },
	{ 0x4f8d7d16, "submit_bio_wait" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x1412f5b2, "mempool_exit" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xf415ea24, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9b678fd5, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xd0cac485, "set_disk_ro" },
	{ 0x12fdc576, "register_md_personality" },
	{ 0x9e8bed2a, "__bio_add_page" },
	{ 0x1a458e61, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x23ab28c0, "md_bitmap_resize" },
	{ 0xf0d7256f, "radix_tree_insert" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8dbff9e5, "md_find_rdev_rcu" },
	{ 0x20423a0c, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x162625c, "md_bitmap_start_sync" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x1ff660e3, "radix_tree_lookup" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x6cd9688d, "md_bitmap_cond_end_sync" },
	{ 0xffa63530, "md_error" },
	{ 0x4832493, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x2a635652, "mempool_init" },
	{ 0x82fc994c, "register_shrinker" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0xbf21ad5c, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8e962eb, "md_finish_reshape" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdf10420c, "async_gen_syndrome" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x9bfc2be1, "md_unregister_thread" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x5ca73f85, "sync_page_io" },
	{ 0xecaf6219, "md_bitmap_close_sync" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x5ba74231, "md_free_cloned_bio" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x37e5f646, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9336cc0, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xf86193b4, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5cb499a3, "md_wakeup_thread" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x9ad29f5b, "md_set_array_sectors" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x251ea42b, "md_allow_write" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4c46b073, "rdev_clear_badblocks" },
	{ 0xb1b029ce, "radix_tree_lookup_slot" },
	{ 0x4c0038a2, "async_tx_quiesce" },
	{ 0x53f98ede, "md_write_start" },
	{ 0x9c73a14d, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x480caa12, "mempool_alloc" },
	{ 0xf24a6e18, "unregister_shrinker" },
	{ 0x5757326e, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0x1d06ae86, "async_xor" },
	{ 0x49420857, "__free_pages" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x15a697e8, "async_xor_offs" },
	{ 0xad2cc282, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xabf79ac6, "submit_bio" },
	{ 0xc9762770, "blk_queue_flag_clear" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xef2cf1bd, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x881246cf, "kthread_unpark" },
	{ 0x7f8dd2a0, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xafc93c08, "md_done_sync" },
	{ 0xa7a191d9, "bio_put" },
	{ 0xbe55c98a, "radix_tree_delete" },
	{ 0x7273a59e, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x5b8f19a1, "md_wait_for_blocked_rdev" },
	{ 0xfa59c437, "__SCK__tp_func_block_bio_remap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8a77b89e, "async_memcpy" },
	{ 0x1acb8ff, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x4a0869ed, "mddev_unlock" },
	{ 0xd10504cd, "__tracepoint_block_unplug" },
	{ 0x421cd3b3, "bio_chain" },
	{ 0x7b90b8e2, "__blk_trace_note_message" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "async_tx,async_raid6_recov,md-mod,raid6_pq,libcrc32c,async_pq,async_xor,async_memcpy");


MODULE_INFO(srcversion, "3F0BAF9AFF85D4597E5B23E");

MODULE_INFO(suserelease, "SLFO-1.0");
