#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xf182a43c, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x7b4028a4, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xb8eec28b, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0xd5cee545, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0xb7434489, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0xe99c1656, "");
SYMBOL_CRC(cx88_wakeup, 0xb30108b0, "");
SYMBOL_CRC(cx88_shutdown, 0xbf1553b5, "");
SYMBOL_CRC(cx88_reset, 0xf331317f, "");
SYMBOL_CRC(cx88_set_scale, 0x67f97db4, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x1667a95d, "");
SYMBOL_CRC(cx88_vdev_init, 0x3afbc2bb, "");
SYMBOL_CRC(cx88_core_get, 0xb7d995ee, "");
SYMBOL_CRC(cx88_core_put, 0x7bc4e6c3, "");
SYMBOL_CRC(cx88_set_tvaudio, 0xc10643f9, "");
SYMBOL_CRC(cx88_newstation, 0x26ed1022, "");
SYMBOL_CRC(cx88_get_stereo, 0x98b6ab1a, "");
SYMBOL_CRC(cx88_set_stereo, 0xc084f3dd, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0xf01cc453, "");
SYMBOL_CRC(cx88_ir_start, 0xbe4ca1e0, "");
SYMBOL_CRC(cx88_ir_stop, 0xaafd50b4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x9f36d37c, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xbcb2aa48, "i2c_smbus_xfer" },
	{ 0x1fece605, "i2c_del_adapter" },
	{ 0xbc4c5f7e, "rc_keyup" },
	{ 0x4c78dc14, "__v4l2_ctrl_grab" },
	{ 0x47c492c3, "i2c_unregister_device" },
	{ 0xf64502d5, "tveeprom_read" },
	{ 0x29870818, "rc_keydown_notimeout" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x57807b92, "rc_register_device" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x3ec7d692, "rc_keydown" },
	{ 0x175d121c, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0xaeecfb20, "i2c_new_client_device" },
	{ 0xfb3030ee, "freezing_slow_path" },
	{ 0xbc9dd958, "rc_free_device" },
	{ 0xe10e5b9d, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd12228bb, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x60be86c1, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fafc1a3, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xf146c535, "v4l2_ctrl_handler_free" },
	{ 0xbfdde83d, "i2c_transfer" },
	{ 0x1fd2121d, "hrtimer_cancel" },
	{ 0x53fe158d, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x70caa9cb, "hrtimer_forward" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xade5a5a2, "v4l2_i2c_new_subdev" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xf9e57e55, "ir_raw_event_store_with_filter" },
	{ 0x1f69327f, "i2c_smbus_read_byte_data" },
	{ 0x1ce31f0f, "video_device_release_empty" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xff80eb35, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x7a5ae481, "ir_raw_event_handle" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3d053fcb, "i2c_bit_add_bus" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x824127a7, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x19d134b7, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "SLFO-1.0");
