#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ivtv_ext_init, 0x7d658a7b, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x06b6aa25, "");
SYMBOL_CRC(ivtv_api, 0x6e227703, "");
SYMBOL_CRC(ivtv_vapi, 0xae66a646, "");
SYMBOL_CRC(ivtv_vapi_result, 0xa49a41bc, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x2445ecf3, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x3050500e, "");
SYMBOL_CRC(ivtv_udma_setup, 0xeca3e9ca, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x8fb1bfb7, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x0d3972fa, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x3c902f48, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xc29f20b2, "");
SYMBOL_CRC(ivtv_firmware_check, 0x011d595c, "");
SYMBOL_CRC(ivtv_claim_stream, 0x9ee3e475, "");
SYMBOL_CRC(ivtv_release_stream, 0x5e3317cd, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x81f91b54, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x9f1e3f58, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xf64502d5, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2b77854d, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xc0217c0c, "v4l2_fh_is_singular" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0xbec529ca, "v4l2_ctrl_subscribe_event" },
	{ 0x82bca55, "v4l2_fh_init" },
	{ 0x778563d2, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa3cba059, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0x20f740e1, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0xef4e8e9f, "v4l2_event_subscribe" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x3ad1cdac, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xd12228bb, "v4l2_device_register" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xf531180e, "param_ops_string" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xaef2e214, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc13648d6, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fafc1a3, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa14576a9, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc84343b5, "v4l2_ctrl_new_std" },
	{ 0x23403d43, "v4l2_ctrl_g_ctrl" },
	{ 0x3e7f0040, "cx2341x_handler_init" },
	{ 0xc9e742a0, "cx2341x_handler_set_50hz" },
	{ 0xf146c535, "v4l2_ctrl_handler_free" },
	{ 0x53fe158d, "v4l2_device_unregister" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x70e38129, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6c848a6b, "v4l2_subdev_call_wrappers" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x68fad3cc, "v4l2_event_queue" },
	{ 0xade5a5a2, "v4l2_i2c_new_subdev" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x1ce31f0f, "video_device_release_empty" },
	{ 0x94ecbabb, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcf465811, "pci_write_config_dword" },
	{ 0x8a14dbbe, "v4l2_event_unsubscribe" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xff2910e9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xba82a7ca, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x60c44615, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x84452549, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3d053fcb, "i2c_bit_add_bus" },
	{ 0xeb8147cd, "v4l2_fh_del" },
	{ 0x7329e0fb, "v4l2_i2c_new_subdev_board" },
	{ 0xf6dc9d22, "kthread_flush_worker" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x833e02bd, "v4l2_fh_add" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x824127a7, "v4l2_ctrl_handler_init_class" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x9c3d0da5, "unpin_user_pages" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x9f36d37c, "i2c_transfer_buffer_flags" },
	{ 0x166abd85, "v4l2_subdev_init" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x24b500e4, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8018cca5, "v4l2_ctrl_handler_log_status" },
	{ 0xe07444d3, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x64cf2054, "video_devdata" },
	{ 0x91837ebf, "i2c_new_scanned_device" },
	{ 0x8be045ee, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x5c99a01a, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49420857, "__free_pages" },
	{ 0x1fece605, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe6dcc6a9, "__v4l2_ctrl_s_ctrl" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "29C7E0DF5E9B4163F46F88D");

MODULE_INFO(suserelease, "SLFO-1.0");
