#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x8a5bbf68, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0xa5927dcd, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x1999e179, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xcd933ed4, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0xba7d7fc0, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x254a9ddc, "_gpl");
SYMBOL_CRC(is_fw_load, 0xc68fa443, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xa10716ad, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x4f1b8755, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x86a2afd8, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xd5988800, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xab5b9dee, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xac58ac00, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0xb00a1899, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x274dc444, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xbac5f1fe, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0xb5b7d96d, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xfbb3428c, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x70f6c153, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0xf8790d2a, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x3acb7ead, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0xad52b551, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xc71f5b31, "usb_clear_halt" },
	{ 0xd75bbfa2, "usb_put_dev" },
	{ 0xd94ca5f0, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x64cf2054, "video_devdata" },
	{ 0x1ce97e35, "vb2_fop_release" },
	{ 0x8be045ee, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x995e96f8, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x1fece605, "i2c_del_adapter" },
	{ 0x6c308efc, "media_device_register_entity" },
	{ 0x354fa52, "media_device_cleanup" },
	{ 0x4e8a7450, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x6684685b, "_dev_err" },
	{ 0x47c492c3, "i2c_unregister_device" },
	{ 0x5165f503, "usb_free_coherent" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x8063b830, "usb_control_msg" },
	{ 0x175d121c, "vb2_buffer_done" },
	{ 0x2df5ebd5, "vb2_plane_vaddr" },
	{ 0xbec529ca, "v4l2_ctrl_subscribe_event" },
	{ 0xf3531747, "usb_set_interface" },
	{ 0x712b70e7, "media_entity_pads_init" },
	{ 0x20f740e1, "video_unregister_device" },
	{ 0xaeecfb20, "i2c_new_client_device" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0x86f7d0a3, "vb2_ioctl_qbuf" },
	{ 0x83344a25, "vb2_fop_mmap" },
	{ 0x87f59b67, "v4l2_s_ctrl" },
	{ 0x7ba0bd4d, "i2c_mux_alloc" },
	{ 0x90cf3a2b, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xadf0a08, "vb2_fop_read" },
	{ 0xd12228bb, "v4l2_device_register" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xaef2e214, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x60be86c1, "rc_allocate_device" },
	{ 0x86f30e07, "pv_ops" },
	{ 0x20799e90, "usb_unlink_urb" },
	{ 0x7f61de50, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc13648d6, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x62886a9, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa6101d8e, "vb2_ioctl_streamon" },
	{ 0x896ba008, "v4l2_mc_create_media_graph" },
	{ 0x58597a14, "vb2_fop_poll" },
	{ 0x3e7f0040, "cx2341x_handler_init" },
	{ 0xc9e742a0, "cx2341x_handler_set_50hz" },
	{ 0x6335e354, "__media_device_usb_init" },
	{ 0xf146c535, "v4l2_ctrl_handler_free" },
	{ 0xbfdde83d, "i2c_transfer" },
	{ 0x53fe158d, "v4l2_device_unregister" },
	{ 0xe3990ddb, "usb_reset_endpoint" },
	{ 0x5df83031, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x6c848a6b, "v4l2_subdev_call_wrappers" },
	{ 0x118df038, "v4l2_ctrl_log_status" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xade5a5a2, "v4l2_i2c_new_subdev" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x1ce31f0f, "video_device_release_empty" },
	{ 0xf1423a4a, "i2c_mux_add_adapter" },
	{ 0x50155fe1, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8a14dbbe, "v4l2_event_unsubscribe" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1ae6eb5, "vb2_ioctl_reqbufs" },
	{ 0x8878007c, "vb2_queue_init" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0xebe2f1a4, "v4l2_ctrl_poll" },
	{ 0x84452549, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x92971e58, "media_device_unregister" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xeb83bc1d, "vb2_ioctl_streamoff" },
	{ 0x9ac57449, "v4l2_ctrl_radio_filter" },
	{ 0x36a9544d, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3eee85f4, "v4l2_ctrl_add_handler" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x9600ca4, "vb2_ops_wait_finish" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0x824127a7, "v4l2_ctrl_handler_init_class" },
	{ 0x84a57d14, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd5f49873, "__media_device_register" },
	{ 0x5c41117e, "vb2_ioctl_querybuf" },
	{ 0x9f36d37c, "i2c_transfer_buffer_flags" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x48ed53ea, "v4l2_fh_open" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "17CC9512E7BFCB0C27C8AAA");

MODULE_INFO(suserelease, "SLFO-1.0");
