#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8063b830, "usb_control_msg" },
	{ 0xab52d518, "usb_poison_urb" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x175d121c, "vb2_buffer_done" },
	{ 0x2df5ebd5, "vb2_plane_vaddr" },
	{ 0x82bca55, "v4l2_fh_init" },
	{ 0xf3531747, "usb_set_interface" },
	{ 0x712b70e7, "media_entity_pads_init" },
	{ 0x20f740e1, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb77b0159, "v4l2_prio_init" },
	{ 0xef4e8e9f, "v4l2_event_subscribe" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0x86f7d0a3, "vb2_ioctl_qbuf" },
	{ 0x83344a25, "vb2_fop_mmap" },
	{ 0x4857aaef, "usb_string" },
	{ 0x90cf3a2b, "vb2_vmalloc_memops" },
	{ 0x4a366d88, "dma_sync_sg_for_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5074e573, "v4l2_fraction_to_interval" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdf3e6324, "input_event" },
	{ 0x315de2cf, "v4l2_ctrl_get_menu" },
	{ 0xd12228bb, "v4l2_device_register" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbe6878aa, "dma_free_noncontiguous" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4e086cb0, "dma_alloc_noncontiguous" },
	{ 0x82737e8, "v4l2_ctrl_merge" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x58a1076d, "usb_enable_autosuspend" },
	{ 0x70ecdefd, "usb_autopm_get_interface" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc13648d6, "__video_register_device" },
	{ 0x62886a9, "vb2_ops_wait_prepare" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6101d8e, "vb2_ioctl_streamon" },
	{ 0x58597a14, "vb2_fop_poll" },
	{ 0xf88ec943, "vb2_create_bufs" },
	{ 0x53fe158d, "v4l2_device_unregister" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x7f320d0f, "usb_debug_root" },
	{ 0x71e87892, "vb2_mmap" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x18c1dae, "v4l2_event_queue_fh" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0x8a14dbbe, "v4l2_event_unsubscribe" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1ae6eb5, "vb2_ioctl_reqbufs" },
	{ 0x8878007c, "vb2_queue_init" },
	{ 0x7a793704, "input_allocate_device" },
	{ 0xba82a7ca, "v4l2_fh_exit" },
	{ 0xc5f966ba, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaad2e4d7, "usb_put_intf" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0x85ee431e, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x84452549, "video_ioctl2" },
	{ 0x92971e58, "media_device_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x2979aa2, "vb2_streamoff" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x67ed3435, "vb2_queue_release" },
	{ 0xeb83bc1d, "vb2_ioctl_streamoff" },
	{ 0x28b12cc9, "v4l2_format_info" },
	{ 0x6af7cce3, "usb_get_current_frame_number" },
	{ 0x5856a618, "media_device_init" },
	{ 0xdff7c16b, "vb2_poll" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcbeca54e, "usb_ifnum_to_if" },
	{ 0xeb8147cd, "v4l2_fh_del" },
	{ 0x416fb849, "dma_vunmap_noncontiguous" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x833e02bd, "v4l2_fh_add" },
	{ 0x9600ca4, "vb2_ops_wait_finish" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x24493035, "dma_sync_sg_for_cpu" },
	{ 0xb887d893, "usb_match_one_id" },
	{ 0x5affbad9, "gpiod_to_irq" },
	{ 0xa554bfc0, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8c5db3e, "uvc_format_by_guid" },
	{ 0xad5c3c93, "v4l2_simplify_fraction" },
	{ 0x37a0cba, "kfree" },
	{ 0x670176a5, "vb2_dqbuf" },
	{ 0xd5f49873, "__media_device_register" },
	{ 0x5c41117e, "vb2_ioctl_querybuf" },
	{ 0x166abd85, "v4l2_subdev_init" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0x48ed53ea, "v4l2_fh_open" },
	{ 0x81142b3e, "get_device" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x954a9e3b, "usb_get_intf" },
	{ 0xfd6a02df, "vb2_video_unregister_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x68b3059a, "vb2_reqbufs" },
	{ 0x4ed7d553, "media_create_pad_link" },
	{ 0x24b500e4, "v4l2_device_register_subdev" },
	{ 0x32d43420, "v4l2_ctrl_get_name" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5ba5370e, "input_free_device" },
	{ 0xbf65e449, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0xc71f5b31, "usb_clear_halt" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xd75bbfa2, "usb_put_dev" },
	{ 0x377853d9, "input_register_device" },
	{ 0x2fdf0c8e, "vb2_expbuf" },
	{ 0xa6265f70, "usb_reset_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x64cf2054, "video_devdata" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x1ce97e35, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x995e96f8, "usb_get_dev" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8fbcd229, "vb2_streamon" },
	{ 0xf50fecbc, "v4l2_ctrl_replace" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x123959a1, "v4l2_type_names" },
	{ 0x354fa52, "media_device_cleanup" },
	{ 0x4e8a7450, "vb2_ioctl_dqbuf" },
	{ 0x6684685b, "_dev_err" },
	{ 0x206852ad, "vb2_querybuf" },
	{ 0x572e0c74, "dma_vmap_noncontiguous" },
	{ 0x92399040, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc4189d6a, "vb2_ioctl_prepare_buf" },
	{ 0xc23a7201, "vb2_qbuf" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xceb29a39, "usb_driver_claim_interface" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videobuf2-common,videodev,mc,videobuf2-v4l2,videobuf2-vmalloc,uvc");

MODULE_ALIAS("usb:v0408p3090d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0408p4030d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0408p4034d*dc*dsc*dp*ic0Eisc01ip01in*");
MODULE_ALIAS("usb:v0408p4035d*dc*dsc*dp*ic0Eisc01ip01in*");
MODULE_ALIAS("usb:v0416pA91Ad*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0458p706Ed*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v045Ep00F8d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v045Ep0721d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v045Ep0723d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp0821d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp0823d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C1d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C2d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C3d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C5d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C6d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08C7d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v046Dp082Dd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp085Cd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp087Cd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp089Bd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v046Dp08D3d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v04F2pB071d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v04F2pB5EBd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v04F2pB6BAd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v04F2pB67Cd*dc*dsc*dp*ic0Eisc01ip01in*");
MODULE_ALIAS("usb:v04F2pB746d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v058Fp3820d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05A9p2640d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05A9p2641d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05A9p2643d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05A9p264Ad*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05A9p7670d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05ACp8501d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05ACp8514d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05ACp8600d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05C8p0403d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v05E3p0505d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v06F8p300Cd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0AC8p332Dd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0AC8p3410d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0AC8p3420d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0BD3p0555d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0C45p6366d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v0E8Dp0004d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v13D3p5103d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v152Dp0310d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v16D0p0ED1d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp5212d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp5931d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp8A12d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp8A31d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp8A33d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v174Fp8A34d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v17DCp0202d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v17EFp480Bd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1871p0306d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1871p0516d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v18CDpCAFEd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v18ECp3188d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v18ECp3288d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v18ECp3290d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v199Ep8102d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v19ABp1000d012[0-6]dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v19ABp1000d01[0-1]*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v19ABp1000d00*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1B3Bp2951d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1B3Fp2002d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1BCFp0B40d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1C4Fp3000d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v1FC9p009Bd*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v2833p0201d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v2833p0211d*dc*dsc*dp*icFFisc01ip00in*");
MODULE_ALIAS("usb:v29FEp4D53d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v2B7EpB752d*dc*dsc*dp*ic0Eisc01ip01in*");
MODULE_ALIAS("usb:v2E1Ap4C01d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v30C9p0093d*dc*dsc*dp*ic0Eisc01ip01in*");
MODULE_ALIAS("usb:v3277p0072d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v5986p1172d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v5986p1180d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v8086p0B03d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v8086p1155d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic0Eisc01ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic0Eisc01ip01in*");

MODULE_INFO(srcversion, "2ADCB6DD0401FBF23A27A28");

MODULE_INFO(suserelease, "SLFO-1.0");
