#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x23c6e9f3, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0xb33cced4, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x40ca890b, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xc97752e1, "");
SYMBOL_CRC(mpt_halt_firmware, 0xd9a3077f, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x35c9387f, "");
SYMBOL_CRC(mpt_attach, 0x7d1c6e76, "");
SYMBOL_CRC(mpt_detach, 0x6f3f51b8, "");
SYMBOL_CRC(mpt_resume, 0x55358f77, "");
SYMBOL_CRC(mpt_suspend, 0x884dd6be, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x5a30d957, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xb004e805, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xa2550895, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x2082a97c, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x0bd26ae8, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xb5a39ea5, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xc4997a04, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x2d240f11, "");
SYMBOL_CRC(mpt_send_handshake_request, 0xc77572ef, "");
SYMBOL_CRC(mpt_verify_adapter, 0x7db84a02, "");
SYMBOL_CRC(mpt_GetIocState, 0xd80d577e, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x643d117b, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x6b0216b4, "");
SYMBOL_CRC(mpt_config, 0x19e40e06, "");
SYMBOL_CRC(mpt_findImVolumes, 0x9973b9ca, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x760c1686, "");
SYMBOL_CRC(mpt_free_fw_memory, 0xbb7b0a1b, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xc50c9fff, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0xad347818, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x754d539c, "strlen" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xd7f34115, "pci_stop_and_remove_bus_device_locked" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x31f6a904, "pci_select_bars" },
	{ 0x42d604ef, "pci_enable_device_mem" },
	{ 0x6c583477, "pci_request_selected_regions" },
	{ 0xa1c2cc1d, "dma_get_required_mask" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x2bdce936, "pci_release_selected_regions" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0x15dc1b7b, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3f05ab69, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbb6af752, "pci_disable_msi" },
	{ 0x13a84908, "pci_save_state" },
	{ 0x695f199f, "pci_set_power_state" },
	{ 0xe9eace7d, "proc_mkdir" },
	{ 0x28416145, "proc_create_single_data" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x51ab38ac, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x43210fca, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x1fafc1a3, "pci_write_config_byte" },
	{ 0x139d613, "pci_get_slot" },
	{ 0xbc9e7d03, "pci_dev_put" },
	{ 0xb709e5c3, "pci_enable_wake" },
	{ 0x43af56b1, "pci_restore_state" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x35dcb2dd, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "49188D2294F61ABCE9750C6");

MODULE_INFO(suserelease, "SLFO-1.0");
