#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xbd26ae8, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5a39ea5, "mpt_put_msg_frame" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x6b0216b4, "mpt_HardResetHandler" },
	{ 0x2d240f11, "mpt_free_msg_frame" },
	{ 0xf061e21, "scsi_is_host_device" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x19e40e06, "mpt_config" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x10881878, "scsi_device_lookup_by_target" },
	{ 0x2200fdab, "sdev_prefix_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x44c78853, "mptscsih_slave_destroy" },
	{ 0x5acf261e, "mptscsih_event_process" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d8bcb51, "mptscsih_resume" },
	{ 0xd1d980ba, "mptscsih_ioc_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x33213eb8, "spi_dv_device" },
	{ 0x8bafa8ce, "spi_display_xfer_agreement" },
	{ 0x51242c70, "__scsi_iterate_devices" },
	{ 0x8e6704bb, "mptscsih_slave_configure" },
	{ 0x9973b9ca, "mpt_findImVolumes" },
	{ 0x77b067fe, "scsi_scan_target" },
	{ 0x8254b667, "mptscsih_raid_id_to_num" },
	{ 0x815e5158, "mptscsih_suspend" },
	{ 0x64460667, "mptscsih_shutdown" },
	{ 0x56a44732, "mptscsih_info" },
	{ 0x1e28c760, "mptscsih_abort" },
	{ 0xf3b08f1, "mptscsih_dev_reset" },
	{ 0xcfced75e, "mptscsih_bus_reset" },
	{ 0x963af94e, "mptscsih_host_reset" },
	{ 0x405d6c29, "mptscsih_change_queue_depth" },
	{ 0x88f2bc7, "mptscsih_bios_param" },
	{ 0x37bc25a8, "mptscsih_show_info" },
	{ 0x70ab574, "mptscsih_host_attr_groups" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xb4244782, "spi_attach_transport" },
	{ 0x9736cb57, "mptscsih_io_done" },
	{ 0x5a30d957, "mpt_register" },
	{ 0x52620f01, "mptscsih_taskmgmt_complete" },
	{ 0xedf93a8e, "mptscsih_scandv_complete" },
	{ 0xb004e805, "mpt_event_register" },
	{ 0xa2550895, "mpt_reset_register" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x716f701a, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0xef3993be, "scsi_remove_host" },
	{ 0xf6cb673d, "mptscsih_remove" },
	{ 0x9a55c1b3, "mptscsih_qcmd" },
	{ 0xb59bff3f, "mptscsih_is_phys_disk" },
	{ 0xc3adf046, "scsi_done" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x7d1c6e76, "mpt_attach" },
	{ 0x82e762fe, "scsi_host_alloc" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x8aa6934b, "scsi_add_host_with_dma" },
	{ 0xabe5893, "scsi_scan_host" },
	{ 0x7ab1b3ca, "mptscsih_IssueTaskMgmt" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0FB4C011C61458934068E67");

MODULE_INFO(suserelease, "SLFO-1.0");
