#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(kempld_read8, 0x58bfe216, "_gpl");
SYMBOL_CRC(kempld_write8, 0xfcc5cd53, "_gpl");
SYMBOL_CRC(kempld_read16, 0x5b8006a2, "_gpl");
SYMBOL_CRC(kempld_write16, 0x600a5a4e, "_gpl");
SYMBOL_CRC(kempld_read32, 0x3c83df4b, "_gpl");
SYMBOL_CRC(kempld_write32, 0x1fe813a9, "_gpl");
SYMBOL_CRC(kempld_get_mutex, 0x46e9217c, "_gpl");
SYMBOL_CRC(kempld_release_mutex, 0xa3d14263, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x15ae1928, "mfd_add_devices" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xab939770, "platform_device_alloc" },
	{ 0x95389e32, "platform_device_add_data" },
	{ 0x99e4772b, "platform_device_put" },
	{ 0xf4a4db1b, "platform_device_add_resources" },
	{ 0xbfe7ed3, "platform_device_add" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xea98a5dd, "__platform_driver_register" },
	{ 0xd52d6550, "sysfs_remove_group" },
	{ 0xff5c8c4d, "mfd_remove_devices" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x18ca01a9, "platform_get_resource" },
	{ 0x5e6ea057, "devm_ioport_map" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x49cf3a83, "acpi_device_get_match_data" },
	{ 0x9c52ee63, "acpi_dev_get_resources" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe52237ed, "_dev_notice" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xbe4f6412, "sysfs_create_group" },
	{ 0x3f74f6e8, "platform_device_unregister" },
	{ 0x52cbef6c, "platform_driver_unregister" },
	{ 0xf531180e, "param_ops_string" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb19b445, "ioread8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bBD*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bBL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bDV7*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bHL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bKL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cAL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBW6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bIP2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bIP6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cDV7*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cHL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-SCT2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXe-SCT2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-SCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXe-SCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSC6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cKL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-PC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bPC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*PXT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cSL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBT*:");
MODULE_ALIAS("dmi*:bvr*FRI2*:rvn*Kontron*:");
MODULE_ALIAS("dmi*:pn*FishRiverIslandII*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*KBoxA-203*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-m4AL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mAL10*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*mITX-APL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETX-OH*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mBT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*nanoETXexpress-TT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*nETXe-TT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mTT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mCT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*pITX-APL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*SMARC-sXAL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*SMARC-sXA4*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*microETXexpress-DC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cDC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*microETXexpress-PC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cPC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cTH6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*Qseven-Q7AL*:");
MODULE_ALIAS("acpi*:KEM0000:*");
MODULE_ALIAS("acpi*:KEM0001:*");

MODULE_INFO(srcversion, "03E8959469CDDA86D67869D");

MODULE_INFO(suserelease, "SLFO-1.0");
