#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(madera_name_from_type, 0xebe384cb, "_gpl");
SYMBOL_CRC(madera_pm_ops, 0x5912cdd9, "_gpl");
SYMBOL_CRC(madera_of_match, 0x0f379262, "_gpl");
SYMBOL_CRC(madera_dev_init, 0xf561dc3b, "_gpl");
SYMBOL_CRC(madera_dev_exit, 0x35087799, "_gpl");
SYMBOL_CRC(cs47l15_patch, 0xa461c475, "_gpl");
SYMBOL_CRC(cs47l15_16bit_spi_regmap, 0x7000bda8, "_gpl");
SYMBOL_CRC(cs47l15_16bit_i2c_regmap, 0x33387ce4, "_gpl");
SYMBOL_CRC(cs47l15_32bit_spi_regmap, 0x700d61e8, "_gpl");
SYMBOL_CRC(cs47l15_32bit_i2c_regmap, 0x3335a0a4, "_gpl");
SYMBOL_CRC(cs47l35_patch, 0x24b133ea, "_gpl");
SYMBOL_CRC(cs47l35_16bit_spi_regmap, 0xbacecb24, "_gpl");
SYMBOL_CRC(cs47l35_16bit_i2c_regmap, 0xf9f60a68, "_gpl");
SYMBOL_CRC(cs47l35_32bit_spi_regmap, 0xbac31764, "_gpl");
SYMBOL_CRC(cs47l35_32bit_i2c_regmap, 0xf9fbd628, "_gpl");
SYMBOL_CRC(cs47l85_patch, 0x6761e825, "_gpl");
SYMBOL_CRC(cs47l85_16bit_spi_regmap, 0x88bc505c, "_gpl");
SYMBOL_CRC(cs47l85_16bit_i2c_regmap, 0xcb849110, "_gpl");
SYMBOL_CRC(cs47l85_32bit_spi_regmap, 0x88b18c1c, "_gpl");
SYMBOL_CRC(cs47l85_32bit_i2c_regmap, 0xcb894d50, "_gpl");
SYMBOL_CRC(cs47l90_patch, 0xcd9016cb, "_gpl");
SYMBOL_CRC(cs47l90_16bit_spi_regmap, 0xd351e6a0, "_gpl");
SYMBOL_CRC(cs47l90_16bit_i2c_regmap, 0x906927ec, "_gpl");
SYMBOL_CRC(cs47l90_32bit_spi_regmap, 0xd35c3ae0, "_gpl");
SYMBOL_CRC(cs47l90_32bit_i2c_regmap, 0x9064fbac, "_gpl");
SYMBOL_CRC(cs47l92_patch, 0x7800425e, "_gpl");
SYMBOL_CRC(cs47l92_16bit_spi_regmap, 0xa7e5e051, "_gpl");
SYMBOL_CRC(cs47l92_16bit_i2c_regmap, 0xe4dd211d, "_gpl");
SYMBOL_CRC(cs47l92_32bit_spi_regmap, 0xa7e83c11, "_gpl");
SYMBOL_CRC(cs47l92_32bit_i2c_regmap, 0xe4d0fd5d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x74396244, "regulator_bulk_disable" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x6684685b, "_dev_err" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x15ae1928, "mfd_add_devices" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x22f5200e, "devm_clk_bulk_get_optional" },
	{ 0x4b4ff403, "regulator_bulk_enable" },
	{ 0xef2bea49, "devm_regulator_bulk_get" },
	{ 0x22bdda39, "regmap_read" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xff5c8c4d, "mfd_remove_devices" },
	{ 0xd3b617c5, "regmap_update_bits_base" },
	{ 0x3be311cd, "regulator_disable" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0xc6b4221d, "regmap_register_patch" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1378a086, "mfd_remove_devices_late" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7233ada2, "regulator_enable" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0xf0f31e5e, "regcache_cache_only" },
	{ 0x26991fec, "regcache_sync" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0xc76212e4, "regulator_get" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xcf9b4216, "gpiod_set_raw_value_cansleep" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xb3dde4c0, "regulator_put" },
	{ 0x64389b63, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("of:N*T*Ccirrus,cs47l15");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l15C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l35");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l35C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l85");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l85C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l90");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l90C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l91");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l91C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs42l92");
MODULE_ALIAS("of:N*T*Ccirrus,cs42l92C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l92");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l92C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l93");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l93C*");
MODULE_ALIAS("of:N*T*Ccirrus,wm1840");
MODULE_ALIAS("of:N*T*Ccirrus,wm1840C*");

MODULE_INFO(srcversion, "0A34865CB839847238E9CAD");

MODULE_INFO(suserelease, "SLFO-1.0");
