#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtsx_pci_start_run, 0x6cfdea90, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x2b415743, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xd3a9e3ce, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x2ceec8df, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x115344db, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x70fd80d0, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x082afc77, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x11206f92, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x4ab99736, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0xc5d4cecf, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xb5a30e2b, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0xc32ff291, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x5e3bc792, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x16f2873a, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x6b7e761f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0xa4a788c8, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x0a9b91ee, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xe7947aeb, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xbd410d4c, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xb48264dc, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0xad57421d, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x695f8240, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x6920de35, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x99e4640d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa387139e, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x3dfba128, "pci_find_ext_capability" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xbb6af752, "pci_disable_msi" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf229828a, "pm_schedule_suspend" },
	{ 0x29e978d7, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x43210fca, "pci_enable_msi" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd78142a1, "radix_tree_preloads" },
	{ 0x954f099c, "idr_preload" },
	{ 0xdaf18f78, "pcie_capability_clear_and_set_word_locked" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x15ae1928, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19b445, "ioread8" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x41e85c4e, "pm_runtime_forbid" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x5e059893, "pm_runtime_allow" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fafc1a3, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0xff5c8c4d, "mfd_remove_devices" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcf465811, "pci_write_config_dword" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xff2910e9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "70E2E645F22F0AD076BB45E");

MODULE_INFO(suserelease, "SLFO-1.0");
