#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mmc_command_done, 0x4831a2c7, "");
SYMBOL_CRC(mmc_request_done, 0xe1654818, "");
SYMBOL_CRC(mmc_start_request, 0xdeb8d082, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x7fbb63b5, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x48e2e103, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x7e040cf0, "");
SYMBOL_CRC(mmc_cqe_post_req, 0x9ea2bc97, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x523cb655, "");
SYMBOL_CRC(mmc_is_req_done, 0xd3f9acf1, "");
SYMBOL_CRC(mmc_wait_for_req, 0xa787eb31, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0xf8c10f4c, "");
SYMBOL_CRC(mmc_set_data_timeout, 0xf7859661, "");
SYMBOL_CRC(__mmc_claim_host, 0x9ce99a54, "");
SYMBOL_CRC(mmc_release_host, 0x27e78a49, "");
SYMBOL_CRC(mmc_get_card, 0xacd9b9ba, "");
SYMBOL_CRC(mmc_put_card, 0x4f1324bf, "");
SYMBOL_CRC(mmc_detect_change, 0x3a74bee7, "");
SYMBOL_CRC(mmc_erase, 0xf682cc4b, "");
SYMBOL_CRC(mmc_can_erase, 0x51fc7f60, "");
SYMBOL_CRC(mmc_can_trim, 0x3e511376, "");
SYMBOL_CRC(mmc_can_discard, 0x76e1a082, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0xe95c380d, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0xc7ca080d, "");
SYMBOL_CRC(mmc_calc_max_discard, 0x2e72653a, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x7c2fcf7e, "");
SYMBOL_CRC(mmc_set_blocklen, 0x7c1a4b8f, "");
SYMBOL_CRC(mmc_hw_reset, 0x7d0ad0d1, "");
SYMBOL_CRC(mmc_sw_reset, 0x6ec71836, "");
SYMBOL_CRC(mmc_detect_card_removed, 0xee3eda32, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0xb5301059, "");
SYMBOL_CRC(mmc_register_driver, 0xe211a46f, "");
SYMBOL_CRC(mmc_unregister_driver, 0x69d2a6a2, "");
SYMBOL_CRC(mmc_retune_pause, 0x142446fd, "");
SYMBOL_CRC(mmc_retune_unpause, 0xb1623504, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x976fac20, "");
SYMBOL_CRC(mmc_retune_release, 0xafa0db34, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0xb3253902, "");
SYMBOL_CRC(mmc_of_parse, 0x392fc88d, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x3c2ef13b, "");
SYMBOL_CRC(mmc_alloc_host, 0x134e3317, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x95a089cf, "");
SYMBOL_CRC(mmc_add_host, 0xaf627500, "");
SYMBOL_CRC(mmc_remove_host, 0xe45046a4, "");
SYMBOL_CRC(mmc_free_host, 0x2b404910, "");
SYMBOL_CRC(__mmc_send_status, 0xe65b62b2, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xb8cdec77, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x9d257d49, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0xccc8fa27, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x009079d2, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x47512f36, "_gpl");
SYMBOL_CRC(mmc_switch, 0x39ffe898, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0xd4be86c3, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0xe123ec00, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x0399e84a, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xbf700f18, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x58d6cbea, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x6b098ce2, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0x084f6340, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x25345bf8, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x59ae0ae9, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0x7fefc6e2, "_gpl");
SYMBOL_CRC(sdio_release_host, 0xa453269d, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x45eac5e6, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0x86c8c24d, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x0a96b296, "_gpl");
SYMBOL_CRC(sdio_align_size, 0x9724dc1d, "_gpl");
SYMBOL_CRC(sdio_readb, 0xa5beabde, "_gpl");
SYMBOL_CRC(sdio_writeb, 0xa9cedeaa, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x762d394d, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x10f150d8, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x629354de, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x089bd2bc, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x9dc0917e, "_gpl");
SYMBOL_CRC(sdio_readw, 0x196f64c3, "_gpl");
SYMBOL_CRC(sdio_writew, 0xe14195bf, "_gpl");
SYMBOL_CRC(sdio_readl, 0x4dd5f458, "_gpl");
SYMBOL_CRC(sdio_writel, 0x6b885999, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0xecfa9757, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x6229d3a4, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x4c56de25, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x7567d1b4, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xbc925317, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0xc1a28aaf, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x42f1bb91, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0xc88c023c, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x174e73b4, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xdb36c979, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x2b2822c2, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x2e33a777, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x16d843c9, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x140785bb, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0x20617483, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0xdab54567, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x7e74a867, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x2551927d, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0x04960a8a, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0xd4fdd765, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0xeca1fa36, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x27f588a3, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x630d8b1c, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x9f935eb2, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0xd9af7746, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x81aa1d09, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x1add0121, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0x8071a1ba, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0x1aad4724, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb3f0248b, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xa7607adf, "simple_attr_release" },
	{ 0xd0177a96, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x2b9d5afa, "__devres_alloc_node" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x121eca77, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdb334260, "devm_gpiod_get_index" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc6465c4c, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x19bf5572, "regulator_count_voltages" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x3d28d3fc, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x74563885, "regulator_is_supported_voltage" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf1ebfa0d, "gpiod_cansleep" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x68ddaa33, "gpiod_is_active_low" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xb1a56746, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0x7a8975a1, "single_release" },
	{ 0x3be311cd, "regulator_disable" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0x6dfb2b19, "set_primary_fwnode" },
	{ 0x72c484a3, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x35c14bf, "single_open" },
	{ 0xf6a9a3f2, "gpiod_set_consumer_name" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0xda262167, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2f14a420, "driver_register" },
	{ 0x1aef77de, "class_register" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc1c0b900, "__dev_fwnode" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc5f966ba, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7233ada2, "regulator_enable" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x98c178d2, "completion_done" },
	{ 0xa92f1b3e, "device_property_present" },
	{ 0x3ff320fa, "blk_crypto_reprogram_all_keys" },
	{ 0x695736a5, "wakeup_source_register" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0xa2842bcc, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0xea289ac2, "debugfs_attr_write" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x5af78882, "led_trigger_register_simple" },
	{ 0x71a9259d, "device_initialize" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x5affbad9, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x14eacbb, "gpiod_toggle_active_low" },
	{ 0xd6b6a18b, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0x179b2dd5, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa638ab46, "led_trigger_unregister_simple" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x81142b3e, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xf7596996, "sched_set_fifo_low" },
	{ 0xc371dd8f, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47db743, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x8b694928, "pm_generic_runtime_resume" },
	{ 0x12ae7df, "pm_generic_resume" },
	{ 0x9b279e52, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0xa363a2f8, "pm_wakeup_ws_event" },
	{ 0xd6c00d4c, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0xfec993f0, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd1d70ff2, "acpi_find_child_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xdc3d4367, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xd6338dae, "gpiod_set_debounce" },
	{ 0xd6ba2b47, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4e652a6e, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x6d360e7f, "pm_generic_suspend" },
	{ 0xb06e4a08, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x63527824, "bus_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0x9ebf61f6, "debugfs_create_file_unsafe" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "754ECF4BE0BE59922D0922E");

MODULE_INFO(suserelease, "SLFO-1.0");
