#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18ca01a9, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5f3446a3, "__devm_request_region" },
	{ 0x51ce2770, "sdhci_alloc_host" },
	{ 0x34d1a400, "devm_ioremap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2551927d, "mmc_gpiod_request_cd" },
	{ 0x3b3be207, "sdhci_setup_host" },
	{ 0xa5daa5b1, "__sdhci_add_host" },
	{ 0xac06f4d6, "sdhci_cleanup_host" },
	{ 0x54111199, "sdhci_free_host" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x4960a8a, "mmc_gpiod_set_cd_config" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x52cbef6c, "platform_driver_unregister" },
	{ 0x7cec525, "sdhci_execute_tuning" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6b4d8f7, "sdhci_runtime_suspend_host" },
	{ 0x8cd32c0a, "sdhci_suspend_host" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x37a60b45, "sdhci_start_signal_voltage_switch" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc58800c7, "sdhci_remove_host" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0xad1472f0, "sdhci_reset" },
	{ 0x3a6f81dd, "sdhci_set_ios" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4a49c709, "sdhci_set_clock" },
	{ 0x6d616aaa, "sdhci_set_bus_width" },
	{ 0xce09d839, "sdhci_set_uhs_signaling" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xea98a5dd, "__platform_driver_register" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x86c7272b, "iosf_mbi_read" },
	{ 0x7a88da87, "iosf_mbi_write" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd5e33ba7, "sdhci_runtime_resume_host" },
	{ 0x39e479fa, "sdhci_resume_host" },
	{ 0xb87b679d, "__sdhci_read_caps" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x858436ad, "acpi_dev_hid_uid_match" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3d054e93, "platform_get_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x140785bb, "mmc_gpio_get_cd" },
	{ 0xedc5cbbb, "sdhci_get_cd_nogpio" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xf94276b5, "acpi_device_fix_up_power_extended" },
	{ 0x28e09af1, "iosf_mbi_available" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");

MODULE_ALIAS("acpi*:80865ACA:*");
MODULE_ALIAS("acpi*:80865ACC:*");
MODULE_ALIAS("acpi*:80865AD0:*");
MODULE_ALIAS("acpi*:80860F14:*");
MODULE_ALIAS("acpi*:80860F16:*");
MODULE_ALIAS("acpi*:INT33BB:*");
MODULE_ALIAS("acpi*:INT33C6:*");
MODULE_ALIAS("acpi*:INT3436:*");
MODULE_ALIAS("acpi*:INT344D:*");
MODULE_ALIAS("acpi*:PNP0D40:*");
MODULE_ALIAS("acpi*:QCOM8051:*");
MODULE_ALIAS("acpi*:QCOM8052:*");
MODULE_ALIAS("acpi*:AMDI0040:*");
MODULE_ALIAS("acpi*:AMDI0041:*");

MODULE_INFO(srcversion, "C7BB3EF5705581BBB8D12C4");

MODULE_INFO(suserelease, "SLFO-1.0");
