#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mtd_table_mutex, 0xa3529067, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x670acd3a, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x3b13fc08, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x028413a6, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x39ca0603, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xf3785ac6, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x5a2cf559, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x7acbf01c, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x1888cb29, "_gpl");
SYMBOL_CRC(get_mtd_device, 0xf003cd78, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xe708ab97, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x23ac0bb7, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x602ce2f8, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xc69eb1d6, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x5a98c198, "_gpl");
SYMBOL_CRC(mtd_erase, 0x4c0ef6e6, "_gpl");
SYMBOL_CRC(mtd_point, 0xb9d340a7, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x1abf4d01, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x9127e7e6, "_gpl");
SYMBOL_CRC(mtd_read, 0xa46179a0, "_gpl");
SYMBOL_CRC(mtd_write, 0xc9b3f8d2, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x49bf8d99, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x8c3a9363, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x05dcc7c5, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xded6b3c2, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x9592a8d8, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x6bfb074f, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x0142c2f3, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0xc717de0c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0xa27fb432, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xa9226125, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x59f2fca7, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x70cdc98e, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x67ff1258, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x11a1568c, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x97c62f6d, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x270f271c, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x383b4c1b, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x3d6a631e, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x3244c958, "_gpl");
SYMBOL_CRC(mtd_lock, 0x6474d3bb, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x4d1fdb94, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x03a1d608, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0xf128df31, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x3d2b58f0, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x49b720c7, "_gpl");
SYMBOL_CRC(mtd_writev, 0xa776aa9e, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x5b7ea427, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x3a54beb7, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x0839703e, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x3c3f2e19, "");
SYMBOL_CRC(mtd_concat_destroy, 0xfe4aeaaa, "");
SYMBOL_CRC(mtd_add_partition, 0x653523a5, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0xb77d1109, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x66dcae4d, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xc54cbb4c, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x6909dbaa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x288b3b05, "device_create" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xf189c2f8, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0xae557944, "bdi_alloc" },
	{ 0x6ea15b35, "device_register" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x36de56, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xab2ebcf, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0xc12825d0, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xca26ccb1, "lockref_get" },
	{ 0x8c00bfb6, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x28416145, "proc_create_single_data" },
	{ 0xf4fecd16, "nvmem_register" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1aef77de, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xcfa79483, "generic_shutdown_super" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb89613fd, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd16dfd6e, "bdi_unregister" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf97a04d2, "bdi_register" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x300379ee, "sget_fc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e9c311f, "logfc" },
	{ 0x1005ff36, "sysfs_remove_files" },
	{ 0x1e552f45, "__module_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf211ea34, "bdi_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7108d077, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x948f2719, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x1abe0dbb, "debugfs_create_bool" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2550CE93E4152FBFAA60C44");

MODULE_INFO(suserelease, "SLFO-1.0");
