#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0xbdc42ede, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0xc749cd18, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0xb6f8f8af, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0xc027d125, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0xb0cbdda6, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x5c5d51d1, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xf341fa1f, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0xdada3b40, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0xb1ecd591, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xc8b61ce6, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0xe48ca12d, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x8b992923, "_gpl");
SYMBOL_CRC(nand_status_op, 0x4779b91c, "_gpl");
SYMBOL_CRC(nand_erase_op, 0xd7ce40fb, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xf7d6762c, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0x8b7ac564, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x4354fb63, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x45033619, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x7d46a457, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0xf6700e50, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x34b31257, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0x88895d4e, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x0e1e708b, "");
SYMBOL_CRC(nand_write_oob_std, 0x9bc16fe9, "");
SYMBOL_CRC(nand_write_page_raw, 0xc1403a29, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x020272c1, "");
SYMBOL_CRC(nand_decode_ext_id, 0x7e8f3f9b, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x673e83a6, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x9f5f30a1, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0xcfea5495, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0xea11f27a, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x108bd511, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x8b035aa8, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x13782d39, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x9ff259d7, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xca6fc126, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x1b6ee816, "");
SYMBOL_CRC(nand_cleanup, 0xbf01b127, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xbeec7908, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0xcefa9c4c, "");
SYMBOL_CRC(nand_create_bbt, 0xcbb9a2ed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6bfb074f, "mtd_ooblayout_find_eccregion" },
	{ 0xa27fb432, "mtd_ooblayout_get_databytes" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x142c2f3, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x130f6053, "nanddev_mtd_max_bad_blocks" },
	{ 0x32b3847, "nand_ecc_sw_bch_calculate" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xc5f966ba, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8c3a9363, "mtd_read_oob" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x3ff623f8, "gpiod_count" },
	{ 0x95ff385f, "nanddev_cleanup" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x942fd4cb, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9c23952b, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x1447450f, "gpiod_get_index_optional" },
	{ 0x127e58af, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xb5466cd3, "nanddev_init" },
	{ 0xd3088305, "nand_ecc_sw_bch_correct" },
	{ 0x709241f0, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0xc717de0c, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x2cd81b9f, "nand_ecc_sw_hamming_calculate" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x45694160, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1079d7c, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5945210b, "nand_ecc_is_strong_enough" },
	{ 0x5dcc7c5, "mtd_write_oob" },
	{ 0x428a1ff6, "nand_get_small_page_ooblayout" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x6ca3a802, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa46179a0, "mtd_read" },
	{ 0x59f2fca7, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa9226125, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "33E639D922FC8A24AAC026F");

MODULE_INFO(suserelease, "SLFO-1.0");
