#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ubi_do_get_device_info, 0x0e11ce97, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x901dc5cf, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x1f032a22, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x91f27abe, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x4a41b8a7, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x7c657eb1, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xc1e994df, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x89f10aa4, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x067bcb1a, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x395c6e78, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xa186e7df, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0xb642d883, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x4d9d22ed, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x5cc7d92a, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf003cd78, "get_mtd_device" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x8799d18a, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xa2d4247c, "blocking_notifier_call_chain" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x948f2719, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0x6f7c400c, "cdev_add" },
	{ 0x49b720c7, "mtd_block_markbad" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0xc71d6128, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf189c2f8, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc69eb1d6, "put_mtd_device" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa46179a0, "mtd_read" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0xfb3030ee, "freezing_slow_path" },
	{ 0x6ea15b35, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x192f0e7, "kern_path" },
	{ 0xb08ebea9, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x4c0ef6e6, "mtd_erase" },
	{ 0x9402a1a, "down_write_trylock" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc9b3f8d2, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x3f8d59ae, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6909dbaa, "mtd_get_device_size" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1bdf8e61, "seq_open" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x3d2b58f0, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbf320c7e, "up_read" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1aef77de, "class_register" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xf8acf863, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc2844c43, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xa124dbdb, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4d01e2ac, "cdev_device_del" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x81142b3e, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x602ce2f8, "get_mtd_device_nm" },
	{ 0xddb8b95d, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x76250ff4, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "C53B981702A9F34B844BD85");

MODULE_INFO(suserelease, "SLFO-1.0");
