#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(b53_imp_vlan_setup, 0x061a24d0, "");
SYMBOL_CRC(b53_enable_port, 0x1fa68644, "");
SYMBOL_CRC(b53_disable_port, 0x87bec959, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x3c9590ac, "");
SYMBOL_CRC(b53_configure_vlan, 0xa995f127, "");
SYMBOL_CRC(b53_get_strings, 0x7deffd7d, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0xbfa4199d, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x63c1b104, "");
SYMBOL_CRC(b53_get_sset_count, 0x6f774e6a, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x82493e11, "");
SYMBOL_CRC(b53_port_event, 0x59a50ef4, "");
SYMBOL_CRC(b53_phylink_mac_config, 0x2126c9f3, "");
SYMBOL_CRC(b53_phylink_mac_link_down, 0xd335e33d, "");
SYMBOL_CRC(b53_phylink_mac_link_up, 0xb2009b6d, "");
SYMBOL_CRC(b53_vlan_filtering, 0x8303e263, "");
SYMBOL_CRC(b53_vlan_add, 0x5ed48e02, "");
SYMBOL_CRC(b53_vlan_del, 0x6a4ffca7, "");
SYMBOL_CRC(b53_fdb_add, 0x51659f89, "");
SYMBOL_CRC(b53_fdb_del, 0x6917f58f, "");
SYMBOL_CRC(b53_fdb_dump, 0xcb52e7c3, "");
SYMBOL_CRC(b53_mdb_add, 0x93a54be8, "");
SYMBOL_CRC(b53_mdb_del, 0x220f4d4d, "");
SYMBOL_CRC(b53_br_join, 0x3a9526e3, "");
SYMBOL_CRC(b53_br_leave, 0x52e578cb, "");
SYMBOL_CRC(b53_br_set_stp_state, 0xdb2e627b, "");
SYMBOL_CRC(b53_br_fast_age, 0xff70276a, "");
SYMBOL_CRC(b53_br_flags_pre, 0xd7a8fe97, "");
SYMBOL_CRC(b53_br_flags, 0x64139677, "");
SYMBOL_CRC(b53_get_tag_protocol, 0x2274a896, "");
SYMBOL_CRC(b53_mirror_add, 0xceefc774, "");
SYMBOL_CRC(b53_mirror_del, 0x8b85fa8e, "");
SYMBOL_CRC(b53_eee_enable_set, 0x7f4ef282, "");
SYMBOL_CRC(b53_eee_init, 0x4aa786fd, "");
SYMBOL_CRC(b53_get_mac_eee, 0x86eddc96, "");
SYMBOL_CRC(b53_set_mac_eee, 0xa7707bbe, "");
SYMBOL_CRC(b53_switch_alloc, 0x33b7bb1b, "");
SYMBOL_CRC(b53_switch_detect, 0xdc53e342, "");
SYMBOL_CRC(b53_switch_register, 0xd7c3982f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5680dae6, "dsa_devlink_resources_unregister" },
	{ 0xef406ed5, "dsa_devlink_resource_register" },
	{ 0x5df763c5, "dsa_devlink_resource_occ_get_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xac3532aa, "mdiobus_get_phy" },
	{ 0xc7b26604, "phy_ethtool_get_stats" },
	{ 0xb900dc0, "phy_ethtool_get_sset_count" },
	{ 0xdd64e639, "strscpy" },
	{ 0xeac9372, "phy_ethtool_get_strings" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbed4ccc, "dsa_port_phylink_mac_change" },
	{ 0xb5562789, "phy_init_eee" },
	{ 0x6684685b, "_dev_err" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xdfbd0858, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x100675a9, "gpio_to_desc" },
	{ 0xf4917c6a, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "D27254F7E47886E2FBD1823");

MODULE_INFO(suserelease, "SLFO-1.0");
