#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ksz_switch_chips, 0xb89197ab, "_gpl");
SYMBOL_CRC(ksz_switch_alloc, 0x9eacd74d, "");
SYMBOL_CRC(ksz_switch_register, 0x5f00a3e2, "");
SYMBOL_CRC(ksz_switch_remove, 0x215ce88c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e6f1655, "skb_complete_tx_timestamp" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x5400bd0, "dsa_unregister_switch" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x393e72c4, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfa82afb0, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x949c19a8, "ptp_clock_unregister" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x22bdda39, "regmap_read" },
	{ 0xb1d85c61, "regmap_bulk_write" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe3596071, "regmap_bulk_read" },
	{ 0xac436b20, "irq_create_mapping_affinity" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2ae99b00, "irq_domain_create_simple" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xd3b617c5, "regmap_update_bits_base" },
	{ 0x21101528, "ptp_schedule_worker" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd13536fd, "irq_domain_xlate_twocell" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0x5e171b26, "handle_level_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x56a18192, "skb_clone_sk" },
	{ 0x1d7f68f3, "dsa_enqueue_skb" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x485371b6, "irq_domain_remove" },
	{ 0x3308551e, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x4b4e5e25, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdfbd0858, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaeb3c4f2, "ptp_find_pin" },
	{ 0x2867a505, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc3fd9f7b, "irq_set_chip_and_handler_name" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x2d0bb198, "ptp_classify_raw" },
	{ 0x2f2ec5a7, "ptp_cancel_worker_sync" },
	{ 0x6684685b, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x649861b1, "ptp_clock_register" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "dsa_core");


MODULE_INFO(srcversion, "A872E35C2E03F8810EB9FC9");

MODULE_INFO(suserelease, "SLFO-1.0");
