#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(felix_switch_ops, 0x9bc3a4bf, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0xd2a7ab59, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xe610b813, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7a08448, "ocelot_mrp_del_ring_role" },
	{ 0xf7fafba1, "ocelot_sb_tc_pool_bind_set" },
	{ 0x5de2c290, "dsa_fdb_present_in_other_db" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4c2c9562, "dsa_mdb_present_in_other_db" },
	{ 0x73829acc, "ocelot_vcap_filter_add" },
	{ 0xd79cf334, "ocelot_sb_port_pool_get" },
	{ 0x6d031b5f, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x19e2f6ff, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0xaab13f3d, "ocelot_port_inject_frame" },
	{ 0xa0ba8b20, "ocelot_mrp_add" },
	{ 0xd07c6ec7, "ocelot_sb_occ_port_pool_get" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc3cc3550, "ocelot_sb_pool_set" },
	{ 0x5bd57405, "ocelot_lag_fdb_del" },
	{ 0x9ebe70bc, "ocelot_vcap_filter_del" },
	{ 0xcad0b34d, "ocelot_cls_flower_stats" },
	{ 0x6c09fdac, "ocelot_sb_pool_get" },
	{ 0x21b6c13b, "ocelot_phylink_mac_link_up" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9a130675, "ocelot_deinit_port" },
	{ 0x12fdb8d7, "ocelot_can_inject" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0x2ba69a31, "ocelot_port_mirror_add" },
	{ 0xb07313d3, "ocelot_fdb_dump" },
	{ 0x12122bb8, "ocelot_vlan_prepare" },
	{ 0x6288f5b1, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe288affc, "ocelot_set_ageing_time" },
	{ 0xfba83dea, "__ocelot_rmw_ix" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x12f58343, "ocelot_hwstamp_set" },
	{ 0x341b954e, "ocelot_port_policer_del" },
	{ 0xafc27fc3, "ocelot_port_lag_change" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xcf69dfa8, "ocelot_port_policer_add" },
	{ 0xfc519e15, "ocelot_port_mdb_add" },
	{ 0x5e2983b0, "ocelot_vlan_add" },
	{ 0x1859743c, "ocelot_sb_tc_pool_bind_get" },
	{ 0x900fa22, "ocelot_port_bridge_flags" },
	{ 0x8bbc9e0f, "ocelot_devlink_sb_unregister" },
	{ 0x641aedaf, "ocelot_port_bridge_leave" },
	{ 0xf8b31d38, "ocelot_port_set_maxlen" },
	{ 0xed4c4145, "ocelot_vcap_filter_replace" },
	{ 0xe6ebeade, "ocelot_get_max_mtu" },
	{ 0xc73423d3, "regmap_fields_update_bits_base" },
	{ 0x3adac1e3, "ocelot_sb_occ_snapshot" },
	{ 0xcfd9dbd0, "ocelot_get_ts_info" },
	{ 0xeec87791, "ocelot_sb_occ_max_clear" },
	{ 0x6e528293, "ocelot_port_get_mm" },
	{ 0xc789380e, "ocelot_ptp_gettime64" },
	{ 0x4ad75319, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0xae6dc5b1, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x8121b0b0, "ocelot_port_add_dscp_prio" },
	{ 0xeb84655c, "ocelot_drain_cpu_queue" },
	{ 0x45839ed4, "ocelot_port_mirror_del" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b862b84, "__ocelot_read_ix" },
	{ 0x44328ce9, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8b1657f5, "dsa_port_from_netdev" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb39e7701, "ocelot_get_sset_count" },
	{ 0xc4bc05b, "ocelot_migrate_mdbs" },
	{ 0x345be31a, "ocelot_hwstamp_get" },
	{ 0xb31f3963, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfefc7ddd, "ocelot_port_bridge_join" },
	{ 0x88f4e60f, "ocelot_fdb_add" },
	{ 0x20c8e61d, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0xd0529ea1, "ocelot_xtr_poll_frame" },
	{ 0xe4af2ab9, "ocelot_port_get_default_prio" },
	{ 0x2d0bb198, "ptp_classify_raw" },
	{ 0xe783f2dd, "ocelot_port_set_default_prio" },
	{ 0x9f2de7a, "dsa_tag_8021q_register" },
	{ 0xadb85185, "ocelot_port_get_mm_stats" },
	{ 0xdc707dd0, "ocelot_deinit" },
	{ 0x6684685b, "_dev_err" },
	{ 0x56acde45, "ocelot_vlan_del" },
	{ 0x16b8c597, "ocelot_bond_get_id" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x9442b04d, "ocelot_get_ethtool_stats" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x5a1f4c78, "ocelot_cls_flower_destroy" },
	{ 0x776f9d97, "ocelot_port_vlan_filtering" },
	{ 0x6587d6b4, "ocelot_port_get_rmon_stats" },
	{ 0x731754a5, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xa3ed9187, "ocelot_lag_fdb_add" },
	{ 0xff15703a, "ocelot_bridge_stp_state_set" },
	{ 0xff673240, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0x1809abc8, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x9374bc52, "ocelot_fdb_del" },
	{ 0xd82895a2, "ocelot_phylink_mac_link_down" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xd41223a7, "ocelot_port_lag_join" },
	{ 0x77a0303a, "ocelot_port_get_eth_phy_stats" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xb9407283, "ocelot_port_lag_leave" },
	{ 0xcc79916, "ocelot_mrp_add_ring_role" },
	{ 0x5ab81a3a, "ocelot_port_set_mm" },
	{ 0xbe42ce64, "ocelot_deinit_timestamp" },
	{ 0x70313316, "ocelot_cls_flower_replace" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xf49d239e, "ocelot_port_get_stats64" },
	{ 0xc458374b, "ocelot_port_get_dscp_prio" },
	{ 0x612515eb, "ocelot_port_mdb_del" },
	{ 0x8d0ac96d, "ocelot_port_get_eth_mac_stats" },
	{ 0x1ccbf3e, "ocelot_mact_flush" },
	{ 0x76cf55dd, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb4dbd8e4, "ocelot_port_pre_bridge_flags" },
	{ 0x51abec9a, "ocelot_port_del_dscp_prio" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "BECEE98C025219439A1D389");

MODULE_INFO(suserelease, "SLFO-1.0");
