#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8822e8, "ssb_dma_translation" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0xb1f02766, "register_netdev" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0x1a9beed1, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd1ed174b, "__mdiobus_register" },
	{ 0xdaa56fda, "mdiobus_is_registered_device" },
	{ 0x7d73b722, "phy_connect" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdd5c8080, "phy_attached_info" },
	{ 0x1a318d01, "device_set_wakeup_capable" },
	{ 0x6684685b, "_dev_err" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x9a19d939, "phy_ethtool_ksettings_set" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x207d82c7, "phy_stop" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xff785dd7, "netif_device_attach" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0x198c9a25, "dev_kfree_skb_irq_reason" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0x7c30eca, "__napi_alloc_skb" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x5498a886, "netif_receive_skb" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xb3aaff5, "netif_schedule_queue" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xf43297ae, "napi_enable" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24d273d1, "add_timer" },
	{ 0x21ec4ab1, "phy_start" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0xc67b603, "phy_ethtool_ksettings_get" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x5e488078, "device_set_wakeup_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0x7c619f22, "phy_mii_ioctl" },
	{ 0xa087cd92, "generic_mii_ioctl" },
	{ 0x37a0cba, "kfree" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xd901941f, "phy_print_status" },
	{ 0x922412f6, "ssb_pcihost_register" },
	{ 0xd0ee2309, "__ssb_driver_register" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0x659cd470, "ssb_driver_unregister" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0x4ac0d804, "ssb_device_disable" },
	{ 0x7ea6f8a4, "ssb_bus_may_powerdown" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5c54909a, "free_netdev" },
	{ 0x95683102, "phy_disconnect" },
	{ 0x91c8b4b3, "mdiobus_unregister" },
	{ 0x9b7283e4, "mdiobus_free" },
	{ 0x695f199f, "pci_set_power_state" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x51ab38ac, "pci_write_config_word" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfea4485, "netdev_err" },
	{ 0x99f62680, "ssb_device_is_enabled" },
	{ 0xfe23eb06, "ssb_device_enable" },
	{ 0xfa082de4, "ssb_pcicore_dev_irqvecs_enable" },
	{ 0xb116a67c, "ssb_clockspeed" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x3ffbaea5, "ssb_bus_powerup" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "ssb,libphy,mii");

MODULE_ALIAS("ssb:v4243id0806rev*");
MODULE_ALIAS("pci:v000014E4d00004401sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004402sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000170Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "87156DF6A8C16598263D223");

MODULE_INFO(suserelease, "SLFO-1.0");
