#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x75a2e93a, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0xec49a49c, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0xb746c987, "_gpl");
SYMBOL_CRC(fun_bind, 0xa608cb8b, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0xb189d1c4, "");
SYMBOL_CRC(fun_release_irqs, 0x787b8135, "");
SYMBOL_CRC(fun_serv_stop, 0xa6e9e536, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0xd9bacbf0, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0x34ef5299, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0x9afc5bc0, "");
SYMBOL_CRC(fun_dev_enable, 0x618c0bb7, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0x472ccb8a, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0x7ae51384, "_gpl");
SYMBOL_CRC(fun_sq_create, 0xdd3aee6c, "_gpl");
SYMBOL_CRC(fun_cq_create, 0xaa559ed0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2bdce936, "pci_release_selected_regions" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x42d604ef, "pci_enable_device_mem" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xc1e4a4c2, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x4d692b21, "pci_ioremap_bar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6639f4d, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x800fbf8a, "sbitmap_prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x31f6a904, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6684685b, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xb16aedb8, "sbitmap_queue_clear" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x70944844, "__alloc_pages" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xad2dcb57, "sbitmap_finish_wait" },
	{ 0x5ecd8046, "pcie_print_link_status" },
	{ 0xebf85b6, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbffa99fb, "__sbitmap_queue_get" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf930f4fc, "pci_msix_vec_count" },
	{ 0x6c583477, "pci_request_selected_regions" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B834C245229F619B0CF1B21");

MODULE_INFO(suserelease, "SLFO-1.0");
