#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qed_get_eth_ops, 0x9da6b709, "");
SYMBOL_CRC(qed_put_eth_ops, 0x9eeeef48, "");
SYMBOL_CRC(qed_get_fcoe_ops, 0xb8de9a51, "");
SYMBOL_CRC(qed_put_fcoe_ops, 0x992e03d0, "");
SYMBOL_CRC(qed_get_iscsi_ops, 0xec993aca, "");
SYMBOL_CRC(qed_put_iscsi_ops, 0x4f264472, "");
SYMBOL_CRC(qed_get_rdma_ops, 0x3c3ac85d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x209eda71, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x4e303c7e, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x63de8ad3, "pcie_capability_read_dword" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1856a9f5, "devlink_priv" },
	{ 0xe1c4b972, "pci_disable_sriov" },
	{ 0xec8c50bb, "pci_disable_msix" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x179d693c, "pci_enable_sriov" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xe914e41e, "strcpy" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3dfba128, "pci_find_ext_capability" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3cedab5c, "devlink_unregister" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0xb314aa03, "devlink_health_reporter_create" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb3b87550, "devlink_params_unregister" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xbb6af752, "pci_disable_msi" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xda66a4e7, "devlink_alloc_ns" },
	{ 0x262d79d, "devlink_register" },
	{ 0x29ce7df2, "devlink_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4d692b21, "pci_ioremap_bar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2c25957a, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0x583c4ab9, "pci_find_capability" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x43210fca, "pci_enable_msi" },
	{ 0x7a3eb868, "init_net" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc0ea938e, "slab_build_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "crc8");


MODULE_INFO(srcversion, "44E1E94594E205B0A5E6D9C");

MODULE_INFO(suserelease, "SLFO-1.0");
