#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x700ac814, "mdiobus_read" },
	{ 0x3d61b7c7, "mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x421c7641, "skb_tstamp_tx" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x5498a886, "netif_receive_skb" },
	{ 0xb42a6dab, "irq_get_irq_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x33f098c2, "phy_find_first" },
	{ 0x72640a2c, "phy_connect_direct" },
	{ 0xdd5c8080, "phy_attached_info" },
	{ 0x98a2ec1b, "phy_set_max_speed" },
	{ 0xecb49cff, "phy_support_asym_pause" },
	{ 0xfea4485, "netdev_err" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0xf43297ae, "napi_enable" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x3d054e93, "platform_get_irq" },
	{ 0x85bd1608, "__request_region" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9cf2df05, "regulator_bulk_get" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0xb2dcb3b3, "clk_get" },
	{ 0x4b4ff403, "regulator_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xeb425123, "device_get_phy_mode" },
	{ 0xc8127752, "device_get_mac_address" },
	{ 0xdc3d4367, "device_property_read_u32_array" },
	{ 0xa92f1b3e, "device_property_present" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x1a9beed1, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd1ed174b, "__mdiobus_register" },
	{ 0xb1f02766, "register_netdev" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x92997ed8, "_printk" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x737657c9, "phy_do_ioctl_running" },
	{ 0xeb654aaa, "phy_ethtool_nway_reset" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0xa1d9d260, "ethtool_op_get_ts_info" },
	{ 0x97223cdc, "phy_ethtool_get_link_ksettings" },
	{ 0x6bb43957, "phy_ethtool_set_link_ksettings" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xea98a5dd, "__platform_driver_register" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x52cbef6c, "platform_driver_unregister" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0x91c8b4b3, "mdiobus_unregister" },
	{ 0x9b7283e4, "mdiobus_free" },
	{ 0x92828f37, "platform_get_resource_byname" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xedc03953, "iounmap" },
	{ 0x74396244, "regulator_bulk_disable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x76c8e6e8, "regulator_bulk_free" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x5c54909a, "free_netdev" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x18ca01a9, "platform_get_resource" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0x207d82c7, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x318df0aa, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x95683102, "phy_disconnect" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xff785dd7, "netif_device_attach" },
	{ 0x21ec4ab1, "phy_start" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("acpi*:ARMH9118:*");

MODULE_INFO(srcversion, "2FDCD6FCC33AE1ABFD89E55");

MODULE_INFO(suserelease, "SLFO-1.0");
