#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(stmmac_bus_clks_config, 0xe21f8d63, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x6fc03a5d, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x63fc1504, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xb3cff9e7, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x5c17f67f, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x128a263d, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xfea4485, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a392e84, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xc0878679, "pinctrl_pm_select_default_state" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x22d8b1cf, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4592b914, "pm_wakeup_dev_event" },
	{ 0xc76b14cb, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x978389ae, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0x657b6ad, "xpcs_config_eee" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xbdcddcf2, "napi_gro_receive" },
	{ 0xff785dd7, "netif_device_attach" },
	{ 0xce3faeca, "xdp_features_clear_redirect_target" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7ba49817, "netdev_pick_tx" },
	{ 0xb5562789, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb694171a, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe1b446c3, "xdp_rxq_info_is_reg" },
	{ 0xc7373b18, "devm_alloc_etherdev_mqs" },
	{ 0x187a24cb, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x78045760, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x5bfe1d32, "dev_open" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x6684685b, "_dev_err" },
	{ 0x76bd60d5, "xpcs_destroy" },
	{ 0x18ef8654, "pinctrl_pm_select_sleep_state" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4c35821d, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x649861b1, "ptp_clock_register" },
	{ 0xdaac304e, "xp_dma_sync_for_cpu_slow" },
	{ 0x7f7be6cd, "xsk_tx_peek_desc" },
	{ 0xeeddb61d, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x698b5b68, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xd7797436, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xf43297ae, "napi_enable" },
	{ 0xc83ba766, "xsk_clear_rx_need_wakeup" },
	{ 0xf13a00df, "xpcs_get_interfaces" },
	{ 0xbb426031, "mdio_device_create" },
	{ 0x9aaee7cc, "xsk_uses_need_wakeup" },
	{ 0xb1f02766, "register_netdev" },
	{ 0xf7569164, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9b7283e4, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x91c27c89, "__SCK__tp_func_xdp_exception" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0x224ec403, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0xc128bbb2, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x692dd270, "flow_rule_match_ports" },
	{ 0x30a59c91, "phylink_fwnode_phy_connect" },
	{ 0xe10e5b9d, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xbccf8f54, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xb3aaff5, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6a0d2846, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x949c19a8, "ptp_clock_unregister" },
	{ 0x7cc1483e, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x9567c2c1, "xpcs_get_an_mode" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x13aa6d2e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb4e5d596, "xdp_return_frame_rx_napi" },
	{ 0xbe05fbe1, "netdev_alert" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x91c8b4b3, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x1db8fd33, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xc36796f2, "xsk_set_tx_need_wakeup" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x463d868f, "xp_set_rxq_info" },
	{ 0x17043a59, "flow_rule_match_vlan" },
	{ 0x4a015c07, "xdp_rxq_info_unreg" },
	{ 0x305fd6c, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb3c1b935, "__xdp_rxq_info_reg" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xac3532aa, "mdiobus_get_phy" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xd1ed174b, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1fd2121d, "hrtimer_cancel" },
	{ 0xd8e69c10, "xp_free" },
	{ 0x7a8975a1, "single_release" },
	{ 0x43db83a6, "xpcs_create" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc019db3a, "xdp_master_redirect" },
	{ 0xa778dd85, "fwnode_handle_put" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0xb8dcadd5, "eth_header_parse_protocol" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x35c14bf, "single_open" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x7cfd6fb4, "mdio_device_free" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa1d9d260, "ethtool_op_get_ts_info" },
	{ 0xa418bc72, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc1c0b900, "__dev_fwnode" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0x19c3c5fe, "page_pool_put_unrefed_page" },
	{ 0x12d868, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1a9beed1, "mdiobus_alloc_size" },
	{ 0xa71c3edf, "__tracepoint_xdp_exception" },
	{ 0xc0cab81a, "xsk_tx_completed" },
	{ 0x8384b2c3, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb342d84c, "xp_alloc" },
	{ 0x5e488078, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x94220aca, "bpf_prog_put" },
	{ 0x1a318d01, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe6e3c08a, "xp_dma_map" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x6838dabd, "eth_mac_addr" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x421c7641, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7c30eca, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7700a2bc, "netdev_update_features" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcdfff301, "bpf_warn_invalid_xdp_action" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0x9fbd205a, "xdp_convert_zc_to_xdp_frame" },
	{ 0xdd568e80, "xdp_features_set_redirect_target" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x19d134b7, "hrtimer_init" },
	{ 0x9d91779, "skb_add_rx_frag" },
	{ 0x904600d, "get_device_system_crosststamp" },
	{ 0x4b4e5e25, "ptp_clock_index" },
	{ 0xdd5c8080, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb4b50f48, "page_pool_destroy" },
	{ 0xf96acc79, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xfbd1fb7a, "flow_rule_match_ipv4_addrs" },
	{ 0xb8feb7d0, "xdp_rxq_info_unreg_mem_model" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "phylink,pcs_xpcs,libphy");


MODULE_INFO(srcversion, "FC508F78987E90A9E083DF5");

MODULE_INFO(suserelease, "SLFO-1.0");
