#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ipvlan_count_rx, 0x23bd9546, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x8239ecfa, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x5b95c417, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xbd29e698, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x157191aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0c88428, "netdev_rx_handler_unregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8c278d18, "eth_header_cache_update" },
	{ 0xf5d602f7, "nf_register_net_hooks" },
	{ 0x5af19af6, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6c6af8d1, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0xf9e8d198, "rtnl_link_unregister" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2cc48783, "netif_stacked_transfer_operstate" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x45705117, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xdb696ba9, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x309a9923, "ns_capable" },
	{ 0x22c2952, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0xcc1191b8, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x373722bb, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa91f7028, "vlan_vid_add" },
	{ 0x7f770803, "call_netdevice_notifiers" },
	{ 0xd58f04c5, "vlan_vid_del" },
	{ 0xca6d2b12, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x92a5ab61, "dst_release" },
	{ 0xdec37bf3, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x69a91a9f, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x6c68465d, "dev_mc_unsync" },
	{ 0xfa8c7f51, "dev_change_flags" },
	{ 0x2be26259, "netdev_core_stats_inc" },
	{ 0x9cc526b3, "dev_forward_skb" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd36b08e6, "register_netdevice" },
	{ 0xd6b0af61, "__do_once_done" },
	{ 0xeea790b, "ip6_route_input_lookup" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd5bc826d, "dev_pre_changeaddr_notify" },
	{ 0xad2e7c59, "dev_mc_sync" },
	{ 0xbf048203, "ida_destroy" },
	{ 0xbda0767a, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7700a2bc, "netdev_update_features" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x910a67e4, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x60156976, "dev_uc_sync" },
	{ 0xf49097d6, "rtnl_link_register" },
	{ 0xe67cb674, "netif_inherit_tso_max" },
	{ 0x2f8781c0, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0xa23db88d, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x13a957e0, "dev_uc_unsync" },
	{ 0x8195bbc6, "ether_setup" },
	{ 0xfea4485, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6534a401, "netdev_upper_dev_link" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xd61ee3bd, "eth_header_parse" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "818813A30F65F8B1B451D81");

MODULE_INFO(suserelease, "SLFO-1.0");
