#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macsec_pn_wrapped, 0x033dc591, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x463d0a47, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x28297689, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26cedb72, "linkwatch_fire_event" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xdec37bf3, "netdev_rx_handler_register" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xfc8e850a, "skb_copy" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xd54932ce, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xd98d4505, "skb_to_sgvec" },
	{ 0x98dbdea, "crypto_aead_encrypt" },
	{ 0x479f9e96, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x55b9d368, "skb_clone" },
	{ 0xd0bcd606, "__netif_rx" },
	{ 0x91211f97, "crypto_aead_decrypt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf0c88428, "netdev_rx_handler_unregister" },
	{ 0xc11f1c1b, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0x6c68465d, "dev_mc_unsync" },
	{ 0x13a957e0, "dev_uc_unsync" },
	{ 0x7432c75, "dev_uc_del" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x678184ec, "dev_uc_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x711c9259, "genlmsg_put" },
	{ 0x8007fa90, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf49097d6, "rtnl_link_register" },
	{ 0xd710ff22, "genl_register_family" },
	{ 0xf9e8d198, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbbf11f6d, "crypto_alloc_aead" },
	{ 0x4ad42a08, "crypto_aead_setkey" },
	{ 0xc83edfe6, "crypto_aead_setauthsize" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x148098cd, "___pskb_trim" },
	{ 0x8195bbc6, "ether_setup" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xad2e7c59, "dev_mc_sync" },
	{ 0x60156976, "dev_uc_sync" },
	{ 0xca6d2b12, "dev_set_allmulti" },
	{ 0x82c12f57, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x57645eb0, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x34c2a4b0, "gro_cells_init" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0xd3fce63e, "gro_cells_receive" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0xd36b08e6, "register_netdevice" },
	{ 0x6534a401, "netdev_upper_dev_link" },
	{ 0x45705117, "netdev_upper_dev_unlink" },
	{ 0xa23db88d, "unregister_netdevice_queue" },
	{  0xc9b3d, "metadata_dst_alloc" },
	{ 0x2cc48783, "netif_stacked_transfer_operstate" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C926E3BBFB47903E3AB32B");

MODULE_INFO(suserelease, "SLFO-1.0");
