#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(phy_print_status, 0xd901941f, "");
SYMBOL_CRC(phy_get_rate_matching, 0x0623ff6b, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x34873c0d, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x06dc7890, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x0c67b603, "");
SYMBOL_CRC(phy_mii_ioctl, 0x7c619f22, "");
SYMBOL_CRC(phy_do_ioctl, 0xb3ea5b36, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x737657c9, "");
SYMBOL_CRC(phy_queue_state_machine, 0x56aa73d4, "");
SYMBOL_CRC(phy_trigger_machine, 0x47eb73d8, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x0eac9372, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x0b900dc0, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0xc7b26604, "");
SYMBOL_CRC(phy_start_cable_test, 0x055f8a86, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xf091e24e, "");
SYMBOL_CRC(phy_config_aneg, 0x3336db5f, "");
SYMBOL_CRC(phy_start_aneg, 0x1f0785ab, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x9a19d939, "");
SYMBOL_CRC(phy_speed_down, 0x42df023c, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x862a80ba, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x977f875a, "_gpl");
SYMBOL_CRC(phy_error, 0x7d187600, "");
SYMBOL_CRC(phy_request_interrupt, 0x990f0289, "");
SYMBOL_CRC(phy_free_interrupt, 0xdfdcb481, "");
SYMBOL_CRC(phy_stop, 0x207d82c7, "");
SYMBOL_CRC(phy_start, 0x21ec4ab1, "");
SYMBOL_CRC(phy_mac_interrupt, 0x94cdecd3, "");
SYMBOL_CRC(phy_init_eee, 0xb5562789, "");
SYMBOL_CRC(phy_get_eee_err, 0xf79f54c8, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x9a0ec13a, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x98d8b120, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x032db427, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x52d83331, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x97223cdc, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x6bb43957, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0xeb654aaa, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0xdb2393f7, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x8d143637, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x424765d6, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0xd29392d2, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x9270f9ce, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x2e34b8fb, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x8a84f984, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xd5fee19d, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x32ff0c1e, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x9e9743ee, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x92e5074c, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x26ff7b20, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x923c13f4, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x4682ac99, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0xccc4d14d, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x8083012d, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x3ee88c71, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x189db8f3, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0xc7d33a26, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x0e0a5e88, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0xd06a2c73, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x6164f1c4, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x1c557de9, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0xcfb0ab27, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x214ef853, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x8c5f2617, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x49abc056, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0xd4d25a95, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x0d3fb7d4, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x98a2ec1b, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x551bba82, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0xa999b958, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x57f67a61, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x2cfeacdb, "");
SYMBOL_CRC(phy_read_mmd, 0xd41dc434, "");
SYMBOL_CRC(__phy_write_mmd, 0x17f28e4a, "");
SYMBOL_CRC(phy_write_mmd, 0x2a1b56c4, "");
SYMBOL_CRC(phy_modify_changed, 0x9490e756, "_gpl");
SYMBOL_CRC(__phy_modify, 0x5df903c7, "_gpl");
SYMBOL_CRC(phy_modify, 0x53141230, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xc292434d, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x55cd5381, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0xda059a25, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0xdbc4101a, "_gpl");
SYMBOL_CRC(phy_save_page, 0xb9f93669, "_gpl");
SYMBOL_CRC(phy_select_page, 0x897fff1c, "_gpl");
SYMBOL_CRC(phy_restore_page, 0xc4db7993, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x740a578e, "");
SYMBOL_CRC(phy_write_paged, 0x37f002d5, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x2165e7a6, "");
SYMBOL_CRC(phy_modify_paged, 0x1c28fc95, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0xa574836a, "");
SYMBOL_CRC(phy_register_fixup, 0x0f185ab9, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x1d7908c4, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0xe68c77b6, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x147c7988, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x4e528003, "");
SYMBOL_CRC(get_phy_device, 0x2efbcb1e, "");
SYMBOL_CRC(phy_device_register, 0x10911bd0, "");
SYMBOL_CRC(phy_device_remove, 0xe266b2e7, "");
SYMBOL_CRC(phy_get_c45_ids, 0xdb85edd0, "");
SYMBOL_CRC(phy_find_first, 0x33f098c2, "");
SYMBOL_CRC(phy_connect_direct, 0x72640a2c, "");
SYMBOL_CRC(phy_connect, 0x7d73b722, "");
SYMBOL_CRC(phy_disconnect, 0x95683102, "");
SYMBOL_CRC(phy_init_hw, 0xe8a51eb9, "");
SYMBOL_CRC(phy_attached_info, 0xdd5c8080, "");
SYMBOL_CRC(phy_attached_info_irq, 0x88ab0cba, "");
SYMBOL_CRC(phy_attached_print, 0x39c04251, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x4f280166, "");
SYMBOL_CRC(phy_attach_direct, 0x8bd2dc58, "");
SYMBOL_CRC(phy_attach, 0xe343b006, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x9b0bd0cb, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x86faf23f, "_gpl");
SYMBOL_CRC(phy_package_join, 0x7207fa7c, "_gpl");
SYMBOL_CRC(phy_package_leave, 0xffc9e6ef, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0xa4c18d09, "_gpl");
SYMBOL_CRC(phy_detach, 0x7b550726, "");
SYMBOL_CRC(phy_suspend, 0x8c7292b7, "");
SYMBOL_CRC(__phy_resume, 0x1f5962e2, "");
SYMBOL_CRC(phy_resume, 0x2be8cd57, "");
SYMBOL_CRC(phy_loopback, 0xd71e6cfa, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0xe8a9b9d2, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x657e0cd8, "");
SYMBOL_CRC(genphy_setup_forced, 0xbd6b5281, "");
SYMBOL_CRC(genphy_read_master_slave, 0xce94a711, "");
SYMBOL_CRC(genphy_restart_aneg, 0xcd2c718d, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0xe641c185, "");
SYMBOL_CRC(__genphy_config_aneg, 0x47602882, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x91a21c42, "");
SYMBOL_CRC(genphy_aneg_done, 0x9f83a463, "");
SYMBOL_CRC(genphy_update_link, 0x00c4e8a5, "");
SYMBOL_CRC(genphy_read_lpa, 0x755ae44f, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x00200583, "");
SYMBOL_CRC(genphy_read_status, 0x82dd77b2, "");
SYMBOL_CRC(genphy_c37_read_status, 0xaf094052, "");
SYMBOL_CRC(genphy_soft_reset, 0x244c9b00, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x09ff7905, "");
SYMBOL_CRC(genphy_read_abilities, 0x998d6f2e, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x9ecaa837, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x84e4f02f, "");
SYMBOL_CRC(genphy_suspend, 0x6eefcfff, "");
SYMBOL_CRC(genphy_resume, 0x0ecf919e, "");
SYMBOL_CRC(genphy_loopback, 0x9c88acf7, "");
SYMBOL_CRC(phy_remove_link_mode, 0x1dac1ac7, "");
SYMBOL_CRC(phy_advertise_supported, 0xaf3abc29, "");
SYMBOL_CRC(phy_support_sym_pause, 0x3b0be5d1, "");
SYMBOL_CRC(phy_support_asym_pause, 0xecb49cff, "");
SYMBOL_CRC(phy_set_sym_pause, 0xd526c1b9, "");
SYMBOL_CRC(phy_set_asym_pause, 0x5fbac89d, "");
SYMBOL_CRC(phy_validate_pause, 0xec690f72, "");
SYMBOL_CRC(phy_get_pause, 0x82f3dacc, "");
SYMBOL_CRC(phy_get_internal_delay, 0x4814f511, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x921b3c69, "");
SYMBOL_CRC(fwnode_phy_find_device, 0xd3f5664a, "");
SYMBOL_CRC(device_phy_find_device, 0x3aed8015, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x224ec403, "_gpl");
SYMBOL_CRC(phy_driver_register, 0xcb5b3636, "");
SYMBOL_CRC(phy_drivers_register, 0x74996ec8, "");
SYMBOL_CRC(phy_driver_unregister, 0xa3cfd75e, "");
SYMBOL_CRC(phy_drivers_unregister, 0xc9fceccc, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x9d93dd25, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x30edabcf, "");
SYMBOL_CRC(mdiobus_get_phy, 0xac3532aa, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xdaa56fda, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x1a9beed1, "");
SYMBOL_CRC(mdio_find_bus, 0xa4682a9a, "");
SYMBOL_CRC(mdiobus_scan_c22, 0xf59b893f, "");
SYMBOL_CRC(__mdiobus_register, 0xd1ed174b, "");
SYMBOL_CRC(mdiobus_unregister, 0x91c8b4b3, "");
SYMBOL_CRC(mdiobus_free, 0x9b7283e4, "");
SYMBOL_CRC(__mdiobus_read, 0xf819f5e5, "");
SYMBOL_CRC(__mdiobus_write, 0x4821e15f, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0xc00e6d74, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x1429f8d6, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x1c693201, "");
SYMBOL_CRC(mdiobus_read_nested, 0xeb9ca572, "");
SYMBOL_CRC(mdiobus_read, 0x700ac814, "");
SYMBOL_CRC(mdiobus_c45_read, 0x7d14aaa9, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x6f1a41ff, "");
SYMBOL_CRC(mdiobus_write_nested, 0x4f5d2411, "");
SYMBOL_CRC(mdiobus_write, 0x3d61b7c7, "");
SYMBOL_CRC(mdiobus_c45_write, 0x5890ff81, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0x8e7d9081, "");
SYMBOL_CRC(mdiobus_modify, 0x6b80a830, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x78868713, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0xdbcf2963, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0x9ffce6b0, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0xd3b8dc03, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x7cfd6fb4, "");
SYMBOL_CRC(mdio_device_create, 0xbb426031, "");
SYMBOL_CRC(mdio_device_register, 0x42749291, "");
SYMBOL_CRC(mdio_device_remove, 0x39a6139d, "");
SYMBOL_CRC(mdio_device_reset, 0xa1cd2190, "");
SYMBOL_CRC(mdio_driver_register, 0x6902666e, "");
SYMBOL_CRC(mdio_driver_unregister, 0x2e180efe, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x353d74dc, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x269e538f, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x2bbe75d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc778c27, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf555f7d2, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x3308551e, "gpiod_set_value_cansleep" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x2b4c2f94, "refcount_dec_and_mutex_lock" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0x81142b3e, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xc371dd8f, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf55b0d8, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4592b914, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xf09201b1, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x948f2719, "module_put" },
	{ 0xef2cf1bd, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x63527824, "bus_unregister" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x6684685b, "_dev_err" },
	{ 0xf47cf17c, "bus_find_device" },
	{ 0xb3f0248b, "device_add" },
	{ 0x3fa93767, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x2b9d5afa, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x58bd52b1, "is_acpi_data_node" },
	{ 0x121eca77, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xd574131, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xc2d7076a, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6ea15b35, "device_register" },
	{ 0xc6465c4c, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xea1009bf, "device_bind_driver" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb6ddae7c, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe05fbe1, "netdev_alert" },
	{ 0x1483e1d3, "ethnl_cable_test_alloc" },
	{ 0x943db86, "fwnode_find_reference" },
	{ 0x5e10afd9, "fwnode_property_read_string" },
	{ 0xdd64e639, "strscpy" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x26cedb72, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb27a5ca2, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xbb56210, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2b0ae3e8, "led_trigger_register" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0x988020ad, "gpiod_get_optional" },
	{ 0x57d88a60, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x2724b61, "sysfs_create_link_nowarn" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x50ec4dc9, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa778dd85, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x72c484a3, "led_trigger_event" },
	{ 0x537e2a81, "device_release_driver" },
	{ 0xf0f6710c, "ethnl_cable_test_free" },
	{ 0xf6a9a3f2, "gpiod_set_consumer_name" },
	{ 0x96925f31, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1aef77de, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc1c0b900, "__dev_fwnode" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x65c98671, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0xf810d126, "class_find_device" },
	{ 0xb4c13791, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x9cd67e7, "gpiod_put" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x596b04d2, "sysfs_create_file_ns" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9DF373F614E0405E4D6D762");

MODULE_INFO(suserelease, "SLFO-1.0");
