#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c28fc95, "phy_modify_paged" },
	{ 0xf819f5e5, "__mdiobus_read" },
	{ 0x897fff1c, "phy_select_page" },
	{ 0x4821e15f, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4db7993, "phy_restore_page" },
	{ 0x37f002d5, "phy_write_paged" },
	{ 0x700ac814, "mdiobus_read" },
	{ 0x53141230, "phy_modify" },
	{ 0x244c9b00, "genphy_soft_reset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7e9e38c7, "ethnl_cable_test_pulse" },
	{ 0x6d05ce77, "ethnl_cable_test_step" },
	{ 0x5df903c7, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x3e411ace, "sfp_select_interface" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x6684685b, "_dev_err" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb9f93669, "phy_save_page" },
	{ 0x47eb73d8, "phy_trigger_machine" },
	{ 0x7d187600, "phy_error" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9f211778, "devm_hwmon_device_register_with_info" },
	{ 0xc9fceccc, "phy_drivers_unregister" },
	{ 0x3d61b7c7, "mdiobus_write" },
	{ 0x49abc056, "genphy_c45_ethtool_get_eee" },
	{ 0x3336db5f, "phy_config_aneg" },
	{ 0x4f280166, "phy_sfp_probe" },
	{ 0x755ae44f, "genphy_read_lpa" },
	{ 0x551bba82, "phy_resolve_aneg_pause" },
	{ 0xc4e8a5, "genphy_update_link" },
	{ 0x200583, "genphy_read_status_fixed" },
	{ 0x6eefcfff, "genphy_suspend" },
	{ 0xecf919e, "genphy_resume" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9490e756, "phy_modify_changed" },
	{ 0x47602882, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe641c185, "genphy_check_and_restart_aneg" },
	{ 0xbd6b5281, "genphy_setup_forced" },
	{ 0x2165e7a6, "phy_modify_paged_changed" },
	{ 0x998d6f2e, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x7403a75d, "ethnl_cable_test_result" },
	{ 0x1356ab03, "ethnl_cable_test_fault_length" },
	{ 0x510f540f, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x74996ec8, "phy_drivers_register" },
	{ 0x740a578e, "phy_read_paged" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "A34A5C7054A031590BAEE22");

MODULE_INFO(suserelease, "SLFO-1.0");
