#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7403a75d, "ethnl_cable_test_result" },
	{ 0x1356ab03, "ethnl_cable_test_fault_length" },
	{ 0x244c9b00, "genphy_soft_reset" },
	{ 0x9ecaa837, "genphy_read_mmd_unsupported" },
	{ 0x84e4f02f, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x74996ec8, "phy_drivers_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6eefcfff, "genphy_suspend" },
	{ 0x700ac814, "mdiobus_read" },
	{ 0xecf919e, "genphy_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2a1b56c4, "phy_write_mmd" },
	{ 0x3d61b7c7, "mdiobus_write" },
	{ 0x82dd77b2, "genphy_read_status" },
	{ 0x53141230, "phy_modify" },
	{ 0xd41dc434, "phy_read_mmd" },
	{ 0xcd2c718d, "genphy_restart_aneg" },
	{ 0x47eb73d8, "phy_trigger_machine" },
	{ 0x7d187600, "phy_error" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x2d0bb198, "ptp_classify_raw" },
	{ 0x2867a505, "ptp_parse_header" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x4e6f1655, "skb_complete_tx_timestamp" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x4821e15f, "__mdiobus_write" },
	{ 0xf819f5e5, "__mdiobus_read" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6684685b, "_dev_err" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc9fceccc, "phy_drivers_unregister" },
	{ 0x47602882, "__genphy_config_aneg" },
	{ 0x998d6f2e, "genphy_read_abilities" },
	{ 0x30110a29, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe8a51eb9, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdbc4101a, "phy_modify_mmd" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0x92997ed8, "_printk" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xa4c18d09, "devm_phy_package_join" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0xf6a9a3f2, "gpiod_set_consumer_name" },
	{ 0x3308551e, "gpiod_set_value_cansleep" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x649861b1, "ptp_clock_register" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0xc32057e0, "ptp_find_pin_unlocked" },
	{ 0xbccf8f54, "ptp_clock_event" },
	{ 0xd910273e, "devm_clk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "0E66A91E1DB28133B52F458");

MODULE_INFO(suserelease, "SLFO-1.0");
