#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tap_del_queues, 0x2484de95, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x2a2d43b8, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xfe809983, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xabec3f29, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xef5eb7af, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x621b3086, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xf23c85a0, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xc0f82204, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xf16f2529, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfea4485, "netdev_err" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xf8acf863, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0x6f7c400c, "cdev_add" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb89613fd, "idr_find" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xe5c5f64a, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdccf374a, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x77ffd2fd, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0xe812b8f4, "_copy_to_iter" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0xd55ecd56, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x9fa89659, "__skb_gso_segment" },
	{ 0x818b7764, "__skb_get_hash" },
	{ 0xc76b14cb, "skb_checksum_help" },
	{ 0x4fd3c03a, "kfree_skb_list_reason" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xcf03cf3, "__skb_flow_dissect" },
	{ 0x19b82ba0, "skb_partial_csum_set" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xa00288e4, "iov_iter_npages" },
	{ 0x2f1f3bfa, "sock_alloc_send_pskb" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x258aac73, "zerocopy_sg_from_iter" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x80867580, "skb_copy_datagram_from_iter" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x4edcdcb0, "build_skb" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F9A852BE52DBB202C5EBCC8");

MODULE_INFO(suserelease, "SLFO-1.0");
