#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83d5480a, "usbnet_update_max_qlen" },
	{ 0xec3624bd, "usbnet_suspend" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe045d7d1, "eth_platform_get_mac_address" },
	{ 0x3afa5a95, "mii_nway_restart" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcb229052, "usbnet_resume" },
	{ 0xa11273b0, "usbnet_get_endpoints" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa9e5b5fe, "netif_set_tso_max_size" },
	{ 0xc43cdbad, "mii_ethtool_gset" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0x9906070b, "usbnet_probe" },
	{ 0x7eba1d2f, "usbnet_open" },
	{ 0xc29d6c1d, "usbnet_stop" },
	{ 0x5264d2dd, "usbnet_start_xmit" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x48c614da, "usbnet_tx_timeout" },
	{ 0x737ac4b3, "dev_get_tstats64" },
	{ 0xaccdc4c5, "usbnet_get_msglevel" },
	{ 0xd70f4595, "usbnet_set_msglevel" },
	{ 0xdb85b400, "usbnet_nway_reset" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0xa1d9d260, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x93bd6547, "usbnet_read_cmd" },
	{ 0xc6920ead, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc62f9950, "mii_ethtool_set_link_ksettings" },
	{ 0x97c34f15, "mii_ethtool_get_link_ksettings" },
	{ 0xa087cd92, "generic_mii_ioctl" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0x553e1b75, "usbnet_disconnect" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0x52e70137, "usbnet_link_change" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0xa78623f3, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8007fa90, "skb_trim" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x86ef34a2, "usbnet_skb_return" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x5f16ce5a, "usbnet_write_cmd" },
	{ 0x7fa2208f, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x13aa6d2e, "__dynamic_netdev_dbg" },
	{ 0xfea4485, "netdev_err" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "27FBDDB0E5DCFD79B7066BD");

MODULE_INFO(suserelease, "SLFO-1.0");
