#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cdc_ncm_change_mtu, 0xe1197161, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x89274c31, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x5b09efb4, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x9fc5353b, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x1e25312d, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x80f63b1f, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x502d70dd, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x8858b90a, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x8f010cea, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x1578bffb, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xf0c81522, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83d5480a, "usbnet_update_max_qlen" },
	{ 0xc1c4f04e, "usbnet_unlink_rx_urbs" },
	{ 0xcfae30c9, "netif_tx_lock" },
	{ 0x5264d2dd, "usbnet_start_xmit" },
	{ 0xc7d54553, "netif_tx_unlock" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x5f16ce5a, "usbnet_write_cmd" },
	{ 0xcecbca75, "hrtimer_active" },
	{ 0xe10e5b9d, "hrtimer_start_range_ns" },
	{ 0x93bd6547, "usbnet_read_cmd" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x86ef34a2, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x19d134b7, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x956bbf65, "cdc_parse_cdc_header" },
	{ 0xcbeca54e, "usb_ifnum_to_if" },
	{ 0xceb29a39, "usb_driver_claim_interface" },
	{ 0xf3531747, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4c5f5f45, "usbnet_get_ethernet_addr" },
	{ 0x6684685b, "_dev_err" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xa97b0f1b, "usbnet_manage_power" },
	{ 0xefad21c8, "usbnet_cdc_update_filter" },
	{ 0x7eba1d2f, "usbnet_open" },
	{ 0xc29d6c1d, "usbnet_stop" },
	{ 0x6a2e5f73, "usbnet_set_rx_mode" },
	{ 0x6838dabd, "eth_mac_addr" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x48c614da, "usbnet_tx_timeout" },
	{ 0x737ac4b3, "dev_get_tstats64" },
	{ 0x79c17d70, "usbnet_get_drvinfo" },
	{ 0xaccdc4c5, "usbnet_get_msglevel" },
	{ 0xd70f4595, "usbnet_set_msglevel" },
	{ 0xdb85b400, "usbnet_nway_reset" },
	{ 0x95bd08d8, "usbnet_get_link" },
	{ 0xa1d9d260, "ethtool_op_get_ts_info" },
	{ 0x49c4a6a2, "usbnet_get_link_ksettings_internal" },
	{ 0x9906070b, "usbnet_probe" },
	{ 0x553e1b75, "usbnet_disconnect" },
	{ 0xec3624bd, "usbnet_suspend" },
	{ 0xcb229052, "usbnet_resume" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fd2121d, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xbf65e449, "usb_driver_release_interface" },
	{ 0xd4c839eb, "usb_altnum_to_altsetting" },
	{ 0x13aa6d2e, "__dynamic_netdev_dbg" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0x52e70137, "usbnet_link_change" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "SLFO-1.0");
