#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(orinoco_open, 0x5d120ac0, "");
SYMBOL_CRC(orinoco_stop, 0xd9b26fa3, "");
SYMBOL_CRC(orinoco_set_multicast_list, 0x4e829c17, "");
SYMBOL_CRC(orinoco_change_mtu, 0x76036490, "");
SYMBOL_CRC(orinoco_process_xmit_skb, 0x7985a0ad, "");
SYMBOL_CRC(orinoco_tx_timeout, 0x85a8c555, "");
SYMBOL_CRC(__orinoco_ev_rx, 0xbeea8f7e, "");
SYMBOL_CRC(__orinoco_ev_info, 0xa7aafed6, "");
SYMBOL_CRC(orinoco_interrupt, 0xffe27bca, "");
SYMBOL_CRC(orinoco_init, 0x5b98e09f, "");
SYMBOL_CRC(alloc_orinocodev, 0x55e93ce9, "");
SYMBOL_CRC(orinoco_if_add, 0xadb4a7d8, "");
SYMBOL_CRC(orinoco_if_del, 0x8189fc3a, "");
SYMBOL_CRC(free_orinocodev, 0x9c6c9554, "");
SYMBOL_CRC(orinoco_up, 0x8fc5d9fd, "");
SYMBOL_CRC(orinoco_down, 0xde98bc41, "");
SYMBOL_CRC(hermes_struct_init, 0xfa28fa89, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e641c8, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6684685b, "_dev_err" },
	{ 0x5005a0c3, "crypto_shash_setkey" },
	{ 0x9a29ba99, "cfg80211_wext_giwfrag" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa31de3de, "wireless_send_event" },
	{ 0xb1f02766, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5c54909a, "free_netdev" },
	{ 0xe1c6a516, "iw_handler_get_spy" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3930a5a6, "wireless_spy_update" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35d5928, "cfg80211_wext_siwmode" },
	{ 0xe52237ed, "_dev_notice" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x275aa733, "crypto_shash_final" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc459c3e9, "cfg80211_wext_giwretry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xfb72afe6, "cfg80211_wext_siwscan" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0x91c77726, "cfg80211_inform_bss_data" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x2281fa0a, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x5688bb0b, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6838dabd, "eth_mac_addr" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x326eb49e, "cfg80211_scan_done" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xa181d0f7, "cfg80211_wext_siwfrag" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0x8683e429, "cfg80211_wext_giwrts" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0xfba83142, "cfg80211_wext_giwscan" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5dcd39af, "cfg80211_wext_giwname" },
	{ 0x37a0cba, "kfree" },
	{ 0x151bca92, "iw_handler_set_spy" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0x198c9a25, "dev_kfree_skb_irq_reason" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x38f53346, "cfg80211_wext_giwmode" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfc4171c8, "cfg80211_wext_giwrange" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x551481f8, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xaab3d1a2, "iw_handler_get_thrspy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x29b77f48, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x81deafdf, "cfg80211_put_bss" },
	{ 0xf2f1a92b, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x40c94209, "cfg80211_wext_siwrts" },
	{ 0xff785dd7, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "B1B647A019CEB604DA8EB41");

MODULE_INFO(suserelease, "SLFO-1.0");
