#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76_set_irq_mask, 0x7f354f3b, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x6a2d1cb7, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x73666895, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x975aa0fd, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x68aac1df, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0xf02f2904, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x2b353313, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xb8dcf2de, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x3fba31a3, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0xc4b0f9cd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0xb7d8afa5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x5bea4d53, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xcde438d3, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xea20e08b, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x8003f3b1, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x57694e68, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xacaf6060, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xe15e4cda, "_gpl");
SYMBOL_CRC(mt76_dma_wed_reset, 0xbfc42c31, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x79a86f48, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x5245a88a, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xffd4dddb, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x63967592, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x61343c7e, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x089dc764, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xaabc4f9d, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xa58112d4, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x4f418a3f, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x7c6b51d9, "_gpl");
SYMBOL_CRC(mt76_rx, 0x438addfa, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x1b542542, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xebd981d8, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x7738bbf3, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x61e2ce3e, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xb7298930, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x9336f69b, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x73096e6a, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xe0a003ed, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x9ab9ed7d, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xd8869f04, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xbeeef4df, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x0e74b352, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xcbcb35fa, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x5ffc8b47, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x9fb747af, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xede1a610, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xa5e83f8b, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x2175105e, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x8e797bd9, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xe0e38ac5, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x22976c15, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xbb46e813, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x5add9990, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x4a108202, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x294deb86, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x259f8a25, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xc4200c4a, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x87ccbf80, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x85cb2e1b, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x39161ae7, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x66e69a87, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0xf4738930, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xa0dd8529, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0xb7ef031e, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x284e36d1, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x5cba5cd3, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x5422a656, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x2527ab9b, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x3c0b8f1e, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xac134214, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xb09dc0b8, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x611ef50c, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xad3e6876, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xff1b5713, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xc05cca4f, "_gpl");
SYMBOL_CRC(mt76_tx, 0x7e45b839, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x1c2b2140, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x6435c632, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x6315e267, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xf68364ee, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x5acc791c, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xea1a156c, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xf789f20b, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xf8ac547a, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x5deaa71b, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xdc758ca6, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x3c34fea1, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x49cf5355, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xb2e9ecae, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xae51ec3d, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x376503f7, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x6171395c, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xaac7cbf1, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x791e3eee, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x3bbb35f1, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xe3a72604, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x9708bc70, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x63451850, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xffd48893, "debugfs_create_blob" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xb4b50f48, "page_pool_destroy" },
	{ 0x234732cb, "ieee80211_register_hw" },
	{ 0x2a14fb1, "led_classdev_unregister" },
	{ 0x760b4f3e, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x84fef088, "ieee80211_sta_eosp" },
	{ 0x1b372514, "ieee80211_get_hdrlen_from_skb" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xaf339a1b, "__netif_napi_del" },
	{ 0x37e5f646, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf7596996, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0x557cc816, "ieee80211_get_tx_rates" },
	{ 0x2ed25e1, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd144f5ff, "ieee80211_sta_uapsd_trigger" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x16bab5f2, "debugfs_create_devm_seqfile" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x7108d077, "idr_get_next" },
	{ 0x36f147a9, "pci_disable_link_state" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xbdcddcf2, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xf14577c2, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xb06e4a08, "debugfs_attr_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0x63562880, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x6684685b, "_dev_err" },
	{ 0x9ebf61f6, "debugfs_create_file_unsafe" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0xa7607adf, "simple_attr_release" },
	{ 0xd4bd09db, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4bc6e0f1, "ieee80211_find_sta_by_ifaddr" },
	{ 0x38b1c0ea, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdaf18f78, "pcie_capability_clear_and_set_word_locked" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xf43297ae, "napi_enable" },
	{ 0x3ef89043, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xa1ff1910, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0xa2e1a954, "ieee80211_free_txskb" },
	{ 0x3baa619d, "led_classdev_register_ext" },
	{ 0x279dd65d, "ieee80211_alloc_hw_nm" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0xf9e502a8, "ieee80211_tx_dequeue" },
	{ 0xe8335f98, "ieee80211_rx_list" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0xc128bbb2, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a41a6e9, "debugfs_create_u32" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0xd02482a7, "cfg80211_reg_can_beacon" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xf77afc2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b393a68, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x87d981b0, "napi_build_skb" },
	{ 0x2c0cea08, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xd2c3f8da, "ieee80211_sta_ps_transition" },
	{ 0xbf453c8b, "debugfs_create_u8" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xcd3733ad, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x94d56c1, "ieee80211_csa_finish" },
	{ 0x19c3c5fe, "page_pool_put_unrefed_page" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc96de3e6, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa387139e, "pcie_capability_read_word" },
	{ 0x114e135c, "__skb_pad" },
	{ 0x8bc7a434, "page_pool_get_stats" },
	{ 0xa2842bcc, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5485eef2, "__ieee80211_schedule_txq" },
	{ 0xea289ac2, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x63e098df, "page_pool_alloc_frag" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc30da2ed, "dmam_alloc_attrs" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xf601d10d, "ieee80211_free_hw" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xbdca5032, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x9d91779, "skb_add_rx_frag" },
	{ 0xcf4a01c8, "ieee80211_tx_status_ext" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "D43055544F29289B2703B1D");

MODULE_INFO(suserelease, "SLFO-1.0");
