#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7615_mac_sta_add, 0xef3bdbeb, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x251bfb1a, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x59c696bb, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x7cc8cc07, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x51066192, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x4006af11, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x24dc815c, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0xcd42ed87, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0xd6f938f0, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0xcffb62a1, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x70178514, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x9e0509e6, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xcd1086e3, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0xeb59c13e, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0xb7a250bc, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0xdfb73487, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0x20cc4ef8, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0xa619770f, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x3a654972, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x8e413a39, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x8a8541e4, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xe2fbd17e, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0x0897d5cb, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0xee3f4d98, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x9e4f612a, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x97a1d466, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x40fe52e0, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xbc676723, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x3174a008, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0xa3279867, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40a9b349, "vzalloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xa505f81a, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0x531547a1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x438addfa, "mt76_rx" },
	{ 0x1127ecd1, "mt76_connac_mcu_sched_scan_req" },
	{ 0x11757e17, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x582101c2, "mt76_connac_mcu_uni_add_bss" },
	{ 0xc4200c4a, "mt76_phy_dfs_state" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x9db84f66, "wiphy_to_ieee80211_hw" },
	{ 0xb06e4a08, "debugfs_attr_read" },
	{ 0x5a3a6957, "mt76_connac_mcu_hw_scan" },
	{ 0xb09dc0b8, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0x5422a656, "mt76_eeprom_init" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x6684685b, "_dev_err" },
	{ 0xc71d6128, "simple_open" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x9ebf61f6, "debugfs_create_file_unsafe" },
	{ 0xe3a72604, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xa7607adf, "simple_attr_release" },
	{ 0xebd981d8, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc1fe4fe4, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0x8026852b, "ieee80211_remain_on_channel_expired" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x61e2ce3e, "mt76_set_channel" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xae4d63ae, "ieee80211_wake_queues" },
	{ 0x3bbb35f1, "mt76_mcu_send_and_get_msg" },
	{ 0xe11c7596, "ieee80211_beacon_get_template" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa0dd8529, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcd3fbe6f, "dev_coredumpv" },
	{ 0x6171395c, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0x5028a463, "mt76_connac_pm_dequeue_skbs" },
	{ 0xaab5abf9, "mt76_connac_mcu_set_pm" },
	{ 0xb7298930, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x1775dc5e, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc84c0, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x9708bc70, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a41a6e9, "debugfs_create_u32" },
	{ 0xec94488a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x4a2817aa, "mt76_connac_mcu_start_patch" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xb8dcf2de, "__SCK__tp_func_mac_txdone" },
	{ 0x9ab9ed7d, "mt76_sta_state" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xa386517f, "ieee80211_ready_on_channel" },
	{ 0xc259e4e, "ieee80211_stop_queues" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86960802, "mt76_connac_mcu_del_wtbl_all" },
	{ 0xa78d77c8, "mt76_connac_mcu_init_download" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0xd02482a7, "cfg80211_reg_can_beacon" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5fadf8ed, "mt76_connac_mcu_add_nested_tlv" },
	{ 0xdd64e639, "strscpy" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x860c8cef, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x5cba5cd3, "mt76_get_rate_power_limits" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xeee32776, "ieee80211_sched_scan_results" },
	{ 0x78960bf0, "ieee80211_scan_completed" },
	{ 0xf77afc2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8e797bd9, "mt76_insert_ccmp_hdr" },
	{ 0xf651772c, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbb46e813, "mt76_sw_scan_complete" },
	{ 0xae51ec3d, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x18296909, "mt76_connac_mcu_start_firmware" },
	{ 0x975aa0fd, "____mt76_poll_msec" },
	{ 0xa33e50cb, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd0959572, "mt76_connac_mcu_rdd_cmd" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x5201fb97, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9fb747af, "mt76_get_sar_power" },
	{ 0x61343c7e, "mt76_unregister_phy" },
	{ 0x63967592, "mt76_register_phy" },
	{ 0x1bb0480b, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xcde438d3, "mt76_put_txwi" },
	{ 0xe74b352, "mt76_wcid_cleanup" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xb3a7efcd, "ieee80211_radar_detected" },
	{ 0x85af6fad, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x6583bba5, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x7a8975a1, "single_release" },
	{ 0x22976c15, "mt76_sw_scan" },
	{ 0x87ccbf80, "mt76_queues_read" },
	{ 0x77eb40f3, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xd8869f04, "mt76_sta_pre_rcu_remove" },
	{ 0x39161ae7, "mt76_register_debugfs_fops" },
	{ 0x55c75b45, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x816c58b8, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xf5ba6f84, "mt76_connac_mcu_sta_ba" },
	{ 0xcb7e040c, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x7de4f5c6, "ieee80211_queue_work" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x197fbaf7, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x9a72ddb2, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x73666895, "__mt76_poll" },
	{ 0x376503f7, "mt76_rx_aggr_stop" },
	{ 0xbf453c8b, "debugfs_create_u8" },
	{ 0x35c14bf, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x154c0899, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3a8fbe78, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x68aac1df, "mt76_get_min_avg_rssi" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5dac0ddb, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x94d56c1, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbabf1241, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x806d2075, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xc96de3e6, "ieee80211_sta_register_airtime" },
	{ 0x67e6ff58, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0xcf0d949d, "mt76_connac_mcu_sta_tlv" },
	{ 0x5e488078, "device_set_wakeup_enable" },
	{ 0xf68364ee, "mt76_tx_worker_run" },
	{ 0x5ffc8b47, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xac134214, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa2842bcc, "simple_attr_open" },
	{ 0xadcba965, "ieee80211_iterate_interfaces" },
	{ 0xea289ac2, "debugfs_attr_write" },
	{ 0x422bc9b5, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xbdb90e4f, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa53ac4ef, "firmware_request_nowarn" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad3e6876, "mt76_tx_status_skb_get" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x3c0b8f1e, "mt76_tx_status_lock" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xffa93fc1, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x2779fb8b, "debugfs_create_u16" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xf601d10d, "ieee80211_free_hw" },
	{ 0x80910f8d, "mt76_connac_mcu_set_channel_domain" },
	{ 0xc4e569a2, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1c2b2140, "mt76_release_buffered_frames" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xcbcb35fa, "mt76_get_txpower" },
	{ 0xf02f2904, "__tracepoint_mac_txdone" },
	{ 0xed8cc47e, "mt76_connac_pm_wake" },
	{ 0xe0e38ac5, "mt76_get_rate" },
	{ 0xea1a156c, "mt76_wake_tx_queue" },
	{ 0xcf4a01c8, "ieee80211_tx_status_ext" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb247697, "mt76_connac_mcu_chip_config" },
	{ 0x5add9990, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x34bd3197, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0xc05cca4f, "__mt76_tx_complete_skb" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5245a88a, "mt76_set_stream_caps" },
	{ 0xd10cac9b, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1b372514, "ieee80211_get_hdrlen_from_skb" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x10841cd0, "mt76_connac_mcu_update_arp_filter" },
	{ 0x55482a3a, "mt76_connac_mcu_set_vif_ps" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x791e3eee, "mt76_mcu_rx_event" },
	{ 0xffd4dddb, "mt76_alloc_phy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x636c48e5, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbeeef4df, "mt76_wcid_init" },
	{ 0xff1b5713, "mt76_tx_status_check" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x3003b836, "mt76_connac_free_pending_tx_skbs" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x9110042e, "mt76_connac_power_save_sched" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ed25e1, "ieee80211_send_bar" },
	{ 0x49b76f5b, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x3cc4074e, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x16bab5f2, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7e45b839, "mt76_tx" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x4dcb403f, "mt76_connac_mcu_set_mac_enable" },
	{ 0x7108d077, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9336f69b, "mt76_wcid_key_setup" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "23ADDDDF02C5AE459018184");

MODULE_INFO(suserelease, "SLFO-1.0");
