#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71dee8c1, "mt76x02_mcu_parse_response" },
	{ 0x1c2b2140, "mt76_release_buffered_frames" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0xcbcb35fa, "mt76_get_txpower" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x83c40f7a, "mt76x02_dma_disable" },
	{ 0xea1a156c, "mt76_wake_tx_queue" },
	{ 0xd390d544, "mt76x02e_init_beacon_config" },
	{ 0x5add9990, "mt76_get_antenna" },
	{ 0xd10cac9b, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x695f199f, "pci_set_power_state" },
	{ 0x1fdb2c2e, "mt76x02_sta_ps" },
	{ 0xc161eb3c, "mt76x02_sta_rate_tbl_update" },
	{ 0x37e5f646, "kthread_park" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x79a86f48, "mt76_dma_cleanup" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a6b4fb1, "mt76x02_reconfig_complete" },
	{ 0xaabc4f9d, "mt76_alloc_device" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x53b7d111, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8f33e277, "mt76x02_update_channel" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0x63451850, "mt76_pci_disable_aspm" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x8737e0fd, "mt76x02_configure_filter" },
	{ 0x7c6b51d9, "mt76_free_device" },
	{ 0x59421476, "mt76x0_chip_onoff" },
	{ 0x29ce5608, "mt76x02_queue_rx_skb" },
	{ 0x881246cf, "kthread_unpark" },
	{ 0x60c0e2fe, "pcim_iomap_regions" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0xc8ee25e1, "mt76x0_config" },
	{ 0x7219118e, "mt76x0_register_device" },
	{ 0x6684685b, "_dev_err" },
	{ 0xcb2a4eac, "mt76x02_rx_poll_complete" },
	{ 0x669670b1, "mt76x0_phy_calibrate" },
	{ 0x2175105e, "mt76_set_tim" },
	{ 0xa56055c6, "mt76x02_sw_scan_complete" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0xf43297ae, "napi_enable" },
	{ 0x4f56375b, "mt76x02_tx" },
	{ 0x6a2d1cb7, "mt76_mmio_init" },
	{ 0xe92e20cb, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2b593ef7, "mt76x02_sta_add" },
	{ 0x4f418a3f, "mt76_unregister_device" },
	{ 0x43af56b1, "pci_restore_state" },
	{ 0xdd042594, "mt76x0_mac_stop" },
	{ 0xb7298930, "mt76_get_survey" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x2bc84c0, "ieee80211_emulate_add_chanctx" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xec94488a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x5eadf19, "mt76x02_set_rts_threshold" },
	{ 0xbc8047ce, "mt76x02_tx_complete_skb" },
	{ 0x9ab9ed7d, "mt76_sta_state" },
	{ 0x93c9a536, "mt76x02_mcu_msg_send" },
	{ 0x18ceaaea, "mt76x0_init_hardware" },
	{ 0xd269ea59, "mt76x02_bss_info_changed" },
	{ 0xb709e5c3, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x336ea33, "mt76x02_add_interface" },
	{ 0x975aa0fd, "____mt76_poll_msec" },
	{ 0x46c8b8b2, "mt76x02_tx_prepare_skb" },
	{ 0x9e91751e, "mt76x02_mcu_cleanup" },
	{ 0x37ec7157, "mt76x02_ampdu_action" },
	{ 0x287b939e, "mt76x02_conf_tx" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x22976c15, "mt76_sw_scan" },
	{ 0xd8869f04, "mt76_sta_pre_rcu_remove" },
	{ 0x910576aa, "pcim_iomap_table" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x73666895, "__mt76_poll" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x3a8fbe78, "ieee80211_emulate_remove_chanctx" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xb60efe92, "mt76x02_mac_start" },
	{ 0x6b32a0bd, "mt76x02_remove_interface" },
	{ 0xaf83c6f4, "mt76x02_dma_init" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0xc4d2d439, "mt76x0_set_sar_specs" },
	{ 0x3f05ab69, "pci_choose_state" },
	{ 0x9845386f, "mt76x02_set_ethtool_fwver" },
	{ 0x26e64e70, "mt76x02_set_key" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mac80211,mt76x0-common");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0B0A074F965F705E2B57676");

MODULE_INFO(suserelease, "SLFO-1.0");
