#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xebb850c7, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x8737e0fd, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x2b593ef7, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xe92e20cb, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x0336ea33, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x6b32a0bd, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x37ec7157, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x26e64e70, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x287b939e, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xf27e741f, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x53b7d111, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x05eadf19, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xc161eb3c, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x256c9554, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xa56055c6, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x1fdb2c2e, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0xd269ea59, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xa014237f, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x66702ff7, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xb41e4331, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x09d12133, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x99eec0f4, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x8252b32d, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xbc8047ce, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x8f33e277, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x2cd73347, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x536fa06d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x71dee8c1, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x93c9a536, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xe4839aeb, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x06c4ac3b, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xb5143b19, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x9e91751e, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x9845386f, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xdc8cc63e, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x9fc6d602, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x4a6d4076, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xe9bac243, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x817bd376, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x17c18fa3, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x908d6878, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x9f26aa81, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x9ccab384, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x461ed303, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xf1e7e70b, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xf4ffb6d9, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x497010b3, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xd390d544, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xaf83c6f4, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xcb2a4eac, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x83c40f7a, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xb60efe92, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x6a6b4fb1, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x4f56375b, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x29ce5608, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x7d5c8736, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xc19e3e88, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x46c8b8b2, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xe6c48e7c, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x7cffec38, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xb5ba24ad, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x69bc9c99, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x537784f2, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x21492f8f, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x224866fb, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xc12e2830, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5e83f8b, "mt76_csa_check" },
	{ 0x611ef50c, "mt76_tx_status_skb_add" },
	{ 0xf02f2904, "__tracepoint_mac_txdone" },
	{ 0x2527ab9b, "mt76_tx_check_agg_ssn" },
	{ 0xcf4a01c8, "ieee80211_tx_status_ext" },
	{ 0x5acc791c, "mt76_stop_tx_queues" },
	{ 0x148098cd, "___pskb_trim" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc05cca4f, "__mt76_tx_complete_skb" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x282f8386, "ieee80211_restart_hw" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0x1b372514, "ieee80211_get_hdrlen_from_skb" },
	{ 0x37e5f646, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x791e3eee, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbeeef4df, "mt76_wcid_init" },
	{ 0xff1b5713, "mt76_tx_status_check" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x30de17d4, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfd9ad9cd, "napi_complete_done" },
	{ 0x557cc816, "ieee80211_get_tx_rates" },
	{ 0x2ed25e1, "ieee80211_send_bar" },
	{ 0x84c4a643, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x16bab5f2, "debugfs_create_devm_seqfile" },
	{ 0x7e45b839, "mt76_tx" },
	{ 0x9289ce32, "__napi_schedule" },
	{ 0xede1a610, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9336f69b, "mt76_wcid_key_setup" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x531547a1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x438addfa, "mt76_rx" },
	{ 0x881246cf, "kthread_unpark" },
	{ 0xc4200c4a, "mt76_phy_dfs_state" },
	{ 0x9db84f66, "wiphy_to_ieee80211_hw" },
	{ 0x4a108202, "mt76_init_queue" },
	{ 0xb06e4a08, "debugfs_attr_read" },
	{ 0xe0a003ed, "__mt76_sta_remove" },
	{ 0xb09dc0b8, "mt76_tx_status_skb_done" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x6684685b, "_dev_err" },
	{ 0x1abe0dbb, "debugfs_create_bool" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xa7607adf, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb7d8afa5, "__SCK__tp_func_dev_irq" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf43297ae, "napi_enable" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x7738bbf3, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xae4d63ae, "ieee80211_wake_queues" },
	{ 0x3bbb35f1, "mt76_mcu_send_and_get_msg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x191a4141, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6171395c, "__mt76_mcu_msg_alloc" },
	{ 0x7f354f3b, "mt76_set_irq_mask" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0x41f089cf, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a41a6e9, "debugfs_create_u32" },
	{ 0xb8dcf2de, "__SCK__tp_func_mac_txdone" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x85cb2e1b, "mt76_seq_puts_array" },
	{ 0xc259e4e, "ieee80211_stop_queues" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3fba31a3, "__tracepoint_dev_irq" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xaac7cbf1, "mt76_mcu_get_response" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xf77afc2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x6315e267, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xae51ec3d, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x975aa0fd, "____mt76_poll_msec" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xa6e6c827, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xe74b352, "mt76_wcid_cleanup" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xb3a7efcd, "ieee80211_radar_detected" },
	{ 0x7a8975a1, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x87ccbf80, "mt76_queues_read" },
	{ 0x39161ae7, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf0f60dba, "napi_schedule_prep" },
	{ 0x318df0aa, "napi_disable" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x73666895, "__mt76_poll" },
	{ 0x376503f7, "mt76_rx_aggr_stop" },
	{ 0xbf453c8b, "debugfs_create_u8" },
	{ 0x35c14bf, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xe15e4cda, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc96de3e6, "ieee80211_sta_register_airtime" },
	{ 0xacaf6060, "mt76_dma_rx_poll" },
	{ 0xac134214, "mt76_tx_status_unlock" },
	{ 0xa2842bcc, "simple_attr_open" },
	{ 0xea289ac2, "debugfs_attr_write" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbd0e406, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xad3e6876, "mt76_tx_status_skb_get" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x3c0b8f1e, "mt76_tx_status_lock" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "1252270F012C17943C7CD87");

MODULE_INFO(suserelease, "SLFO-1.0");
