#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x0086511e, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x97074448, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x00612436, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xe58197dd, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0xb7bb83f4, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0x171d82a8, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0xad56d02b, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0xd6d806fe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71dee8c1, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa5e83f8b, "mt76_csa_check" },
	{ 0x611ef50c, "mt76_tx_status_skb_add" },
	{ 0x19d134b7, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfb516ef9, "mt76u_single_wr" },
	{ 0xc05cca4f, "__mt76_tx_complete_skb" },
	{ 0x66702ff7, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1b372514, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd94ca5f0, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xede1a610, "mt76_csa_finish" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x6684685b, "_dev_err" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xc12e2830, "mt76x02_init_beacon_config" },
	{ 0x6171395c, "__mt76_mcu_msg_alloc" },
	{ 0x99eec0f4, "mt76x02_mac_write_txwi" },
	{ 0xe10e5b9d, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf77afc2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x2de67102, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf789f20b, "mt76_skb_adjust_pad" },
	{ 0x1fd2121d, "hrtimer_cancel" },
	{ 0x69bc9c99, "mt76x02_mac_set_beacon" },
	{ 0xcecbca75, "hrtimer_active" },
	{ 0x73666895, "__mt76_poll" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x21492f8f, "mt76x02_update_beacon_iter" },
	{ 0x224866fb, "mt76x02_enqueue_buffered_bc" },
	{ 0x256c9554, "mt76x02_remove_hdr_pad" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x537784f2, "mt76x02_resync_beacon_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "59FD432ACB2ABDC31F8F38D");

MODULE_INFO(suserelease, "SLFO-1.0");
