#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x2_read_rx_gain, 0x617e0f5b, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0xf07592e0, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x131568c7, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xf76363e0, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x61c34e72, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x4f26d93a, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0xdaaf4620, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0xe2ffe84e, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0x9ad2884a, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0xe183314a, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x6b4a2648, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xb3a11335, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x356a5637, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0x9ea587a8, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x22914c61, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x16b5a0bd, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x995ad0eb, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x5402d387, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0xad8fd147, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0xf29073b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9bac243, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9fc6d602, "mt76x02_get_efuse_data" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x817bd376, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x5422a656, "mt76_eeprom_init" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x4a6d4076, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x3bbb35f1, "mt76_mcu_send_and_get_msg" },
	{ 0xa0dd8529, "mt76_eeprom_override" },
	{ 0x17c18fa3, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9fb747af, "mt76_get_sar_power" },
	{ 0xdc8cc63e, "mt76x02_eeprom_copy" },
	{ 0xb5143b19, "mt76x02_mcu_calibrate" },
	{ 0x9ccab384, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x68aac1df, "mt76_get_min_avg_rssi" },
	{ 0x5ffc8b47, "mt76_init_sar_power" },
	{ 0xf4ffb6d9, "mt76x02_phy_adjust_vga_gain" },
	{ 0x7cffec38, "mt76x02_phy_dfs_adjust_agc" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "F614E833AE49F1C231FFF8A");

MODULE_INFO(suserelease, "SLFO-1.0");
