#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7ba9c61, "rt2x00usb_initialize" },
	{ 0xb1270306, "rt2x00usb_uninitialize" },
	{ 0x5c6ecf04, "rt2x00usb_clear_entry" },
	{ 0x4c031041, "rt2x00usb_watchdog" },
	{ 0x9da58d59, "rt2x00usb_kick_queue" },
	{ 0x9e0b85c2, "rt2x00usb_flush_queue" },
	{ 0xe99b9c57, "rt2x00mac_tx" },
	{ 0x5caee736, "rt2x00mac_start" },
	{ 0xb966cfe1, "rt2x00mac_stop" },
	{ 0xd3f399e1, "rt2x00mac_add_interface" },
	{ 0xfde3dcec, "rt2x00mac_remove_interface" },
	{ 0xf4cf8c7a, "rt2x00mac_config" },
	{ 0xde3fcef9, "rt2x00mac_bss_info_changed" },
	{ 0x8bffb1cd, "rt2x00mac_configure_filter" },
	{ 0x48abf670, "rt2x00mac_set_tim" },
	{ 0x93c653bf, "rt2x00mac_set_key" },
	{ 0xd090ebc2, "rt2x00mac_sw_scan_start" },
	{ 0x97ee176e, "rt2x00mac_sw_scan_complete" },
	{ 0x4416fbdb, "rt2x00mac_get_stats" },
	{ 0xac0e30d, "rt2x00mac_conf_tx" },
	{ 0xb300cc0e, "rt2x00mac_rfkill_poll" },
	{ 0x93d51ef2, "rt2x00mac_flush" },
	{ 0xdd2481bb, "rt2x00mac_set_antenna" },
	{ 0x91620cd7, "rt2x00mac_get_antenna" },
	{ 0xe6d812dd, "rt2x00mac_get_ringparam" },
	{ 0xe0c084ce, "rt2x00mac_tx_frames_pending" },
	{ 0x2bc84c0, "ieee80211_emulate_add_chanctx" },
	{ 0x3a8fbe78, "ieee80211_emulate_remove_chanctx" },
	{ 0xd10cac9b, "ieee80211_emulate_change_chanctx" },
	{ 0xec94488a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x58b5b66, "ieee80211_handle_wake_tx_queue" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0x9646bb4f, "rt2x00usb_probe" },
	{ 0x8007fa90, "skb_trim" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9767191f, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x52ca8c79, "rt2x00usb_vendor_request_buff" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xfa104efa, "rt2x00debug_dump_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe35203c6, "rt2x00usb_vendor_request" },
	{ 0xe6fcb641, "rt2x00lib_set_mac_address" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa20a096a, "rt2x00usb_disable_radio" },
	{ 0x731bdbf0, "rt2x00usb_disconnect" },
	{ 0x96f112ca, "rt2x00usb_suspend" },
	{ 0x53ae64b8, "rt2x00usb_resume" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7FEE5EDAB3F8A95A5692CF2");

MODULE_INFO(suserelease, "SLFO-1.0");
