#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x8b905e58, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x598bb7c0, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x787e1b04, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x4666abc2, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xb5bcb2f7, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x8984470e, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xd864c43f, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x55eb771a, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x5b74ad30, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xe6fcb641, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xd9b90da4, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xa4a8869d, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x84e45909, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0xc915b20c, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xe99b9c57, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x5caee736, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0xb966cfe1, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xd32824f9, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xd3f399e1, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0xfde3dcec, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0xf4cf8c7a, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x8bffb1cd, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x48abf670, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x93c653bf, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0xd090ebc2, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x97ee176e, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x4416fbdb, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0xde3fcef9, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x0ac0e30d, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0xb300cc0e, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x93d51ef2, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0xdd2481bb, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x91620cd7, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0xe6d812dd, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xe0c084ce, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x2963ad75, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x3fafca14, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x52e8a688, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x03323f24, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x70b2a4a6, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x4f4eccaf, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x1d4ad8a7, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x3b76f0d2, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x08be9083, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xfcb2ed40, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0xdcfb54db, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x343ca006, "_gpl");
SYMBOL_CRC(rt2x00debug_dump_frame, 0xfa104efa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x371af0c3, "finish_wait" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x4dae5582, "led_classdev_suspend" },
	{ 0x19d134b7, "hrtimer_init" },
	{ 0xcf4a01c8, "ieee80211_tx_status_ext" },
	{ 0xffd48893, "debugfs_create_blob" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x2a14fb1, "led_classdev_unregister" },
	{ 0x234732cb, "ieee80211_register_hw" },
	{ 0x760b4f3e, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x282f8386, "ieee80211_restart_hw" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x1b372514, "ieee80211_get_hdrlen_from_skb" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x753d4415, "ieee80211_wake_queue" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xb2136bb, "ieee80211_tx_status_skb" },
	{ 0x30de17d4, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x948f2719, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0x6684685b, "_dev_err" },
	{ 0xc71d6128, "simple_open" },
	{ 0xbe8b0187, "ieee80211_ctstoself_get" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa2e1a954, "ieee80211_free_txskb" },
	{ 0x3baa619d, "led_classdev_register_ext" },
	{ 0x96343aa0, "default_llseek" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a41a6e9, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xf3100943, "ieee80211_stop_queue" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xc259e4e, "ieee80211_stop_queues" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x266b0798, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb54c7ce7, "wiphy_rfkill_start_polling" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf77afc2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x70853a43, "led_classdev_resume" },
	{ 0x9b393a68, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6e6c827, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5c39f300, "ieee80211_rts_get" },
	{ 0x1fd2121d, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7de4f5c6, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x154c0899, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xad3fb4fb, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xadcba965, "ieee80211_iterate_interfaces" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "226330F343CC7C2CC51E68F");

MODULE_INFO(suserelease, "SLFO-1.0");
