#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x080541d2, "");
SYMBOL_CRC(rtw_dump_reg, 0xf60501a8, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0xcf089a24, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x1b705494, "");
SYMBOL_CRC(rtw_core_init, 0x3b2ad919, "");
SYMBOL_CRC(rtw_core_deinit, 0x849bbd6c, "");
SYMBOL_CRC(rtw_register_hw, 0xa9a0cb6f, "");
SYMBOL_CRC(rtw_unregister_hw, 0xe2d902b4, "");
SYMBOL_CRC(rtw_ops, 0x6a4fbba5, "");
SYMBOL_CRC(check_hw_ready, 0x1d07e553, "");
SYMBOL_CRC(rtw_restore_reg, 0x4a48b6db, "");
SYMBOL_CRC(rtw_dbg, 0x383ed622, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x0d3b8777, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0xd911656b, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x6b7b67b7, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x958c2943, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0xdb8351b1, "");
SYMBOL_CRC(rtw_rx_stats, 0x54932e33, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0xe1982ce6, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x73809d9f, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x1399cba8, "");
SYMBOL_CRC(rtw_phy_init, 0xe959bdb1, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x2a1b12d9, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0x8a02da3f, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xa3de1952, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x4030f4bf, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x847735e5, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xce648524, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x56ec0f55, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x7d647a00, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0x2ac22725, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0xaefd3665, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0xba342ba2, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x293b2a0d, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x5fdceda7, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x2eab11c9, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x9b05fbe7, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0xc5bfba7e, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0xe5c00fac, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x57b29711, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x3cfc742c, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x29da0a6b, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x8ee253bb, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0xdc82cf0a, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0xe55f3241, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0x74798b89, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x47df0422, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x12fdcd5c, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0xe4520ca7, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x1bfc914c, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x6010bb1c, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x18efee0f, "");
SYMBOL_CRC(rtw_power_mode_change, 0x50a18a18, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x562fab4d, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0x56c7fa03, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x8813d9c0, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0xd17decd3, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x08e1eb6a, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x3dc72f42, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x161318c4, "");
SYMBOL_CRC(rtw_regd_get, 0xb39dc052, "");
SYMBOL_CRC(rtw_regd_srrc, 0xadcfe29c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7965e9e1, "ieee80211_proberesp_get" },
	{ 0x6684685b, "_dev_err" },
	{ 0x60a64c4d, "request_firmware_nowait" },
	{ 0xc71d6128, "simple_open" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4bc6e0f1, "ieee80211_find_sta_by_ifaddr" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xae4d63ae, "ieee80211_wake_queues" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x191a4141, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa2e1a954, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcd3fbe6f, "dev_coredumpv" },
	{ 0xf9e502a8, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x2bc84c0, "ieee80211_emulate_add_chanctx" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xec94488a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xc259e4e, "ieee80211_stop_queues" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x95b146f0, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x78960bf0, "ieee80211_scan_completed" },
	{ 0xf77afc2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b393a68, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa6e6c827, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfc8e850a, "skb_copy" },
	{ 0x33d6299e, "ieee80211_cqm_rssi_notify" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1ffeb0ec, "ieee80211_request_smps" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x7de4f5c6, "ieee80211_queue_work" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x35c14bf, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x3a8fbe78, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x5e488078, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x8aa5710c, "ieee80211_connection_loss" },
	{ 0x4c834d13, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xba9969bd, "ieee80211_txq_get_depth" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x1631c562, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xd602b41d, "ieee80211_iterate_stations_atomic" },
	{ 0x61b599f8, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6e986a5f, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xd22f8f23, "ieee80211_nullfunc_get" },
	{ 0xb247a81a, "ieee80211_pspoll_get" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x234732cb, "ieee80211_register_hw" },
	{ 0xd10cac9b, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x282f8386, "ieee80211_restart_hw" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa54fcbd3, "ieee80211_find_sta" },
	{ 0x118bc70, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa918c95a, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x531547a1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x9db84f66, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd46d5802, "ieee80211_queue_delayed_work" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "36226A5076457767685FF7E");

MODULE_INFO(suserelease, "SLFO-1.0");
