#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ndlc_open, 0x46f64c6b, "");
SYMBOL_CRC(ndlc_close, 0x0c6e6858, "");
SYMBOL_CRC(ndlc_send, 0x9021b9f8, "");
SYMBOL_CRC(ndlc_recv, 0x5cb684c8, "");
SYMBOL_CRC(ndlc_probe, 0x8723e882, "");
SYMBOL_CRC(ndlc_remove, 0xd69f2cf8, "");
SYMBOL_CRC(st_nci_probe, 0x23495951, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x9e2f06e0, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x45a1faa6, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x260bf4d2, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0xe600165b, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xa8908763, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x864dce3f, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x7944dcde, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x6edec52c, "");
SYMBOL_CRC(st_nci_se_init, 0xcf606f7a, "");
SYMBOL_CRC(st_nci_se_deinit, 0x9966c41a, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0xa6096fec, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xdd3d219b, "nfc_se_transaction" },
	{ 0x6684685b, "_dev_err" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x6349bb4b, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x319c884d, "nci_prop_cmd" },
	{ 0x47c9e1bb, "nci_core_conn_create" },
	{ 0xecb733e0, "nci_nfcc_loopback" },
	{ 0x741d3a33, "nci_unregister_device" },
	{ 0x1197ff7a, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcc00aa7f, "nci_hci_send_event" },
	{ 0x412280a2, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67875e95, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1428787a, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x18809486, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc973e18d, "nci_recv_frame" },
	{ 0xbac03651, "nci_hci_dev_session_init" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xdb42715f, "nci_hci_set_param" },
	{ 0x445647b3, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdb77dd2a, "skb_queue_head" },
	{ 0x84cd2492, "nci_free_device" },
	{ 0xedd93208, "nci_allocate_device" },
	{ 0x33f82899, "nci_register_device" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xa7ea6922, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xddc42e96, "nfc_add_se" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdddbc3dd, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x56f38e84, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a80031, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "SLFO-1.0");
