#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ntb_transport_unregister_client_dev, 0xf9eb813f, "_gpl");
SYMBOL_CRC(ntb_transport_register_client_dev, 0xf55d6313, "_gpl");
SYMBOL_CRC(ntb_transport_register_client, 0x4cf17c93, "_gpl");
SYMBOL_CRC(ntb_transport_unregister_client, 0x80339ca5, "_gpl");
SYMBOL_CRC(ntb_transport_create_queue, 0xd974a0e1, "_gpl");
SYMBOL_CRC(ntb_transport_free_queue, 0xc270dc24, "_gpl");
SYMBOL_CRC(ntb_transport_rx_remove, 0xc37d9036, "_gpl");
SYMBOL_CRC(ntb_transport_rx_enqueue, 0xd40e7a02, "_gpl");
SYMBOL_CRC(ntb_transport_tx_enqueue, 0x3d54dbfc, "_gpl");
SYMBOL_CRC(ntb_transport_link_up, 0x9c992c8f, "_gpl");
SYMBOL_CRC(ntb_transport_link_down, 0x436098aa, "_gpl");
SYMBOL_CRC(ntb_transport_link_query, 0x32537aca, "_gpl");
SYMBOL_CRC(ntb_transport_qp_num, 0x82e6c13d, "_gpl");
SYMBOL_CRC(ntb_transport_max_size, 0x30934216, "_gpl");
SYMBOL_CRC(ntb_transport_tx_free_entry, 0x0862001f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x65c98671, "bus_register" },
	{ 0x87a30ce, "__ntb_register_client" },
	{ 0x63527824, "bus_unregister" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6684685b, "_dev_err" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x96848186, "scnprintf" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8e15e711, "ntb_unregister_client" },
	{ 0x8a7242a5, "kmalloc_node_trace" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x6ea15b35, "device_register" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd374dc9, "devm_free_irq" },
	{ 0x1fc1fc49, "ntbm_msi_request_threaded_irq" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0xd3a6a522, "ntb_msi_peer_trigger" },
	{ 0x3ebc5476, "dmaengine_get_unmap_data" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x5fd1f7d5, "dmaengine_unmap_put" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf9a482f9, "msleep" },
	{ 0x83e404fb, "ntb_msi_setup_mws" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xedc03953, "iounmap" },
	{ 0xed47a95f, "ntb_msi_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xfb452c08, "ntb_default_peer_port_count" },
	{ 0x3930060e, "ntb_set_ctx" },
	{ 0x2b3c1cda, "ntb_link_event" },
	{ 0x21808051, "dma_sync_wait" },
	{ 0x31f0a0ab, "dma_unmap_resource" },
	{ 0x8b5a664e, "dma_release_channel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xba5f41e0, "ntb_clear_ctx" },
	{ 0xff9be32e, "__dma_request_channel" },
	{ 0x421ad3d8, "dma_map_resource" },
	{ 0xc71d6128, "simple_open" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x417bf729, "param_ops_byte" },
	{ 0x2939e0b2, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x81142b3e, "get_device" },
	{ 0x2f14a420, "driver_register" },
	{ 0x121eca77, "driver_unregister" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "ntb");


MODULE_INFO(srcversion, "4F6372134B4061881FD31D5");

MODULE_INFO(suserelease, "SLFO-1.0");
