#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvme_fc_register_localport, 0x3e98ca0e, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadf6d7d, "nvme_cleanup_cmd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x12731ac7, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf330661e, "nvmf_unregister_transport" },
	{ 0xed4f611b, "blkcg_get_fc_appid" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5240cc1, "nvme_change_ctrl_state" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x55d2f2ae, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xcfa02e4d, "nvme_alloc_io_tag_set" },
	{ 0x782c11b3, "nvme_fail_nonready_command" },
	{ 0x405ce011, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6684685b, "_dev_err" },
	{ 0x288b3b05, "device_create" },
	{ 0xda1859c0, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xf79b01a2, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x482e0c71, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x9012b349, "nvmf_connect_admin_queue" },
	{ 0x5d27351, "nvme_enable_ctrl" },
	{ 0x6be842d3, "nvme_unquiesce_admin_queue" },
	{ 0xce5a3989, "dma_sync_single_for_cpu" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb1f219c6, "nvme_unquiesce_io_queues" },
	{ 0x4291d699, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5b482967, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1ea215e0, "nvmf_should_reconnect" },
	{ 0x52a9d291, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xab2ebcf, "device_destroy" },
	{ 0x53ca8f32, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x3f9416a8, "nvmf_register_transport" },
	{ 0xd0a44c90, "blk_mq_start_request" },
	{ 0xd1854be1, "nvme_quiesce_io_queues" },
	{ 0x50bea1a6, "blk_mq_tagset_busy_iter" },
	{ 0xc75f5058, "nvme_stop_ctrl" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc5118e8a, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x8b2e0507, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x3448a019, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x1aef77de, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9da1d53, "__nvme_check_ready" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xff2910e9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x88ba812, "nvme_remove_admin_tag_set" },
	{ 0x9ff99f23, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xcd6e0053, "nvme_uninit_ctrl" },
	{ 0xbf048203, "ida_destroy" },
	{ 0xdbfed8e8, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc5705869, "nvmf_free_options" },
	{ 0x4044c11b, "nvmf_subsystem_reset" },
	{ 0x135bc05, "blk_mq_tagset_wait_completed_request" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x1b5afe62, "nvme_stop_keep_alive" },
	{ 0xa5ed92c3, "blk_mq_complete_request_remote" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x17e1722a, "nvme_setup_cmd" },
	{ 0x91127135, "nvme_start_ctrl" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x6b82ceb9, "nvme_alloc_admin_tag_set" },
	{ 0xfea104d4, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x80b1ec61, "nvmf_reg_read32" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xe2f8ffec, "nvme_delete_ctrl" },
	{ 0x81142b3e, "get_device" },
	{ 0x5c31d1d8, "nvme_should_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xf7c3f41b, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x83c1c30, "nvme_remove_io_tag_set" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "B898F4D3EA68B22BBB4890A");

MODULE_INFO(suserelease, "SLFO-1.0");
