#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xf100cd7b, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x5fd645a5, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x06b4490e, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0xdd89ab20, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xf1cee3ab, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x36e5bec2, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x518a79a2, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x418f26d6, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x6f3000ef, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0xd31f600e, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x00368e55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7273a59e, "bio_endio" },
	{ 0x605e7fad, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x7c73b41e, "fput" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0x5005a0c3, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2de55db2, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xab425fb5, "radix_tree_next_chunk" },
	{ 0x554a6c06, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x14b432d3, "xa_load" },
	{ 0xbf654567, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x3fbc2919, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x1ac2df6a, "blkdev_get_by_path" },
	{ 0x18f5848f, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x421cd3b3, "bio_chain" },
	{ 0x83302061, "blk_mq_alloc_request" },
	{ 0xdb696ba9, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x82c19005, "pci_p2pdma_enable_store" },
	{ 0x96d8f4bf, "pci_p2pmem_alloc_sgl" },
	{ 0x12c3e03, "bio_add_page" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x408dc643, "nvme_find_get_ns" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa3f3e753, "bio_integrity_alloc" },
	{ 0xe1dd4d40, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x88d437fb, "xa_clear_mark" },
	{ 0x11089ac7, "_ctype" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9abe2ebe, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xa588579a, "iov_iter_bvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xb4bddba4, "nvme_passthru_start" },
	{ 0xa3c44c9c, "pci_p2pdma_enable_show" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xf2d1ec63, "__xa_cmpxchg" },
	{ 0x708d46a5, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x28c310f1, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x275aa733, "crypto_shash_final" },
	{ 0xa32cf33a, "vfs_fsync" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd4e8167f, "xa_destroy" },
	{ 0x27e72633, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4c48cda2, "filp_close" },
	{ 0x6f9110ab, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa920b5f1, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xe2e3992, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x85cdaa96, "nvme_ctrl_from_file" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x58c250b9, "xa_find_after" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x348ec8a0, "nvme_init_request" },
	{ 0xc71cb26e, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x822060c7, "nvme_execute_rq" },
	{ 0xcf31702a, "key_lookup" },
	{ 0x455e29fc, "nvme_put_ns" },
	{ 0x8fc588b4, "pci_p2pmem_find_many" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x7b41f9a4, "nvme_auth_gen_privkey" },
	{ 0xcde09ab0, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbf320c7e, "up_read" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xb1eab6dc, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x936c268d, "nvme_get_features" },
	{ 0x4f8d7d16, "submit_bio_wait" },
	{ 0x9292881d, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x4c84f86b, "__blkdev_issue_discard" },
	{ 0xe076c939, "fs_bio_set" },
	{ 0x641f0deb, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x532ca8c4, "filp_open" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x1a458e61, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbf048203, "ida_destroy" },
	{ 0xe057d5a8, "config_group_init" },
	{ 0xf0d7256f, "radix_tree_insert" },
	{ 0xd3af7d64, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9d8895a2, "bio_add_pc_page" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xbc9e7d03, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x1ff660e3, "radix_tree_lookup" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x269a05d9, "t10_pi_type1_crc" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x79a64a15, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa356a62b, "nvme_command_effects" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x1e552f45, "__module_get" },
	{ 0xa5b6686a, "pci_p2pmem_free_sgl" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x81142b3e, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9336cc0, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x63f7c68, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfbbe8e06, "nvme_passthru_end" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc2a413e, "mempool_create" },
	{ 0x59598ee0, "crypto_alloc_kpp" },
	{ 0xb5faab7f, "vfs_fallocate" },
	{ 0x1487ea2c, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xde6423dc, "bdev_nr_zones" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x480caa12, "mempool_alloc" },
	{ 0x7171d549, "blk_mq_free_request" },
	{ 0xf6b97695, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xad2cc282, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0xabf79ac6, "submit_bio" },
	{ 0x948f2719, "module_put" },
	{ 0x12ae7e89, "pci_p2pdma_distance_many" },
	{ 0xed6d6ea5, "nvme_auth_gen_pubkey" },
	{ 0x6b52a4d2, "t10_pi_type3_crc" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x221059a6, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xa7a191d9, "bio_put" },
	{ 0xbe55c98a, "radix_tree_delete" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "configfs,nvme-auth,nvme-core,t10-pi,nvme-keyring");


MODULE_INFO(srcversion, "55EAFB549B8A7317C6B995D");

MODULE_INFO(suserelease, "SLFO-1.0");
