#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__parport_register_driver, 0x593c45f7, "");
SYMBOL_CRC(parport_unregister_driver, 0x5f8e1014, "");
SYMBOL_CRC(parport_get_port, 0x3d92d306, "");
SYMBOL_CRC(parport_del_port, 0x4ad326da, "");
SYMBOL_CRC(parport_put_port, 0x033f7a6e, "");
SYMBOL_CRC(parport_register_port, 0xc3b1acb5, "");
SYMBOL_CRC(parport_announce_port, 0xd0ab3cca, "");
SYMBOL_CRC(parport_remove_port, 0x911ea6a1, "");
SYMBOL_CRC(parport_register_dev_model, 0xb343e516, "");
SYMBOL_CRC(parport_unregister_device, 0xca136630, "");
SYMBOL_CRC(parport_find_number, 0xfa9361a9, "");
SYMBOL_CRC(parport_find_base, 0x411bf497, "");
SYMBOL_CRC(parport_claim, 0xef5c0c45, "");
SYMBOL_CRC(parport_claim_or_block, 0x7bd16280, "");
SYMBOL_CRC(parport_release, 0x65b8a1af, "");
SYMBOL_CRC(parport_irq_handler, 0x5e3a3912, "");
SYMBOL_CRC(parport_negotiate, 0x98d5a667, "");
SYMBOL_CRC(parport_write, 0x556530ed, "");
SYMBOL_CRC(parport_read, 0x2dddb440, "");
SYMBOL_CRC(parport_wait_peripheral, 0xdf430da3, "");
SYMBOL_CRC(parport_wait_event, 0x65f03a2c, "");
SYMBOL_CRC(parport_set_timeout, 0xd13ce77d, "");
SYMBOL_CRC(parport_ieee1284_interrupt, 0x4d2a941b, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_data, 0x4b5d7f18, "");
SYMBOL_CRC(parport_ieee1284_ecp_read_data, 0x65979c16, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_addr, 0x54249843, "");
SYMBOL_CRC(parport_ieee1284_write_compat, 0x3b99f2ef, "");
SYMBOL_CRC(parport_ieee1284_read_nibble, 0x8ef5c1c3, "");
SYMBOL_CRC(parport_ieee1284_read_byte, 0x25412764, "");
SYMBOL_CRC(parport_ieee1284_epp_write_data, 0xd0d6c806, "");
SYMBOL_CRC(parport_ieee1284_epp_read_data, 0x8bba07bc, "");
SYMBOL_CRC(parport_ieee1284_epp_write_addr, 0xcfaf2f5d, "");
SYMBOL_CRC(parport_ieee1284_epp_read_addr, 0x61f59cda, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76d23ba8, "__wake_up" },
	{ 0x81142b3e, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa2169b25, "unregister_sysctl_table" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x827c6e0a, "bus_for_each_dev" },
	{ 0x948f2719, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x63527824, "bus_unregister" },
	{ 0x5afbf707, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x121eca77, "driver_unregister" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6ea15b35, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xb6b028bd, "register_sysctl_table" },
	{ 0x349cba85, "strchr" },
	{ 0x2f14a420, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x65c98671, "bus_register" },
	{ 0xe0089cea, "proc_dointvec_minmax" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xbfc97bdc, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3e187dfa, "bus_for_each_drv" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "231109CA4FF7FA586B8DF2C");

MODULE_INFO(suserelease, "SLFO-1.0");
