#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xb6da10e5, "led_classdev_notify_brightness_hw_changed" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0x8dbffa06, "hwmon_device_unregister" },
	{ 0xb0a07d76, "iio_device_unregister" },
	{ 0x2691f74, "iio_device_free" },
	{ 0xa554bfc0, "input_unregister_device" },
	{ 0x5a303f43, "backlight_device_unregister" },
	{ 0x2a14fb1, "led_classdev_unregister" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x295ef2af, "battery_hook_unregister" },
	{ 0x45ba0c41, "i8042_remove_filter" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd52d6550, "sysfs_remove_group" },
	{ 0x34d53d2e, "device_remove_groups" },
	{ 0xeec3a684, "device_add_groups" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x35c14bf, "single_open" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x77456e0a, "acpi_root_dir" },
	{ 0xe9eace7d, "proc_mkdir" },
	{ 0x5353c1b4, "acpi_bus_register_driver" },
	{ 0xc8e2a427, "acpi_bus_unregister_driver" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x45081703, "ec_get_handle" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xb08ebea9, "misc_register" },
	{ 0x3baa619d, "led_classdev_register_ext" },
	{ 0xbd8712eb, "iio_device_alloc" },
	{ 0x9cb3eca4, "hwmon_device_register_with_info" },
	{ 0xbe4f6412, "sysfs_create_group" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x7a793704, "input_allocate_device" },
	{ 0xcd4d0afe, "sparse_keymap_setup" },
	{ 0x5ba5370e, "input_free_device" },
	{ 0xcd8a7c9a, "__iio_device_register" },
	{ 0x35597835, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0xb7162ce, "proc_create_data" },
	{ 0x28416145, "proc_create_single_data" },
	{ 0x53c391cc, "battery_hook_register" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xb28d7c7, "backlight_device_register" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8c75fbed, "i8042_install_filter" },
	{ 0x377853d9, "input_register_device" },
	{ 0x594b4887, "sparse_keymap_report_event" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x7a8975a1, "single_release" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x246d36f7, "sysfs_update_group" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "industrialio,rfkill,battery,wmi,sparse-keymap,video");

MODULE_ALIAS("acpi*:TOS6200:*");
MODULE_ALIAS("acpi*:TOS6207:*");
MODULE_ALIAS("acpi*:TOS6208:*");
MODULE_ALIAS("acpi*:TOS1900:*");

MODULE_INFO(srcversion, "AD0973D6D9B9B4730B260C6");

MODULE_INFO(suserelease, "SLFO-1.0");
