#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fcoe_ctlr_init, 0x3d59f20d, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0xc17c37f9, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0xda4184ff, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xec80e063, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x258f7690, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x7b696fbe, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x47df82cd, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x67c06958, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xa75a995e, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0xdb3231fd, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x4158aeb9, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xb05fe985, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xfd812db3, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x31609581, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x0b9ff422, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x4405d4ee, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x68a788c8, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0xd7040f76, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x6c80636d, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0xad77e28e, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x397ed9db, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x39717170, "");
SYMBOL_CRC(fcoe_transport_detach, 0xb03c0fcc, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x1559d2e3, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x478039d5, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xbe535274, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xdca46cfd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x4c467f3c, "fc_lport_set_local_id" },
	{ 0xc8a09b7a, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcc1191b8, "__ethtool_get_link_ksettings" },
	{ 0x6ea15b35, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x74277a9f, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc1f7dd0c, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x413e4a02, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x66bc07f1, "fc_fcp_init" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xebf85b6, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9dda498, "dev_get_by_name" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x5b5d4b09, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x8eeaca18, "fc_rport_create" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xeaf875b6, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x65c98671, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd865b69e, "fc_linkup" },
	{ 0x640ff72, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xac07db95, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x7fae8624, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xbc32eed, "fc_rport_logoff" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb01fdb79, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb7beafa, "fc_rport_login" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xd86bda5a, "fc_linkdown" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x62050d3, "fc_lport_reset" },
	{ 0x63527824, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x7a3eb868, "init_net" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "13A7103856008F1BFBA633C");

MODULE_INFO(suserelease, "SLFO-1.0");
