#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x9c270fa1, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x7845023c, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xf9f430ce, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x3c8d7723, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x8c2200b0, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x05221682, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x4290d369, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x0809c876, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x28a73305, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x315053f2, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x611cf4dc, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xf6328286, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x983cb91a, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xbedde4e5, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x28447df5, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x639e669d, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xc0c0b18c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2af9beb, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc66a95e4, "crypto_ahash_digest" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf75c6ce1, "iscsi_prep_data_out_pdu" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xff8b008f, "iscsi_put_task" },
	{ 0x9785ab59, "iscsi_conn_failure" },
	{ 0xfd95e28f, "iscsi_conn_setup" },
	{ 0x54b233d8, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x16c07e00, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x49608959, "migrate_disable" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3eab0886, "crypto_ahash_final" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x43ace8db, "skb_prepare_seq_read" },
	{ 0xe59ee1f3, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8e577d85, "skb_abort_seq_read" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xeae97986, "iscsi_complete_pdu" },
	{ 0x51f07ad5, "iscsi_verify_itt" },
	{ 0x8b05db52, "iscsi_itt_to_ctask" },
	{ 0xdb0f35f2, "iscsi_get_task" },
	{ 0x95a5bc1e, "iscsi_update_cmdsn" },
	{ 0x2ddc02fd, "__iscsi_complete_pdu" },
	{ 0xdfdf2171, "iscsi_requeue_task" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x8c56c15c, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "SLFO-1.0");
