#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qlt_unreg_sess, 0x4cba37ff, "");
SYMBOL_CRC(qlt_stop_phase1, 0x6f909505, "");
SYMBOL_CRC(qlt_stop_phase2, 0xbcb73d28, "");
SYMBOL_CRC(qlt_free_mcmd, 0x8dfcb440, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0xa4fc42e8, "");
SYMBOL_CRC(qlt_xmit_response, 0x28804482, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0x86937a76, "");
SYMBOL_CRC(qlt_abort_cmd, 0xed79eb8c, "");
SYMBOL_CRC(qlt_free_cmd, 0xa000e58a, "");
SYMBOL_CRC(qlt_lport_register, 0xb582bb10, "");
SYMBOL_CRC(qlt_lport_deregister, 0xd8a82176, "");
SYMBOL_CRC(qlt_enable_vha, 0x76565582, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x6684685b, "_dev_err" },
	{ 0xbdfb9495, "blk_queue_update_dma_alignment" },
	{ 0x5c3744a3, "fc_vport_create" },
	{ 0xf92f2c19, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa7607adf, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7714147f, "fc_remote_port_rolechg" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x88094c0a, "blk_mq_map_hw_queues" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xabe5893, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xd2bfb867, "fc_vport_terminate" },
	{ 0xfdd546d6, "blk_mq_num_online_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2662be7e, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x487f741f, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0x43af56b1, "pci_restore_state" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f01bfa4, "pci_alloc_irq_vectors_affinity" },
	{ 0xf061e21, "scsi_is_host_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x209eda71, "pci_set_master" },
	{ 0xf9560e45, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa1c2cc1d, "dma_get_required_mask" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x26fa6ca8, "blk_mq_unique_tag" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x1216c92f, "trace_array_set_clr_event" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xbb1d4c84, "fc_host_fpin_rcv" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x90e329d5, "btree_destroy" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeace5591, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x847e25d3, "btree_update" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fafc1a3, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x36de56, "__register_chrdev" },
	{ 0xa920b5f1, "mempool_destroy" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcc08264a, "fc_eh_should_retry_cmd" },
	{ 0x63de8ad3, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0x90fd0ff3, "scsi_is_fc_rport" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xc3adf046, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x31f64c5, "btree_get_prev" },
	{ 0x7a8975a1, "single_release" },
	{ 0xcff10529, "scsi_unblock_requests" },
	{ 0x2fe0cef7, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xcc527e50, "pci_disable_rom" },
	{ 0xf652ca1, "dma_unmap_sg_attrs" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xeb24ec41, "pci_irq_get_affinity" },
	{ 0x1c784b33, "scsi_block_requests" },
	{ 0x8aa6934b, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x35c14bf, "single_open" },
	{ 0x82e762fe, "scsi_host_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x51ab38ac, "pci_write_config_word" },
	{ 0xccb8781a, "sysfs_remove_bin_file" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x3e98ca0e, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xc4e905a2, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4f347ad5, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xff2910e9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x83dfdbfd, "param_ops_ullong" },
	{ 0xe914e41e, "strcpy" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xa33f27e8, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa387139e, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x19e93e1f, "fc_attach_transport" },
	{ 0xa2842bcc, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0xea289ac2, "debugfs_attr_write" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xc1782e9e, "dma_pool_create" },
	{ 0x6c583477, "pci_request_selected_regions" },
	{ 0x2bdce936, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x42d604ef, "pci_enable_device_mem" },
	{ 0x7139aee3, "bsg_job_done" },
	{ 0xc4ad8171, "btree_insert" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x62621539, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xef3993be, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x538fc53b, "scsi_build_sense" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x2aabcdc8, "vmalloc_array" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x750be2e0, "fc_remove_host" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0x8acbdd59, "set_user_nice" },
	{ 0xef78486e, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x5a056fbe, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x73d200af, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9da411a2, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdde345f8, "fc_eh_timed_out" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x95462924, "btree_remove" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0x7f6d0848, "pci_try_set_mwi" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x81142b3e, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0x9336cc0, "mempool_free" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x199e51d1, "trace_array_put" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xc39b7d3a, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc2a413e, "mempool_create" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x39906c9, "fc_remote_port_delete" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x810df89f, "scsi_host_get" },
	{ 0x480caa12, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x72e5b404, "fc_host_post_event" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x31f6a904, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd8818ee1, "fc_release_transport" },
	{ 0x74eb1919, "pci_set_mwi" },
	{ 0xa3443f86, "btree_lookup" },
	{ 0x583c4ab9, "pci_find_capability" },
	{ 0x61651be, "strcat" },
	{ 0xb06e4a08, "debugfs_attr_read" },
	{ 0xe3f4b6b4, "btree_init" },
	{ 0x405ce011, "kobject_uevent_env" },
	{ 0x3ec16dee, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_mod,nvme-fc");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C69FEEDFBFD16CB83DC2F07");

MODULE_INFO(suserelease, "SLFO-1.0");
