#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sas_remove_children, 0x79c7cd3c, "");
SYMBOL_CRC(sas_remove_host, 0x773ceeb0, "");
SYMBOL_CRC(sas_get_address, 0xea419219, "");
SYMBOL_CRC(sas_tlr_supported, 0xbf2c61f8, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xac8f5af5, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x9bc17a52, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x142d5173, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xdb0acc38, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xc7a41dfb, "");
SYMBOL_CRC(sas_phy_add, 0x03dd9815, "");
SYMBOL_CRC(sas_phy_free, 0xa1d25de1, "");
SYMBOL_CRC(sas_phy_delete, 0x1455963e, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x5b80642b, "");
SYMBOL_CRC(sas_port_alloc, 0x9fe1e83a, "");
SYMBOL_CRC(sas_port_alloc_num, 0xa51c5953, "");
SYMBOL_CRC(sas_port_add, 0x051b901c, "");
SYMBOL_CRC(sas_port_free, 0x7bd463d2, "");
SYMBOL_CRC(sas_port_delete, 0xc188e77c, "");
SYMBOL_CRC(scsi_is_sas_port, 0x67f98716, "");
SYMBOL_CRC(sas_port_get_phy, 0x87cbbd9e, "");
SYMBOL_CRC(sas_port_add_phy, 0xca77364f, "");
SYMBOL_CRC(sas_port_delete_phy, 0xb129316a, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xf2155b3d, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x4d26d51e, "");
SYMBOL_CRC(sas_end_device_alloc, 0x24561758, "");
SYMBOL_CRC(sas_expander_alloc, 0x24feb2a9, "");
SYMBOL_CRC(sas_rphy_add, 0x155d733e, "");
SYMBOL_CRC(sas_rphy_free, 0x1ebf0237, "");
SYMBOL_CRC(sas_rphy_delete, 0x7cd9347d, "");
SYMBOL_CRC(sas_rphy_unlink, 0xcd615b35, "");
SYMBOL_CRC(sas_rphy_remove, 0xf9d39d8c, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xb3e9b344, "");
SYMBOL_CRC(sas_attach_transport, 0x5e089801, "");
SYMBOL_CRC(sas_release_transport, 0x5e71f674, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x1888d443, "attribute_container_register" },
	{ 0xcfbe53a6, "scsi_get_vpd_page" },
	{ 0x6c036bf, "scsi_mode_sense" },
	{ 0x7e7eb752, "attribute_container_unregister" },
	{ 0xef3993be, "scsi_remove_host" },
	{ 0xee86bf7a, "bsg_remove_queue" },
	{ 0xcc158cf9, "scsi_remove_target" },
	{ 0xf061e21, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x7139aee3, "bsg_job_done" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9fbd936, "dma_opt_mapping_size" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x23fdb3f0, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa0b6d0ae, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f0248b, "device_add" },
	{ 0xafb0afb5, "transport_add_device" },
	{ 0xffde452c, "transport_configure_device" },
	{ 0xc6465c4c, "device_del" },
	{ 0xde81dc0f, "transport_destroy_device" },
	{ 0x1c8e9116, "transport_remove_device" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x81142b3e, "get_device" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x3fa93767, "sysfs_remove_link" },
	{ 0xef2cf1bd, "sysfs_create_link" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x92997ed8, "_printk" },
	{ 0x77b067fe, "scsi_scan_target" },
	{ 0xe6e24153, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x459fd3a4, "transport_class_register" },
	{ 0xa94420e6, "transport_class_unregister" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "082852696E06971446548D5");

MODULE_INFO(suserelease, "SLFO-1.0");
