#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdw_bus_type, 0x381e6f15, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x6f3ff0e8, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xcf03d933, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xfd9a2289, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xc83ba2ad, "");
SYMBOL_CRC(sdw_show_ping_status, 0x3eee4c3d, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x5e635e97, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x077c4cca, "");
SYMBOL_CRC(sdw_write_no_pm, 0x3e50c791, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x0125f283, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x914279b7, "");
SYMBOL_CRC(sdw_read_no_pm, 0x7397b4d4, "");
SYMBOL_CRC(sdw_update_no_pm, 0x1c881cec, "");
SYMBOL_CRC(sdw_update, 0x4a5da0b0, "");
SYMBOL_CRC(sdw_nread, 0x155eee69, "");
SYMBOL_CRC(sdw_nwrite, 0xd61fce6d, "");
SYMBOL_CRC(sdw_read, 0x82a553ef, "");
SYMBOL_CRC(sdw_write, 0x62efe74b, "");
SYMBOL_CRC(sdw_compare_devid, 0xff7f996c, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xd57c4a6f, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x2a9bd1a2, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xc7f398f0, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xfa7b7693, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xaa65b96b, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x5b1f4119, "");
SYMBOL_CRC(sdw_slave_add, 0x4b5c1b0b, "");
SYMBOL_CRC(sdw_master_read_prop, 0xda910bec, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x644da301, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x8a156323, "");
SYMBOL_CRC(sdw_enable_stream, 0x250bd32d, "");
SYMBOL_CRC(sdw_disable_stream, 0xdfde2b3a, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x401c7ea1, "");
SYMBOL_CRC(sdw_alloc_stream, 0x84d21766, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x95db52ba, "");
SYMBOL_CRC(sdw_stream_add_master, 0x4138e8ed, "");
SYMBOL_CRC(sdw_stream_remove_master, 0xdc5e8317, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x9d9f88a0, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x126f164e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c966cf0, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9bbadf13, "fwnode_property_present" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x829d4aef, "device_get_named_child_node" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x7a8975a1, "single_release" },
	{ 0xb650e3df, "acpi_dev_for_each_child" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0x35c14bf, "single_open" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x2f14a420, "driver_register" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xa92f1b3e, "device_property_present" },
	{ 0x52d0ac53, "devm_device_add_groups" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xd6b6a18b, "dev_pm_domain_attach" },
	{ 0xae0868a, "devm_device_add_group" },
	{ 0xa0b6d0ae, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8b694928, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0xdc3d4367, "device_property_read_u32_array" },
	{ 0x88f0eb41, "fwnode_property_read_u32_array" },
	{ 0xd6ba2b47, "dev_pm_domain_detach" },
	{ 0x4e652a6e, "pm_generic_runtime_suspend" },
	{ 0x63527824, "bus_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x121eca77, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6ea15b35, "device_register" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5AFCBD6A1BE80EE3B24F8C");

MODULE_INFO(suserelease, "SLFO-1.0");
