#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x83c036a1, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x1038c267, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x04fbc59e, "");
SYMBOL_CRC(sdw_intel_startup, 0xa533e7fa, "");
SYMBOL_CRC(sdw_intel_exit, 0x9f5cb760, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xa26e6bee, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7607adf, "simple_attr_release" },
	{ 0x13f2db51, "__auxiliary_device_add" },
	{ 0x56899635, "sdw_cdns_alloc_pdi" },
	{ 0xf8cf9885, "sdw_cdns_clock_stop" },
	{ 0x12316485, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xb32bb6ed, "cdns_xfer_msg_defer" },
	{ 0xdf65a03f, "cdns_xfer_msg" },
	{ 0xc6465c4c, "device_del" },
	{ 0xf16d60ea, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0x23225ce3, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x4138e8ed, "sdw_stream_add_master" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x794c5a11, "cdns_read_ping_status" },
	{ 0x452bd3c9, "acpi_fetch_acpi_dev" },
	{ 0x829d4aef, "device_get_named_child_node" },
	{ 0x9691a4d1, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb38d9748, "sdw_cdns_config_update" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xc83ba2ad, "sdw_bus_master_delete" },
	{ 0x7a8975a1, "single_release" },
	{ 0xc22450cc, "__auxiliary_driver_register" },
	{ 0x47f210a1, "sdw_cdns_check_self_clearing_bits" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0x5a93c471, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x35c14bf, "single_open" },
	{ 0x3d8bc0a1, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0xda910bec, "sdw_master_read_prop" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xa7406b7d, "sdw_compute_params" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x302bb38f, "sdw_cdns_pdi_init" },
	{ 0xa2842bcc, "simple_attr_open" },
	{ 0xea289ac2, "debugfs_attr_write" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x1f5a5324, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5ee76e91, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x27a513b1, "sdw_cdns_clock_restart" },
	{ 0x75a2caee, "sdw_cdns_debugfs_init" },
	{ 0x55b52b5d, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0xfd9a2289, "sdw_bus_master_add" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xf1d913a8, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x231ab088, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x634ad87, "sdw_cdns_is_clock_stop" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xca06c968, "sdw_cdns_config_update_set_wait" },
	{ 0xa0b6d0ae, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5757c18, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0xaf08892f, "auxiliary_driver_unregister" },
	{ 0x83a48da0, "devm_snd_soc_register_component" },
	{ 0x8b230730, "cdns_bus_conf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x79133b8a, "cdns_set_sdw_stream" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x88f0eb41, "fwnode_property_read_u32_array" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x5b1f4119, "sdw_clear_slave_status" },
	{ 0xb06e4a08, "debugfs_attr_read" },
	{ 0xdc5e8317, "sdw_stream_remove_master" },
	{ 0x3c687d2c, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x26ef1d79, "sdw_cdns_exit_reset" },
	{ 0x6684685b, "_dev_err" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "5ADB870B48C6D340E58AFFC");

MODULE_INFO(suserelease, "SLFO-1.0");
