#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

SYMBOL_CRC(ieee80211_rx, 0x040d9c2f, "");
SYMBOL_CRC(ieee80211_rx_mgt, 0x611a0bf2, "");
SYMBOL_CRC(ieee80211_is_54g, 0xe3372510, "");
SYMBOL_CRC(ieee80211_is_shortslot, 0x6651f895, "");
SYMBOL_CRC(ieee80211_softmac_scan_syncro, 0xaa0a92b1, "");
SYMBOL_CRC(ieee80211_stop_send_beacons, 0xc30542df, "");
SYMBOL_CRC(ieee80211_start_send_beacons, 0x2fa4488c, "");
SYMBOL_CRC(ieee80211_stop_scan, 0xa7e6d6d4, "");
SYMBOL_CRC(ieee80211_start_scan_syncro, 0xec2d3bf8, "");
SYMBOL_CRC(ieee80211_ps_tx_ack, 0xc835b4d9, "");
SYMBOL_CRC(ieee80211_softmac_xmit, 0xbf271b62, "");
SYMBOL_CRC(ieee80211_reset_queue, 0x712f2cc7, "");
SYMBOL_CRC(ieee80211_wake_queue_rsl, 0x4ce97f3f, "");
SYMBOL_CRC(ieee80211_stop_queue_rsl, 0x14bb6931, "");
SYMBOL_CRC(ieee80211_disassociate, 0x7744adcf, "");
SYMBOL_CRC(ieee80211_get_beacon, 0xff3e3574, "");
SYMBOL_CRC(ieee80211_softmac_stop_protocol, 0x118c5217, "");
SYMBOL_CRC(ieee80211_softmac_start_protocol, 0x01b5897e, "");
SYMBOL_CRC(SendDisassociation_rsl, 0xa57c6430, "");
SYMBOL_CRC(ieee80211_wpa_supplicant_ioctl, 0x1e23d16d, "");
SYMBOL_CRC(notify_wx_assoc_event_rsl, 0xa7223305, "");
SYMBOL_CRC(ieee80211_txb_free, 0xaf34d0e7, "");
SYMBOL_CRC(ieee80211_wx_get_scan, 0xe6bf9af3, "");
SYMBOL_CRC(ieee80211_wx_set_encode, 0x7ade7458, "");
SYMBOL_CRC(ieee80211_wx_get_encode, 0x8d1adabc, "");
SYMBOL_CRC(ieee80211_wx_set_encode_ext, 0xf21d8da7, "");
SYMBOL_CRC(ieee80211_wx_get_encode_ext, 0xf4a95e57, "");
SYMBOL_CRC(ieee80211_wx_set_mlme, 0x7ae051e3, "");
SYMBOL_CRC(ieee80211_wx_set_auth, 0x0c8ab4a8, "");
SYMBOL_CRC(ieee80211_wx_set_gen_ie, 0x61340b43, "");
SYMBOL_CRC(ieee80211_wlan_frequencies, 0x232e7944, "");
SYMBOL_CRC(ieee80211_wx_set_freq, 0xc425e609, "");
SYMBOL_CRC(ieee80211_wx_get_freq, 0x81cb15ac, "");
SYMBOL_CRC(ieee80211_wx_get_wap, 0x68216bb8, "");
SYMBOL_CRC(ieee80211_wx_set_wap, 0x598ebb95, "");
SYMBOL_CRC(ieee80211_wx_get_essid, 0x53e11ae8, "");
SYMBOL_CRC(ieee80211_wx_set_rate, 0xa6844516, "");
SYMBOL_CRC(ieee80211_wx_get_rate, 0xe36ab6b3, "");
SYMBOL_CRC(ieee80211_wx_set_rts, 0x046ce762, "");
SYMBOL_CRC(ieee80211_wx_get_rts, 0x35c3374f, "");
SYMBOL_CRC(ieee80211_wx_set_mode, 0x06aa4739, "");
SYMBOL_CRC(ieee80211_wx_set_scan, 0xa3516956, "");
SYMBOL_CRC(ieee80211_wx_set_essid, 0xf518a37c, "");
SYMBOL_CRC(ieee80211_wx_get_mode, 0x4344b49c, "");
SYMBOL_CRC(ieee80211_wx_set_rawtx, 0x798006ff, "");
SYMBOL_CRC(ieee80211_wx_get_name, 0xca3195a0, "");
SYMBOL_CRC(ieee80211_wx_set_power, 0x4935c681, "");
SYMBOL_CRC(ieee80211_wx_get_power, 0xefcc7f15, "");
SYMBOL_CRC(HTUpdateSelfAndPeerSetting, 0x468afd86, "");
SYMBOL_CRC(rtl8192u_dot11d_init, 0x4efcce94, "");
SYMBOL_CRC(dot11d_reset, 0x3a80299d, "");
SYMBOL_CRC(dot11d_update_country_ie, 0x42ed64eb, "");
SYMBOL_CRC(dot11d_get_max_tx_pwr_in_dbm, 0xb2c43bd7, "");
SYMBOL_CRC(dot11d_scan_complete, 0x150e1965, "");
SYMBOL_CRC(is_legal_channel, 0x5ff3dc24, "");
SYMBOL_CRC(to_legal_channel, 0xa01799a5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x8063b830, "usb_control_msg" },
	{ 0xa31de3de, "wireless_send_event" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0xb1f02766, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5c54909a, "free_netdev" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x8ef95bc6, "usb_deregister" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0xe9eace7d, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf9560e45, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x95b146f0, "skb_unlink" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x13aa6d2e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbe05fbe1, "netdev_alert" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1db8fd33, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x275aa733, "crypto_shash_final" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0x34f04744, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfc8e850a, "skb_copy" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x35c14bf, "single_open" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x851642de, "alloc_etherdev_mqs" },
	{ 0x7f9c3125, "usb_alloc_urb" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0xbd35dc83, "usb_free_urb" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2295a47d, "proc_create" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf559a35d, "unregister_netdev" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x80ce1217, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x62cdf438, "dev_trans_start" },
	{ 0xbca6d2d3, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x2c625448, "eth_validate_addr" },
	{ 0xbbf11f6d, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0xc83edfe6, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x91211f97, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfea4485, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x436cd80f, "usb_submit_urb" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3f8693e, "debugfs_lookup" },
	{ 0x4ad42a08, "crypto_aead_setkey" },
	{ 0x7a3eb868, "init_net" },
	{ 0x5005a0c3, "crypto_shash_setkey" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x98dbdea, "crypto_aead_encrypt" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libarc4,usbcore");

MODULE_ALIAS("usb:v0BDAp8709d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp805Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p9201d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0290d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep7A01d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "04A6528B679AA26A1C56360");

MODULE_INFO(suserelease, "SLFO-1.0");
