#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(teedev_open, 0x8b2dafa7, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x754fafbd, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x4357755a, "_gpl");
SYMBOL_CRC(tee_device_register, 0xedddf4ef, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0xfae1d49c, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x15528754, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0x831694de, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0xf3e3a7d8, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x50454996, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0xa5f48415, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0xc44f6cfa, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x95bd02e8, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x3e86f32c, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x8269d4db, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x3f1dcc69, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0x409e55c4, "_gpl");
SYMBOL_CRC(tee_shm_free, 0xbfc183e2, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0x6827e28a, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x310cc21e, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x8175005e, "_gpl");
SYMBOL_CRC(tee_shm_put, 0xf2c32547, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0x744f1524, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa007eb27, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc785cd7f, "gen_pool_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x8799d18a, "cdev_device_add" },
	{ 0x9ea41f95, "anon_inode_getfd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0x63527824, "bus_unregister" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x61d6bedf, "class_create" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xce779a88, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6efed6d5, "make_kgid" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x275aa733, "crypto_shash_final" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x177a17ff, "gen_pool_free_owner" },
	{ 0xebf85b6, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa5c2f26f, "gen_pool_alloc_algo_owner" },
	{ 0xf74a6c13, "gen_pool_first_fit_align" },
	{ 0x9a930666, "gen_pool_virt_to_phys" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x65c98671, "bus_register" },
	{ 0xf810d126, "class_find_device" },
	{ 0x2fa45f93, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb89613fd, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x495db95d, "gen_pool_create" },
	{ 0x4d01e2ac, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x243c374f, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xa46cd430, "idr_replace" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x9c3d0da5, "unpin_user_pages" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "91C381F7541002282369E7E");

MODULE_INFO(suserelease, "SLFO-1.0");
