#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fsg_common_set_sysfs, 0x7e26d4a5, "_gpl");
SYMBOL_CRC(fsg_common_set_num_buffers, 0x1ccb58f7, "_gpl");
SYMBOL_CRC(fsg_common_remove_lun, 0x50af33e5, "_gpl");
SYMBOL_CRC(fsg_common_remove_luns, 0x141fce2a, "_gpl");
SYMBOL_CRC(fsg_common_free_buffers, 0x9a0221c7, "_gpl");
SYMBOL_CRC(fsg_common_set_cdev, 0x20214ac8, "_gpl");
SYMBOL_CRC(fsg_common_create_lun, 0x3c6a07d0, "_gpl");
SYMBOL_CRC(fsg_common_create_luns, 0xd1a3e8e0, "_gpl");
SYMBOL_CRC(fsg_common_set_inquiry_string, 0x6acb4179, "_gpl");
SYMBOL_CRC(fsg_config_from_params, 0xab6c68ac, "_gpl");
SYMBOL_CRC(fsg_intf_desc, 0xb52ba28a, "_gpl");
SYMBOL_CRC(fsg_fs_bulk_in_desc, 0xb54d0d95, "_gpl");
SYMBOL_CRC(fsg_fs_bulk_out_desc, 0x1710b539, "_gpl");
SYMBOL_CRC(fsg_fs_function, 0xa5f99b69, "_gpl");
SYMBOL_CRC(fsg_hs_bulk_in_desc, 0x95cffb3e, "_gpl");
SYMBOL_CRC(fsg_hs_bulk_out_desc, 0x56344daf, "_gpl");
SYMBOL_CRC(fsg_hs_function, 0x857b6dc2, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_in_desc, 0x2933ee1d, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_in_comp_desc, 0x423845e4, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_out_desc, 0xf4efc0c8, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_out_comp_desc, 0xa5cae92f, "_gpl");
SYMBOL_CRC(fsg_ss_function, 0x398778e1, "_gpl");
SYMBOL_CRC(fsg_lun_close, 0x43312e18, "_gpl");
SYMBOL_CRC(fsg_lun_open, 0x8ab390dc, "_gpl");
SYMBOL_CRC(fsg_lun_fsync_sub, 0x801d9e85, "_gpl");
SYMBOL_CRC(store_cdrom_address, 0xb3adf38d, "_gpl");
SYMBOL_CRC(fsg_show_ro, 0xd6c94aa1, "_gpl");
SYMBOL_CRC(fsg_show_nofua, 0xcd45176a, "_gpl");
SYMBOL_CRC(fsg_show_file, 0xceb58ae8, "_gpl");
SYMBOL_CRC(fsg_show_cdrom, 0x64b8b10e, "_gpl");
SYMBOL_CRC(fsg_show_removable, 0xb5027041, "_gpl");
SYMBOL_CRC(fsg_show_inquiry_string, 0xef6bc86b, "_gpl");
SYMBOL_CRC(fsg_store_ro, 0x9012ab1e, "_gpl");
SYMBOL_CRC(fsg_store_nofua, 0xd81c4a7d, "_gpl");
SYMBOL_CRC(fsg_store_file, 0x269cb1ae, "_gpl");
SYMBOL_CRC(fsg_store_cdrom, 0x2e615ab8, "_gpl");
SYMBOL_CRC(fsg_store_removable, 0xd85c2fae, "_gpl");
SYMBOL_CRC(fsg_store_inquiry_string, 0xe8fca59b, "_gpl");
SYMBOL_CRC(fsg_store_forced_eject, 0x098473a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f607373, "up_write" },
	{ 0xd3c8a39, "usb_ep_clear_halt" },
	{ 0xbf654567, "config_group_init_type_name" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdbbcbbb6, "usb_ep_autoconfig" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5f74a97e, "unregister_gadget_item" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x9b84005, "usb_put_function_instance" },
	{ 0x6ea15b35, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xae9a023d, "kernel_read" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x18d4da4a, "usb_function_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeaf307f9, "usb_ep_alloc_request" },
	{ 0x7a0eaf88, "usb_ep_set_halt" },
	{ 0xa32cf33a, "vfs_fsync" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x83932e97, "file_path" },
	{ 0x34aef7f8, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x162b87ff, "usb_ep_set_wedge" },
	{ 0x4eabdb7, "usb_ep_queue" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x9ab56420, "usb_ep_enable" },
	{ 0xc09c4659, "usb_ep_disable" },
	{ 0x349cba85, "strchr" },
	{ 0xce5d42c7, "dequeue_signal" },
	{ 0xd42b203e, "usb_free_all_descriptors" },
	{ 0xbf320c7e, "up_read" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x633e2dd5, "usb_gstrings_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x30a4e74c, "kernel_write" },
	{ 0x532ca8c4, "filp_open" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x62253143, "usb_ep_fifo_flush" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0x1dc0aadd, "usb_interface_id" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x470adb77, "usb_assign_descriptors" },
	{ 0x7648217b, "invalidate_mapping_pages" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4c3a52b9, "send_sig_info" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x37a0cba, "kfree" },
	{ 0x805094ec, "kthread_complete_and_exit" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xc26952e7, "I_BDEV" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe1caf771, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0xc78321f0, "config_ep_by_speed" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x4dd55e27, "usb_ep_dequeue" },
	{ 0x5d45929c, "usb_composite_setup_continue" },
	{ 0x4864ad19, "usb_function_register" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7c73b41e, "fput" },
	{ 0x191e6698, "down_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "configfs,libcomposite");


MODULE_INFO(srcversion, "BF97DFAE3C91AFE87D98D6D");

MODULE_INFO(suserelease, "SLFO-1.0");
