#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ehci_handshake, 0x0e1f42ec, "_gpl");
SYMBOL_CRC(ehci_reset, 0xf5063b78, "_gpl");
SYMBOL_CRC(ehci_adjust_port_wakeup_flags, 0x722d40dc, "_gpl");
SYMBOL_CRC(ehci_hub_control, 0x4dbd4e3a, "_gpl");
SYMBOL_CRC(ehci_setup, 0x344449ae, "_gpl");
SYMBOL_CRC(ehci_suspend, 0x07c4e396, "_gpl");
SYMBOL_CRC(ehci_resume, 0x26a091ee, "_gpl");
SYMBOL_CRC(ehci_init_driver, 0xb707c5bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56470118, "__warn_printk" },
	{ 0x49a2431f, "usb_hcd_check_unlink_urb" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x42891724, "usb_hc_died" },
	{ 0xb0325527, "usb_hcd_poll_rh_status" },
	{ 0x96343aa0, "default_llseek" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x96848186, "scnprintf" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcd9ec3be, "usb_hub_clear_tt_buffer" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x781ce5a, "usb_hcd_unlink_urb_from_ep" },
	{ 0xfc9c6300, "usb_hcd_giveback_urb" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x999e8297, "vfree" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x92997ed8, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7f320d0f, "usb_debug_root" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0xb6574a8a, "__platform_register_drivers" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xc025780, "platform_unregister_drivers" },
	{ 0xef1b41ba, "usb_hcd_resume_root_hub" },
	{ 0x61fab3ff, "pci_bus_type" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe10e5b9d, "hrtimer_start_range_ns" },
	{ 0x754d539c, "strlen" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x1fd2121d, "hrtimer_cancel" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xdf1882af, "dbgp_reset_prep" },
	{ 0x6527a231, "dbgp_external_startup" },
	{ 0x19d134b7, "hrtimer_init" },
	{ 0xc1782e9e, "dma_pool_create" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xba5233cb, "ehci_cf_port_reset_rwsem" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0x6684685b, "_dev_err" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xc5f20298, "device_create_file" },
	{ 0x13f15173, "usb_root_hub_lost_power" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7df92cd7, "device_remove_file" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x695e5e14, "usb_hcd_start_port_resume" },
	{ 0xbe2f3f6f, "usb_hcd_end_port_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5e948f91, "usb_for_each_dev" },
	{ 0xd2074425, "usb_hcd_link_urb_to_ep" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "1121C33D8F872F51DD10120");

MODULE_INFO(suserelease, "SLFO-1.0");
