#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(xhci_run, 0x0d4fab58, "_gpl");
SYMBOL_CRC(xhci_stop, 0xefbe202c, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0x7ebda6a5, "_gpl");
SYMBOL_CRC(xhci_suspend, 0xa9c919b9, "_gpl");
SYMBOL_CRC(xhci_resume, 0xe785de9b, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0x3fab6552, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0xc12376ee, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0x7ea9ada5, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0xd11f6382, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x5a523346, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0x64a36285, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0x315cf784, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0xf501ccfd, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0x1d7a9bf2, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_find_slot_id_by_port, 0x26144079, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x78b9fb56, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0x4a1788e2, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0x718ebb74, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0x0ca2110f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0x8ec4e8f9, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0x0e54f543, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf4a4db1b, "platform_device_add_resources" },
	{ 0x49a2431f, "usb_hcd_check_unlink_urb" },
	{ 0xcd26a121, "iommu_get_domain_for_dev" },
	{ 0xbe55c98a, "radix_tree_delete" },
	{ 0xd31e5b96, "device_create_managed_software_node" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x6684685b, "_dev_err" },
	{ 0xbe2f3f6f, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd78142a1, "radix_tree_preloads" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3f74f6e8, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0xbfe7ed3, "platform_device_add" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xab939770, "platform_device_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0xd2074425, "usb_hcd_link_urb_to_ep" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xf04e420a, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x7317f0da, "usb_acpi_power_manageable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xcd9ec3be, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0xc7975de0, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x41e85c4e, "pm_runtime_forbid" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x5e059893, "pm_runtime_allow" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xfc9c6300, "usb_hcd_giveback_urb" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb0325527, "usb_hcd_poll_rh_status" },
	{ 0x1442baa, "usb_acpi_set_power_state" },
	{ 0xcc9e9b5a, "usb_disable_xhci_ports" },
	{ 0x7a8975a1, "single_release" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x7f320d0f, "usb_debug_root" },
	{ 0xd5827161, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x35c14bf, "single_open" },
	{ 0xbcf304bd, "usb_hcd_unmap_urb_for_dma" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x13f15173, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x83dfdbfd, "param_ops_ullong" },
	{ 0x99e4772b, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe46139af, "usb_asmedia_modifyflowcontrol" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc1782e9e, "dma_pool_create" },
	{ 0xf0d7256f, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xef1b41ba, "usb_hcd_resume_root_hub" },
	{ 0x781ce5a, "usb_hcd_unlink_urb_from_ep" },
	{ 0x695e5e14, "usb_hcd_start_port_resume" },
	{ 0x8c4a4cc0, "usb_amd_pt_check_port" },
	{ 0x42891724, "usb_hc_died" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x1ff660e3, "radix_tree_lookup" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xd4325626, "usb_wakeup_notification" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x148653, "vsnprintf" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x474edef, "kstrtou16_from_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x2b974d7b, "usb_hcd_map_urb_for_dma" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8a7242a5, "kmalloc_node_trace" },
	{ 0x8c6324c6, "debugfs_create_regset32" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "61CDC447B0FB41A867F4049");

MODULE_INFO(suserelease, "SLFO-1.0");
