#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(musb_get_mode, 0xbde08809, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0xffa83b99, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0xdcbb94d2, "_gpl");
SYMBOL_CRC(musb_interrupt, 0x34a5cca7, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0x7391178d, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0xbe06aadb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49a2431f, "usb_hcd_check_unlink_urb" },
	{ 0x34c20e12, "device_wakeup_disable" },
	{ 0x605e7fad, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x6684685b, "_dev_err" },
	{ 0x3efcc12f, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x18f5848f, "sg_miter_stop" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe1dd4d40, "sg_miter_start" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0xd2074425, "usb_hcd_link_urb_to_ep" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xc68d73f9, "usb_put_hcd" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea98a5dd, "__platform_driver_register" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xba68b64, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xfc9c6300, "usb_hcd_giveback_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x80fb524b, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb0325527, "usb_hcd_poll_rh_status" },
	{ 0xb8199eff, "usb_create_hcd" },
	{ 0x7a8975a1, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0x7f320d0f, "usb_debug_root" },
	{ 0x754d539c, "strlen" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0xf1394ddc, "usb_remove_hcd" },
	{ 0x1f9be97f, "_dev_printk" },
	{ 0x35c14bf, "single_open" },
	{ 0xbcf304bd, "usb_hcd_unmap_urb_for_dma" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x4f7fd02d, "usb_add_hcd" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4af4d38e, "devm_platform_ioremap_resource" },
	{ 0x1a318d01, "device_set_wakeup_capable" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xef1b41ba, "usb_hcd_resume_root_hub" },
	{ 0x781ce5a, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52cbef6c, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf00cd6f5, "param_ops_ushort" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0x148653, "vsnprintf" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3bf9af56, "usb_get_dr_mode" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x282be500, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xbde0ce3c, "platform_get_irq_byname" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "25D8F808F4E9C2137A905CE");

MODULE_INFO(suserelease, "SLFO-1.0");
