#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ce4e496, "typec_set_pwr_opmode" },
	{ 0xbd6e0389, "typec_set_orientation" },
	{ 0x76b33508, "i2c_register_driver" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x6684685b, "_dev_err" },
	{ 0x3efcc12f, "device_wakeup_enable" },
	{ 0x1b6dbda2, "typec_set_vconn_role" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xad932b9b, "typec_set_data_role" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa9be58a2, "typec_unregister_port" },
	{ 0x2f76c797, "power_supply_get_drvdata" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x882a3223, "typec_register_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x796f7a5, "power_supply_changed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x829d4aef, "device_get_named_child_node" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3083b2fe, "typec_get_drvdata" },
	{ 0x3d2b8db9, "typec_partner_set_identity" },
	{ 0x10c3e3de, "fw_devlink_purge_absent_suppliers" },
	{ 0x38476620, "typec_set_pwr_role" },
	{ 0x81188c30, "match_string" },
	{ 0x5bd61aa2, "i2c_del_driver" },
	{ 0xa778dd85, "fwnode_handle_put" },
	{ 0xaffd5f28, "regmap_raw_write" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xc1c0b900, "__dev_fwnode" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa92f1b3e, "device_property_present" },
	{ 0x1a318d01, "device_set_wakeup_capable" },
	{ 0x627fc6b2, "typec_register_partner" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xc0f9f6b, "regmap_raw_read" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x316e6137, "fwnode_usb_role_switch_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xed6ccbf9, "devm_power_supply_register" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0x4b215269, "typec_set_mode" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b31b864, "__devm_regmap_init_i2c" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb62d69bd, "typec_unregister_partner" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "typec,roles,regmap-i2c");

MODULE_ALIAS("i2c:tps6598x");
MODULE_ALIAS("of:N*T*Cti,tps6598x");
MODULE_ALIAS("of:N*T*Cti,tps6598xC*");
MODULE_ALIAS("of:N*T*Capple,cd321x");
MODULE_ALIAS("of:N*T*Capple,cd321xC*");

MODULE_INFO(srcversion, "6CEB419DE71CE74B7E4B25B");

MODULE_INFO(suserelease, "SLFO-1.0");
