#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vfio_assign_device_set, 0x6eb60d68, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x52602859, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0xbef9b384, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x4dde7c45, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x6f98d064, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x221ec6d0, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xf4c86d5d, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0xaac8608d, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xe65f6146, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x0dd5212c, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x10add234, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x08e8631f, "");
SYMBOL_CRC(vfio_unpin_pages, 0x617adb0c, "");
SYMBOL_CRC(vfio_dma_rw, 0xbe2910f2, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x53388648, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0xc3a10b7b, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0xa244b2f9, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0xc94370e6, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x63e278b2, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xade87e4d, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xffad8226, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x51dc1e06, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x4d01e2ac, "cdev_device_del" },
	{ 0xa467730c, "iommu_group_get" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x243c374f, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xde748fe0, "__xa_erase" },
	{ 0x2b4c2f94, "refcount_dec_and_mutex_lock" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x3e26d3b7, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8799d18a, "cdev_device_add" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x948f2719, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x7c73b41e, "fput" },
	{ 0x191e6698, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x8f607373, "up_write" },
	{ 0xb3f0248b, "device_add" },
	{ 0x14b432d3, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x61d6bedf, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xdb696ba9, "ida_free" },
	{ 0xc6465c4c, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb08ebea9, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xf2d1ec63, "__xa_cmpxchg" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd4e8167f, "xa_destroy" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x7bf7dca0, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x5fc560ac, "iommu_group_add_device" },
	{ 0x9ea59272, "try_wait_for_completion" },
	{ 0xbf320c7e, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xafa65049, "eventfd_ctx_fileget" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x3ed2286e, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x53549b32, "anon_inode_getfile" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbf048203, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x65b45cb, "complete" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1BDF4277672F68BD6E5FD91");

MODULE_INFO(suserelease, "SLFO-1.0");
