#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x51707b49, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x1deb8681, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x7a34b4d8, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0xda5028e0, "_gpl");
SYMBOL_CRC(vhost_vq_flush, 0x7d142c49, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xa74f58bd, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0x3fe88db4, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x15d56a16, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x562d465c, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x9e904328, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x4e180190, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x51e44a05, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x82b35d02, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0x093da163, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0xd839d595, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xa3c641fd, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0xc9cf9095, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x6f984287, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x49e94d6c, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x7766b9bf, "");
SYMBOL_CRC(vhost_chr_poll, 0x4d8fad83, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x879d9e9d, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x2ec2536f, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x2a2c3bbd, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xd4411176, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xa7dca516, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x93113146, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x8f0d6cd7, "_gpl");
SYMBOL_CRC(vhost_log_write, 0xd9ec3f42, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x4808ead1, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x79cb9672, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x5eb27e8f, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xa8552ddd, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x8f5ca198, "_gpl");
SYMBOL_CRC(vhost_signal, 0x2fe838c7, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x7f9534fc, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x4cd0aaca, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x939815e5, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xd1e16245, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x31b15893, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x454d65c1, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xd1966811, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0xb319d73f, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xfc55ddd4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65b45cb, "complete" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f26aef, "mmput" },
	{ 0x53001414, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x27e72633, "xa_find" },
	{ 0x58c250b9, "xa_find_after" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdbe3dbe0, "vhost_task_create" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0x4ff5f8d7, "__xa_alloc" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x28c310f1, "xa_erase" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xa1d2f8c, "unpin_user_pages_dirty_lock" },
	{ 0x2fa45f93, "pin_user_pages_fast" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x7c73b41e, "fput" },
	{ 0xd4e8167f, "xa_destroy" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc3f875c5, "get_task_mm" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x8445c324, "iov_iter_init" },
	{ 0xe812b8f4, "_copy_to_iter" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1000e51, "schedule" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xc88b7e54, "eventfd_fget" },
	{ 0xd55ecd56, "iov_iter_advance" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xf00cd6f5, "param_ops_ushort" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A6CD037682135ACEC716EDC");

MODULE_INFO(suserelease, "SLFO-1.0");
