#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x265c341f, "crypto_shash_update" },
	{ 0x7aff6c, "from_vfsgid" },
	{ 0x8b65bc47, "bio_split_rw" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa3adfc9a, "iov_iter_alignment" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5d965c56, "__audit_inode_child" },
	{ 0xc169c7c0, "d_obtain_alias" },
	{ 0xdb49617d, "file_modified" },
	{ 0x5afeb8df, "radix_tree_iter_resume" },
	{ 0xbe4f6412, "sysfs_create_group" },
	{ 0x557faa6d, "posix_acl_chmod" },
	{ 0xa82061ef, "copy_page_to_iter" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaeac049a, "generate_random_guid" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0xbe40a7e6, "folio_account_redirty" },
	{ 0x34618b26, "kthread_associate_blkcg" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0xd71d7cb9, "read_cache_page_gfp" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0xac251c6b, "inode_add_bytes" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xea509205, "from_kuid" },
	{ 0x9abe2ebe, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x192f0e7, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xdd651aff, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0xc4c713db, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xacf35ca3, "generic_remap_file_range_prep" },
	{ 0xb08ebea9, "misc_register" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xaf48adb7, "inode_owner_or_capable" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xd53bd57b, "__insert_inode_hash" },
	{ 0x854e67c9, "bio_reset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x99888422, "inode_update_time" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xd1c5bbc, "filemap_get_folios" },
	{ 0x460af7c1, "blkcg_root_css" },
	{ 0x52a5dc7c, "blkcg_punt_bio_submit" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0x6efed6d5, "make_kgid" },
	{ 0xbc3c6e86, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x57f0aeed, "d_delete" },
	{ 0x75531535, "wbc_account_cgroup_owner" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xb37354df, "end_page_writeback" },
	{ 0x9402a1a, "down_write_trylock" },
	{ 0x3dbd2f4c, "kobject_create_and_add" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfd00a5d4, "mutex_trylock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x6c90bd89, "truncate_setsize" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x82edcd6d, "insert_inode_locked4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0xb68b064b, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd52d6550, "sysfs_remove_group" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb15b4109, "crc32c" },
	{ 0x14a33612, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x5d392750, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x267193eb, "__alloc_pages_bulk" },
	{ 0xddb4e54d, "super_setup_bdi" },
	{ 0xf86be9ba, "igrab" },
	{ 0x2a62fac9, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x1b506598, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd417dfd8, "kobject_del" },
	{ 0xb863baf, "d_instantiate_new" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x7953c93e, "bio_uninit" },
	{ 0x2cb2e453, "set_page_writeback" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x275aa733, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xf7cbaf00, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf8d07fb0, "filemap_fdatawait_range" },
	{ 0xa79e147b, "add_to_page_cache_lru" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xea6f9a36, "zlib_deflate_dfltcc_enabled" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x154b2472, "security_sb_remount" },
	{ 0x483b1bf2, "bioset_init" },
	{ 0xabf4c4b7, "__percpu_counter_sum" },
	{ 0xb48d4d22, "security_sb_eat_lsm_opts" },
	{ 0xc1ccc1a, "init_user_ns" },
	{ 0xfa4c3ba4, "invalidate_inode_pages2" },
	{ 0xe091c977, "list_sort" },
	{ 0x7d885542, "alloc_pages" },
	{ 0x82e94a12, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0xebf85b6, "__folio_put" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc12825d0, "sysfs_create_files" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0xa159d47f, "dput" },
	{ 0xf09cc34, "schedule_timeout_killable" },
	{ 0xbfc8de64, "iov_iter_zero" },
	{ 0xca26ccb1, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c00bfb6, "deactivate_locked_super" },
	{ 0xe736ba6e, "touch_atime" },
	{ 0x611813c7, "filemap_read" },
	{ 0x4ac73c10, "__percpu_down_read" },
	{ 0x72a2c447, "__get_task_ioprio" },
	{ 0x7d6cc70b, "tag_pages_for_writeback" },
	{ 0xcf9c3d81, "balance_dirty_pages_ratelimited_flags" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x33e5087e, "kobject_uevent" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x32db3ede, "vfs_kern_mount" },
	{ 0x77878588, "posix_acl_update_mode" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xa7db7c54, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x44db26ab, "truncate_inode_pages_range" },
	{ 0x554bbae0, "downgrade_write" },
	{ 0x5e606a1e, "__folio_lock" },
	{ 0xadee27f7, "folio_wait_bit" },
	{ 0x5768a561, "filemap_dirty_folio" },
	{ 0x382d6633, "pagecache_get_page" },
	{ 0x395f9326, "is_bad_inode" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x6c4ac1cc, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xfb43965f, "__iomap_dio_rw" },
	{ 0xc078d22c, "zstd_init_cstream" },
	{ 0x4b2c94f1, "file_ra_state_init" },
	{ 0xd97c2075, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xef8bea31, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb1f1f8a8, "dget_parent" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xd9ad5b7d, "kill_anon_super" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xbdb6e5a2, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0xec702b0d, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0xde654107, "fsverity_ioctl_measure" },
	{ 0x128906d8, "generic_write_checks" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x5e18a81c, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd64ba2cc, "generic_write_checks_count" },
	{ 0x349cba85, "strchr" },
	{ 0x91b7e65a, "kmem_cache_alloc_lru" },
	{ 0x22330264, "filemap_fault" },
	{ 0x27864d57, "memparse" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0xeabba344, "__set_page_dirty_nobuffers" },
	{ 0xf12bcc2e, "d_invalidate" },
	{ 0xe21b487b, "__mark_inode_dirty" },
	{ 0x154c0899, "generic_file_llseek" },
	{ 0x787460fa, "mtree_insert" },
	{ 0xcde09ab0, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbf320c7e, "up_read" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x7874e9a2, "iomap_dio_bio_end_io" },
	{ 0x4f8d7d16, "submit_bio_wait" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x67fadcf5, "set_anon_super" },
	{ 0xf7da6f68, "drop_nlink" },
	{ 0x614f6be3, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x9292881d, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x79fc046d, "iget_failed" },
	{ 0x30a4e74c, "kernel_write" },
	{ 0x1412f5b2, "mempool_exit" },
	{ 0xe076c939, "fs_bio_set" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xf415ea24, "bio_split" },
	{ 0x84997dc1, "mtree_load" },
	{ 0xb7bb8925, "kset_create_and_add" },
	{ 0x9b678fd5, "blkdev_issue_discard" },
	{ 0x28e901b1, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x7d2f252f, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d26675e, "zstd_cstream_workspace_bound" },
	{ 0x98df9d2d, "truncate_inode_pages" },
	{ 0xad7ec041, "folio_invalidate" },
	{ 0x7b70965, "__page_file_index" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe65269e4, "inode_init_owner" },
	{ 0xc5049d10, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3eb4d49e, "vfs_fsync_range" },
	{ 0x6a434c1f, "setattr_prepare" },
	{ 0x2a7536bf, "filemap_migrate_folio" },
	{ 0x88cad64a, "clear_nlink" },
	{ 0x7fa66507, "sync_blockdev_range" },
	{ 0xe25e0f33, "file_check_and_advance_wb_err" },
	{ 0x73b243c3, "filemap_flush" },
	{ 0x436d3e0b, "page_cache_async_ra" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe0cd7cfa, "filemap_get_folios_tag" },
	{ 0x18888bb1, "wbc_detach_inode" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0xbf967f25, "d_instantiate" },
	{ 0xe812b8f4, "_copy_to_iter" },
	{ 0xa4270126, "fsverity_ioctl_enable" },
	{ 0x11a50e13, "pagecache_isize_extended" },
	{ 0xcd98843e, "misc_deregister" },
	{ 0x9e8bed2a, "__bio_add_page" },
	{ 0x1a458e61, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5b7518a2, "clear_inode" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xffc4f200, "zstd_compress_stream" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0x9ccab000, "filemap_range_has_page" },
	{ 0xf0d7256f, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6a624cd2, "simple_dir_inode_operations" },
	{ 0xfba8892c, "discard_new_inode" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf2e5bd87, "security_free_mnt_opts" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6fd7cf45, "__fsverity_cleanup_inode" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x8e76e221, "__percpu_counter_compare" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9c1e4f9d, "folio_unlock" },
	{ 0x43270891, "set_blocksize" },
	{ 0xbb808d77, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5fee83d6, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf1248018, "filemap_map_pages" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x63d36206, "try_to_writeback_inodes_sb" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x980499ea, "kobject_rename" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfe1ddada, "security_sb_set_mnt_opts" },
	{ 0x893d35ac, "init_special_inode" },
	{ 0xab969bdc, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x56ac5280, "import_iovec" },
	{ 0xf555f7d2, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x170e175f, "filemap_fdatawrite_range" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x1ff660e3, "radix_tree_lookup" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0x620a54fd, "d_make_root" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x9b0a498b, "__fsverity_file_open" },
	{ 0x1057a279, "bsearch" },
	{ 0x85acc59c, "fget" },
	{ 0x787c882b, "lzo1x_1_compress" },
	{ 0x6ca4c47, "xas_find" },
	{ 0x7648217b, "invalidate_mapping_pages" },
	{ 0xbfc97bdc, "up" },
	{ 0x2b4c2f94, "refcount_dec_and_mutex_lock" },
	{ 0x1f8b3b32, "sync_filesystem" },
	{ 0x2a635652, "mempool_init" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0x796950a1, "kobject_init" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x930517f4, "fsnotify" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x3e07e90d, "d_splice_alias" },
	{ 0x201cbba0, "generic_error_remove_page" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0xded52f72, "current_time" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xfbf74dcc, "fiemap_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48dcc43f, "from_vfsuid" },
	{ 0xee79fd22, "ihold" },
	{ 0x3005bfbb, "fsverity_verify_blocks" },
	{ 0x70299407, "page_get_link" },
	{ 0x9e53e7be, "inode_dio_wait" },
	{ 0x7a27eb15, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xdde83954, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb803318, "invalidate_inode_pages2_range" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xfda380d2, "finish_open" },
	{ 0x7dff1a62, "iput" },
	{ 0xf2015d9b, "filemap_range_has_writeback" },
	{ 0xd4ba2f5a, "kset_unregister" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xb2fa4a55, "wbc_attach_and_unlock_inode" },
	{ 0xc730ceb5, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5c174781, "filemap_release_folio" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe3dbdfff, "__pagevec_release" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1005ff36, "sysfs_remove_files" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xfbd6a2ab, "register_filesystem" },
	{ 0xc83c03de, "d_tmpfile" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x17859ca7, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6a133a8f, "radix_tree_tag_clear" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x37e5f646, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9336cc0, "mempool_free" },
	{ 0xddb8b95d, "path_put" },
	{ 0x715a6a57, "down_read_trylock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x7d3fabc4, "clear_page_dirty_for_io" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1a6cbf2, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbc39959a, "d_prune_aliases" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0xf0176880, "fscrypt_setup_filename" },
	{ 0xb24a0526, "__cond_resched_rwlock_write" },
	{ 0x540e3ee1, "filemap_get_folios_contig" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x9b98800f, "inode_get_bytes" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x282be500, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1bc36208, "inode_set_bytes" },
	{ 0xa8ab32a7, "migrate_folio" },
	{ 0x8d659fdc, "lookup_one" },
	{ 0xd84b8070, "iomap_dio_rw" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x69d56e08, "add_swap_extent" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0xa71d6088, "inode_newsize_ok" },
	{ 0x999e00a1, "lock_two_nondirectories" },
	{ 0x4b069b3f, "mnt_want_write_file" },
	{ 0x2557b6c5, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xa9e93240, "posix_acl_from_xattr" },
	{ 0x1487ea2c, "blkdev_zone_mgmt" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xcfab0961, "filemap_alloc_folio" },
	{ 0x84c4a643, "rt_spin_trylock" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0x457e7820, "truncate_inode_pages_final" },
	{ 0xade96e14, "inode_sub_bytes" },
	{ 0x651fac15, "sync_blockdev" },
	{ 0x70f5e070, "fs_kobj" },
	{ 0xaed28d46, "__filemap_set_wb_err" },
	{ 0xfa1ce652, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x72f119d, "radix_tree_tag_set" },
	{ 0x33b84f74, "copy_page" },
	{ 0x70fc7459, "__filemap_get_folio" },
	{ 0x480caa12, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1d9672bd, "fault_in_subpage_writeable" },
	{ 0xf6b97695, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0x241a9b3e, "mtree_erase" },
	{ 0x51bf1278, "__check_sticky" },
	{ 0x49420857, "__free_pages" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x9047490f, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0x6b42f813, "xattr_full_name" },
	{ 0xc5db4ee4, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xad2cc282, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd6f7fb2d, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xabf79ac6, "submit_bio" },
	{ 0xfdf96997, "mnt_drop_write_file" },
	{ 0x703d0abb, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xef2cf1bd, "sysfs_create_link" },
	{ 0xd6630b80, "copy_page_from_iter_atomic" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x59d7633d, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x35c8940e, "inode_init_once" },
	{ 0x7f8dd2a0, "bioset_exit" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0xeacd7150, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x57eac11, "mark_page_accessed" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xb6a2cb6b, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa7a191d9, "bio_put" },
	{ 0xbe55c98a, "radix_tree_delete" },
	{ 0x7273a59e, "bio_endio" },
	{ 0xe83e015d, "mount_subtree" },
	{ 0x749140b4, "__inode_attach_wb" },
	{ 0xd4c924dd, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf3b42f2c, "posix_acl_create" },
	{ 0xd333b64, "zstd_end_stream" },
	{ 0x103744a5, "inode_nohighmem" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0xa9a5e2d7, "__bio_advance" },
	{ 0x246d36f7, "sysfs_update_group" },
	{ 0x78227e3e, "sysfs_unmerge_group" },
	{ 0x7c73b41e, "fput" },
	{ 0x191e6698, "down_write" },
	{ 0x76d2f63c, "kobject_add" },
	{ 0x8f607373, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x15c81974, "inode_maybe_inc_iversion" },
	{ 0x1d2e5dd3, "unlock_page" },
	{ 0xfc96be6e, "filemap_fdatawrite_wbc" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4e3567f7, "match_int" },
	{ 0x3fa93767, "sysfs_remove_link" },
	{ 0xab425fb5, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x96ad98e8, "__xa_clear_mark" },
	{ 0xa07a37f0, "memchr" },
	{ 0x79c95f82, "set_cached_acl" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0xe5a984b8, "truncate_pagecache" },
	{ 0xd78142a1, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa4eff62b, "unlock_two_nondirectories" },
	{ 0x1c8eca9e, "kobj_sysfs_ops" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x14b432d3, "xa_load" },
	{ 0xae5373f3, "wait_on_page_writeback" },
	{ 0x15d8c796, "noop_llseek" },
	{ 0x344a2c84, "iomap_dio_complete" },
	{ 0xf9bb1a73, "sysfs_merge_group" },
	{ 0x32a460e8, "down" },
	{ 0xe18a183e, "radix_tree_gang_lookup_tag" },
	{ 0xbf10d2ea, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x466ac40c, "setattr_copy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4f11e3bd, "file_update_time" },
	{ 0xc33d9e2d, "set_nlink" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xa0168695, "security_inode_init_security" },
	{ 0x1ac2df6a, "blkdev_get_by_path" },
	{ 0xdaee2ef2, "from_kgid" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb05c77fc, "crypto_shash_digest" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6056830f, "folio_wait_writeback" },
	{ 0xf31b3fd1, "workqueue_set_max_active" },
	{ 0xc37baaeb, "rw_verify_area" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xa2b66cb2, "blkdev_issue_zeroout" },
	{ 0x6cbc0802, "fault_in_iov_iter_writeable" },
	{ 0x9ec23923, "file_remove_privs" },
	{ 0xd6ce7dfd, "wait_for_completion_io" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xac189bb5, "kobject_init_and_add" },
	{ 0x205698e0, "sget" },
	{ 0x6e9f7aaa, "zero_fill_bio_iter" },
	{ 0x12c3e03, "bio_add_page" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "xor,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "9E27F293D312124CDC02053");

MODULE_INFO(suserelease, "SLFO-1.0");
