#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfs3_set_ds_client, 0x5afe3c8c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9b3a29a, "nfs_setattr_update_inode" },
	{ 0x13653d5d, "nfs_sops" },
	{ 0xc1ccc1a, "init_user_ns" },
	{ 0xdae31233, "rpc_restart_call" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xb5483496, "nfs_link" },
	{ 0xa159d47f, "dput" },
	{ 0x4c6408bb, "put_nfs_open_context" },
	{ 0x40a45d13, "nfs_permission" },
	{ 0x8ba4b0f2, "nfs_add_or_obtain" },
	{ 0xd745b8e8, "from_kuid_munged" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xfafa44a2, "nfs_free_client" },
	{ 0x977bcde6, "nfs_close_context" },
	{ 0x194f4efc, "nfs_refresh_inode" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xee3a534c, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x315a4b4a, "nfs_symlink" },
	{ 0xc9e42ea5, "nfs_unlink" },
	{ 0x6e0532fd, "forget_cached_acl" },
	{ 0xf1727358, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf461581b, "nlmclnt_proc" },
	{ 0x449ea448, "nfs_writeback_update_inode" },
	{ 0xd548fa09, "nfs_alloc_client" },
	{ 0x6b3d89b3, "nfs_dentry_operations" },
	{ 0xff8a0954, "xdr_write_pages" },
	{ 0x6461a69a, "nfs_access_zap_cache" },
	{ 0x694c857b, "xdr_inline_decode" },
	{ 0xef72df12, "forget_all_cached_acls" },
	{ 0xbe56c466, "nfs_submount" },
	{ 0x1c565db5, "__tracepoint_nfs_xdr_status" },
	{ 0x773122a, "nfs_mknod" },
	{ 0xdecf99b0, "nfs_create_server" },
	{ 0x2bec1761, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x17d237f4, "nfs_post_op_update_inode" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x31f5bd08, "xdr_read_pages" },
	{ 0x418f57a0, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x1f95b8f6, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xca1f8a6f, "nfs_mkdir" },
	{ 0x998ad699, "nfs_revalidate_inode" },
	{ 0x457a9122, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4dbeb4d, "nfs_try_get_tree" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0xdb47e372, "nfs_get_client" },
	{ 0x49420857, "__free_pages" },
	{ 0x55403786, "nfs_file_operations" },
	{ 0x5202e67b, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xb58bdeaf, "nfs_put_lock_context" },
	{ 0x5f8e985f, "nfs_rename" },
	{ 0xa4eb6beb, "nfs_lookup" },
	{ 0xf404aaf2, "nfsacl_encode" },
	{ 0xf3b42f2c, "posix_acl_create" },
	{ 0x713e072, "get_nfs_open_context" },
	{ 0x7173c8f4, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x27b7d05a, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x303ddc05, "nfs_getattr" },
	{ 0xef5a6f2a, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x718c1f21, "nfs_zap_acl_cache" },
	{ 0x815ed3bb, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9019f614, "rpc_bind_new_program" },
	{ 0x4c2fc0d7, "register_nfs_version" },
	{ 0xbf2e1a2b, "nfs_atomic_open_v23" },
	{ 0xefd965b2, "rpc_call_start" },
	{ 0x92c746b2, "rpc_call_sync" },
	{ 0xb617d6b1, "rpc_prepare_reply_pages" },
	{ 0x37cecd40, "nfs_fs_type" },
	{ 0x94812bdc, "nfs_setattr" },
	{ 0x8f53e02e, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xa347e6d7, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x6efed6d5, "make_kgid" },
	{ 0xe154284f, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x51299bc6, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x469b776a, "nfs_rmdir" },
	{ 0x1f9969de, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1d3646c9, "nfs_async_iocounter_wait" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "97DF6E7D20E8318504C1ACD");

MODULE_INFO(suserelease, "SLFO-1.0");
