#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(v9fs_register_trans, 0x83438c00, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x75d9fcd1, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x52968023, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x9fdab792, "");
SYMBOL_CRC(p9_is_proto_dotl, 0xa151338f, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x91946167, "");
SYMBOL_CRC(p9_show_client_options, 0x0942163b, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x136254f5, "");
SYMBOL_CRC(p9_req_put, 0x77cc39bb, "");
SYMBOL_CRC(p9_client_cb, 0x72760219, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x680e4c43, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x7cc99cbe, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0x1285c78d, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x1bbabc53, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x55fa5755, "");
SYMBOL_CRC(p9_client_create, 0xf6a3e2ca, "");
SYMBOL_CRC(p9_client_destroy, 0xcf0f16d5, "");
SYMBOL_CRC(p9_client_disconnect, 0xc2d1782e, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x67566197, "");
SYMBOL_CRC(p9_client_attach, 0x241ed66f, "");
SYMBOL_CRC(p9_client_walk, 0xcd0a8103, "");
SYMBOL_CRC(p9_client_open, 0x36403af3, "");
SYMBOL_CRC(p9_client_create_dotl, 0xc49d3296, "");
SYMBOL_CRC(p9_client_fcreate, 0x589e5eda, "");
SYMBOL_CRC(p9_client_symlink, 0xfac3153e, "");
SYMBOL_CRC(p9_client_link, 0x7fd104de, "");
SYMBOL_CRC(p9_client_fsync, 0x4cf189df, "");
SYMBOL_CRC(p9_client_clunk, 0xf5d948dc, "");
SYMBOL_CRC(p9_client_remove, 0xb43d461e, "");
SYMBOL_CRC(p9_client_unlinkat, 0x27e9f48b, "");
SYMBOL_CRC(p9_client_read, 0xf519c1cf, "");
SYMBOL_CRC(p9_client_read_once, 0x67b300ae, "");
SYMBOL_CRC(p9_client_write, 0xd2bbdb57, "");
SYMBOL_CRC(p9_client_stat, 0xfaf1cb31, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x767dc975, "");
SYMBOL_CRC(p9_client_wstat, 0x914b0c4b, "");
SYMBOL_CRC(p9_client_setattr, 0xe9b20374, "");
SYMBOL_CRC(p9_client_statfs, 0x664ef639, "");
SYMBOL_CRC(p9_client_rename, 0x66df1e91, "");
SYMBOL_CRC(p9_client_renameat, 0x12b9a41f, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x2b978de8, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x9e6fd610, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0xb90aae09, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0xad5ab57a, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x1e105f85, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x9db5b166, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0x2c39f0fc, "");
SYMBOL_CRC(p9_client_readlink, 0xc1b7abdf, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0xd17f522a, "");
SYMBOL_CRC(p9dirent_read, 0x700405a4, "");
SYMBOL_CRC(p9_release_pages, 0xff76b160, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x7108d077, "idr_get_next" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x948f2719, "module_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xd81fe740, "idr_alloc" },
	{ 0x9150c80c, "kmem_cache_create_usercopy" },
	{ 0xd78142a1, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xdaee2ef2, "from_kgid" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xea509205, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x6efed6d5, "make_kgid" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc1ccc1a, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0xebf85b6, "__folio_put" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe812b8f4, "_copy_to_iter" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0xb89613fd, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc1448a0a, "idr_alloc_u32" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "13F3642F798ED36213F3C0E");

MODULE_INFO(suserelease, "SLFO-1.0");
