#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dccp_v4_connect, 0xebfd7a3d, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x799bb2df, "");
SYMBOL_CRC(dccp_v4_send_check, 0x6614c4ff, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0xed164f85, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x81165d38, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xb4023b24, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xa21727d3, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x2fbef19d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a9fbfa, "dccp_rcv_state_process" },
	{ 0xc1545d49, "dccp_reqsk_send_ack" },
	{ 0x412883e1, "inet_lookup_reuseport" },
	{ 0x76081ed7, "__inet_lookup_listener" },
	{ 0x7a9885fd, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xac5b2c1a, "sock_common_getsockopt" },
	{ 0xaaa39d53, "inet_bind" },
	{ 0x18eba300, "__inet_inherit_port" },
	{ 0x9b94b695, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x77c0a067, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xfa927665, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2a3c9259, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa6bc5135, "inet_csk_reqsk_queue_hash_add" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3d055ec2, "sk_error_report" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0xad2e81de, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x74366cf, "inet_getname" },
	{ 0x5c7083df, "inet_stream_connect" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0x30f29abe, "inet_reqsk_alloc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x21a84bd4, "inet_ehashfn" },
	{ 0xcec8f39a, "inet_twsk_purge" },
	{ 0x4f1319a8, "dccp_done" },
	{ 0x56309c0c, "inet_release" },
	{ 0x1b57c952, "__sk_dst_check" },
	{ 0xe72ddf8, "dccp_disconnect" },
	{ 0x63a73cd7, "ip_route_output_key_hash" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0xeadf4c79, "inet_hash" },
	{ 0x26fe634, "__sk_receive_skb" },
	{ 0xfc230595, "dccp_poll" },
	{ 0x5fe9abd6, "inet_ctl_sock_create" },
	{ 0xe7b3cf49, "dccp_death_row" },
	{ 0x59547bab, "inet_csk_get_port" },
	{ 0xf0c5344a, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x41e8a6fe, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x9fdeda67, "inet_accept" },
	{ 0xf93410b1, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a5f7953, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x5efb44b8, "inet_add_protocol" },
	{ 0xce84785d, "inet_shutdown" },
	{ 0xf7c9f396, "sk_free" },
	{ 0xe1d417ec, "dccp_close" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8cf513aa, "dccp_reqsk_init" },
	{ 0x419eb61c, "inet_hash_connect" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0xe956990f, "inet_csk_route_child_sock" },
	{ 0x6afc9de5, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x354e16ad, "security_sk_classify_flow" },
	{ 0xb70663ea, "inet_csk_update_pmtu" },
	{ 0x2a890172, "dccp_getsockopt" },
	{ 0xcb0329bd, "dccp_parse_options" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0xe75cd8dc, "skb_checksum" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xf100e8d5, "dccp_child_process" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xf424bb9a, "sock_common_recvmsg" },
	{ 0xaf4d239f, "dccp_setsockopt" },
	{ 0xc4e8e2db, "dccp_ioctl" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x2986a5cb, "inet_sk_rebuild_header" },
	{ 0x9775e37e, "inet_del_protocol" },
	{ 0x234ffb17, "ipv4_mtu" },
	{ 0x32989172, "dccp_recvmsg" },
	{ 0x4926f58c, "inet_sendmsg" },
	{ 0xaadc15f8, "dccp_check_req" },
	{ 0x341c3c76, "dccp_create_openreq_child" },
	{ 0xd75812f1, "inet_csk_prepare_forced_close" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0xd2cf147b, "sock_pfree" },
	{ 0xa689c0a4, "dccp_rcv_established" },
	{ 0xf0cac24a, "dccp_send_sync" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x9bca5fdf, "sock_release" },
	{ 0x5045a1ca, "dccp_make_response" },
	{ 0x15b59b53, "dccp_destroy_sock" },
	{ 0x23ecdde0, "dccp_ctl_make_reset" },
	{ 0x5b697eab, "sock_gettstamp" },
	{ 0xe0d43bd6, "sk_setup_caps" },
	{ 0x5d1ee6a6, "ip_build_and_send_pkt" },
	{ 0xd2c7c483, "dccp_sendmsg" },
	{ 0xcaf44bd0, "ip_setsockopt" },
	{ 0x808f0d9c, "dccp_hashinfo" },
	{ 0x396517ff, "inet_twsk_put" },
	{ 0x70bf23b2, "inet_unhash" },
	{ 0xd6dc587e, "ip_getsockopt" },
	{ 0xad992974, "dccp_set_state" },
	{ 0x6e10186f, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x567563fd, "inet_csk_reqsk_queue_drop" },
	{ 0x2fb68ec2, "__inet_lookup_established" },
	{ 0x2ff1bb7d, "inet_bhash2_reset_saddr" },
	{ 0xbbc0c8bd, "inet_csk_addr2sockaddr" },
	{ 0x1c02611b, "inet_unregister_protosw" },
	{ 0x6979cc2a, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa8722ead, "dccp_shutdown" },
	{ 0xc28e66e1, "inet_bhash2_update_saddr" },
	{ 0x3146a7d8, "dccp_connect" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "444BF8A8A995A530C7D8092");

MODULE_INFO(suserelease, "SLFO-1.0");
