#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hsr_get_version, 0xa3936e40, "");
SYMBOL_CRC(is_hsr_master, 0x8e89fe4f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf49097d6, "rtnl_link_register" },
	{ 0x711c9259, "genlmsg_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x82c12f57, "dev_set_promiscuity" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa23db88d, "unregister_netdevice_queue" },
	{ 0x92f0f813, "netlink_ack" },
	{ 0x4774229e, "netdev_state_change" },
	{ 0x8c91b434, "__pskb_copy_fclone" },
	{ 0x8195bbc6, "ether_setup" },
	{ 0xae861381, "netlink_broadcast_filtered" },
	{ 0xfea4485, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6534a401, "netdev_upper_dev_link" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0c88428, "netdev_rx_handler_unregister" },
	{ 0xd61ee3bd, "eth_header_parse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x479f9e96, "skb_copy_expand" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0xf9e8d198, "rtnl_link_unregister" },
	{ 0x7a3eb868, "init_net" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99050138, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc0814d19, "dev_get_by_index_rcu" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x3229b217, "netdev_printk" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x45705117, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa4ab6735, "seq_read" },
	{ 0x1db8fd33, "debugfs_rename" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7f770803, "call_netdevice_notifiers" },
	{ 0x6226e6d, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x388e1e9d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x48d0921f, "netif_carrier_on" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xdec37bf3, "netdev_rx_handler_register" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x57645eb0, "genl_unregister_family" },
	{ 0x36aba00c, "dev_disable_lro" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x35c14bf, "single_open" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0xd710ff22, "genl_register_family" },
	{ 0x2be26259, "netdev_core_stats_inc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xbfd6525a, "netdev_info" },
	{ 0xd36b08e6, "register_netdevice" },
	{ 0xc11f1c1b, "dev_set_mtu" },
	{ 0x114e135c, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xe753f058, "eth_header" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7700a2bc, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3843624DF97E98A5E44D05F");

MODULE_INFO(suserelease, "SLFO-1.0");
