#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wpan_phy_find, 0xdbe08764, "");
SYMBOL_CRC(wpan_phy_for_each, 0x00745d2e, "");
SYMBOL_CRC(wpan_phy_new, 0x549f04b9, "");
SYMBOL_CRC(wpan_phy_register, 0x4d3e4024, "");
SYMBOL_CRC(wpan_phy_unregister, 0x0b5c36f7, "");
SYMBOL_CRC(wpan_phy_free, 0x7460ea4f, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x0d35f7e6, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x02e70a06, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xd666fe5f, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x719a5f83, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x54871d6c, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x73df7c34, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x321a01a7, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x56ad540b, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x46667691, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8d820e5, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0xc6465c4c, "device_del" },
	{ 0x20f237a6, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xd90ec38c, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3d2747ae, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xbb56210, "device_match_name" },
	{ 0xb9dda498, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x57645eb0, "genl_unregister_family" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd710ff22, "genl_register_family" },
	{ 0xae0e7583, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0xa555f154, "get_net_ns_by_fd" },
	{ 0x1aef77de, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xf810d126, "class_find_device" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0x60f4b791, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x711c9259, "genlmsg_put" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x81142b3e, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xae861381, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x13d5641e, "device_rename" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x561c7cf8, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x7a3eb868, "init_net" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb3f0248b, "device_add" },
	{ 0x99050138, "netlink_unicast" },
	{ 0x50fbdcf0, "dev_get_by_index" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D41528180F6A18D6BBE6299");

MODULE_INFO(suserelease, "SLFO-1.0");
