#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xe1ee3435, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x20aa1a48, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x0b881722, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x3aa9a7e7, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x3aaf8c06, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x113c12b8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x2875ebdd, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xdb53f02b, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xc3af2f84, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xaa084fa8, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x833175ce, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xbdd5a285, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xf0e88c64, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xb859c355, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xa018ea39, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x553bd895, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x298e63e4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xbe6aac8d, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xfa7cf857, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x79e423c7, "_gpl");
SYMBOL_CRC(__l2tp_session_set_header_len, 0xa48fbf24, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x1b9956cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3d055ec2, "sk_error_report" },
	{ 0xa72d793a, "ip_icmp_error" },
	{ 0x286060ea, "ipv6_icmp_error" },
	{ 0xd2b9762b, "sock_create_kern" },
	{ 0x17cc1029, "kernel_bind" },
	{ 0x76f91e86, "kernel_connect" },
	{ 0x7a6fdd28, "udp_sock_create6" },
	{ 0x45288452, "kernel_sock_shutdown" },
	{ 0x9bca5fdf, "sock_release" },
	{ 0x8b076956, "udp_sock_create4" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xb89613fd, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d5f2eaf, "idr_get_next_ul" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xc1448a0a, "idr_alloc_u32" },
	{ 0x87e8ab66, "sockfd_lookup" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0xdf8f4701, "release_sock" },
	{ 0xa46cd430, "idr_replace" },
	{ 0x7c73b41e, "fput" },
	{ 0x49fa2e9, "setup_udp_tunnel_sock" },
	{ 0x9d1306b0, "udp_set_csum" },
	{ 0x6979cc2a, "ip_queue_xmit" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x608d0855, "udp6_set_csum" },
	{ 0x7142c69e, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "931A58A432DB4A9559BC00A");

MODULE_INFO(suserelease, "SLFO-1.0");
