#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x298e63e4, "l2tp_tunnel_register" },
	{ 0xb881722, "l2tp_tunnel_dec_refcount" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0x410863fb, "proc_create_net_data" },
	{ 0x2875ebdd, "l2tp_tunnel_get_nth" },
	{ 0x337f2432, "l2tp_nl_unregister_ops" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x23862e4c, "sock_queue_rcv_skb_reason" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x71099587, "ppp_input" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xaa084fa8, "l2tp_session_get_nth" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0xdf8f4701, "release_sock" },
	{ 0xbe6aac8d, "l2tp_tunnel_delete" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x1b9956cd, "l2tp_session_create" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3aa9a7e7, "l2tp_session_inc_refcount" },
	{ 0xbdd5a285, "l2tp_session_register" },
	{ 0x9a5f7953, "ip6_mtu" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x4124c5bf, "ppp_register_net_channel" },
	{ 0xfa7cf857, "l2tp_session_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x234ffb17, "ipv4_mtu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc870674d, "ppp_dev_name" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa48fbf24, "__l2tp_session_set_header_len" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xad58db15, "sock_wmalloc" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa018ea39, "l2tp_xmit_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0xa7ca5248, "pppox_unbind_sock" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x14d886e7, "sock_no_bind" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0xd89d4d3a, "sock_no_accept" },
	{ 0xc0079061, "datagram_poll" },
	{ 0xb5d79667, "pppox_ioctl" },
	{ 0xc9c23f86, "pppox_compat_ioctl" },
	{ 0x14de3ce3, "sock_no_listen" },
	{ 0xc8fe1058, "sock_no_shutdown" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0x6d217519, "register_pppox_proto" },
	{ 0x364706fb, "l2tp_nl_register_ops" },
	{ 0xe0ff7a18, "unregister_pppox_proto" },
	{ 0x92997ed8, "_printk" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdb53f02b, "l2tp_tunnel_get_session" },
	{ 0x3aaf8c06, "l2tp_session_dec_refcount" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0xb859c355, "l2tp_udp_encap_recv" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xb013e5e0, "skb_recv_datagram" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0x113c12b8, "l2tp_tunnel_get" },
	{ 0x553bd895, "l2tp_tunnel_create" },
	{ 0x20aa1a48, "l2tp_tunnel_inc_refcount" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core,l2tp_netlink,ppp_generic,pppox");


MODULE_INFO(srcversion, "2216543506F3CA36A9A45CA");

MODULE_INFO(suserelease, "SLFO-1.0");
