#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ieee802154_alloc_hw, 0xfa8ebeee, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x484b6d06, "");
SYMBOL_CRC(ieee802154_free_hw, 0x00944861, "");
SYMBOL_CRC(ieee802154_register_hw, 0x5a6d08e8, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x1016a1dd, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x9ca857a5, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xf018851e, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x8ae09d74, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xfb8da474, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x479f9e96, "skb_copy_expand" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4ad42a08, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x6684685b, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4d3e4024, "wpan_phy_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98dbdea, "crypto_aead_encrypt" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x54871d6c, "ieee802154_hdr_peek" },
	{ 0x7460ea4f, "wpan_phy_free" },
	{ 0x5498a886, "netif_receive_skb" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5c54909a, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0x31eb0545, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xe10e5b9d, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd666fe5f, "ieee802154_hdr_pull" },
	{ 0x73df7c34, "nl802154_scan_event" },
	{ 0xe90f7782, "crypto_alloc_sync_skcipher" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x13aa6d2e, "__dynamic_netdev_dbg" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2e70a06, "ieee802154_beacon_push" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x549f04b9, "wpan_phy_new" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1fd2121d, "hrtimer_cancel" },
	{ 0xd35f7e6, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd36b08e6, "register_netdevice" },
	{ 0x77afe76, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0x46667691, "nl802154_beaconing_done" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x19d134b7, "hrtimer_init" },
	{ 0xbca6d2d3, "dev_alloc_name" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbbf11f6d, "crypto_alloc_aead" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xc66925e3, "netdev_warn" },
	{ 0xc83edfe6, "crypto_aead_setauthsize" },
	{ 0x91211f97, "crypto_aead_decrypt" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xb967504f, "crypto_skcipher_setkey" },
	{ 0xa23db88d, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x719a5f83, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb5c36f7, "wpan_phy_unregister" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5cd5b011, "alloc_netdev_mqs" },
	{ 0x56ad540b, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x321a01a7, "nl802154_scan_started" },
	{ 0x9283cb45, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "589197BD7007FCA534BDE4A");

MODULE_INFO(suserelease, "SLFO-1.0");
