#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mpls_output_possible, 0x54f26dff, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x3fef6a3c, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0xe1459f65, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0xd3f0d00d, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x89c90167, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x94543320, "rtnl_af_register" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xc780a7b2, "rtnl_set_sk_err" },
	{ 0xe92a0c5c, "rtnl_unicast" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf0910ebc, "nla_reserve_64bit" },
	{ 0x8aab7d8f, "ip_valid_fib_dump_req" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0x423d3514, "ipv6_stub" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbe144437, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98a54fbd, "rtnl_af_unregister" },
	{ 0x655e326d, "dev_remove_pack" },
	{ 0x50fbdcf0, "dev_get_by_index" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0x1b31e96e, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x91088586, "rtnl_register_module" },
	{ 0x616ba86d, "ip_tunnel_encap_del_ops" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd432ed0e, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x92a5ab61, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x58111950, "proc_dointvec" },
	{ 0x88c429fa, "unregister_net_sysctl_table" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x55172e81, "dev_get_flags" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xe0089cea, "proc_dointvec_minmax" },
	{ 0xa961ac7d, "netlink_strict_get_check" },
	{ 0x8a610494, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x689b7eb1, "__nlmsg_put" },
	{ 0x8d3605e2, "skb_gso_validate_network_len" },
	{ 0x97c1dd5, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xc046f8a6, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xb9ece692, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "2E8F8DDC0476B2E94FF5348");

MODULE_INFO(suserelease, "SLFO-1.0");
