#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x0eace04a, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x5c9303b2, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xb20ff0d6, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x52278ee0, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x271a4866, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x6bfef689, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xb4a909b8, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x2bda85d9, "");
SYMBOL_CRC(ip_vs_conn_put, 0xc4f4f153, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xb1139d62, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xb76fbad9, "");
SYMBOL_CRC(register_ip_vs_app, 0x37a46279, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xda4ff7c1, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x0a5beabd, "");
SYMBOL_CRC(ip_vs_proto_get, 0xd0d1c962, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xb8305f74, "");
SYMBOL_CRC(register_ip_vs_pe, 0x76de8be4, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xaf71d1a9, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x3a3efd32, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76456c1a, "ip_route_me_harder" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x9365832a, "set_cpus_allowed_ptr" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x7c64f2d8, "proc_doulongvec_minmax" },
	{ 0xec9057b3, "nf_ct_expect_alloc" },
	{ 0x1aa873d7, "skb_ensure_writable" },
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0x91bf6fcd, "ip_mc_join_group" },
	{ 0x7a7f1149, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x309a9923, "ns_capable" },
	{ 0x22c2952, "nf_unregister_net_hooks" },
	{ 0x80d7b801, "inet_select_addr" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x12b09998, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0x82d4c3a9, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe75cd8dc, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xe9018205, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x3ebc01b6, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x9cf7bea0, "nf_hook_slow" },
	{ 0xfd00a5d4, "mutex_trylock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe83f4799, "nf_ct_deliver_cached_events" },
	{ 0xa00fbc4b, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x292d3328, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9d4ba950, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x234ffb17, "ipv4_mtu" },
	{ 0xc22e1252, "skb_set_owner_w" },
	{ 0xe1553540, "__skb_checksum" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd2b9762b, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc1ccc1a, "init_user_ns" },
	{ 0xc5e55565, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x5d75eace, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x7f4ccac6, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xca8c769d, "ipv4_update_pmtu" },
	{ 0x451b07d0, "nf_defrag_ipv6_enable" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x9bca5fdf, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x58111950, "proc_dointvec" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x88c429fa, "unregister_net_sysctl_table" },
	{ 0x69a91a9f, "ip_local_out" },
	{ 0x57645eb0, "genl_unregister_family" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x608d0855, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd710ff22, "genl_register_family" },
	{ 0xe699308e, "kernel_sendmsg" },
	{ 0x3483cd9d, "nf_ct_netns_put" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe0089cea, "proc_dointvec_minmax" },
	{ 0xa73284e1, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xa522c633, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x68b0cc2d, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x82d83c7, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x79f4bb4c, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x5434303c, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x55a9debc, "proc_dointvec_jiffies" },
	{ 0x97c1dd5, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x910a67e4, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x746e574d, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd2ed494f, "nf_register_sockopt" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfa4b4077, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x8acbdd59, "set_user_nice" },
	{ 0x711c9259, "genlmsg_put" },
	{ 0x9d1306b0, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x61e42b68, "ip6_output" },
	{ 0xc32a0de1, "ip6_route_me_harder" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1e552f45, "__module_get" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4e00f8e, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xfe38a5f6, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x410863fb, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf50f4fe, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf5d602f7, "nf_register_net_hooks" },
	{ 0x5af19af6, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x71ada9e, "ipv6_sock_mc_join" },
	{ 0x948f2719, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x381e17dc, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x818b7764, "__skb_get_hash" },
	{ 0x7a3eb868, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a5f7953, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x99050138, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd14f86ff, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x9169f05e, "nf_conntrack_alter_reply" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "178F993BC2CE06978B6C880");

MODULE_INFO(suserelease, "SLFO-1.0");
