#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_conntrack_locks, 0x8869af4f, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xe9682230, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x86c743ea, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x6f0f90ba, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xe4fe9033, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xc3506341, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xa1f7a81f, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x3ebc01b6, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xa522c633, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x04d58ee9, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xc17edd22, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x82d4c3a9, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xed6e7eea, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xf04e4668, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x7faede1c, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x729814ca, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x9169f05e, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x5a7a51a2, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x1db747a1, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x5e98f11d, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x658d2778, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x30de0b59, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x3c29eb6b, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x6c6d8890, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x2f20fd99, "_gpl");
SYMBOL_CRC(print_tuple, 0x4997404f, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x9929b078, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xd88c0e64, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xdbde0444, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x94e8b0c3, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x7b5b479b, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x6d554869, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x4099f39e, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xec9057b3, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xc5e55565, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x7a7f1149, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xd14f86ff, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xf678044f, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x7bcdf87f, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xf436ff45, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x79b4dc5b, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x59b0ca0a, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x63369dd5, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x2eeab9bc, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x2a308789, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x6d965f49, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xe7fafeef, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xc9a734e9, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xbef00c3a, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x71613184, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x589b9fee, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xb079abd5, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x52f5d475, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xe14f5a2d, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x8303c708, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x68196348, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x57baf7f3, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x65c07807, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xd30a01ad, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x478947dd, "_gpl");
SYMBOL_CRC(nf_confirm, 0x84dfd9c5, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xfa4b4077, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x3483cd9d, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xc277dab8, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x277c29ab, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xa73284e1, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x0b470107, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x68487105, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x0947ecfc, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x70ab34ad, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x78827932, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x64694a2a, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xc14227b9, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xd4d2c1de, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xcf50f553, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x125b3bc4, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x17c85438, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xe83f4799, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x1c3b4104, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xe2b21e74, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x22694ad0, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x8531c2fd, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xbac82510, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x7bfc6005, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x16fea787, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xea1e16d0, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x93232f9d, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xa217a4ad, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x36958d1b, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x4b4bd283, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0x684f4674, "nf_defrag_ipv6_disable" },
	{ 0xb53cc1eb, "ipv6_skip_exthdr" },
	{ 0xf5d602f7, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x948f2719, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x51fa4180, "nf_checksum" },
	{ 0xd210a513, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x7a3eb868, "init_net" },
	{ 0x3fa1a4d2, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xf4d04cd7, "nf_checksum_partial" },
	{ 0x1aa873d7, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x22c2952, "nf_unregister_net_hooks" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xe9018205, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6d625d5d, "nf_log_packet" },
	{ 0x6efed6d5, "make_kgid" },
	{ 0x147684f5, "nf_ip_checksum" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xdfa24e4c, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x3f67f163, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc88f6934, "down_read" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0xd90ec38c, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1553540, "__skb_checksum" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcb9c7334, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xdc37c934, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x451b07d0, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x58111950, "proc_dointvec" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x94f5c5a, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x88c429fa, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x8a3c5c60, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x9329e47b, "pskb_trim_rcsum_slow" },
	{ 0xbf320c7e, "up_read" },
	{ 0xdd3c858f, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd6b0af61, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9967638, "nf_defrag_ipv4_disable" },
	{ 0xc680a28, "nf_ip6_checksum" },
	{ 0xd80186c4, "proc_dou8vec_minmax" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x55a9debc, "proc_dointvec_jiffies" },
	{ 0x97c1dd5, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd2ed494f, "nf_register_sockopt" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xfc54412c, "nfct_btf_struct_access" },
	{ 0xea4f564f, "param_set_uint" },
	{ 0x2f3a6ff9, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cb5d38a, "nf_ct_frag6_gather" },
	{ 0x37d8c542, "get_net_ns_by_id" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xf93ba995, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x410863fb, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf50f4fe, "nf_unregister_sockopt" },
	{ 0xe097ec36, "param_get_uint" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "22955FE5135F4625813419B");

MODULE_INFO(suserelease, "SLFO-1.0");
