#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(flow_offload_alloc, 0x9f725736, "_gpl");
SYMBOL_CRC(flow_offload_route_init_1224415, 0x767cba38, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xc7e49e34, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x0863561d, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x38d45168, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x4c542993, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x610329f5, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x1518dc8f, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x0cb8ca79, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x821e70b1, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x41d93e9a, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xf2aad383, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x1685e8c2, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0xd3938e8a, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xc4f21373, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x3b7bc43f, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0xd4eb5b48, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0xff21c6f1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x50fbdcf0, "dev_get_by_index" },
	{ 0xc0814d19, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xe3466588, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc469c064, "flow_indr_dev_setup_offload" },
	{ 0x5a094ca8, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1643317, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x992662ed, "rhashtable_destroy" },
	{ 0xc88f6934, "down_read" },
	{ 0x352c842d, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xef9a0c4a, "rhashtable_insert_slow" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x26602795, "neigh_destroy" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc37c934, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0xc17edd22, "nf_ct_acct_add" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xa2d0ce12, "rhashtable_walk_next" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x90d2c95e, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xbf320c7e, "up_read" },
	{ 0x1df1ec1b, "rhashtable_walk_exit" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xc3ca0c66, "flow_rule_alloc" },
	{ 0x62e50d04, "ip6_dst_check" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x8d3605e2, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x746e574d, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9ece692, "neigh_xmit" },
	{ 0xb6762d96, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x61e42b68, "ip6_output" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x4380b0b0, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x33a8d5f3, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x410863fb, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "329E31C1ED3A16A9282F1F4");

MODULE_INFO(suserelease, "SLFO-1.0");
