#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nft_do_chain, 0xe33cd2f9, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0x7742e846, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0x88af0c8c, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0x304864dd, "_gpl");
SYMBOL_CRC(nft_request_module, 0xcf9f433e, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0xc3cdc5c3, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0xc6a90fb3, "_gpl");
SYMBOL_CRC(nft_register_expr, 0x64f5c6fc, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x5cd4309a, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0xea068376, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0xbe636797, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0xd39bd412, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x5e3ef79a, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0xe5d96a72, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x65fbdfa6, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x29c7a1ef, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0x72d757a9, "_gpl");
SYMBOL_CRC(nft_set_catchall_gc, 0xd58b2d3f, "_gpl");
SYMBOL_CRC(nft_register_obj, 0xd56717e7, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x64a3deba, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x0a49d814, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0xbfa5ca1b, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0xc94e5903, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x446ea292, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x8ea85022, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x45f7e379, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x838ec94a, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0xe50c7d4c, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0xc66a9489, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0xec5366dc, "_gpl");
SYMBOL_CRC(nft_data_init, 0x53439d48, "_gpl");
SYMBOL_CRC(nft_data_release, 0x069739d3, "_gpl");
SYMBOL_CRC(nft_data_dump, 0x8b634047, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x3d858afe, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0x7a6e0a79, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0xeb83bddc, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0x791e0066, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xbf3f96fa, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xe2c74001, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0x3e6cc250, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x701fb092, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0xc66559fa, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x2e37cfd9, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x553d6ad2, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0x6b9f76ce, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0xb4df9490, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x2c6d3984, "_gpl");
SYMBOL_CRC(nft_ct_get_fast_eval, 0x502f2bd4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x89cb524c, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xb6762d96, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfd175eb2, "nfnetlink_subsys_register" },
	{ 0xc32a0de1, "ip6_route_me_harder" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4380b0b0, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1e552f45, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x33a8d5f3, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfe38a5f6, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4350f6b5, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xaee5ca09, "nf_route" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x948f2719, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc753ccbe, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x13cb8068, "nf_register_net_hook" },
	{ 0x818b7764, "__skb_get_hash" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a5f7953, "ip6_mtu" },
	{ 0x76456c1a, "ip_route_me_harder" },
	{ 0x5c1c739e, "skb_store_bits" },
	{ 0xc0814d19, "dev_get_by_index_rcu" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x64974c79, "nfnetlink_unicast" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1aa873d7, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe3466588, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc469c064, "flow_indr_dev_setup_offload" },
	{ 0x5a094ca8, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xce45de38, "rhashtable_free_and_destroy" },
	{ 0xe75cd8dc, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0x1643317, "rht_bucket_nested_insert" },
	{ 0xd3bb48a6, "nfnetlink_send" },
	{ 0x1e979b1b, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x6099a077, "nfnetlink_subsys_unregister" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe154284f, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x86f30e07, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xd90ec38c, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xef9a0c4a, "rhashtable_insert_slow" },
	{ 0x292d3328, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x234ffb17, "ipv4_mtu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0xe1553540, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc37c934, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0xc2330e12, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xa2d0ce12, "rhashtable_walk_next" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xd745b8e8, "from_kuid_munged" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x1df1ec1b, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x67071261, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd6b0af61, "__do_once_done" },
	{ 0xeafabc30, "__netlink_dump_start" },
	{ 0xc3ca0c66, "flow_rule_alloc" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9968aacb, "__audit_log_nfcfg" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x689b7eb1, "__nlmsg_put" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink,libcrc32c");


MODULE_INFO(srcversion, "8D8FB5BF698F8D5CADBEE36");

MODULE_INFO(suserelease, "SLFO-1.0");
