#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfc_fw_download_done, 0xedf22f71, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0xe1176797, "");
SYMBOL_CRC(nfc_find_se, 0x065501a9, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x3277ab43, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0xc1b4c117, "");
SYMBOL_CRC(nfc_tm_data_received, 0xc65dbe3a, "");
SYMBOL_CRC(nfc_tm_activated, 0x15901500, "");
SYMBOL_CRC(nfc_tm_deactivated, 0x8d1b50f6, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x3c8a8456, "");
SYMBOL_CRC(nfc_targets_found, 0x65a11e99, "");
SYMBOL_CRC(nfc_target_lost, 0x04ed5fc2, "");
SYMBOL_CRC(nfc_driver_failure, 0x47821532, "");
SYMBOL_CRC(nfc_add_se, 0xddc42e96, "");
SYMBOL_CRC(nfc_remove_se, 0xdddbc3dd, "");
SYMBOL_CRC(nfc_se_transaction, 0xdd3d219b, "");
SYMBOL_CRC(nfc_se_connectivity, 0x67875e95, "");
SYMBOL_CRC(nfc_class, 0xbebc600b, "");
SYMBOL_CRC(nfc_allocate_device, 0xa46e3c34, "");
SYMBOL_CRC(nfc_register_device, 0xbde6fb28, "");
SYMBOL_CRC(nfc_unregister_device, 0xe1cb53cd, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0xa7ea6922, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0x18809486, "");
SYMBOL_CRC(nfc_proto_register, 0x1aaa09b8, "");
SYMBOL_CRC(nfc_proto_unregister, 0xb251889a, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0xab53802a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe81120ee, "sock_register" },
	{ 0xc0079061, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x948f2719, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xceb7b363, "__sock_recv_timestamp" },
	{ 0xc8fe1058, "sock_no_shutdown" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x7a3eb868, "init_net" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xb3f0248b, "device_add" },
	{ 0x99050138, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd89d4d3a, "sock_no_accept" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x14de3ce3, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xdb696ba9, "ida_free" },
	{ 0xa8d820e5, "class_unregister" },
	{ 0x309a9923, "ns_capable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x14d886e7, "sock_no_bind" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0x35597835, "rfkill_alloc" },
	{ 0x99245e9b, "class_dev_iter_init" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0xc6465c4c, "device_del" },
	{ 0x9a5b40c, "__sock_recv_wifi_status" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x95b146f0, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xff282521, "rfkill_register" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0xb013e5e0, "skb_recv_datagram" },
	{ 0x2f1f3bfa, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x89dd69ce, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfc8e850a, "skb_copy" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0xf65fd9e, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x57645eb0, "genl_unregister_family" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0xd710ff22, "genl_register_family" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1aef77de, "class_register" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xdf8f4701, "release_sock" },
	{ 0xdb77dd2a, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf810d126, "class_find_device" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x9087ceb3, "skb_free_datagram" },
	{ 0x23862e4c, "sock_queue_rcv_skb_reason" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0xdd24fac9, "class_dev_iter_next" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x76f86abf, "add_wait_queue_exclusive" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x397683ce, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x711c9259, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xfda68e77, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8c91b434, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xae861381, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3d055ec2, "sk_error_report" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x683482c1, "class_dev_iter_exit" },
	{ 0x92997ed8, "_printk" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "08453F86210F371FF17EE1A");

MODULE_INFO(suserelease, "SLFO-1.0");
