#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__ovs_vport_ops_register, 0x30c6c477, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xccae2cb7, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x8f5bb692, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x62955f46, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x09c5cc57, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xdbb56ab9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0x94e8b0c3, "__nf_ct_expect_find" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0xf6c31245, "skb_mpls_pop" },
	{ 0x3c59621b, "skb_vlan_pop" },
	{ 0x32aa3051, "dst_init" },
	{ 0x948f2719, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf9e8d198, "rtnl_link_unregister" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x818b7764, "__skb_get_hash" },
	{ 0x7a3eb868, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x423d3514, "ipv6_stub" },
	{ 0xf21afca2, "skb_mpls_update_lse" },
	{ 0xff2e7100, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99050138, "netlink_unicast" },
	{ 0xbf10d2ea, "bpf_trace_run5" },
	{ 0xc0814d19, "dev_get_by_index_rcu" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x45705117, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x1aa873d7, "skb_ensure_writable" },
	{ 0x5c54909a, "free_netdev" },
	{ 0x1b31e96e, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9e44fb78, "ethtool_op_get_link" },
	{ 0x82d4c3a9, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x63369dd5, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0x3ebc01b6, "nf_ct_delete" },
	{ 0x5f74029a, "nf_conncount_init" },
	{ 0xc50bfbc4, "skb_vlan_push" },
	{ 0x737ac4b3, "dev_get_tstats64" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xc2d9843a, "netdev_master_upper_dev_link" },
	{ 0x9255d40e, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc88f6934, "down_read" },
	{ 0x352c842d, "inet_proto_csum_replace16" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x373722bb, "skb_scrub_packet" },
	{ 0xe83f4799, "nf_ct_deliver_cached_events" },
	{ 0x292d3328, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3f67458a, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xe1553540, "__skb_checksum" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc37c934, "inet_proto_csum_replace4" },
	{ 0x3f49a25b, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfe308c27, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa24e6ca, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb9dda498, "dev_get_by_name" },
	{ 0x55b9d368, "skb_clone" },
	{  0xc9b3d, "metadata_dst_alloc" },
	{ 0x92a5ab61, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x49586845, "peernet2id_alloc" },
	{ 0x6f0f90ba, "nf_ct_get_tuplepr" },
	{ 0xdec37bf3, "netdev_rx_handler_register" },
	{ 0x47e3fa59, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x57645eb0, "genl_unregister_family" },
	{ 0x36aba00c, "dev_disable_lro" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x351eeb7a, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd710ff22, "genl_register_family" },
	{ 0xa1f7a81f, "nf_ct_tmpl_free" },
	{ 0xd707efe1, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9fa89659, "__skb_gso_segment" },
	{ 0xbf320c7e, "up_read" },
	{ 0x411af8eb, "skb_mpls_push" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0x729814ca, "nf_conntrack_in" },
	{ 0xdd3c858f, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xca42e01b, "kmem_cache_alloc_node" },
	{ 0x2dd732e6, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x1ea9f5fc, "__skb_vlan_pop" },
	{ 0xc3506341, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd36b08e6, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xa73284e1, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb5cdb245, "nsh_pop" },
	{ 0xa522c633, "nf_conntrack_find_get" },
	{ 0xd4d2c1de, "nf_ct_set_timeout" },
	{ 0xac07db95, "dev_get_stats" },
	{ 0x87c95dff, "__nla_put" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1f7cae06, "dev_fill_metadata_dst" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0xa217a4ad, "nf_ct_handle_fragments" },
	{ 0x6838dabd, "eth_mac_addr" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x2da133e3, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x63969bd6, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x263bbe4a, "nf_ct_nat" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb6ecbb44, "skb_eth_pop" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xc7d12c71, "skb_gso_validate_mac_len" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x2a308789, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x16fea787, "nf_ct_helper" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x2b45e8d6, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x21a2151d, "rtnl_delete_link" },
	{ 0xf49097d6, "rtnl_link_register" },
	{ 0x7bfc6005, "nf_connlabels_put" },
	{ 0x711c9259, "genlmsg_put" },
	{ 0x148098cd, "___pskb_trim" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x82c12f57, "dev_set_promiscuity" },
	{ 0xcf50f553, "nf_ct_destroy_timeout" },
	{ 0xea1e16d0, "nf_ct_add_helper" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x59b0ca0a, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x832103ee, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x93232f9d, "nf_ct_skb_network_trim" },
	{ 0xa23db88d, "unregister_netdevice_queue" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x23f02d17, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x8195bbc6, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xae861381, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x997dd446, "skb_csum_hwoffload_help" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0xa5490d64, "dev_addr_mod" },
	{ 0x8531c2fd, "nf_connlabels_replace" },
	{ 0x1a1f24a5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5cd5b011, "alloc_netdev_mqs" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xbac82510, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xf0c88428, "netdev_rx_handler_unregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9ec78dff, "skb_eth_push" },
	{ 0xb5e23036, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat");


MODULE_INFO(srcversion, "2D4EBC0B13C159E45CEE1A9");

MODULE_INFO(suserelease, "SLFO-1.0");
