#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pn_sock_hash, 0x9b362107, "");
SYMBOL_CRC(pn_sock_unhash, 0xf34435bc, "");
SYMBOL_CRC(phonet_stream_ops, 0x2902301c, "");
SYMBOL_CRC(pn_sock_get_port, 0x0eddc8a7, "");
SYMBOL_CRC(phonet_header_ops, 0x22f1e28e, "");
SYMBOL_CRC(pn_skb_send, 0x5c0ad8ab, "");
SYMBOL_CRC(phonet_proto_register, 0xecca7553, "");
SYMBOL_CRC(phonet_proto_unregister, 0x10f7c728, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe81120ee, "sock_register" },
	{ 0xc0079061, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xaf49bc13, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xc780a7b2, "rtnl_set_sk_err" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x948f2719, "module_put" },
	{ 0x26fe634, "__sk_receive_skb" },
	{ 0xc8fe1058, "sock_no_shutdown" },
	{ 0x8eb99e09, "__dev_get_by_index" },
	{ 0x7a3eb868, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x655e326d, "dev_remove_pack" },
	{ 0x50fbdcf0, "dev_get_by_index" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd89d4d3a, "sock_no_accept" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x14de3ce3, "sock_no_listen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0x91088586, "rtnl_register_module" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0xf58bc6b5, "__pskb_pull_tail" },
	{ 0xb76f8de2, "netif_rx" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xf424bb9a, "sock_common_recvmsg" },
	{ 0x8007fa90, "skb_trim" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8bf76ac4, "sk_common_release" },
	{ 0x51e54f7e, "seq_pad" },
	{ 0xe6ed986d, "sock_i_ino" },
	{ 0x98741b78, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9d3770ce, "prepare_to_wait_exclusive" },
	{ 0xb013e5e0, "skb_recv_datagram" },
	{ 0x2f1f3bfa, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0xd432ed0e, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x88c429fa, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd745b8e8, "from_kuid_munged" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdf8f4701, "release_sock" },
	{ 0xe0089cea, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x9087ceb3, "skb_free_datagram" },
	{ 0x23862e4c, "sock_queue_rcv_skb_reason" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xbdb0b5a7, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x689b7eb1, "__nlmsg_put" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x97c1dd5, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xc046f8a6, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xac5b2c1a, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x148098cd, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfda68e77, "sock_no_connect" },
	{ 0x2a3c9259, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x410863fb, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eff57a0, "pskb_expand_head" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DFD86489EA5B2B61125B163");

MODULE_INFO(suserelease, "SLFO-1.0");
