#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qrtr_endpoint_post, 0x6dbdde51, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x0dff919b, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xe11aa500, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d055ec2, "sk_error_report" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0xe1eb7136, "radix_tree_iter_delete" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0xe81120ee, "sock_register" },
	{ 0xc0079061, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4ff5f8d7, "__xa_alloc" },
	{ 0xc8fe1058, "sock_no_shutdown" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x7a3eb868, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xab425fb5, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x14b432d3, "xa_load" },
	{ 0xf2d8c0e, "__SCK__tp_func_sk_data_ready" },
	{ 0x8387d886, "kernel_getsockname" },
	{ 0xf1ed6416, "do_wait_intr_irq" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0xd89d4d3a, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x45b25c0d, "skb_push" },
	{ 0x14de3ce3, "sock_no_listen" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xdd89e71c, "__netdev_alloc_skb" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x708d46a5, "__xa_insert" },
	{ 0x28c310f1, "xa_erase" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xc22e1252, "skb_set_owner_w" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xd2b9762b, "sock_create_kern" },
	{ 0x27e72633, "xa_find" },
	{ 0xb013e5e0, "skb_recv_datagram" },
	{ 0x2f1f3bfa, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xaa3b5a6e, "xa_store" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x9bca5fdf, "sock_release" },
	{ 0x5b697eab, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x58c250b9, "xa_find_after" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0xe699308e, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x9087ceb3, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x23862e4c, "sock_queue_rcv_skb_reason" },
	{ 0x114e135c, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0xf0d7256f, "radix_tree_insert" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x1ff660e3, "radix_tree_lookup" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x17cc1029, "kernel_bind" },
	{ 0x2b4c2f94, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x86e3d5c0, "__tracepoint_sk_data_ready" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x99de7f3f, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C026F46A340A1D8F9760DD");

MODULE_INFO(suserelease, "SLFO-1.0");
