#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x866a0a59, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0xed00c24e, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0xa4591e6a, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x413d11de, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xbca2495f, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x44b2212b, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x80d5ea3a, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x97a7719f, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x65e7ae46, "");
SYMBOL_CRC(key_type_rxrpc, 0xe545b363, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x083127db, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x10ad2357, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x0e654a71, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x433f5f99, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x7e310efa, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x705bdac7, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x419f8727, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x3f57bfe2, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xa2964fff, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfdd29a8c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37f3674c, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0x9fce20d, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x77670c40, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5c9dc0cf, "sk_alloc" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0xf58036d6, "idr_destroy" },
	{ 0x9a5b40c, "__sock_recv_wifi_status" },
	{ 0x6f91e63e, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x1c8f9fc9, "key_revoke" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x1d2b5af7, "sock_no_mmap" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbb78ebae, "_atomic_dec_and_lock" },
	{ 0xf1c687c7, "key_validate" },
	{ 0xe90f7782, "crypto_alloc_sync_skcipher" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x49fa2e9, "setup_udp_tunnel_sock" },
	{ 0x821fbb97, "proc_remove" },
	{ 0x7a6fdd28, "udp_sock_create6" },
	{ 0xfd00a5d4, "mutex_trylock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9833799f, "kthread_create_on_node" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf35a9689, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x234ffb17, "ipv4_mtu" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0x42be53e4, "keyring_search" },
	{ 0xb056d4b0, "ip_sock_set_recverr" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9d3770ce, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5225c7c7, "request_key_tag" },
	{ 0xf2bfb229, "generic_key_instantiate" },
	{ 0xb81a248c, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2c0cea08, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x89dd69ce, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xfc8e850a, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x9bca5fdf, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xf65fd9e, "sock_no_ioctl" },
	{ 0x27795bbd, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x88c429fa, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xda80d9de, "bpf_trace_run7" },
	{ 0xa72d793a, "ip_icmp_error" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xe699308e, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd98d4505, "skb_to_sgvec" },
	{ 0x7073ee82, "register_pernet_device" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x62b0ee2e, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x52a8e0ed, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0xdf8f4701, "release_sock" },
	{ 0xdb77dd2a, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x917b3455, "proc_create_net_single_write" },
	{ 0xca3f18cf, "crypto_alloc_skcipher" },
	{ 0xe0089cea, "proc_dointvec_minmax" },
	{ 0x77afe76, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x743a95fd, "key_alloc" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0xb89613fd, "idr_find" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x97c1dd5, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0x8b076956, "udp_sock_create4" },
	{ 0xf555f7d2, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x3bec818, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x76f86abf, "add_wait_queue_exclusive" },
	{ 0x8acbdd59, "set_user_nice" },
	{ 0xbfc97bdc, "up" },
	{ 0x58b10c8b, "udpv6_sendmsg" },
	{ 0x4d06e7e6, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0a9a30e, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xb967504f, "crypto_skcipher_setkey" },
	{ 0xb20f920e, "ip_route_output_flow" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2f05b565, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x48d32203, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x410863fb, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdd539e52, "put_cmsg" },
	{ 0x5b1b57c6, "wake_up_process" },
	{ 0x3ed6ae9d, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x63f7d9ee, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x286060ea, "ipv6_icmp_error" },
	{ 0xe81120ee, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9283cb45, "crypto_skcipher_decrypt" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0x5af19af6, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7108d077, "idr_get_next" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x52a4cf6b, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x8156aadd, "skb_queue_tail" },
	{ 0x703d0abb, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0xd4e07c0c, "idr_remove" },
	{ 0xceb7b363, "__sock_recv_timestamp" },
	{ 0x221059a6, "key_put" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x7a3eb868, "init_net" },
	{ 0xff2e7100, "skb_pull" },
	{ 0x5afbf707, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0x5c35c613, "sock_enable_timestamps" },
	{ 0x4e700209, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9a5f7953, "ip6_mtu" },
	{ 0x32a460e8, "down" },
	{ 0xbf10d2ea, "bpf_trace_run5" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x3e5105e8, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x45288452, "kernel_sock_shutdown" },
	{ 0xd89d4d3a, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "816E694BC85033DF10BC039");

MODULE_INFO(suserelease, "SLFO-1.0");
