#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xa219b5ff, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xb44f5fc1, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xe534b7c1, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x587bd4f4, "");
SYMBOL_CRC(gss_mech_put, 0x1c3252bf, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xe0611e63, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xc061d44e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x13c18ffa, "rpc_sleep_on_timeout" },
	{ 0x1af6acd0, "rpc_create" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0x92c746b2, "rpc_call_sync" },
	{ 0xea509205, "from_kuid" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x7d2a443e, "rpc_queue_upcall" },
	{ 0x92bcb129, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb0e1b99d, "cache_check" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8d8a1249, "svcauth_unix_set_client" },
	{ 0x5dd11b48, "xdr_buf_subsegment" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbb78ebae, "_atomic_dec_and_lock" },
	{ 0x6efed6d5, "make_kgid" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x9f1b8661, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x51299bc6, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc9191f28, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xd90ec38c, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x23517b02, "rpc_mkpipe_dentry" },
	{ 0x5b381902, "rpc_mkpipe_data" },
	{ 0xda055e94, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x77ac8aec, "cache_register_net" },
	{ 0xc1ccc1a, "init_user_ns" },
	{ 0x7d885542, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x8cb5e70d, "xdr_inline_pages" },
	{ 0xebf85b6, "__folio_put" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xca8343ad, "rpc_init_wait_queue" },
	{ 0xaf97a2ec, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc4ebad2b, "rpc_unlink" },
	{ 0xb10c2163, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xd745b8e8, "from_kuid_munged" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x91df581b, "rpcauth_init_cred" },
	{ 0x204b8390, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5b2064a6, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x4effbc19, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xee3a534c, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xcdb353b7, "sunrpc_cache_update" },
	{ 0x6b1a3837, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27062e76, "rpc_destroy_wait_queue" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe8a02819, "auth_domain_put" },
	{ 0x498d89cd, "rpcauth_unwrap_resp_decode" },
	{ 0x1c740134, "rpcauth_register" },
	{ 0xf223c40c, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc384083c, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x6e64ba7f, "xdr_buf_from_iov" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0xf14274ea, "xdr_stream_decode_opaque_auth" },
	{ 0x81caee92, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xff8a0954, "xdr_write_pages" },
	{ 0x8aea6a2a, "rpc_shutdown_client" },
	{ 0x53e6f90b, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x694c857b, "xdr_inline_decode" },
	{ 0x29e62c08, "cache_create_net" },
	{ 0x2e1a1783, "rpcauth_destroy_credcache" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xf555f7d2, "bpf_trace_run6" },
	{ 0x8db1df83, "rpc_net_ns" },
	{ 0x4c123221, "read_bytes_from_xdr_buf" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x307bd690, "rpc_wake_up" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x99dda345, "sunrpc_cache_lookup_rcu" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0xb7162ce, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x9bd36166, "bpf_trace_run2" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x5f5f7bf8, "xdr_truncate_decode" },
	{ 0xc13d5ef8, "rpcauth_unregister" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x5b2adfb9, "__xdr_commit_encode" },
	{ 0x1e552f45, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9072268e, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf04e09da, "__put_cred" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0ef6004, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xe5e1d571, "rpc_release_client" },
	{ 0xd28278aa, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbd8d897e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x309a13bb, "svc_auth_register" },
	{ 0xae879711, "xdr_stream_encode_opaque_auth" },
	{ 0x2c9a38e0, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x7bf15d4, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49420857, "__free_pages" },
	{ 0x35add4d6, "rpc_pipe_generic_upcall" },
	{ 0x948f2719, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x98ddc15c, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3024e4bd, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfe52fc3, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xdcc92587, "rpcauth_init_credcache" },
	{ 0x85642f95, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xf113ea52, "xdr_init_decode" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x17822ecf, "rpc_call_null" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "442D20FD55D123F4807A85A");

MODULE_INFO(suserelease, "SLFO-1.0");
