#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tls_device_sk_destruct, 0x0acafef0, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x388713c6, "_gpl");
SYMBOL_CRC(tls_get_record, 0x3bd0afff, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x9179a4aa, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x5f6ce2fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf23e8ea5, "rt_write_unlock" },
	{ 0x4d7093d9, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7975ea58, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x2703fbfc, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4ad42a08, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0x191e6698, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x8f607373, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98dbdea, "crypto_aead_encrypt" },
	{ 0xf2d8c0e, "__SCK__tp_func_sk_data_ready" },
	{ 0xbf10d2ea, "bpf_trace_run5" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x5c1c739e, "skb_store_bits" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xf681ee4c, "__sk_mem_reclaim" },
	{ 0xf1620cb3, "sk_stream_wait_memory" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xffdbaec1, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x98c53d7a, "sk_msg_return_zero" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0x430d6a4, "bpf_trace_run1" },
	{ 0x3f6933b1, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf6d6ca3f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x1e915e9d, "sock_efree" },
	{ 0xa588579a, "iov_iter_bvec" },
	{ 0x4fd3c03a, "kfree_skb_list_reason" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc91d6c0e, "clean_acked_data_disable" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xaed8b14a, "sk_msg_free_partial" },
	{ 0xc88f6934, "down_read" },
	{ 0x8007fa90, "skb_trim" },
	{ 0xfd00a5d4, "mutex_trylock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xeba44bba, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6b554bdd, "tcp_register_ulp" },
	{ 0x51b615a1, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xdcce000c, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x97469dc7, "skb_page_frag_refill" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6a90145e, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xebf85b6, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe4cbcc1e, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x7f4ccac6, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x55b9d368, "skb_clone" },
	{ 0x92a5ab61, "dst_release" },
	{ 0x287e97d6, "rt_write_lock" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0x7b7acdc1, "skb_copy_header" },
	{ 0xaa12c5f2, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x58083468, "netdev_sk_get_lowest_dev" },
	{ 0xb4f17cb5, "sk_msg_alloc" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x6d5283a2, "_copy_from_iter_nocache" },
	{ 0x6c75fae, "tcp_rate_check_app_limited" },
	{ 0x9d393ab9, "tcp_poll" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0xd84beace, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd98d4505, "skb_to_sgvec" },
	{ 0xbf320c7e, "up_read" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xa00288e4, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xac8e37bf, "tcp_read_done" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2843380, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x39e98d58, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3681f8c4, "tcp_read_sock" },
	{ 0x33960c9e, "bpf_trace_run4" },
	{ 0x86b8650a, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfc4ee51f, "sk_page_frag_refill" },
	{ 0x952d0ab0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1d93f646, "tcp_sendmsg_locked" },
	{ 0xa91a1784, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x8dfb11db, "sk_psock_msg_verdict" },
	{ 0xf555f7d2, "bpf_trace_run6" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x150c95c2, "iov_iter_get_pages2" },
	{ 0x148098cd, "___pskb_trim" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0x88e0d37e, "clean_acked_data_enable" },
	{ 0xdd9e1a3c, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbbf11f6d, "crypto_alloc_aead" },
	{ 0x86e3d5c0, "__tracepoint_sk_data_ready" },
	{ 0xc83edfe6, "crypto_aead_setauthsize" },
	{ 0x91211f97, "crypto_aead_decrypt" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xced279d9, "sk_stream_error" },
	{ 0x294bdb80, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa484749a, "sk_msg_memcopy_from_iter" },
	{ 0x3d055ec2, "sk_error_report" },
	{ 0x7b77be31, "register_pernet_subsys" },
	{ 0xdd539e52, "put_cmsg" },
	{ 0x25e7481f, "__sk_flush_backlog" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x996f61e5, "sk_psock_tls_strp_read" },
	{ 0x35be427b, "sk_msg_clone" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C4087A2E685B9E0420B90D0");

MODULE_INFO(suserelease, "SLFO-1.0");
