#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xcf8bba3b, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x8bb15918, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x879446d7, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x5c40f817, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x8c99f94c, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x443813eb, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xb7e92a5e, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x910d2585, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xe6486b27, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x09cd4308, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x1d974b67, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x725ebfe4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xfb7b257e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x61f3e8a9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x719bee24, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xa11e5131, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x92233940, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xf326395c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0xb61222a5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xea632f18, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x2ec4fdbf, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xf666905a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xa2dff892, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x2158f110, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x35862209, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x87e6e73b, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x8d7b7c32, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xf6ae80ba, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xb333305e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xcecfbaf3, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x3d2bddf8, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x1f597e09, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x2bf035d3, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x86641eca, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x09a3d0fc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x655768ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6f765a, "trace_event_printf" },
	{ 0x4b7d74dd, "vsock_deliver_tap" },
	{ 0xd5b9d10a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3d055ec2, "sk_error_report" },
	{ 0xdc48973b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x19d15477, "vsock_find_bound_socket" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x4f4aafd1, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7fa0d4b7, "perf_trace_run_bpf_submit" },
	{ 0xf7c9f396, "sk_free" },
	{ 0x2e83a7e8, "kfree_skb_reason" },
	{ 0x547c9ba0, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x404acfde, "__skb_recv_datagram" },
	{ 0xfc857ce2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8741cbe, "vsock_stream_has_data" },
	{ 0x933536cf, "skb_copy_datagram_iter" },
	{ 0x1444ceac, "bpf_trace_run9" },
	{ 0x185a5973, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x1e915e9d, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x51b17b88, "bpf_trace_run10" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x14fe4677, "vsock_core_get_transport" },
	{ 0xb95818e, "__zerocopy_sg_from_iter" },
	{ 0xfdabcfb3, "vsock_stream_has_space" },
	{ 0xc22e1252, "skb_set_owner_w" },
	{ 0xac07624b, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdc6d191d, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0x5580fa36, "msg_zerocopy_realloc" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x5a1ffa3a, "vsock_create_connected" },
	{ 0xb92b9673, "vsock_assign_transport" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa00288e4, "iov_iter_npages" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xdf8f4701, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x934b96f2, "vsock_data_ready" },
	{ 0xda826740, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x842f289a, "vsock_insert_connected" },
	{ 0x952d0ab0, "skb_put" },
	{ 0xa91a1784, "consume_skb" },
	{ 0xe1ebbcdf, "trace_raw_output_prep" },
	{ 0xa04e0dce, "__trace_trigger_soft_disabled" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x848d35c, "vsock_remove_sock" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "04A541FE31467A1010C4E31");

MODULE_INFO(suserelease, "SLFO-1.0");
