#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_timer_instance_new, 0x5c2c108f, "");
SYMBOL_CRC(snd_timer_instance_free, 0xf5b67939, "");
SYMBOL_CRC(snd_timer_open, 0xce861e73, "");
SYMBOL_CRC(snd_timer_close, 0x5ca31f09, "");
SYMBOL_CRC(snd_timer_resolution, 0x672cb4ae, "");
SYMBOL_CRC(snd_timer_start, 0x579f84ff, "");
SYMBOL_CRC(snd_timer_stop, 0xf6d70212, "");
SYMBOL_CRC(snd_timer_continue, 0x7b583d9c, "");
SYMBOL_CRC(snd_timer_pause, 0xa13b327a, "");
SYMBOL_CRC(snd_timer_interrupt, 0x1989a76c, "");
SYMBOL_CRC(snd_timer_new, 0x1548cc0c, "");
SYMBOL_CRC(snd_timer_notify, 0x3fd61e2c, "");
SYMBOL_CRC(snd_timer_global_new, 0xaacd2576, "");
SYMBOL_CRC(snd_timer_global_free, 0xd911a30d, "");
SYMBOL_CRC(snd_timer_global_register, 0xeee7dc91, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0xd98e2be9, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe82b76fb, "snd_device_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x194d78cc, "snd_device_initialize" },
	{ 0xf7c44f39, "remove_wait_queue" },
	{ 0xbdea0f79, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xb839be46, "param_ops_int" },
	{ 0x69f2a69b, "snd_register_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0x2402b276, "snd_info_register" },
	{ 0x2db5612, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0xb74639f5, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0xf6e60e5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbf67e1a3, "snd_fasync_helper" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x81142b3e, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x948f2719, "module_put" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "65D956B1B7736AA8075F991");

MODULE_INFO(suserelease, "SLFO-1.0");
