#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_hda_gen_spec_init, 0x9e94fb0b, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xb1c34c80, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x2d7ea438, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xfce203b0, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x7afefcba, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x18bac1a3, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xa3516efb, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x0b057434, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x69b8e21e, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x10c61dc3, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0xe8a663b5, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x11ad8606, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0xc0a526d3, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x1588a0c6, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x7621a50e, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x28c0c492, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x0da81887, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x0872c225, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x6acc9984, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x41717a8b, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x54c3ed43, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xc79b70c0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84b21ab4, "snd_hda_enum_helper_info" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x85e951c3, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x88a1e374, "snd_hdac_codec_read" },
	{ 0xf0a17578, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xb4a35d47, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x5c2d5f7e, "snd_hda_codec_get_pin_target" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ebe0d42, "snd_hdac_regmap_sync" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xed885bd7, "snd_hda_apply_verbs" },
	{ 0xca63db50, "snd_hda_codec_amp_update" },
	{ 0x2cbb0cf9, "snd_hda_add_new_ctls" },
	{ 0x5af04292, "snd_hda_get_connections" },
	{ 0x7bcc9e8e, "snd_hda_codec_amp_init_stereo" },
	{ 0xddb807cb, "snd_hda_set_vmaster_tlv" },
	{ 0x2280ebc5, "hda_get_autocfg_input_label" },
	{ 0xdd312bdb, "query_amp_caps" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xdc98f352, "snd_hda_mixer_amp_volume_info" },
	{ 0xa253f47d, "snd_hdac_regmap_read_raw" },
	{ 0xdd52e955, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x388cc7c3, "snd_hda_codec_setup_stream" },
	{ 0x2ebc5ae0, "snd_hda_mixer_amp_switch_info" },
	{ 0xcd1d8261, "hda_codec_driver_unregister" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x63c30f86, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfc299594, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0xa1d9e2f7, "snd_hda_jack_tbl_get_mst" },
	{ 0x463569db, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x890a659e, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a14fb1, "led_classdev_unregister" },
	{ 0x5d8d1404, "snd_hda_codec_pcm_new" },
	{ 0x599c1e38, "__snd_hda_codec_cleanup_stream" },
	{ 0x7eeabb36, "snd_ctl_sync_vmaster" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x2253a36, "snd_hda_multi_out_dig_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x126c359d, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x984904c8, "snd_hda_add_imux_item" },
	{ 0x75a7c69d, "snd_hda_correct_pin_ctl" },
	{ 0x3cba0f41, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x295ba8f, "snd_hda_create_dig_out_ctls" },
	{ 0x60a9552e, "snd_hda_multi_out_dig_close" },
	{ 0x46ada42c, "snd_hda_get_conn_index" },
	{ 0x22cece6c, "snd_hda_multi_out_analog_open" },
	{ 0x6d885f92, "snd_hda_get_bool_hint" },
	{ 0x87109fc7, "snd_hda_create_spdif_share_sw" },
	{ 0xbae96213, "snd_hda_find_mixer_ctl" },
	{ 0xa752fd67, "snd_hda_get_int_hint" },
	{ 0x6684685b, "_dev_err" },
	{ 0x3013c01f, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0xd017cd3f, "snd_hda_parse_pin_defcfg" },
	{ 0x16b765a0, "snd_hda_codec_amp_init" },
	{ 0x1d9b5d98, "snd_hda_create_spdif_in_ctls" },
	{ 0x6fcd9713, "is_jack_detectable" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x13c93f1f, "snd_hda_multi_out_analog_cleanup" },
	{ 0x9270b093, "snd_hda_multi_out_analog_prepare" },
	{ 0xba4fc9d7, "snd_ctl_boolean_stereo_info" },
	{ 0x67c33d41, "snd_hda_get_conn_list" },
	{ 0xdeaed94a, "snd_hda_mixer_amp_switch_get" },
	{ 0x70d1aaaa, "snd_hda_codec_set_pin_target" },
	{ 0x3baa619d, "led_classdev_register_ext" },
	{ 0x1875a669, "snd_hda_attach_beep_device" },
	{ 0x6fd5355e, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x355aad22, "snd_hdac_regmap_write_raw" },
	{ 0x2c8a70f8, "snd_hda_mixer_amp_volume_get" },
	{ 0x1b039e3e, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x9064e268, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x285dcca, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x368c7d39, "snd_hda_jack_unsol_event" },
	{ 0xfc4936a3, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9cfe848c, "snd_hda_mixer_amp_tlv" },
	{ 0xed90099f, "snd_hda_jack_add_kctls" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x5fb76f7e, "__snd_hda_add_vmaster" },
	{ 0x599a783, "snd_hda_codec_amp_stereo" },
	{ 0x885c5d0c, "snd_hda_sync_vmaster_hook" },
	{ 0x730e370b, "snd_hda_apply_fixup" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "50C5AD67BE1339B01F71C6D");

MODULE_INFO(suserelease, "SLFO-1.0");
