#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l56_hda_common_probe, 0xc59607a2, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x35fd3e28, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x62a516e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16932b71, "cs_dsp_init_debugfs" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x2b639a1e, "snd_ctl_remove" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x9d927c08, "snd_ctl_new1" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xdc3d4367, "device_property_read_u32_array" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x59fc61a4, "cs35l56_init_cs_dsp" },
	{ 0x6684685b, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x56844191, "cs_dsp_halo_init" },
	{ 0xace7d3b6, "cs_dsp_power_down" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x102e26f8, "hda_cs_dsp_add_controls" },
	{ 0xa670fdd1, "cs35l56_runtime_suspend_common" },
	{ 0x67fc69d8, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xccfe6678, "cs35l56_mbox_send" },
	{ 0xf3d7271b, "cs35l56_hw_init" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xbcce51f4, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8965984, "cs_dsp_power_up" },
	{ 0xf2d34fe2, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa68694f9, "cs35l56_wait_for_firmware_boot" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdebcba2f, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x2e585f8e, "cs35l56_is_fw_reload_needed" },
	{ 0x22bdda39, "regmap_read" },
	{ 0xbacd4c0b, "cs_dsp_run" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xca8aec7d, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4ca648f6, "cs35l56_runtime_resume_common" },
	{ 0xd3b617c5, "regmap_update_bits_base" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x3894e662, "regmap_multi_reg_write" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0xee492313, "component_add" },
	{ 0x6dfb2b19, "set_primary_fwnode" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0xfaf4863b, "devm_gpiod_get_index_optional" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x45248536, "cs35l56_firmware_shutdown" },
	{ 0xb3d78c21, "pm_runtime_force_suspend" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x39ebae35, "__pm_runtime_idle" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xc0786b0e, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf0f31e5e, "regcache_cache_only" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x26991fec, "regcache_sync" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0xa53ac4ef, "firmware_request_nowarn" },
	{ 0x762d46e4, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc19936bb, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd190139f, "cs_dsp_stop" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x3308551e, "gpiod_set_value_cansleep" },
	{ 0x47b58fbc, "hda_cs_dsp_control_remove" },
	{ 0xc62c6fc, "component_del" },
	{ 0xf2ca7c5c, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x265619a8, "sound_debugfs_root" },
	{ 0x64389b63, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd,snd-soc-cs35l56-shared,snd-hda-cs-dsp-ctls,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "F6F2398F7360415E2F5AE8D");

MODULE_INFO(suserelease, "SLFO-1.0");
