#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(oxygen_read8, 0xbd617e3a, "");
SYMBOL_CRC(oxygen_read16, 0xc277fc3c, "");
SYMBOL_CRC(oxygen_read32, 0x97398101, "");
SYMBOL_CRC(oxygen_write8, 0xfaff6b60, "");
SYMBOL_CRC(oxygen_write16, 0x430aa733, "");
SYMBOL_CRC(oxygen_write32, 0x440f97cb, "");
SYMBOL_CRC(oxygen_write8_masked, 0x77823ac8, "");
SYMBOL_CRC(oxygen_write16_masked, 0x65c0a53e, "");
SYMBOL_CRC(oxygen_write32_masked, 0x70063f3f, "");
SYMBOL_CRC(oxygen_write_ac97, 0xfcbb528a, "");
SYMBOL_CRC(oxygen_read_ac97, 0xdf37b070, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x37dab4d8, "");
SYMBOL_CRC(oxygen_write_spi, 0xca70c83f, "");
SYMBOL_CRC(oxygen_write_i2c, 0x5cdc477a, "");
SYMBOL_CRC(oxygen_reset_uart, 0x809d5e7b, "");
SYMBOL_CRC(oxygen_write_uart, 0xd9b175ac, "");
SYMBOL_CRC(oxygen_pci_probe, 0x6dc15e93, "");
SYMBOL_CRC(oxygen_pci_pm, 0xe730e132, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0xa0409bbc, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x9f4a7e08, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xa3522565, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x62076bef, "snd_mpu401_uart_new" },
	{ 0x552e23d3, "pci_match_id" },
	{ 0x5b3deaa2, "snd_pcm_hw_constraint_msbits" },
	{ 0x903a2e9f, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x353030fe, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x68dd8e5b, "pcim_enable_device" },
	{ 0x51ab38ac, "pci_write_config_word" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcf465811, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x762d46e4, "snd_ctl_add" },
	{ 0x3aaaf430, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1fccff8c, "snd_card_register" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x24dfab19, "snd_card_free_on_error" },
	{ 0x5dcf8dca, "snd_card_rw_proc_new" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xcdf1c559, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d927c08, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x91e1017b, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x80a3f011, "snd_ctl_boolean_mono_info" },
	{ 0x6684685b, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xe8052ea1, "snd_ctl_notify" },
	{ 0x7a7b99d7, "snd_pcm_set_ops" },
	{ 0x9756a6da, "snd_pcm_set_managed_buffer" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0xe3829cf7, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-mpu401-uart,snd-pcm");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");

MODULE_INFO(suserelease, "SLFO-1.0");
