#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l41_probe, 0x2d920844, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0xee212d37, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x75daec7d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0x9eef7356, "cs35l41_init_boost" },
	{ 0x8ce19c8a, "cs35l41_enter_hibernate" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x83a48da0, "devm_snd_soc_register_component" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x74396244, "regulator_bulk_disable" },
	{ 0xdc3d4367, "device_property_read_u32_array" },
	{ 0xcc00469f, "snd_soc_get_enum_double" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xd2c6f34b, "snd_soc_info_volsw" },
	{ 0x9f8621f2, "regmap_multi_reg_write_bypassed" },
	{ 0x6684685b, "_dev_err" },
	{ 0xbbcf02e1, "wm_adsp_event" },
	{ 0xa92935fe, "snd_soc_dapm_put_volsw" },
	{ 0xba4a7278, "cs35l41_test_key_unlock" },
	{ 0x73c25e6f, "cs35l41_test_key_lock" },
	{ 0xe5b974a0, "snd_pcm_hw_constraint_list" },
	{ 0xfb46d93f, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x368b8f80, "wm_adsp2_component_probe" },
	{ 0x4190c4ff, "wm_adsp2_preloader_put" },
	{ 0xbffb39f3, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc74bb150, "wm_adsp2_preloader_get" },
	{ 0x4d16cb1, "snd_soc_info_enum_double" },
	{ 0x4b4ff403, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xef2bea49, "devm_regulator_bulk_get" },
	{ 0x683f3dd1, "snd_soc_info_volsw_sx" },
	{ 0x6e069acc, "cs35l41_otp_unpack" },
	{ 0x1d589ac0, "wm_adsp2_component_remove" },
	{ 0xa73d8b79, "snd_soc_get_volsw" },
	{ 0x46630976, "cs35l41_exit_hibernate" },
	{ 0x22bdda39, "regmap_read" },
	{ 0xf8bbe21c, "snd_soc_put_volsw" },
	{ 0xb7c58be8, "wm_adsp_fw_get" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xac0ddbb6, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xb4aed2, "cs35l41_write_fs_errata" },
	{ 0x3e6b0c4d, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56c3e7ea, "cs35l41_configure_cs_dsp" },
	{ 0xcc5994a5, "_dev_crit" },
	{ 0xd3b617c5, "regmap_update_bits_base" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x7df475dc, "snd_soc_dapm_get_volsw" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0xe4be477f, "snd_soc_dapm_get_enum_double" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0x50a16f73, "wm_halo_init" },
	{ 0x2aed1541, "wm_adsp_early_event" },
	{ 0x142bd0fa, "cs35l41_set_channels" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0xf4a18e0a, "snd_soc_get_volsw_sx" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xa89747a3, "snd_soc_dapm_put_enum_double" },
	{ 0x311efe47, "wm_adsp_fw_put" },
	{ 0xa92f1b3e, "device_property_present" },
	{ 0x277d6a1e, "cs35l41_global_enable" },
	{ 0xf0f31e5e, "regcache_cache_only" },
	{ 0x74347cae, "is_acpi_device_node" },
	{ 0x26991fec, "regcache_sync" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0xa597165, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0xcd438c84, "cs35l41_register_errata_patch" },
	{ 0x3308551e, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a520f1b, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xafc94d20, "snd_soc_put_enum_double" },
	{ 0x64389b63, "regcache_mark_dirty" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "0552721DAE4793E60EA4ACC");

MODULE_INFO(suserelease, "SLFO-1.0");
