#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l45_probe, 0x5e0b7d95, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0xefb3ba65, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0x2836bd71, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0xeb33dd66, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0x1ae06b59, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0x59d8aa15, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0x3431c8ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc3d4367, "device_property_read_u32_array" },
	{ 0x59999dd3, "devm_regulator_get" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xd2c6f34b, "snd_soc_info_volsw" },
	{ 0x6684685b, "_dev_err" },
	{ 0xbbcf02e1, "wm_adsp_event" },
	{ 0xfb46d93f, "wm_adsp_fw_enum" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x368b8f80, "wm_adsp2_component_probe" },
	{ 0x4190c4ff, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc74bb150, "wm_adsp2_preloader_get" },
	{ 0x4d16cb1, "snd_soc_info_enum_double" },
	{ 0x1d589ac0, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x55064b45, "devm_regmap_add_irq_chip" },
	{ 0xa73d8b79, "snd_soc_get_volsw" },
	{ 0x22bdda39, "regmap_read" },
	{ 0xf8bbe21c, "snd_soc_put_volsw" },
	{ 0xb7c58be8, "wm_adsp_fw_get" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe3596071, "regmap_bulk_read" },
	{ 0xd3b617c5, "regmap_update_bits_base" },
	{ 0x3be311cd, "regulator_disable" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0x3894e662, "regmap_multi_reg_write" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0xc6b4221d, "regmap_register_patch" },
	{ 0xe4be477f, "snd_soc_dapm_get_enum_double" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0x50a16f73, "wm_halo_init" },
	{ 0x2aed1541, "wm_adsp_early_event" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xa89747a3, "snd_soc_dapm_put_enum_double" },
	{ 0x311efe47, "wm_adsp_fw_put" },
	{ 0x7233ada2, "regulator_enable" },
	{ 0xf0f31e5e, "regcache_cache_only" },
	{ 0x26991fec, "regcache_sync" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0x71477ffe, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0x3308551e, "gpiod_set_value_cansleep" },
	{ 0x8a520f1b, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x64389b63, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x83a48da0, "devm_snd_soc_register_component" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "B2CDE7550098D5749DEEBA5");

MODULE_INFO(suserelease, "SLFO-1.0");
