#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l56_system_suspend, 0x5e441443, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x9d204b91, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x60cf2c1f, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x78d7bccf, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x43cecd51, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x02297d17, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x903fd9ec, "_gpl");
SYMBOL_CRC(cs35l56_init, 0xbcc3cfce, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0xbb885b28, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x926bbc12, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcec0987, "enable_irq" },
	{ 0x64389b63, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3db5b8af, "devm_gpiod_get_optional" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47a437fa, "__pm_runtime_set_status" },
	{ 0x83a48da0, "devm_snd_soc_register_component" },
	{ 0xcb98459b, "devm_kstrdup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3e50c791, "sdw_write_no_pm" },
	{ 0xd374dc9, "devm_free_irq" },
	{ 0x9e767fb8, "pm_runtime_enable" },
	{ 0x74396244, "regulator_bulk_disable" },
	{ 0x1fff947b, "_dev_info" },
	{ 0xd2c6f34b, "snd_soc_info_volsw" },
	{ 0x59fc61a4, "cs35l56_init_cs_dsp" },
	{ 0xefc978f2, "wm_adsp_power_down" },
	{ 0xe09a6e5, "regcache_drop_region" },
	{ 0x6684685b, "_dev_err" },
	{ 0x1abe0dbb, "debugfs_create_bool" },
	{ 0xbbcf02e1, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xe3acdda1, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xa670fdd1, "cs35l56_runtime_suspend_common" },
	{ 0x7397b4d4, "sdw_read_no_pm" },
	{ 0xccfe6678, "cs35l56_mbox_send" },
	{ 0xf3d7271b, "cs35l56_hw_init" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x368b8f80, "wm_adsp2_component_probe" },
	{ 0xbcce51f4, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff3a9a5b, "snd_soc_dapm_kcontrol_dapm" },
	{ 0xf2d34fe2, "cs35l56_system_reset" },
	{ 0x4d16cb1, "snd_soc_info_enum_double" },
	{ 0x4b4ff403, "regulator_bulk_enable" },
	{ 0xef2bea49, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1d589ac0, "wm_adsp2_component_remove" },
	{ 0xa68694f9, "cs35l56_wait_for_firmware_boot" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0xa73d8b79, "snd_soc_get_volsw" },
	{ 0xdebcba2f, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x2e585f8e, "cs35l56_is_fw_reload_needed" },
	{ 0x22bdda39, "regmap_read" },
	{ 0xf8bbe21c, "snd_soc_put_volsw" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0xca8aec7d, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe3596071, "regmap_bulk_read" },
	{ 0x126f164e, "sdw_stream_remove_slave" },
	{ 0x4ca648f6, "cs35l56_runtime_resume_common" },
	{ 0x9a2f85d2, "dapm_regulator_event" },
	{ 0xe2050ed5, "cs35l56_get_speaker_id" },
	{ 0xd3b617c5, "regmap_update_bits_base" },
	{ 0x9e09c5c7, "dev_err_probe" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0xe4be477f, "snd_soc_dapm_get_enum_double" },
	{ 0xc32cd44d, "__pm_runtime_use_autosuspend" },
	{ 0x50a16f73, "wm_halo_init" },
	{ 0x31e61a91, "__pm_runtime_disable" },
	{ 0x45248536, "cs35l56_firmware_shutdown" },
	{ 0x9d9f88a0, "sdw_stream_add_slave" },
	{ 0xb3d78c21, "pm_runtime_force_suspend" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x3797884a, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xa89747a3, "snd_soc_dapm_put_enum_double" },
	{ 0xf0f31e5e, "regcache_cache_only" },
	{ 0x26991fec, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x99c35974, "snd_soc_card_get_kcontrol" },
	{ 0x9531cd3f, "regmap_write" },
	{ 0x9deaaaec, "snd_soc_dapm_mux_update_power" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5b900d22, "cs35l56_init_asp1_regs_for_driver_control" },
	{ 0x20942828, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x3308551e, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf2ca7c5c, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd-soc-cs35l56-shared,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "0014A8F1CE20353DF3C89C2");

MODULE_INFO(suserelease, "SLFO-1.0");
