#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wm_adsp_fw_get, 0xb7c58be8, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x311efe47, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0xfb46d93f, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x531271f4, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x502774d7, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x2bad3aa8, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x7351f6e5, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xbc27a7f1, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0xc74bb150, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x4190c4ff, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x3797884a, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0xefc978f2, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x2aed1541, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0xbbcf02e1, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x368b8f80, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x1d589ac0, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0xbaeb8562, "_gpl");
SYMBOL_CRC(wm_halo_init, 0x50a16f73, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x8a520f1b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x92ac7e29, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0xc08c92cc, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0x05f6a07b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0xde1bf8a4, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0xa95eeac4, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xc6f41358, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0xa08cbdf4, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0xba9f4d8a, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x69a4f03, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x16932b71, "cs_dsp_init_debugfs" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0x5bc0d255, "cs_dsp_halo_bus_error" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x458867e6, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc554626, "cs_dsp_find_alg_region" },
	{ 0xae4744da, "cs_dsp_coeff_write_acked_control" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x4cfc421, "cs_dsp_get_ctl" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x56844191, "cs_dsp_halo_init" },
	{ 0xace7d3b6, "cs_dsp_power_down" },
	{ 0xa03b5d6b, "cs_dsp_adsp2_init" },
	{ 0xa1d9f420, "snd_soc_add_component_controls" },
	{ 0x67fc69d8, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xb775b20d, "cs_dsp_set_dspclk" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa8965984, "cs_dsp_power_up" },
	{ 0xacc9c240, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xbacd4c0b, "cs_dsp_run" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x583cfafb, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcc38ab16, "cs_dsp_halo_wdt_expire" },
	{ 0x7b3da219, "snd_soc_component_disable_pin" },
	{ 0x968a0a97, "snd_soc_bytes_tlv_callback" },
	{ 0x41c0839f, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x597b2bb7, "cs_dsp_read_raw_data_block" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x5bf0626, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3389c783, "snd_soc_component_force_enable_pin" },
	{ 0xa53ac4ef, "firmware_request_nowarn" },
	{ 0xc19936bb, "cs_dsp_cleanup_debugfs" },
	{ 0x17789a63, "cs_dsp_coeff_read_ctrl" },
	{ 0xf0dd063b, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd190139f, "cs_dsp_stop" },
	{ 0xe065ff7, "cs_dsp_adsp1_power_up" },
	{ 0x9669d1ac, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0xb77e4e95, "cs_dsp_adsp1_init" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "F5B433CF054EB473A43CE7A");

MODULE_INFO(suserelease, "SLFO-1.0");
