#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(skl_dsp_set_dma_control, 0x9282075b, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0x3af4b693, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0x475bf398, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0xd9e2f96f, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0x723b1c1a, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0x0cb11ab8, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x3ebc0dad, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0x6e8d219b, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0xc863605d, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0x229b68e2, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0x682eadd4, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x21c28f59, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0xecf9843c, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0xc3de2c52, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0x85591563, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0x8a38af59, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0xa8604e7f, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0xce60034e, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x01ac61fb, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0x11d11bdb, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0x230c2e2d, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0xd136fad3, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x7ce85396, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x8c0adea1, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0x47e166b7, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0x7c744ee9, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0x9e6f981c, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0x26bb09d4, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0x6c8d7e09, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0xc1fddf7f, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0x79592488, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0x4a5fc6ab, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0x2a813062, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x0770b078, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0x9a7ac211, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf04a1ad3, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0xe9e6ccba, "snd_hdac_ext_bus_exit" },
	{ 0x29e978d7, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0xf09201b1, "sysfs_remove_file_ns" },
	{ 0xf44593d1, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xb96135fb, "snd_hdac_ext_stream_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0x6a1b4a22, "snd_hdac_device_register" },
	{ 0x6a0f09a9, "snd_hdac_stream_spbcap_enable" },
	{ 0x16d0cee3, "sst_ipc_tx_message_nopm" },
	{ 0x9614463d, "snd_hdac_i915_init" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x43676981, "snd_hdac_bus_init_chip" },
	{ 0xce5ff55c, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd7372828, "intel_nhlt_get_endpoint_blob" },
	{ 0x536a6c29, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x4e939a44, "sst_dsp_shim_read_unlocked" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x6684685b, "_dev_err" },
	{ 0xc71d6128, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0x96c83da7, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3f74f6e8, "platform_device_unregister" },
	{ 0xa000da61, "sst_ipc_fini" },
	{ 0xf0b36979, "snd_hdac_ext_stream_assign" },
	{ 0xc08f313c, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x810aa0f0, "snd_hdac_ext_stream_init_all" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x27b35524, "sst_dsp_shim_update_bits_unlocked" },
	{ 0xc6c2dc38, "sst_dsp_shim_update_bits_forced" },
	{ 0xbfe7ed3, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0xab939770, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0xb77aabf2, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0x514752f3, "snd_soc_tplg_component_load" },
	{ 0x826d0a41, "sst_dsp_shim_read" },
	{ 0xce3be225, "snd_hdac_ext_stream_setup" },
	{ 0xfee4976c, "snd_hdac_bus_stop_cmd_io" },
	{ 0xb47eeaf9, "snd_hdac_stream_sync" },
	{ 0x11089ac7, "_ctype" },
	{ 0x43af56b1, "pci_restore_state" },
	{ 0x96343aa0, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe3829cf7, "snd_pcm_set_managed_buffer_all" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0xe0a38a6c, "snd_hdac_display_power" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x678770bf, "sst_dsp_mailbox_init" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0x26d03840, "sst_ipc_tx_msg_reply_complete" },
	{ 0x92b56003, "snd_soc_tplg_component_remove" },
	{ 0x9ece042b, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x499f2d8f, "dma_set_coherent_mask" },
	{ 0x7973181b, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3b27ecf, "sst_dsp_shim_update_bits" },
	{ 0x2fabf76c, "snd_hdac_acomp_exit" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0xc9bb5ce7, "snd_hdac_bus_parse_capabilities" },
	{ 0x75703dd3, "platform_device_register_full" },
	{ 0xea40aad0, "sst_dsp_outbox_write" },
	{ 0x5e059893, "pm_runtime_allow" },
	{ 0x10593bca, "__pm_runtime_resume" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x2ce8f540, "snd_hdac_stream_setup" },
	{ 0x95beebdd, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x3884a8d8, "snd_hdac_stream_set_params" },
	{ 0x3bd4ba8f, "pci_release_regions" },
	{ 0xacbd48ca, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x115e48b8, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0x617ca66b, "snd_hdac_bus_handle_stream_irq" },
	{ 0x1fafc1a3, "pci_write_config_byte" },
	{ 0x8c6df066, "snd_hdac_stream_drsm_enable" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc1b50ca1, "snd_soc_acpi_intel_skl_machines" },
	{ 0x23f8ef01, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xe557910, "snd_soc_set_runtime_hwparams" },
	{ 0xa8c6b88c, "snd_hdac_get_stream" },
	{ 0xf6f8296f, "pci_disable_device" },
	{ 0x4ca4eb08, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x552e23d3, "pci_match_id" },
	{ 0xaa99222a, "snd_hdac_stream_sync_trigger" },
	{ 0x33860221, "snd_hdac_ext_bus_link_put" },
	{ 0xfcde0ad5, "snd_hda_codec_device_init" },
	{ 0xa42b1ca, "dma_set_mask" },
	{ 0xbb32e3b5, "snd_hdac_set_codec_wakeup" },
	{ 0xefb34bd6, "snd_hdac_stream_reset" },
	{ 0x628f8846, "sst_dsp_shim_write" },
	{ 0x903a2e9f, "snd_pcm_period_elapsed" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0xc5f1a092, "__pm_runtime_suspend" },
	{ 0x9b22d3eb, "snd_hdac_bus_alloc_stream_pages" },
	{ 0x5e72c960, "snd_soc_tplg_widget_bind_event" },
	{ 0x19988e78, "pci_read_config_byte" },
	{ 0x70a9d49b, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0xb839be46, "param_ops_int" },
	{ 0xb9bb3584, "intel_nhlt_init" },
	{ 0xe08066ca, "snd_hdac_stop_streams_and_chip" },
	{ 0x6dcf98c2, "snd_hdac_dsp_cleanup" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x842090f7, "snd_hdac_ext_stream_reset" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xdefdd2cb, "snd_hdac_stop_streams" },
	{ 0x889e957c, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xacceb72d, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcf465811, "pci_write_config_dword" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc6c5e7ca, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8ae5c141, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x118a94f0, "snd_soc_acpi_intel_hda_machines" },
	{ 0x99e4772b, "platform_device_put" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd5197f06, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x86dfd641, "sst_dsp_register_poll" },
	{ 0x1667304, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0x9942cae0, "pci_enable_device" },
	{ 0x16c3243d, "snd_hdac_bus_send_cmd" },
	{ 0x596b04d2, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x148e8476, "snd_hdac_stream_set_spib" },
	{ 0x62dfcc7e, "snd_hdac_bus_enter_link_reset" },
	{ 0xb3d958ce, "sst_ipc_tx_message_wait" },
	{ 0x5d987585, "intel_nhlt_get_dmic_geo" },
	{ 0x6ec96623, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaf50f4f4, "snd_hdac_ext_stream_start" },
	{ 0xed8fd49c, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb704006a, "snd_hdac_ext_stream_free_all" },
	{ 0x6bbf91c2, "snd_hdac_bus_update_rirb" },
	{ 0xe6460b30, "sst_dsp_shim_write_unlocked" },
	{ 0x8e949012, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x82cc449f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x14560348, "snd_pcm_hw_constraint_minmax" },
	{ 0x79b92c2a, "snd_hdac_codec_modalias" },
	{ 0x54c4b93b, "snd_hdac_bus_stop_chip" },
	{ 0x59750e8e, "pci_request_regions" },
	{ 0x8f710b19, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xce25a5e8, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xf3ca034c, "snd_intel_dsp_driver_probe" },
	{ 0x48346f07, "snd_hdac_stream_set_lpib" },
	{ 0xefff1aff, "snd_sgbuf_get_addr" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x5d2f868a, "snd_sgbuf_get_chunk_size" },
	{ 0x4d692b21, "pci_ioremap_bar" },
	{ 0x49025c19, "snd_hdac_ext_bus_device_remove" },
	{ 0xe650311c, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0xcdf1c559, "snd_pcm_set_sync" },
	{ 0x742f707e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdf7d59f, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x95389e32, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50af96ed, "snd_hdac_stream_timecounter_init" },
	{ 0xf442568a, "snd_hdac_ext_link_free_all" },
	{ 0x6333891d, "sst_ipc_tx_message_nowait" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x7f54c0eb, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x83a48da0, "devm_snd_soc_register_component" },
	{ 0xeed5b24, "snd_hdac_bus_free_stream_pages" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x524a6e5f, "snd_hdac_dsp_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-sst-dsp,snd-soc-acpi-intel-match,snd-soc-acpi,snd-soc-core,snd-pcm,snd-hda-codec,snd-soc-hdac-hda");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");

MODULE_INFO(suserelease, "SLFO-1.0");
