#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0x2ff944cc, "");
SYMBOL_CRC(amd_sof_acp_resume, 0xa42b7a1c, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x909a04a2, "");
SYMBOL_CRC(amd_sof_acp_remove, 0xf0655329, "");
SYMBOL_CRC(acp_dsp_block_read, 0x2ae294bf, "");
SYMBOL_CRC(acp_dsp_block_write, 0xf77580f8, "");
SYMBOL_CRC(acp_get_bar_index, 0xcf7da4a1, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0x22754d8f, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x172ac8ca, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0xfc8bb34d, "");
SYMBOL_CRC(acp_mailbox_write, 0xc043a09f, "");
SYMBOL_CRC(acp_mailbox_read, 0x9078334f, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0x5f9dee9f, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0x036dacac, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x3ed82045, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x5e8ed128, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x256a7355, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x0406f63b, "");
SYMBOL_CRC(acp_pcm_open, 0x36105234, "");
SYMBOL_CRC(acp_pcm_close, 0x0311c87a, "");
SYMBOL_CRC(acp_pcm_pointer, 0xd64660fb, "");
SYMBOL_CRC(acp_dsp_stream_get, 0x6396bcdf, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x781f2c93, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x3709831d, "");
SYMBOL_CRC(acp_sof_trace_release, 0xf2e4ebfe, "");
SYMBOL_CRC(acp_sof_trace_init, 0x368cc9d3, "");
SYMBOL_CRC(sof_acp_common_ops, 0x9bca31e4, "");
SYMBOL_CRC(acp_probes_register, 0xbc19cedc, "");
SYMBOL_CRC(acp_probes_unregister, 0x732ce159, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97506e23, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xefff1aff, "snd_sgbuf_get_addr" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6684685b, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3f74f6e8, "platform_device_unregister" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xe89bee59, "sof_client_dev_register" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xfda052b6, "sof_print_oops_and_stack" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xf3b10cad, "snd_sof_dsp_update_bits" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x209eda71, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x9eb150ca, "sof_io_read" },
	{ 0xa9cb5269, "devm_kasprintf" },
	{ 0x1f0808e, "snd_sof_ipc_reply" },
	{ 0x75703dd3, "platform_device_register_full" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xc5516340, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb135abb7, "snd_sof_dsp_panic" },
	{ 0x31a7faad, "sof_client_dev_unregister" },
	{ 0x792a5dc2, "snd_sof_load_firmware_memcpy" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xcf465811, "pci_write_config_dword" },
	{ 0xdd508c78, "sof_io_write" },
	{ 0xe4f827fb, "sof_machine_register" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x53adf0d5, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xbc9e7d03, "pci_dev_put" },
	{ 0xa7f3743f, "pci_get_device" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x34d1a400, "devm_ioremap" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "22A3363DA64065774EF0E0D");

MODULE_INFO(suserelease, "SLFO-1.0");
