#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hda_bus_ml_init, 0x8a15da03, "");
SYMBOL_CRC(hda_bus_ml_free, 0x500e10c6, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xbf0e353b, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x28061b8c, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0xd7e10ca3, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x88d4c678, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x55b52b5d, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x2f5452f4, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x5a93c471, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x3eeeef35, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x23225ce3, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0xf68cfc2a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x3d8bc0a1, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x62204db8, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0xf16d60ea, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xdb940fc9, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0xdce79d7e, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x841aae1f, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0xf8ec6952, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x12316485, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x231ab088, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0xe8da22cf, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x3c687d2c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0xf3a40d40, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0xb59c3ac7, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0x22eedb22, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xdd711239, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xb0773cba, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xf9367df4, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x63d14c39, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x46c74c2c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0xd0edd24b, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0xb202ba03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x8f710b19, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaf903b8a, "snd_hdac_ext_bus_link_power_down" },
	{ 0x6684685b, "_dev_err" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x33860221, "snd_hdac_ext_bus_link_put" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");

MODULE_INFO(suserelease, "SLFO-1.0");
